module Hippo_eyeDoc::CodeLists
  class ClaimStatusCodes
    def self.[](key)
      @@codes[key]
    end

    @@codes = {
      "0"=>
      {:code=>"0",
       :description=>"Cannot provide further status electronically.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "1"=>
      {:code=>"1",
       :description=>"For more detailed information, see remittance advice.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "2"=>
      {:code=>"2",
       :description=>"More detailed information in letter.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "3"=>
      {:code=>"3",
       :description=>"Claim has been adjudicated and is awaiting payment cycle.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "4"=>
      {:code=>"4",
       :description=>
      "This is a subsequent request for information from the original request.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"07/01/2008",
        :last_modified_date=>"01/27/2008",
        :notes=>""},
        "5"=>
      {:code=>"5",
       :description=>"This is a final request for information.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"07/01/2008",
       :last_modified_date=>"01/27/2008",
       :notes=>""},
       "6"=>
      {:code=>"6",
       :description=>"Balance due from the subscriber.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "7"=>
      {:code=>"7",
       :description=>"Claim may be reconsidered at a future date.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"07/01/2008",
       :last_modified_date=>"01/27/2008",
       :notes=>""},
       "8"=>
      {:code=>"8",
       :description=>"No payment due to contract/plan provisions.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"01/01/2008",
       :last_modified_date=>"07/09/2007",
       :notes=>""},
       "9"=>
      {:code=>"9",
       :description=>"No payment will be made for this claim.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"07/01/2008",
       :last_modified_date=>"01/27/2008",
       :notes=>""},
       "10"=>
      {:code=>"10",
       :description=>
      "All originally submitted procedure codes have been combined.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"01/01/2008",
        :last_modified_date=>"07/09/2007",
        :notes=>""},
        "11"=>
      {:code=>"11",
       :description=>
      "Some originally submitted procedure codes have been combined.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"01/01/2008",
        :last_modified_date=>"07/09/2007",
        :notes=>""},
        "12"=>
      {:code=>"12",
       :description=>
      "One or more originally submitted procedure codes have been combined.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"06/30/2001",
        :notes=>""},
        "13"=>
      {:code=>"13",
       :description=>
      "All originally submitted procedure codes have been modified.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"01/01/2008",
        :last_modified_date=>"07/09/2007",
        :notes=>""},
        "14"=>
      {:code=>"14",
       :description=>
      "Some all originally submitted procedure codes have been modified.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"01/01/2008",
        :last_modified_date=>"07/09/2007",
        :notes=>""},
        "15"=>
      {:code=>"15",
       :description=>
      "One or more originally submitted procedure code have been modified.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"06/30/2001",
        :notes=>""},
        "16"=>
      {:code=>"16",
       :description=>
      "Claim/encounter has been forwarded to entity. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "17"=>
      {:code=>"17",
       :description=>
      "Claim/encounter has been forwarded by third party entity to entity. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "18"=>
      {:code=>"18",
       :description=>
      "Entity received claim/encounter, but returned invalid status. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "19"=>
      {:code=>"19",
       :description=>
      "Entity acknowledges receipt of claim/encounter. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "20"=>
      {:code=>"20",
       :description=>"Accepted for processing.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"06/30/2001",
       :notes=>""},
       "21"=>
      {:code=>"21",
       :description=>
      "Missing or invalid information. Note: At least one other status code is required to identify the missing or invalid information.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/09/2007",
        :notes=>""},
        "22"=>
      {:code=>"22",
       :description=>"... before entering the adjudication system.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"01/01/2008",
       :last_modified_date=>"07/09/2007",
       :notes=>""},
       "23"=>
      {:code=>"23",
       :description=>
      "Returned to Entity. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "24"=>
      {:code=>"24",
       :description=>
      "Entity not approved as an electronic submitter. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "25"=>
      {:code=>"25",
       :description=>
      "Entity not approved. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "26"=>
      {:code=>"26",
       :description=>
      "Entity not found. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "27"=>
      {:code=>"27",
       :description=>"Policy canceled.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"06/30/2001",
       :notes=>""},
       "28"=>
      {:code=>"28",
       :description=>"Claim submitted to wrong payer.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"01/01/2008",
       :last_modified_date=>"07/09/2007",
       :notes=>""},
       "29"=>
      {:code=>"29",
       :description=>"Subscriber and policy number/contract number mismatched.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "30"=>
      {:code=>"30",
       :description=>"Subscriber and subscriber id mismatched.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "31"=>
      {:code=>"31",
       :description=>"Subscriber and policyholder name mismatched.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "32"=>
      {:code=>"32",
       :description=>"Subscriber and policy number/contract number not found.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "33"=>
      {:code=>"33",
       :description=>"Subscriber and subscriber id not found.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "34"=>
      {:code=>"34",
       :description=>"Subscriber and policyholder name not found.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "35"=>
      {:code=>"35",
       :description=>"Claim/encounter not found.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "37"=>
      {:code=>"37",
       :description=>
      "Predetermination is on file, awaiting completion of services.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "38"=>
      {:code=>"38",
       :description=>"Awaiting next periodic adjudication cycle.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "39"=>
      {:code=>"39",
       :description=>"Charges for pregnancy deferred until delivery.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "40"=>
      {:code=>"40",
       :description=>"Waiting for final approval.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "41"=>
      {:code=>"41",
       :description=>"Special handling required at payer site.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "42"=>
      {:code=>"42",
       :description=>"Awaiting related charges.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "44"=>
      {:code=>"44",
       :description=>"Charges pending provider audit.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "45"=>
      {:code=>"45",
       :description=>"Awaiting benefit determination.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "46"=>
      {:code=>"46",
       :description=>"Internal review/audit.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "47"=>
      {:code=>"47",
       :description=>"Internal review/audit - partial payment made.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "48"=>
      {:code=>"48",
       :description=>"Referral/authorization.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"01/01/2012",
       :last_modified_date=>"02/28/2001",
       :notes=>"Refer to codes 252 and 761."},
       "49"=>
      {:code=>"49",
       :description=>"Pending provider accreditation review.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "50"=>
      {:code=>"50",
       :description=>"Claim waiting for internal provider verification.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "51"=>
      {:code=>"51",
       :description=>"Investigating occupational illness/accident.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "52"=>
      {:code=>"52",
       :description=>"Investigating existence of other insurance coverage.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "53"=>
      {:code=>"53",
       :description=>
      "Claim being researched for Insured ID/Group Policy Number error.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "54"=>
      {:code=>"54",
       :description=>"Duplicate of a previously processed claim/line.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "55"=>
      {:code=>"55",
       :description=>"Claim assigned to an approver/analyst.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "56"=>
      {:code=>"56",
       :description=>"Awaiting eligibility determination.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "57"=>
      {:code=>"57",
       :description=>"Pending COBRA information requested.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "59"=>
      {:code=>"59",
       :description=>
      "Information was requested by a non-electronic method. Note: At least one other status code is required to identify the requested information.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"10/17/2010",
        :notes=>""},
        "60"=>
      {:code=>"60",
       :description=>
      "Information was requested by an electronic method. Note: At least one other status code is required to identify the requested information.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"10/17/2010",
        :notes=>""},
        "61"=>
      {:code=>"61",
       :description=>"Eligibility for extended benefits.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "64"=>
      {:code=>"64",
       :description=>"Re-pricing information.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "65"=>
      {:code=>"65",
       :description=>"Claim/line has been paid.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "66"=>
      {:code=>"66",
       :description=>"Payment reflects usual and customary charges.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "67"=>
      {:code=>"67",
       :description=>"Payment made in full.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"07/01/2008",
       :last_modified_date=>"01/27/2008",
       :notes=>""},
       "68"=>
      {:code=>"68",
       :description=>"Partial payment made for this claim.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"07/01/2008",
       :last_modified_date=>"01/27/2008",
       :notes=>""},
       "69"=>
      {:code=>"69",
       :description=>"Payment reflects plan provisions.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"01/01/2008",
       :last_modified_date=>"07/09/2007",
       :notes=>""},
       "70"=>
      {:code=>"70",
       :description=>"Payment reflects contract provisions.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"01/01/2008",
       :last_modified_date=>"07/09/2007",
       :notes=>""},
       "71"=>
      {:code=>"71",
       :description=>"Periodic installment released.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"07/01/2008",
       :last_modified_date=>"01/27/2008",
       :notes=>""},
       "72"=>
      {:code=>"72",
       :description=>"Claim contains split payment.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "73"=>
      {:code=>"73",
       :description=>
      "Payment made to entity, assignment of benefits not on file. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "78"=>
      {:code=>"78",
       :description=>"Duplicate of an existing claim/line, awaiting processing.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "81"=>
      {:code=>"81",
       :description=>"Contract/plan does not cover pre-existing conditions.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "83"=>
      {:code=>"83",
       :description=>"No coverage for newborns.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "84"=>
      {:code=>"84",
       :description=>"Service not authorized.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "85"=>
      {:code=>"85",
       :description=>
      "Entity not primary. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "86"=>
      {:code=>"86",
       :description=>"Diagnosis and patient gender mismatch.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2000",
       :notes=>""},
       "87"=>
      {:code=>"87",
       :description=>
      "Denied: Entity not found. (Use code 26 with appropriate Claim Status category Code)",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"01/01/2008",
        :last_modified_date=>"07/09/2007",
        :notes=>""},
        "88"=>
      {:code=>"88",
       :description=>
      "Entity not eligible for benefits for submitted dates of service. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "89"=>
      {:code=>"89",
       :description=>
      "Entity not eligible for dental benefits for submitted dates of service. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "90"=>
      {:code=>"90",
       :description=>
      "Entity not eligible for medical benefits for submitted dates of service. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "91"=>
      {:code=>"91",
       :description=>
      "Entity not eligible/not approved for dates of service. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "92"=>
      {:code=>"92",
       :description=>
      "Entity does not meet dependent or student qualification. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "93"=>
      {:code=>"93",
       :description=>
      "Entity is not selected primary care provider. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "94"=>
      {:code=>"94",
       :description=>
      "Entity not referred by selected primary care provider. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "95"=>
      {:code=>"95",
       :description=>"Requested additional information not received.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"07/09/2007",
       :notes=>
      "If known, the payer must report a second claim status code identifying the requested information."},
        "96"=>
      {:code=>"96",
       :description=>
      "No agreement with entity. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "97"=>
      {:code=>"97",
       :description=>
      "Patient eligibility not found with entity. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "98"=>
      {:code=>"98",
       :description=>"Charges applied to deductible.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "99"=>
      {:code=>"99",
       :description=>"Pre-treatment review.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "100"=>
      {:code=>"100",
       :description=>"Pre-certification penalty taken.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "101"=>
      {:code=>"101",
       :description=>"Claim was processed as adjustment to previous claim.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "102"=>
      {:code=>"102",
       :description=>"Newborn's charges processed on mother's claim.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "103"=>
      {:code=>"103",
       :description=>"Claim combined with other claim(s).",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "104"=>
      {:code=>"104",
       :description=>
      "Processed according to plan provisions (Plan refers to provisions that exist between the Health Plan and the Consumer or Patient)",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"06/01/2008",
        :notes=>""},
        "105"=>
      {:code=>"105",
       :description=>"Claim/line is capitated.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "106"=>
      {:code=>"106",
       :description=>
      "This amount is not entity's responsibility. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "107"=>
      {:code=>"107",
       :description=>
      "Processed according to contract provisions (Contract refers to provisions that exist between the Health Plan and a Provider of Health Care Services)",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"06/01/2008",
        :notes=>""},
        "108"=>
      {:code=>"108",
       :description=>"Coverage has been canceled for this entity. (Use code 27)",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"01/01/2008",
       :last_modified_date=>"07/09/2007",
       :notes=>""},
       "109"=>
      {:code=>"109",
       :description=>
      "Entity not eligible. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "110"=>
      {:code=>"110",
       :description=>"Claim requires pricing information.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "111"=>
      {:code=>"111",
       :description=>
      "At the policyholder's request these claims cannot be submitted electronically.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "112"=>
      {:code=>"112",
       :description=>"Policyholder processes their own claims.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"07/01/2008",
       :last_modified_date=>"01/27/2008",
       :notes=>""},
       "113"=>
      {:code=>"113",
       :description=>"Cannot process individual insurance policy claims.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"07/01/2008",
       :last_modified_date=>"01/27/2008",
       :notes=>""},
       "114"=>
      {:code=>"114",
       :description=>
      "Claim/service should be processed by entity. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "115"=>
      {:code=>"115",
       :description=>"Cannot process HMO claims",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"07/01/2008",
       :last_modified_date=>"01/27/2008",
       :notes=>""},
       "116"=>
      {:code=>"116",
       :description=>"Claim submitted to incorrect payer.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "117"=>
      {:code=>"117",
       :description=>"Claim requires signature-on-file indicator.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "118"=>
      {:code=>"118",
       :description=>
      "TPO rejected claim/line because payer name is missing. (Use status code 21 and status code 125 with entity code IN)",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"01/01/2008",
        :last_modified_date=>"07/09/2007",
        :notes=>""},
        "119"=>
      {:code=>"119",
       :description=>
      "TPO rejected claim/line because certification information is missing. (Use status code 21 and status code 252)",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"01/01/2008",
        :last_modified_date=>"07/09/2007",
        :notes=>""},
        "120"=>
      {:code=>"120",
       :description=>
      "TPO rejected claim/line because claim does not contain enough information. (Use status code 21)",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"01/01/2008",
        :last_modified_date=>"07/09/2007",
        :notes=>""},
        "121"=>
      {:code=>"121",
       :description=>
      "Service line number greater than maximum allowable for payer.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "122"=>
      {:code=>"122",
       :description=>
      "Missing/invalid data prevents payer from processing claim. (Use CSC Code 21)",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"01/01/2008",
        :last_modified_date=>"07/09/2007",
        :notes=>""},
        "123"=>
      {:code=>"123",
       :description=>
      "Additional information requested from entity. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "124"=>
      {:code=>"124",
       :description=>
      "Entity's name, address, phone and id number. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "125"=>
      {:code=>"125",
       :description=>
      "Entity's name. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "126"=>
      {:code=>"126",
       :description=>
      "Entity's address. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "127"=>
      {:code=>"127",
       :description=>
      "Entity's Communication Number. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"06/06/2010",
        :notes=>""},
        "128"=>
      {:code=>"128",
       :description=>
      "Entity's tax id. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "129"=>
      {:code=>"129",
       :description=>
      "Entity's Blue Cross provider id. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "130"=>
      {:code=>"130",
       :description=>
      "Entity's Blue Shield provider id. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "131"=>
      {:code=>"131",
       :description=>
      "Entity's Medicare provider id. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "132"=>
      {:code=>"132",
       :description=>
      "Entity's Medicaid provider id. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "133"=>
      {:code=>"133",
       :description=>
      "Entity's UPIN. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "134"=>
      {:code=>"134",
       :description=>
      "Entity's CHAMPUS provider id. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "135"=>
      {:code=>"135",
       :description=>
      "Entity's commercial provider id. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "136"=>
      {:code=>"136",
       :description=>
      "Entity's health industry id number. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "137"=>
      {:code=>"137",
       :description=>
      "Entity's plan network id. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "138"=>
      {:code=>"138",
       :description=>
      "Entity's site id . Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "139"=>
      {:code=>"139",
       :description=>
      "Entity's health maintenance provider id (HMO). Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "140"=>
      {:code=>"140",
       :description=>
      "Entity's preferred provider organization id (PPO). Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "141"=>
      {:code=>"141",
       :description=>
      "Entity's administrative services organization id (ASO). Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "142"=>
      {:code=>"142",
       :description=>
      "Entity's license/certification number. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "143"=>
      {:code=>"143",
       :description=>
      "Entity's state license number. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "144"=>
      {:code=>"144",
       :description=>
      "Entity's specialty license number. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "145"=>
      {:code=>"145",
       :description=>
      "Entity's specialty/taxonomy code. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "146"=>
      {:code=>"146",
       :description=>
      "Entity's anesthesia license number. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "147"=>
      {:code=>"147",
       :description=>
      "Entity's qualification degree/designation (e.g. RN,PhD,MD). Note: This code requires use of an Entity Code.",
        :effective_date=>"02/28/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "148"=>
      {:code=>"148",
       :description=>
      "Entity's social security number. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "149"=>
      {:code=>"149",
       :description=>
      "Entity's employer id. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "150"=>
      {:code=>"150",
       :description=>
      "Entity's drug enforcement agency (DEA) number. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "152"=>
      {:code=>"152",
       :description=>"Pharmacy processor number.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "153"=>
      {:code=>"153",
       :description=>
      "Entity's id number. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "154"=>
      {:code=>"154",
       :description=>"Relationship of surgeon & assistant surgeon.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "155"=>
      {:code=>"155",
       :description=>
      "Entity's relationship to patient. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "156"=>
      {:code=>"156",
       :description=>"Patient relationship to subscriber",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "157"=>
      {:code=>"157",
       :description=>
      "Entity's Gender. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "158"=>
      {:code=>"158",
       :description=>
      "Entity's date of birth. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "159"=>
      {:code=>"159",
       :description=>
      "Entity's date of death. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "160"=>
      {:code=>"160",
       :description=>
      "Entity's marital status. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "161"=>
      {:code=>"161",
       :description=>
      "Entity's employment status. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "162"=>
      {:code=>"162",
       :description=>
      "Entity's health insurance claim number (HICN). Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "163"=>
      {:code=>"163",
       :description=>
      "Entity's policy number. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "164"=>
      {:code=>"164",
       :description=>
      "Entity's contract/member number. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "165"=>
      {:code=>"165",
       :description=>
      "Entity's employer name, address and phone. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "166"=>
      {:code=>"166",
       :description=>
      "Entity's employer name. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "167"=>
      {:code=>"167",
       :description=>
      "Entity's employer address. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "168"=>
      {:code=>"168",
       :description=>
      "Entity's employer phone number. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "169"=>
      {:code=>"169",
       :description=>"Entity's employer id.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"01/01/2008",
       :last_modified_date=>"07/09/2007",
       :notes=>""},
       "170"=>
      {:code=>"170",
       :description=>
      "Entity's employee id. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "171"=>
      {:code=>"171",
       :description=>
      "Other insurance coverage information (health, liability, auto, etc.).",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "172"=>
      {:code=>"172",
       :description=>"Other employer name, address and telephone number.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "173"=>
      {:code=>"173",
       :description=>
      "Entity's name, address, phone, gender, DOB, marital status, employment status and relation to subscriber. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "174"=>
      {:code=>"174",
       :description=>
      "Entity's student status. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "175"=>
      {:code=>"175",
       :description=>
      "Entity's school name. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "176"=>
      {:code=>"176",
       :description=>
      "Entity's school address. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "177"=>
      {:code=>"177",
       :description=>
      "Transplant recipient's name, date of birth, gender, relationship to insured.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2000",
        :notes=>""},
        "178"=>
      {:code=>"178",
       :description=>"Submitted charges.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "179"=>
      {:code=>"179",
       :description=>"Outside lab charges.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "180"=>
      {:code=>"180",
       :description=>"Hospital s semi-private room rate.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "181"=>
      {:code=>"181",
       :description=>"Hospital s room rate.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "182"=>
      {:code=>"182",
       :description=>
      "Allowable/paid from other entities coverage NOTE: This code requires the use of an entity code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/24/2010",
        :notes=>""},
        "183"=>
      {:code=>"183",
       :description=>
      "Amount entity has paid. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "184"=>
      {:code=>"184",
       :description=>"Purchase price for the rented durable medical equipment.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "185"=>
      {:code=>"185",
       :description=>"Rental price for durable medical equipment.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "186"=>
      {:code=>"186",
       :description=>"Purchase and rental price of durable medical equipment.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "187"=>
      {:code=>"187",
       :description=>"Date(s) of service.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "188"=>
      {:code=>"188",
       :description=>"Statement from-through dates.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "189"=>
      {:code=>"189",
       :description=>"Facility admission date",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"10/31/2006",
       :notes=>""},
       "190"=>
      {:code=>"190",
       :description=>"Facility discharge date",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"10/31/2006",
       :notes=>""},
       "191"=>
      {:code=>"191",
       :description=>"Date of Last Menstrual Period (LMP)",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "192"=>
      {:code=>"192",
       :description=>"Date of first service for current series/symptom/illness.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "193"=>
      {:code=>"193",
       :description=>"First consultation/evaluation date.",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "194"=>
      {:code=>"194",
       :description=>"Confinement dates.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "195"=>
      {:code=>"195",
       :description=>"Unable to work dates/Disability Dates.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"09/20/2009",
       :notes=>""},
       "196"=>
      {:code=>"196",
       :description=>"Return to work dates.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "197"=>
      {:code=>"197",
       :description=>"Effective coverage date(s).",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "198"=>
      {:code=>"198",
       :description=>"Medicare effective date.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "199"=>
      {:code=>"199",
       :description=>"Date of conception and expected date of delivery.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "200"=>
      {:code=>"200",
       :description=>"Date of equipment return.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "201"=>
      {:code=>"201",
       :description=>"Date of dental appliance prior placement.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "202"=>
      {:code=>"202",
       :description=>"Date of dental prior replacement/reason for replacement.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "203"=>
      {:code=>"203",
       :description=>"Date of dental appliance placed.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "204"=>
      {:code=>"204",
       :description=>"Date dental canal(s) opened and date service completed.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "205"=>
      {:code=>"205",
       :description=>"Date(s) dental root canal therapy previously performed.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "206"=>
      {:code=>"206",
       :description=>
      "Most recent date of curettage, root planing, or periodontal surgery.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "207"=>
      {:code=>"207",
       :description=>"Dental impression and seating date.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "208"=>
      {:code=>"208",
       :description=>"Most recent date pacemaker was implanted.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "209"=>
      {:code=>"209",
       :description=>"Most recent pacemaker battery change date.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "210"=>
      {:code=>"210",
       :description=>"Date of the last x-ray.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "211"=>
      {:code=>"211",
       :description=>"Date(s) of dialysis training provided to patient.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "212"=>
      {:code=>"212",
       :description=>"Date of last routine dialysis.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "213"=>
      {:code=>"213",
       :description=>"Date of first routine dialysis.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "214"=>
      {:code=>"214",
       :description=>"Original date of prescription/orders/referral.",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "215"=>
      {:code=>"215",
       :description=>"Date of tooth extraction/evolution.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "216"=>
      {:code=>"216",
       :description=>"Drug information.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "217"=>
      {:code=>"217",
       :description=>"Drug name, strength and dosage form.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "218"=>
      {:code=>"218",
       :description=>"NDC number.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "219"=>
      {:code=>"219",
       :description=>"Prescription number.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "220"=>
      {:code=>"220",
       :description=>"Drug product id number. (Use code 218)",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"07/01/2011",
       :last_modified_date=>"10/17/2010",
       :notes=>""},
       "221"=>
      {:code=>"221",
       :description=>"Drug days supply and dosage.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"01/01/2012",
       :last_modified_date=>"01/24/2010",
       :notes=>""},
       "222"=>
      {:code=>"222",
       :description=>"Drug dispensing units and average wholesale price (AWP).",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "223"=>
      {:code=>"223",
       :description=>"Route of drug/myelogram administration.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "224"=>
      {:code=>"224",
       :description=>"Anatomical location for joint injection.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "225"=>
      {:code=>"225",
       :description=>"Anatomical location.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "226"=>
      {:code=>"226",
       :description=>"Joint injection site.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "227"=>
      {:code=>"227",
       :description=>"Hospital information.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "228"=>
      {:code=>"228",
       :description=>"Type of bill for UB claim",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"10/31/2006",
       :notes=>""},
       "229"=>
      {:code=>"229",
       :description=>"Hospital admission source.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "230"=>
      {:code=>"230",
       :description=>"Hospital admission hour.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "231"=>
      {:code=>"231",
       :description=>"Hospital admission type.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "232"=>
      {:code=>"232",
       :description=>"Admitting diagnosis.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "233"=>
      {:code=>"233",
       :description=>"Hospital discharge hour.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "234"=>
      {:code=>"234",
       :description=>"Patient discharge status.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "235"=>
      {:code=>"235",
       :description=>"Units of blood furnished.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "236"=>
      {:code=>"236",
       :description=>"Units of blood replaced.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "237"=>
      {:code=>"237",
       :description=>"Units of deductible blood.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "238"=>
      {:code=>"238",
       :description=>"Separate claim for mother/baby charges.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "239"=>
      {:code=>"239",
       :description=>"Dental information.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "240"=>
      {:code=>"240",
       :description=>"Tooth surface(s) involved.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "241"=>
      {:code=>"241",
       :description=>"List of all missing teeth (upper and lower).",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "242"=>
      {:code=>"242",
       :description=>"Tooth numbers, surfaces, and/or quadrants involved.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "243"=>
      {:code=>"243",
       :description=>"Months of dental treatment remaining.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "244"=>
      {:code=>"244",
       :description=>"Tooth number or letter.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "245"=>
      {:code=>"245",
       :description=>"Dental quadrant/arch.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246"=>
      {:code=>"246",
       :description=>
      "Total orthodontic service fee, initial appliance fee, monthly fee, length of service.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "247"=>
      {:code=>"247",
       :description=>"Line information.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "248"=>
      {:code=>"248",
       :description=>"Accident date, state, description and cause.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"01/01/2012",
       :last_modified_date=>"01/24/2010",
       :notes=>""},
       "249"=>
      {:code=>"249",
       :description=>"Place of service.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "250"=>
      {:code=>"250",
       :description=>"Type of service.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "251"=>
      {:code=>"251",
       :description=>"Total anesthesia minutes.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "252"=>
      {:code=>"252",
       :description=>
      "Entity's authorization/certification number. Note: This code requires the use of an Entity Code.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/30/2011",
        :notes=>""},
        "253"=>
      {:code=>"253",
       :description=>
      "Procedure/revenue code for service(s) rendered. Use codes 454 or 455.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"02/28/1997",
        :last_modified_date=>"07/09/2007",
        :notes=>""},
        "254"=>
      {:code=>"254",
       :description=>"Principal diagnosis code.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"01/30/2011",
       :notes=>""},
       "255"=>
      {:code=>"255",
       :description=>"Diagnosis code.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "256"=>
      {:code=>"256",
       :description=>"DRG code(s).",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "257"=>
      {:code=>"257",
       :description=>"ADSM-III-R code for services rendered.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "258"=>
      {:code=>"258",
       :description=>"Days/units for procedure/revenue code.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "259"=>
      {:code=>"259",
       :description=>"Frequency of service.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "260"=>
      {:code=>"260",
       :description=>"Length of medical necessity, including begin date.",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261"=>
      {:code=>"261",
       :description=>"Obesity measurements.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "262"=>
      {:code=>"262",
       :description=>
      "Type of surgery/service for which anesthesia was administered.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "263"=>
      {:code=>"263",
       :description=>"Length of time for services rendered.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "264"=>
      {:code=>"264",
       :description=>
      "Number of liters/minute & total hours/day for respiratory support.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "265"=>
      {:code=>"265",
       :description=>"Number of lesions excised.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "266"=>
      {:code=>"266",
       :description=>"Facility point of origin and destination - ambulance.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "267"=>
      {:code=>"267",
       :description=>"Number of miles patient was transported.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "268"=>
      {:code=>"268",
       :description=>"Location of durable medical equipment use.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "269"=>
      {:code=>"269",
       :description=>"Length/size of laceration/tumor.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "270"=>
      {:code=>"270",
       :description=>"Subluxation location.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "271"=>
      {:code=>"271",
       :description=>"Number of spine segments.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "272"=>
      {:code=>"272",
       :description=>"Oxygen contents for oxygen system rental.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "273"=>
      {:code=>"273",
       :description=>"Weight.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "274"=>
      {:code=>"274",
       :description=>"Height.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "275"=>
      {:code=>"275",
       :description=>"Claim.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "276"=>
      {:code=>"276",
       :description=>"UB04/HCFA-1450/1500 claim form",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"10/31/2006",
       :notes=>""},
       "277"=>
      {:code=>"277",
       :description=>"Paper claim.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "278"=>
      {:code=>"278",
       :description=>"Signed claim form.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>""},
       "279"=>
      {:code=>"279",
       :description=>"Claim/service must be itemized",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"10/17/2010",
       :notes=>""},
       "280"=>
      {:code=>"280",
       :description=>"Itemized claim by provider.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to code 279"},
       "281"=>
      {:code=>"281",
       :description=>"Related confinement claim.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "282"=>
      {:code=>"282",
       :description=>"Copy of prescription.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "283"=>
      {:code=>"283",
       :description=>
      "Medicare entitlement information is required to determine primary coverage",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/27/2008",
        :notes=>""},
        "284"=>
      {:code=>"284",
       :description=>"Copy of Medicare ID card.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "285"=>
      {:code=>"285",
       :description=>"Vouchers/explanation of benefits (EOB).",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to code 286"},
       "286"=>
      {:code=>"286",
       :description=>
      "Other payer's Explanation of Benefits/payment information.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "287"=>
      {:code=>"287",
       :description=>"Medical necessity for service.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "288"=>
      {:code=>"288",
       :description=>"Hospital late charges",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"10/17/2010",
       :notes=>""},
       "289"=>
      {:code=>"289",
       :description=>"Reason for late discharge.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>""},
       "290"=>
      {:code=>"290",
       :description=>"Pre-existing information.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "291"=>
      {:code=>"291",
       :description=>"Reason for termination of pregnancy.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "292"=>
      {:code=>"292",
       :description=>"Purpose of family conference/therapy.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "293"=>
      {:code=>"293",
       :description=>"Reason for physical therapy.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "294"=>
      {:code=>"294",
       :description=>
      "Supporting documentation. Note: At least one other status code is required to identify the supporting documentation.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"10/17/2010",
        :notes=>""},
        "295"=>
      {:code=>"295",
       :description=>"Attending physician report.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "296"=>
      {:code=>"296",
       :description=>"Nurse's notes.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "297"=>
      {:code=>"297",
       :description=>"Medical notes/report.",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "298"=>
      {:code=>"298",
       :description=>"Operative report.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "299"=>
      {:code=>"299",
       :description=>"Emergency room notes/report.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "300"=>
      {:code=>"300",
       :description=>"Lab/test report/notes/results.",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "301"=>
      {:code=>"301",
       :description=>"MRI report.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "302"=>
      {:code=>"302",
       :description=>
      "Refer to codes 300 for lab notes and 311 for pathology notes",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"01/31/1997",
        :last_modified_date=>"",
        :notes=>""},
        "303"=>
      {:code=>"303",
       :description=>
      "Physical therapy notes. Use code 297:6O (6 'OH' - not zero)",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"02/28/1997",
        :last_modified_date=>"07/09/2007",
        :notes=>""},
        "304"=>
      {:code=>"304",
       :description=>"Reports for service.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to codes 297, 298, 299, 300"},
       "305"=>
      {:code=>"305",
       :description=>"Radiology/x-ray reports and/or interpretation",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"01/30/2011",
       :notes=>""},
       "306"=>
      {:code=>"306",
       :description=>"Detailed description of service.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "307"=>
      {:code=>"307",
       :description=>"Narrative with pocket depth chart.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "308"=>
      {:code=>"308",
       :description=>"Discharge summary.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "309"=>
      {:code=>"309",
       :description=>"Code was duplicate of code 299",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"01/31/1997",
       :last_modified_date=>"",
       :notes=>""},
       "310"=>
      {:code=>"310",
       :description=>
      "Progress notes for the six months prior to statement date.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "311"=>
      {:code=>"311",
       :description=>"Pathology notes/report.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "312"=>
      {:code=>"312",
       :description=>"Dental charting.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "313"=>
      {:code=>"313",
       :description=>"Bridgework information.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "314"=>
      {:code=>"314",
       :description=>"Dental records for this service.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "315"=>
      {:code=>"315",
       :description=>"Past perio treatment history.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "316"=>
      {:code=>"316",
       :description=>"Complete medical history.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "317"=>
      {:code=>"317",
       :description=>"Patient's medical records.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to code 297 or other specific report type codes"},
       "318"=>
      {:code=>"318",
       :description=>"X-rays/radiology films",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"10/17/2010",
       :notes=>""},
       "319"=>
      {:code=>"319",
       :description=>"Pre/post-operative x-rays/photographs.",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "320"=>
      {:code=>"320",
       :description=>"Study models.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "321"=>
      {:code=>"321",
       :description=>"Radiographs or models. (Use codes 318 and/or 320)",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"07/01/2011",
       :last_modified_date=>"10/17/2010",
       :notes=>""},
       "322"=>
      {:code=>"322",
       :description=>"Recent Full Mouth X-rays",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"10/17/2010",
       :notes=>""},
       "323"=>
      {:code=>"323",
       :description=>"Study models, x-rays, and/or narrative.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "324"=>
      {:code=>"324",
       :description=>"Recent x-ray of treatment area and/or narrative.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "325"=>
      {:code=>"325",
       :description=>"Recent fm x-rays and/or narrative.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "326"=>
      {:code=>"326",
       :description=>"Copy of transplant acquisition invoice.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "327"=>
      {:code=>"327",
       :description=>
      "Periodontal case type diagnosis and recent pocket depth chart with narrative.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "328"=>
      {:code=>"328",
       :description=>"Speech therapy notes. Use code 297:6R",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"02/28/1997",
       :last_modified_date=>"07/09/2007",
       :notes=>""},
       "329"=>
      {:code=>"329",
       :description=>"Exercise notes.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "330"=>
      {:code=>"330",
       :description=>"Occupational notes.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "331"=>
      {:code=>"331",
       :description=>"History and physical.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"08/01/2007",
       :notes=>""},
       "332"=>
      {:code=>"332",
       :description=>
      "Authorization/certification (include period covered). (Use code 252)",
        :effective_date=>"02/28/1997",
        :deactivation_date=>"01/01/2008",
        :last_modified_date=>"07/09/2007",
        :notes=>""},
        "333"=>
      {:code=>"333",
       :description=>"Patient release of information authorization.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "334"=>
      {:code=>"334",
       :description=>"Oxygen certification.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "335"=>
      {:code=>"335",
       :description=>"Durable medical equipment certification.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "336"=>
      {:code=>"336",
       :description=>"Chiropractic certification.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "337"=>
      {:code=>"337",
       :description=>"Ambulance certification/documentation.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "338"=>
      {:code=>"338",
       :description=>"Home health certification. Use code 332:4Y",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"02/28/1997",
       :last_modified_date=>"07/09/2007",
       :notes=>""},
       "339"=>
      {:code=>"339",
       :description=>"Enteral/parenteral certification.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "340"=>
      {:code=>"340",
       :description=>"Pacemaker certification.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "341"=>
      {:code=>"341",
       :description=>"Private duty nursing certification.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "342"=>
      {:code=>"342",
       :description=>"Podiatric certification.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "343"=>
      {:code=>"343",
       :description=>
      "Documentation that facility is state licensed and Medicare approved as a surgical facility.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "344"=>
      {:code=>"344",
       :description=>
      "Documentation that provider of physical therapy is Medicare Part B approved.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "345"=>
      {:code=>"345",
       :description=>"Treatment plan for service/diagnosis",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "346"=>
      {:code=>"346",
       :description=>"Proposed treatment plan for next 6 months.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "347"=>
      {:code=>"347",
       :description=>
      "Refer to code 345 for treatment plan and code 282 for prescription",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"01/31/1997",
        :last_modified_date=>"",
        :notes=>""},
        "348"=>
      {:code=>"348",
       :description=>"Chiropractic treatment plan. (Use 345:QL)",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"01/01/2008",
       :last_modified_date=>"07/09/2007",
       :notes=>""},
       "349"=>
      {:code=>"349",
       :description=>
      "Psychiatric treatment plan. Use codes 345:5I, 5J, 5K, 5L, 5M, 5N, 5O (5 'OH' - not zero), 5P",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"02/28/1997",
        :last_modified_date=>"07/09/2007",
        :notes=>""},
        "350"=>
      {:code=>"350",
       :description=>"Speech pathology treatment plan. Use code 345:6R",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"02/28/1997",
       :last_modified_date=>"07/09/2007",
       :notes=>""},
       "351"=>
      {:code=>"351",
       :description=>
      "Physical/occupational therapy treatment plan. Use codes 345:6O (6 'OH' - not zero), 6N",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"02/28/1997",
        :last_modified_date=>"07/09/2007",
        :notes=>""},
        "352"=>
      {:code=>"352",
       :description=>"Duration of treatment plan.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "353"=>
      {:code=>"353",
       :description=>"Orthodontics treatment plan.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "354"=>
      {:code=>"354",
       :description=>
      "Treatment plan for replacement of remaining missing teeth.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "355"=>
      {:code=>"355",
       :description=>"Has claim been paid?",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>""},
       "356"=>
      {:code=>"356",
       :description=>"Was blood furnished?",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to code 235"},
       "357"=>
      {:code=>"357",
       :description=>"Has or will blood be replaced?",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to code 236"},
       "358"=>
      {:code=>"358",
       :description=>
      "Does provider accept assignment of benefits? (Use code 589)",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"07/01/2011",
        :last_modified_date=>"10/17/2010",
        :notes=>""},
        "359"=>
      {:code=>"359",
       :description=>
      "Is there a release of information signature on file? (Use code 333)",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"07/01/2011",
        :last_modified_date=>"10/17/2010",
        :notes=>""},
        "360"=>
      {:code=>"360",
       :description=>"Benefits Assignment Certification Indicator",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"10/17/2010",
       :notes=>""},
       "361"=>
      {:code=>"361",
       :description=>"Is there other insurance?",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to codes 171 and 550"},
       "362"=>
      {:code=>"362",
       :description=>"Is the dental patient covered by medical insurance?",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to code 171"},
       "363"=>
      {:code=>"363",
       :description=>"Possible Workers' Compensation",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"10/17/2010",
       :notes=>""},
       "364"=>
      {:code=>"364",
       :description=>"Is accident/illness/condition employment related?",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "365"=>
      {:code=>"365",
       :description=>"Is service the result of an accident?",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "366"=>
      {:code=>"366",
       :description=>"Is injury due to auto accident?",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "367"=>
      {:code=>"367",
       :description=>
      "Is service performed for a recurring condition or new condition?",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"11/01/2011",
        :last_modified_date=>"",
        :notes=>"Refer to code 397"},
        "368"=>
      {:code=>"368",
       :description=>
      "Is medical doctor (MD) or doctor of osteopath (DO) on staff of this facility?",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"11/01/2011",
        :last_modified_date=>"",
        :notes=>"Refer to code 676"},
        "369"=>
      {:code=>"369",
       :description=>"Does patient condition preclude use of ordinary bed?",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to codes 287, 335"},
       "370"=>
      {:code=>"370",
       :description=>"Can patient operate controls of bed?",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to codes 287, 335"},
       "371"=>
      {:code=>"371",
       :description=>"Is patient confined to room?",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to codes 287, 335, 527"},
       "372"=>
      {:code=>"372",
       :description=>"Is patient confined to bed?",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to codes 287, 335, 527"},
       "373"=>
      {:code=>"373",
       :description=>"Is patient an insulin diabetic?",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>""},
       "374"=>
      {:code=>"374",
       :description=>"Is prescribed lenses a result of cataract surgery?",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "375"=>
      {:code=>"375",
       :description=>"Was refraction performed?",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "376"=>
      {:code=>"376",
       :description=>"Was charge for ambulance for a round-trip?",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to code 453"},
       "377"=>
      {:code=>"377",
       :description=>"Was durable medical equipment purchased new or used?",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to codes 184, 185, 186, 335"},
       "378"=>
      {:code=>"378",
       :description=>"Is pacemaker temporary or permanent?",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to code 340"},
       "379"=>
      {:code=>"379",
       :description=>"Were services performed supervised by a physician?",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to codes 453, 454, 666 & procedure code"},
       "380"=>
      {:code=>"380",
       :description=>"CRNA supervision/medical direction.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"10/17/2010",
       :notes=>""},
       "381"=>
      {:code=>"381",
       :description=>"Is drug generic?",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to code 216"},
       "382"=>
      {:code=>"382",
       :description=>"Did provider authorize generic or brand name dispensing?",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "383"=>
      {:code=>"383",
       :description=>"Nerve block use (surgery vs. pain management)",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"10/17/2010",
       :notes=>""},
       "384"=>
      {:code=>"384",
       :description=>
      "Is prosthesis/crown/inlay placement an initial placement or a replacement?",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "385"=>
      {:code=>"385",
       :description=>
      "Is appliance upper or lower arch & is appliance fixed or removable?",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "386"=>
      {:code=>"386",
       :description=>"Orthodontic Treatment/Purpose Indicator",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"10/17/2010",
       :notes=>""},
       "387"=>
      {:code=>"387",
       :description=>
      "Date patient last examined by entity. Note: This code requires use of an Entity Code.",
        :effective_date=>"02/28/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "388"=>
      {:code=>"388",
       :description=>"Date post-operative care assumed",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "389"=>
      {:code=>"389",
       :description=>"Date post-operative care relinquished",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "390"=>
      {:code=>"390",
       :description=>
      "Date of most recent medical event necessitating service(s)",
        :effective_date=>"02/28/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "391"=>
      {:code=>"391",
       :description=>"Date(s) dialysis conducted",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "392"=>
      {:code=>"392",
       :description=>"Date(s) of blood transfusion(s)",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>""},
       "393"=>
      {:code=>"393",
       :description=>"Date of previous pacemaker check",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>""},
       "394"=>
      {:code=>"394",
       :description=>"Date(s) of most recent hospitalization related to service",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "395"=>
      {:code=>"395",
       :description=>
      "Date entity signed certification/recertification Note: This code requires use of an Entity Code.",
        :effective_date=>"02/28/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "396"=>
      {:code=>"396",
       :description=>"Date home dialysis began",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "397"=>
      {:code=>"397",
       :description=>"Date of onset/exacerbation of illness/condition",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "398"=>
      {:code=>"398",
       :description=>"Visual field test results",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "399"=>
      {:code=>"399",
       :description=>
      "Report of prior testing related to this service, including dates",
        :effective_date=>"02/28/1997",
        :deactivation_date=>"11/01/2011",
        :last_modified_date=>"",
        :notes=>"Refer to code 417"},
        "400"=>
      {:code=>"400",
       :description=>"Claim is out of balance",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "401"=>
      {:code=>"401",
       :description=>"Source of payment is not valid",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "402"=>
      {:code=>"402",
       :description=>
      "Amount must be greater than zero. Note: At least one other status code is required to identify which amount element is in error.",
        :effective_date=>"02/28/1997",
        :deactivation_date=>"",
        :last_modified_date=>"09/20/2009",
        :notes=>""},
        "403"=>
      {:code=>"403",
       :description=>"Entity referral notes/orders/prescription",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "404"=>
      {:code=>"404",
       :description=>
      "Specific findings, complaints, or symptoms necessitating service",
        :effective_date=>"02/28/1997",
        :deactivation_date=>"11/01/2011",
        :last_modified_date=>"",
        :notes=>"Refer to codes 287, 488"},
        "405"=>
      {:code=>"405",
       :description=>"Summary of services",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to code 306"},
       "406"=>
      {:code=>"406",
       :description=>"Brief medical history as related to service(s)",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "407"=>
      {:code=>"407",
       :description=>"Complications/mitigating circumstances",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "408"=>
      {:code=>"408",
       :description=>"Initial certification",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "409"=>
      {:code=>"409",
       :description=>"Medication logs/records (including medication therapy)",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "410"=>
      {:code=>"410",
       :description=>
      "Explain differences between treatment plan and patient's condition",
        :effective_date=>"02/28/1997",
        :deactivation_date=>"11/01/2011",
        :last_modified_date=>"",
        :notes=>"Refer to code 297 or other specific report type codes"},
        "411"=>
      {:code=>"411",
       :description=>"Medical necessity for non-routine service(s)",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to code 287"},
       "412"=>
      {:code=>"412",
       :description=>"Medical records to substantiate decision of non-coverage",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to code 297 or other specific report type codes"},
       "413"=>
      {:code=>"413",
       :description=>
      "Explain/justify differences between treatment plan and services rendered.",
        :effective_date=>"02/28/1997",
        :deactivation_date=>"11/01/2011",
        :last_modified_date=>"",
        :notes=>"Refer to code 297 or other specific report type codes"},
        "414"=>
      {:code=>"414",
       :description=>
      "Necessity for concurrent care (more than one physician treating the patient)",
        :effective_date=>"02/28/1997",
        :deactivation_date=>"",
        :last_modified_date=>"10/17/2010",
        :notes=>""},
        "415"=>
      {:code=>"415",
       :description=>"Justify services outside composite rate",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to code 287"},
       "416"=>
      {:code=>"416",
       :description=>
      "Verification of patient's ability to retain and use information",
        :effective_date=>"02/28/1997",
        :deactivation_date=>"11/01/2011",
        :last_modified_date=>"",
        :notes=>"Refer to code 297 or other specific report type codes"},
        "417"=>
      {:code=>"417",
       :description=>
      "Prior testing, including result(s) and date(s) as related to service(s)",
        :effective_date=>"02/28/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "418"=>
      {:code=>"418",
       :description=>"Indicating why medications cannot be taken orally",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to code 297 or other specific report type codes"},
       "419"=>
      {:code=>"419",
       :description=>
      "Individual test(s) comprising the panel and the charges for each test",
        :effective_date=>"02/28/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "420"=>
      {:code=>"420",
       :description=>
      "Name, dosage and medical justification of contrast material used for radiology procedure",
        :effective_date=>"02/28/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "421"=>
      {:code=>"421",
       :description=>"Medical review attachment/information for service(s)",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to code 297 or other specific report type codes"},
       "422"=>
      {:code=>"422",
       :description=>"Homebound status",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to code 575"},
       "423"=>
      {:code=>"423",
       :description=>"Prognosis",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"01/01/2008",
       :last_modified_date=>"07/09/2007",
       :notes=>""},
       "424"=>
      {:code=>"424",
       :description=>"Statement of non-coverage including itemized bill",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to code 279 & 286"},
       "425"=>
      {:code=>"425",
       :description=>"Itemize non-covered services",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to code 279 & 286"},
       "426"=>
      {:code=>"426",
       :description=>"All current diagnoses",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to code 255, 232 & 488"},
       "427"=>
      {:code=>"427",
       :description=>"Emergency care provided during transport",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>""},
       "428"=>
      {:code=>"428",
       :description=>"Reason for transport by ambulance",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "429"=>
      {:code=>"429",
       :description=>
      "Loaded miles and charges for transport to nearest facility with appropriate services",
        :effective_date=>"02/28/1997",
        :deactivation_date=>"11/01/2011",
        :last_modified_date=>"",
        :notes=>"Refer to codes 267, 178, 430"},
        "430"=>
      {:code=>"430",
       :description=>"Nearest appropriate facility",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "431"=>
      {:code=>"431",
       :description=>"Patient's condition/functional status at time of service.",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"10/17/2010",
       :notes=>""},
       "432"=>
      {:code=>"432",
       :description=>"Date benefits exhausted",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "433"=>
      {:code=>"433",
       :description=>"Copy of patient revocation of hospice benefits",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "434"=>
      {:code=>"434",
       :description=>"Reasons for more than one transfer per entitlement period",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "435"=>
      {:code=>"435",
       :description=>"Notice of Admission",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "436"=>
      {:code=>"436",
       :description=>"Short term goals",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to code 345"},
       "437"=>
      {:code=>"437",
       :description=>"Long term goals",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to code 345"},
       "438"=>
      {:code=>"438",
       :description=>"Number of patients attending session",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>""},
       "439"=>
      {:code=>"439",
       :description=>"Size, depth, amount, and type of drainage wounds",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to code 297 or other specific report type codes"},
       "440"=>
      {:code=>"440",
       :description=>"why non-skilled caregiver has not been taught procedure",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>""},
       "441"=>
      {:code=>"441",
       :description=>"Entity professional qualification for service(s)",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "442"=>
      {:code=>"442",
       :description=>"Modalities of service",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "443"=>
      {:code=>"443",
       :description=>"Initial evaluation report",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "444"=>
      {:code=>"444",
       :description=>"Method used to obtain test sample",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>""},
       "445"=>
      {:code=>"445",
       :description=>"Explain why hearing loss not correctable by hearing aid",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>"Refer to code 287"},
       "446"=>
      {:code=>"446",
       :description=>"Documentation from prior claim(s) related to service(s)",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>""},
       "447"=>
      {:code=>"447",
       :description=>"Plan of teaching",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"11/01/2011",
       :last_modified_date=>"",
       :notes=>""},
       "448"=>
      {:code=>"448",
       :description=>
      "Invalid billing combination. See STC12 for details. This code should only be used to indicate an inconsistency between two or more data elements on the claim. A detailed explanation is required in STC12 when this code is used.",
        :effective_date=>"02/28/1997",
        :deactivation_date=>"01/01/2012",
        :last_modified_date=>"01/24/2010",
        :notes=>""},
        "449"=>
      {:code=>"449",
       :description=>"Projected date to discontinue service(s)",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "450"=>
      {:code=>"450",
       :description=>"Awaiting spend down determination",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "451"=>
      {:code=>"451",
       :description=>"Preoperative and post-operative diagnosis",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "452"=>
      {:code=>"452",
       :description=>
      "Total visits in total number of hours/day and total number of hours/week",
        :effective_date=>"02/28/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "453"=>
      {:code=>"453",
       :description=>"Procedure Code Modifier(s) for Service(s) Rendered",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "454"=>
      {:code=>"454",
       :description=>"Procedure code for services rendered.",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "455"=>
      {:code=>"455",
       :description=>"Revenue code for services rendered.",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "456"=>
      {:code=>"456",
       :description=>"Covered Day(s)",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "457"=>
      {:code=>"457",
       :description=>"Non-Covered Day(s)",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "458"=>
      {:code=>"458",
       :description=>"Coinsurance Day(s)",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "459"=>
      {:code=>"459",
       :description=>"Lifetime Reserve Day(s)",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "460"=>
      {:code=>"460",
       :description=>"NUBC Condition Code(s)",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "461"=>
      {:code=>"461",
       :description=>"NUBC Occurrence Code(s) and Date(s)",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"01/01/2012",
       :last_modified_date=>"01/24/2010",
       :notes=>""},
       "462"=>
      {:code=>"462",
       :description=>"NUBC Occurrence Span Code(s) and Date(s)",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"01/01/2012",
       :last_modified_date=>"01/24/2010",
       :notes=>""},
       "463"=>
      {:code=>"463",
       :description=>"NUBC Value Code(s) and/or Amount(s)",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"01/01/2012",
       :last_modified_date=>"01/24/2010",
       :notes=>""},
       "464"=>
      {:code=>"464",
       :description=>"Payer Assigned Claim Control Number",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"10/31/2004",
       :notes=>""},
       "465"=>
      {:code=>"465",
       :description=>"Principal Procedure Code for Service(s) Rendered",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "466"=>
      {:code=>"466",
       :description=>
      "Entity's Original Signature. Note: This code requires use of an Entity Code.",
        :effective_date=>"02/28/1997",
        :deactivation_date=>"",
        :last_modified_date=>"01/30/2011",
        :notes=>""},
        "467"=>
      {:code=>"467",
       :description=>
      "Entity Signature Date. Note: This code requires use of an Entity Code.",
        :effective_date=>"02/28/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "468"=>
      {:code=>"468",
       :description=>"Patient Signature Source",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "469"=>
      {:code=>"469",
       :description=>"Purchase Service Charge",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "470"=>
      {:code=>"470",
       :description=>
      "Was service purchased from another entity? Note: This code requires use of an Entity Code.",
        :effective_date=>"02/28/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "471"=>
      {:code=>"471",
       :description=>"Were services related to an emergency?",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "472"=>
      {:code=>"472",
       :description=>"Ambulance Run Sheet",
       :effective_date=>"02/28/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "473"=>
      {:code=>"473",
       :description=>"Missing or invalid lab indicator",
       :effective_date=>"06/30/1998",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "474"=>
      {:code=>"474",
       :description=>"Procedure code and patient gender mismatch",
       :effective_date=>"06/30/1998",
       :deactivation_date=>"",
       :last_modified_date=>"02/29/2000",
       :notes=>""},
       "475"=>
      {:code=>"475",
       :description=>"Procedure code not valid for patient age",
       :effective_date=>"06/30/1998",
       :deactivation_date=>"",
       :last_modified_date=>"02/29/2000",
       :notes=>""},
       "476"=>
      {:code=>"476",
       :description=>"Missing or invalid units of service",
       :effective_date=>"06/30/1998",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "477"=>
      {:code=>"477",
       :description=>"Diagnosis code pointer is missing or invalid",
       :effective_date=>"06/30/1998",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "478"=>
      {:code=>"478",
       :description=>"Claim submitter's identifier",
       :effective_date=>"06/30/1998",
       :deactivation_date=>"",
       :last_modified_date=>"01/24/2010",
       :notes=>""},
       "479"=>
      {:code=>"479",
       :description=>"Other Carrier payer ID is missing or invalid",
       :effective_date=>"06/30/1998",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "480"=>
      {:code=>"480",
       :description=>
      "Entity's claim filing indicator. Note: This code requires use of an Entity Code.",
        :effective_date=>"06/30/1998",
        :deactivation_date=>"",
        :last_modified_date=>"06/06/2010",
        :notes=>""},
        "481"=>
      {:code=>"481",
       :description=>"Claim/submission format is invalid.",
       :effective_date=>"10/31/1998",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "482"=>
      {:code=>"482",
       :description=>"Date Error, Century Missing",
       :effective_date=>"02/28/1999",
       :deactivation_date=>"10/01/2010",
       :last_modified_date=>"09/20/2009",
       :notes=>""},
       "483"=>
      {:code=>"483",
       :description=>
      "Maximum coverage amount met or exceeded for benefit period.",
        :effective_date=>"06/30/1999",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "484"=>
      {:code=>"484",
       :description=>"Business Application Currently Not Available",
       :effective_date=>"02/29/2000",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "485"=>
      {:code=>"485",
       :description=>
      "More information available than can be returned in real time mode. Narrow your current search criteria.",
        :effective_date=>"02/28/2001",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "486"=>
      {:code=>"486",
       :description=>"Principal Procedure Date",
       :effective_date=>"10/31/2001",
       :deactivation_date=>"",
       :last_modified_date=>"07/01/2009",
       :notes=>""},
       "487"=>
      {:code=>"487",
       :description=>
      "Claim not found, claim should have been submitted to/through 'entity'. Note: This code requires use of an Entity Code.",
        :effective_date=>"02/28/2002",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "488"=>
      {:code=>"488",
       :description=>"Diagnosis code(s) for the services rendered.",
       :effective_date=>"06/30/2002",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "489"=>
      {:code=>"489",
       :description=>"Attachment Control Number",
       :effective_date=>"10/31/2002",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "490"=>
      {:code=>"490",
       :description=>"Other Procedure Code for Service(s) Rendered",
       :effective_date=>"02/28/2003",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "491"=>
      {:code=>"491",
       :description=>
      "Entity not eligible for encounter submission. Note: This code requires use of an Entity Code.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "492"=>
      {:code=>"492",
       :description=>"Other Procedure Date",
       :effective_date=>"02/28/2003",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "493"=>
      {:code=>"493",
       :description=>
      "Version/Release/Industry ID code not currently supported by information holder",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "494"=>
      {:code=>"494",
       :description=>
      "Real-Time requests not supported by the information holder, resubmit as batch request",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "495"=>
      {:code=>"495",
       :description=>
      "Requests for re-adjudication must reference the newly assigned payer claim control number for this previously adjusted claim. Correct the payer claim control number and re-submit.",
        :effective_date=>"10/31/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "496"=>
      {:code=>"496",
       :description=>
      "Submitter not approved for electronic claim submissions on behalf of this entity. Note: This code requires use of an Entity Code.",
        :effective_date=>"02/29/2004",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "497"=>
      {:code=>"497",
       :description=>"Sales tax not paid",
       :effective_date=>"06/30/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "498"=>
      {:code=>"498",
       :description=>"Maximum leave days exhausted",
       :effective_date=>"06/30/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "499"=>
      {:code=>"499",
       :description=>
      "No rate on file with the payer for this service for this entity Note: This code requires use of an Entity Code.",
        :effective_date=>"06/30/2004",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "500"=>
      {:code=>"500",
       :description=>
      "Entity's Postal/Zip Code. Note: This code requires use of an Entity Code.",
        :effective_date=>"06/30/2004",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "501"=>
      {:code=>"501",
       :description=>
      "Entity's State/Province. Note: This code requires use of an Entity Code.",
        :effective_date=>"06/30/2004",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "502"=>
      {:code=>"502",
       :description=>
      "Entity's City. Note: This code requires use of an Entity Code.",
        :effective_date=>"06/30/2004",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "503"=>
      {:code=>"503",
       :description=>
      "Entity's Street Address. Note: This code requires use of an Entity Code.",
        :effective_date=>"06/30/2004",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "504"=>
      {:code=>"504",
       :description=>
      "Entity's Last Name. Note: This code requires use of an Entity Code.",
        :effective_date=>"06/30/2004",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "505"=>
      {:code=>"505",
       :description=>
      "Entity's First Name. Note: This code requires use of an Entity Code.",
        :effective_date=>"06/30/2004",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "506"=>
      {:code=>"506",
       :description=>
      "Entity is changing processor/clearinghouse. This claim must be submitted to the new processor/clearinghouse. Note: This code requires use of an Entity Code.",
        :effective_date=>"06/30/2004",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "507"=>
      {:code=>"507",
       :description=>"HCPCS",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "508"=>
      {:code=>"508",
       :description=>
      "ICD9 NOTE: At least one other status code is required to identify the related procedure code or diagnosis code.",
        :effective_date=>"10/31/2004",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2009",
        :notes=>""},
        "509"=>
      {:code=>"509",
       :description=>"External Cause of Injury Code (E-code).",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"01/30/2011",
       :notes=>""},
       "510"=>
      {:code=>"510",
       :description=>
      "Future date. Note: At least one other status code is required to identify the data element in error.",
        :effective_date=>"10/31/2004",
        :deactivation_date=>"",
        :last_modified_date=>"09/20/2009",
        :notes=>""},
        "511"=>
      {:code=>"511",
       :description=>
      "Invalid character. Note: At least one other status code is required to identify the data element in error.",
        :effective_date=>"10/31/2004",
        :deactivation_date=>"",
        :last_modified_date=>"09/20/2009",
        :notes=>""},
        "512"=>
      {:code=>"512",
       :description=>
      "Length invalid for receiver's application system. Note: At least one other status code is required to identify the data element in error.",
        :effective_date=>"10/31/2004",
        :deactivation_date=>"",
        :last_modified_date=>"09/20/2009",
        :notes=>""},
        "513"=>
      {:code=>"513",
       :description=>"HIPPS Rate Code for services Rendered",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "514"=>
      {:code=>"514",
       :description=>
      "Entity's Middle Name Note: This code requires use of an Entity Code.",
        :effective_date=>"10/31/2004",
        :deactivation_date=>"",
        :last_modified_date=>"01/30/2011",
        :notes=>""},
        "515"=>
      {:code=>"515",
       :description=>"Managed Care review",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "516"=>
      {:code=>"516",
       :description=>
      "Other Entity's Adjudication or Payment/Remittance Date. Note: An Entity code is required to identify the Other Payer Entity, i.e. primary, secondary.",
        :effective_date=>"10/31/2004",
        :deactivation_date=>"",
        :last_modified_date=>"11/29/2009",
        :notes=>""},
        "517"=>
      {:code=>"517",
       :description=>"Adjusted Repriced Claim Reference Number",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "518"=>
      {:code=>"518",
       :description=>"Adjusted Repriced Line item Reference Number",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "519"=>
      {:code=>"519",
       :description=>"Adjustment Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "520"=>
      {:code=>"520",
       :description=>"Adjustment Quantity",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "521"=>
      {:code=>"521",
       :description=>"Adjustment Reason Code",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "522"=>
      {:code=>"522",
       :description=>"Anesthesia Modifying Units",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "523"=>
      {:code=>"523",
       :description=>"Anesthesia Unit Count",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "524"=>
      {:code=>"524",
       :description=>"Arterial Blood Gas Quantity",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "525"=>
      {:code=>"525",
       :description=>"Begin Therapy Date",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "526"=>
      {:code=>"526",
       :description=>"Bundled or Unbundled Line Number",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "527"=>
      {:code=>"527",
       :description=>"Certification Condition Indicator",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "528"=>
      {:code=>"528",
       :description=>"Certification Period Projected Visit Count",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "529"=>
      {:code=>"529",
       :description=>"Certification Revision Date",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "530"=>
      {:code=>"530",
       :description=>"Claim Adjustment Indicator",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "531"=>
      {:code=>"531",
       :description=>"Claim Disproportinate Share Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "532"=>
      {:code=>"532",
       :description=>"Claim DRG Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "533"=>
      {:code=>"533",
       :description=>"Claim DRG Outlier Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "534"=>
      {:code=>"534",
       :description=>"Claim ESRD Payment Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "535"=>
      {:code=>"535",
       :description=>"Claim Frequency Code",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "536"=>
      {:code=>"536",
       :description=>"Claim Indirect Teaching Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "537"=>
      {:code=>"537",
       :description=>"Claim MSP Pass-through Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "538"=>
      {:code=>"538",
       :description=>"Claim or Encounter Identifier",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "539"=>
      {:code=>"539",
       :description=>"Claim PPS Capital Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "540"=>
      {:code=>"540",
       :description=>"Claim PPS Capital Outlier Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "541"=>
      {:code=>"541",
       :description=>"Claim Submission Reason Code",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "542"=>
      {:code=>"542",
       :description=>"Claim Total Denied Charge Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "543"=>
      {:code=>"543",
       :description=>"Clearinghouse or Value Added Network Trace",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "544"=>
      {:code=>"544",
       :description=>"Clinical Laboratory Improvement Amendment",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "545"=>
      {:code=>"545",
       :description=>"Contract Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "546"=>
      {:code=>"546",
       :description=>"Contract Code",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "547"=>
      {:code=>"547",
       :description=>"Contract Percentage",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "548"=>
      {:code=>"548",
       :description=>"Contract Type Code",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "549"=>
      {:code=>"549",
       :description=>"Contract Version Identifier",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "550"=>
      {:code=>"550",
       :description=>"Coordination of Benefits Code",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "551"=>
      {:code=>"551",
       :description=>"Coordination of Benefits Total Submitted Charge",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "552"=>
      {:code=>"552",
       :description=>"Cost Report Day Count",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "553"=>
      {:code=>"553",
       :description=>"Covered Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "554"=>
      {:code=>"554",
       :description=>"Date Claim Paid",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "555"=>
      {:code=>"555",
       :description=>"Delay Reason Code",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "556"=>
      {:code=>"556",
       :description=>"Demonstration Project Identifier",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "557"=>
      {:code=>"557",
       :description=>"Diagnosis Date",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "558"=>
      {:code=>"558",
       :description=>"Discount Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "559"=>
      {:code=>"559",
       :description=>"Document Control Identifier",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "560"=>
      {:code=>"560",
       :description=>
      "Entity's Additional/Secondary Identifier. Note: This code requires use of an Entity Code.",
        :effective_date=>"10/31/2004",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "561"=>
      {:code=>"561",
       :description=>
      "Entity's Contact Name. Note: This code requires use of an Entity Code.",
        :effective_date=>"10/31/2004",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "562"=>
      {:code=>"562",
       :description=>
      "Entity's National Provider Identifier (NPI). Note: This code requires use of an Entity Code.",
        :effective_date=>"10/31/2004",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "563"=>
      {:code=>"563",
       :description=>
      "Entity's Tax Amount. Note: This code requires use of an Entity Code.",
        :effective_date=>"10/31/2004",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "564"=>
      {:code=>"564",
       :description=>"EPSDT Indicator",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "565"=>
      {:code=>"565",
       :description=>"Estimated Claim Due Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "566"=>
      {:code=>"566",
       :description=>"Exception Code",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "567"=>
      {:code=>"567",
       :description=>"Facility Code Qualifier",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "568"=>
      {:code=>"568",
       :description=>"Family Planning Indicator",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "569"=>
      {:code=>"569",
       :description=>"Fixed Format Information",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "570"=>
      {:code=>"570",
       :description=>"Free Form Message Text",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "571"=>
      {:code=>"571",
       :description=>"Frequency Count",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "572"=>
      {:code=>"572",
       :description=>"Frequency Period",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "573"=>
      {:code=>"573",
       :description=>"Functional Limitation Code",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "574"=>
      {:code=>"574",
       :description=>"HCPCS Payable Amount Home Health",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "575"=>
      {:code=>"575",
       :description=>"Homebound Indicator",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "576"=>
      {:code=>"576",
       :description=>"Immunization Batch Number",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "577"=>
      {:code=>"577",
       :description=>"Industry Code",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "578"=>
      {:code=>"578",
       :description=>"Insurance Type Code",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "579"=>
      {:code=>"579",
       :description=>"Investigational Device Exemption Identifier",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "580"=>
      {:code=>"580",
       :description=>"Last Certification Date",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "581"=>
      {:code=>"581",
       :description=>"Last Worked Date",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "582"=>
      {:code=>"582",
       :description=>"Lifetime Psychiatric Days Count",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "583"=>
      {:code=>"583",
       :description=>"Line Item Charge Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "584"=>
      {:code=>"584",
       :description=>"Line Item Control Number",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "585"=>
      {:code=>"585",
       :description=>"Denied Charge or Non-covered Charge",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"07/09/2007",
       :notes=>""},
       "586"=>
      {:code=>"586",
       :description=>"Line Note Text",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "587"=>
      {:code=>"587",
       :description=>"Measurement Reference Identification Code",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "588"=>
      {:code=>"588",
       :description=>"Medical Record Number",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "589"=>
      {:code=>"589",
       :description=>"Provider Accept Assignment Code",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"10/17/2010",
       :notes=>""},
       "590"=>
      {:code=>"590",
       :description=>"Medicare Coverage Indicator",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "591"=>
      {:code=>"591",
       :description=>"Medicare Paid at 100% Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "592"=>
      {:code=>"592",
       :description=>"Medicare Paid at 80% Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "593"=>
      {:code=>"593",
       :description=>"Medicare Section 4081 Indicator",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "594"=>
      {:code=>"594",
       :description=>"Mental Status Code",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "595"=>
      {:code=>"595",
       :description=>"Monthly Treatment Count",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "596"=>
      {:code=>"596",
       :description=>"Non-covered Charge Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "597"=>
      {:code=>"597",
       :description=>"Non-payable Professional Component Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "598"=>
      {:code=>"598",
       :description=>"Non-payable Professional Component Billed Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "599"=>
      {:code=>"599",
       :description=>"Note Reference Code",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "600"=>
      {:code=>"600",
       :description=>"Oxygen Saturation Qty",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "601"=>
      {:code=>"601",
       :description=>"Oxygen Test Condition Code",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "602"=>
      {:code=>"602",
       :description=>"Oxygen Test Date",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "603"=>
      {:code=>"603",
       :description=>"Old Capital Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "604"=>
      {:code=>"604",
       :description=>"Originator Application Transaction Identifier",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "605"=>
      {:code=>"605",
       :description=>"Orthodontic Treatment Months Count",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "606"=>
      {:code=>"606",
       :description=>"Paid From Part A Medicare Trust Fund Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "607"=>
      {:code=>"607",
       :description=>"Paid From Part B Medicare Trust Fund Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "608"=>
      {:code=>"608",
       :description=>"Paid Service Unit Count",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "609"=>
      {:code=>"609",
       :description=>"Participation Agreement",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "610"=>
      {:code=>"610",
       :description=>"Patient Discharge Facility Type Code",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "611"=>
      {:code=>"611",
       :description=>"Peer Review Authorization Number",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "612"=>
      {:code=>"612",
       :description=>"Per Day Limit Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "613"=>
      {:code=>"613",
       :description=>"Physician Contact Date",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "614"=>
      {:code=>"614",
       :description=>"Physician Order Date",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "615"=>
      {:code=>"615",
       :description=>"Policy Compliance Code",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "616"=>
      {:code=>"616",
       :description=>"Policy Name",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "617"=>
      {:code=>"617",
       :description=>"Postage Claimed Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "618"=>
      {:code=>"618",
       :description=>"PPS-Capital DSH DRG Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "619"=>
      {:code=>"619",
       :description=>"PPS-Capital Exception Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "620"=>
      {:code=>"620",
       :description=>"PPS-Capital FSP DRG Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "621"=>
      {:code=>"621",
       :description=>"PPS-Capital HSP DRG Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "622"=>
      {:code=>"622",
       :description=>"PPS-Capital IME Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "623"=>
      {:code=>"623",
       :description=>"PPS-Operating Federal Specific DRG Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "624"=>
      {:code=>"624",
       :description=>"PPS-Operating Hospital Specific DRG Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "625"=>
      {:code=>"625",
       :description=>"Predetermination of Benefits Identifier",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "626"=>
      {:code=>"626",
       :description=>"Pregnancy Indicator",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "627"=>
      {:code=>"627",
       :description=>"Pre-Tax Claim Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "628"=>
      {:code=>"628",
       :description=>"Pricing Methodology",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "629"=>
      {:code=>"629",
       :description=>"Property Casualty Claim Number",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "630"=>
      {:code=>"630",
       :description=>"Referring CLIA Number",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "631"=>
      {:code=>"631",
       :description=>"Reimbursement Rate",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "632"=>
      {:code=>"632",
       :description=>"Reject Reason Code",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "633"=>
      {:code=>"633",
       :description=>"Related Causes Code (Accident, auto accident, employment)",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"10/17/2010",
       :notes=>""},
       "634"=>
      {:code=>"634",
       :description=>"Remark Code",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "635"=>
      {:code=>"635",
       :description=>"Repriced Ambulatory Patient Group Code",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "636"=>
      {:code=>"636",
       :description=>"Repriced Line Item Reference Number",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "637"=>
      {:code=>"637",
       :description=>"Repriced Saving Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "638"=>
      {:code=>"638",
       :description=>"Repricing Per Diem or Flat Rate Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "639"=>
      {:code=>"639",
       :description=>"Responsibility Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "640"=>
      {:code=>"640",
       :description=>"Sales Tax Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "641"=>
      {:code=>"641",
       :description=>"Service Adjudication or Payment Date. Note: Use code 516.",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"10/01/2010",
       :last_modified_date=>"09/20/2009",
       :notes=>""},
       "642"=>
      {:code=>"642",
       :description=>"Service Authorization Exception Code",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "643"=>
      {:code=>"643",
       :description=>"Service Line Paid Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "644"=>
      {:code=>"644",
       :description=>"Service Line Rate",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "645"=>
      {:code=>"645",
       :description=>"Service Tax Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "646"=>
      {:code=>"646",
       :description=>"Ship, Delivery or Calendar Pattern Code",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "647"=>
      {:code=>"647",
       :description=>"Shipped Date",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "648"=>
      {:code=>"648",
       :description=>"Similar Illness or Symptom Date",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "649"=>
      {:code=>"649",
       :description=>"Skilled Nursing Facility Indicator",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "650"=>
      {:code=>"650",
       :description=>"Special Program Indicator",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "651"=>
      {:code=>"651",
       :description=>"State Industrial Accident Provider Number",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "652"=>
      {:code=>"652",
       :description=>"Terms Discount Percentage",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "653"=>
      {:code=>"653",
       :description=>"Test Performed Date",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "654"=>
      {:code=>"654",
       :description=>"Total Denied Charge Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "655"=>
      {:code=>"655",
       :description=>"Total Medicare Paid Amount",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "656"=>
      {:code=>"656",
       :description=>"Total Visits Projected This Certification Count",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "657"=>
      {:code=>"657",
       :description=>"Total Visits Rendered Count",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "658"=>
      {:code=>"658",
       :description=>"Treatment Code",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "659"=>
      {:code=>"659",
       :description=>"Unit or Basis for Measurement Code",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "660"=>
      {:code=>"660",
       :description=>"Universal Product Number",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "661"=>
      {:code=>"661",
       :description=>"Visits Prior to Recertification Date Count CR702",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "662"=>
      {:code=>"662",
       :description=>"X-ray Availability Indicator",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "663"=>
      {:code=>"663",
       :description=>
      "Entity's Group Name. Note: This code requires use of an Entity Code.",
        :effective_date=>"10/31/2004",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "664"=>
      {:code=>"664",
       :description=>"Orthodontic Banding Date",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "665"=>
      {:code=>"665",
       :description=>"Surgery Date",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "666"=>
      {:code=>"666",
       :description=>"Surgical Procedure Code",
       :effective_date=>"10/31/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "667"=>
      {:code=>"667",
       :description=>
      "Real-Time requests not supported by the information holder, do not resubmit",
        :effective_date=>"02/28/2005",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "668"=>
      {:code=>"668",
       :description=>"Missing Endodontics treatment history and prognosis",
       :effective_date=>"06/30/2005",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "669"=>
      {:code=>"669",
       :description=>"Dental service narrative needed.",
       :effective_date=>"10/31/2005",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "670"=>
      {:code=>"670",
       :description=>
      "Funds applied from a consumer spending account such as consumer directed/driven health plan (CDHP), Health savings account (H S A) and or other similar accounts",
        :effective_date=>"06/30/2006",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2007",
        :notes=>""},
        "671"=>
      {:code=>"671",
       :description=>
      "Funds may be available from a consumer spending account such as consumer directed/driven health plan (CDHP), Health savings account (H S A) and or other similar accounts",
        :effective_date=>"06/30/2006",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2007",
        :notes=>""},
        "672"=>
      {:code=>"672",
       :description=>"Other Payer's payment information is out of balance",
       :effective_date=>"10/31/2006",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "673"=>
      {:code=>"673",
       :description=>"Patient Reason for Visit",
       :effective_date=>"10/31/2006",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "674"=>
      {:code=>"674",
       :description=>"Authorization exceeded",
       :effective_date=>"10/31/2006",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "675"=>
      {:code=>"675",
       :description=>"Facility admission through discharge dates",
       :effective_date=>"10/31/2006",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "676"=>
      {:code=>"676",
       :description=>
      "Entity possibly compensated by facility. Note: This code requires use of an Entity Code.",
        :effective_date=>"10/31/2006",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "677"=>
      {:code=>"677",
       :description=>
      "Entity not affiliated. Note: This code requires use of an Entity Code.",
        :effective_date=>"10/31/2006",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "678"=>
      {:code=>"678",
       :description=>"Revenue code and patient gender mismatch",
       :effective_date=>"10/31/2006",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "679"=>
      {:code=>"679",
       :description=>"Submit newborn services on mother's claim",
       :effective_date=>"10/31/2006",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "680"=>
      {:code=>"680",
       :description=>
      "Entity's Country. Note: This code requires use of an Entity Code.",
        :effective_date=>"10/31/2006",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "681"=>
      {:code=>"681",
       :description=>"Claim currency not supported",
       :effective_date=>"10/31/2006",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "682"=>
      {:code=>"682",
       :description=>"Cosmetic procedure",
       :effective_date=>"02/28/2007",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "683"=>
      {:code=>"683",
       :description=>"Awaiting Associated Hospital Claims",
       :effective_date=>"02/28/2007",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "684"=>
      {:code=>"684",
       :description=>
      "Rejected. Syntax error noted for this claim/service/inquiry. See Functional or Implementation Acknowledgement for details. (Note: Only for use to reject claims or status requests in transactions that were 'accepted with errors' on a 997 or 999 Acknowledgement.)",
        :effective_date=>"11/05/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "685"=>
      {:code=>"685",
       :description=>
      "Claim could not complete adjudication in real time. Claim will continue processing in a batch mode. Do not resubmit.",
        :effective_date=>"01/27/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "686"=>
      {:code=>"686",
       :description=>
      "The claim/ encounter has completed the adjudication cycle and the entire claim has been voided",
        :effective_date=>"01/27/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "687"=>
      {:code=>"687",
       :description=>
      "Claim estimation can not be completed in real time. Do not resubmit.",
        :effective_date=>"01/27/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "688"=>
      {:code=>"688",
       :description=>
      "Present on Admission Indicator for reported diagnosis code(s).",
        :effective_date=>"01/27/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "689"=>
      {:code=>"689",
       :description=>
      "Entity was unable to respond within the expected time frame. Note: This code requires use of an Entity Code.",
        :effective_date=>"06/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "690"=>
      {:code=>"690",
       :description=>
      "Multiple claims or estimate requests cannot be processed in real time.",
        :effective_date=>"06/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "691"=>
      {:code=>"691",
       :description=>
      "Multiple claim status requests cannot be processed in real time.",
        :effective_date=>"06/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "692"=>
      {:code=>"692",
       :description=>
      "Contracted funding agreement-Subscriber is employed by the provider of services",
        :effective_date=>"09/21/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "693"=>
      {:code=>"693",
       :description=>
      "Amount must be greater than or equal to zero. Note: At least one other status code is required to identify which amount element is in error.",
        :effective_date=>"01/25/2009",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "694"=>
      {:code=>"694",
       :description=>
      "Amount must not be equal to zero. Note: At least one other status code is required to identify which amount element is in error.",
        :effective_date=>"01/25/2009",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "695"=>
      {:code=>"695",
       :description=>
      "Entity's Country Subdivision Code. Note: This code requires use of an Entity Code.",
        :effective_date=>"01/25/2009",
        :deactivation_date=>"",
        :last_modified_date=>"02/11/2010",
        :notes=>""},
        "696"=>
      {:code=>"696",
       :description=>"Claim Adjustment Group Code.",
       :effective_date=>"01/25/2009",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "697"=>
      {:code=>"697",
       :description=>
      "Invalid Decimal Precision. Note: At least one other status code is required to identify the data element in error.",
        :effective_date=>"07/01/2009",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "698"=>
      {:code=>"698",
       :description=>"Form Type Identification",
       :effective_date=>"07/01/2009",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "699"=>
      {:code=>"699",
       :description=>"Question/Response from Supporting Documentation Form",
       :effective_date=>"07/01/2009",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "700"=>
      {:code=>"700",
       :description=>
      "ICD10. Note: At least one other status code is required to identify the related procedure code or diagnosis code.",
        :effective_date=>"07/01/2009",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "701"=>
      {:code=>"701",
       :description=>"Initial Treatment Date",
       :effective_date=>"07/01/2009",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "702"=>
      {:code=>"702",
       :description=>"Repriced Claim Reference Number",
       :effective_date=>"11/01/2009",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "703"=>
      {:code=>"703",
       :description=>"Advanced Billing Concepts (ABC) code",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "704"=>
      {:code=>"704",
       :description=>"Claim Note Text",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "705"=>
      {:code=>"705",
       :description=>"Repriced Allowed Amount",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "706"=>
      {:code=>"706",
       :description=>"Repriced Approved Amount",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "707"=>
      {:code=>"707",
       :description=>"Repriced Approved Ambulatory Patient Group Amount",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "708"=>
      {:code=>"708",
       :description=>"Repriced Approved Revenue Code",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "709"=>
      {:code=>"709",
       :description=>"Repriced Approved Service Unit Count",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "710"=>
      {:code=>"710",
       :description=>
      "Line Adjudication Information. Note: At least one other status code is required to identify the data element in error.",
        :effective_date=>"01/24/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "711"=>
      {:code=>"711",
       :description=>"Stretcher purpose",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "712"=>
      {:code=>"712",
       :description=>"Obstetric Additional Units",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "713"=>
      {:code=>"713",
       :description=>"Patient Condition Description",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "714"=>
      {:code=>"714",
       :description=>"Care Plan Oversight Number",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "715"=>
      {:code=>"715",
       :description=>"Acute Manifestation Date",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "716"=>
      {:code=>"716",
       :description=>"Repriced Approved DRG Code",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "717"=>
      {:code=>"717",
       :description=>"This claim has been split for processing.",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "718"=>
      {:code=>"718",
       :description=>
      "Claim/service not submitted within the required timeframe (timely filing).",
        :effective_date=>"01/24/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "719"=>
      {:code=>"719",
       :description=>"NUBC Occurrence Code(s)",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "720"=>
      {:code=>"720",
       :description=>"NUBC Occurrence Code Date(s)",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "721"=>
      {:code=>"721",
       :description=>"NUBC Occurrence Span Code(s)",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "722"=>
      {:code=>"722",
       :description=>"NUBC Occurrence Span Code Date(s)",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "723"=>
      {:code=>"723",
       :description=>"Drug days supply",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "724"=>
      {:code=>"724",
       :description=>"Drug dosage",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "725"=>
      {:code=>"725",
       :description=>"NUBC Value Code(s)",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "726"=>
      {:code=>"726",
       :description=>"NUBC Value Code Amount(s)",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "727"=>
      {:code=>"727",
       :description=>"Accident date",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "728"=>
      {:code=>"728",
       :description=>"Accident state",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "729"=>
      {:code=>"729",
       :description=>"Accident description",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "730"=>
      {:code=>"730",
       :description=>"Accident cause",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "731"=>
      {:code=>"731",
       :description=>"Measurement value/test result",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "732"=>
      {:code=>"732",
       :description=>
      "Information submitted inconsistent with billing guidelines. Note: At least one other status code is required to identify the inconsistent information.",
        :effective_date=>"01/24/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "733"=>
      {:code=>"733",
       :description=>"Prefix for entity's contract/member number.",
       :effective_date=>"01/24/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "734"=>
      {:code=>"734",
       :description=>"Verifying premium payment",
       :effective_date=>"06/06/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "735"=>
      {:code=>"735",
       :description=>
      "This service/claim is included in the allowance for another service or claim.",
        :effective_date=>"06/06/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "736"=>
      {:code=>"736",
       :description=>
      "A related or qualifying service/claim has not been received/adjudicated.",
        :effective_date=>"06/06/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "737"=>
      {:code=>"737",
       :description=>"Current Dental Terminology (CDT) Code",
       :effective_date=>"06/06/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "738"=>
      {:code=>"738",
       :description=>"Home Infusion EDI Coalition (HEIC) Product/Service Code",
       :effective_date=>"06/06/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "739"=>
      {:code=>"739",
       :description=>"Jurisdiction Specific Procedure or Supply Code",
       :effective_date=>"06/06/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "740"=>
      {:code=>"740",
       :description=>"Drop-Off Location",
       :effective_date=>"06/06/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "741"=>
      {:code=>"741",
       :description=>
      "Entity must be a person. Note: This code requires use of an Entity Code.",
        :effective_date=>"06/06/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "742"=>
      {:code=>"742",
       :description=>"Payer Responsibility Sequence Number Code",
       :effective_date=>"06/06/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "743"=>
      {:code=>"743",
       :description=>
      "Entity's credential/enrollment information. Note: This code requires use of an Entity Code.",
        :effective_date=>"10/17/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "744"=>
      {:code=>"744",
       :description=>
      "Services/charges related to the treatment of a hospital-acquired condition or preventable medical error.",
        :effective_date=>"10/17/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "745"=>
      {:code=>"745",
       :description=>
      "Identifier Qualifier Note: At least one other status code is required to identify the specific identifier qualifier in error.",
        :effective_date=>"10/17/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "746"=>
      {:code=>"746",
       :description=>
      "Duplicate Submission Note: use only at the information receiver level in the Health Care Claim Acknowledgement transaction.",
        :effective_date=>"10/17/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "747"=>
      {:code=>"747",
       :description=>"Hospice Employee Indicator",
       :effective_date=>"10/17/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "748"=>
      {:code=>"748",
       :description=>
      "Corrected Data Note: Requires a second status code to identify the corrected data.",
        :effective_date=>"10/17/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "749"=>
      {:code=>"749",
       :description=>"Date of Injury/Illness",
       :effective_date=>"10/17/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "750"=>
      {:code=>"750",
       :description=>"Auto Accident State or Province Code",
       :effective_date=>"10/17/2010",
       :deactivation_date=>"",
       :last_modified_date=>"01/30/2011",
       :notes=>""},
       "751"=>
      {:code=>"751",
       :description=>"Ambulance Pick-up State or Province Code",
       :effective_date=>"10/17/2010",
       :deactivation_date=>"",
       :last_modified_date=>"01/30/2011",
       :notes=>""},
       "752"=>
      {:code=>"752",
       :description=>"Ambulance Drop-off State or Province Code",
       :effective_date=>"10/17/2010",
       :deactivation_date=>"",
       :last_modified_date=>"01/30/2011",
       :notes=>""},
       "753"=>
      {:code=>"753",
       :description=>"Co-pay status code.",
       :effective_date=>"01/30/2011",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "754"=>
      {:code=>"754",
       :description=>
      "Entity Name Suffix. Note: This code requires the use of an Entity Code.",
        :effective_date=>"01/30/2011",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "755"=>
      {:code=>"755",
       :description=>
      "Entity's primary identifier. Note: This code requires the use of an Entity Code.",
        :effective_date=>"01/30/2011",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "756"=>
      {:code=>"756",
       :description=>
      "Entity's Received Date. Note: This code requires the use of an Entity Code.",
        :effective_date=>"01/30/2011",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "757"=>
      {:code=>"757",
       :description=>"Last seen date.",
       :effective_date=>"01/30/2011",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "758"=>
      {:code=>"758",
       :description=>"Repriced approved HCPCS code.",
       :effective_date=>"01/30/2011",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "759"=>
      {:code=>"759",
       :description=>"Round trip purpose description.",
       :effective_date=>"01/30/2011",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "760"=>
      {:code=>"760",
       :description=>"Tooth status code.",
       :effective_date=>"01/30/2011",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "761"=>
      {:code=>"761",
       :description=>
      "Entity's referral number. Note: This code requires the use of an Entity Code.",
        :effective_date=>"01/30/2011",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""}}

  end
end
