module Hippo_eyeDoc::CodeLists
  class RemittanceAdviceRemarkCodes
    def self.[](key)
      @@codes[key]
    end

    @@codes = {
      "M1"=>
      {:code=>"M1",
       :description=>
      "X-ray not taken within the past 12 months or near enough to the start of treatment.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M2"=>
      {:code=>"M2",
       :description=>"Not paid separately when the patient is an inpatient.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "M3"=>
      {:code=>"M3",
       :description=>
      "Equipment is the same or similar to equipment already being used.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M4"=>
      {:code=>"M4",
       :description=>
      "Alert: This is the last monthly installment payment for this durable medical equipment.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "M5"=>
      {:code=>"M5",
       :description=>
      "Monthly rental payments can continue until the earlier of the 15th month from the first rental month, or the month when the equipment is no longer needed.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M6"=>
      {:code=>"M6",
       :description=>
      "Alert: You must furnish and service this item for any period of medical need for the remainder of the reasonable useful lifetime of the equipment.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"03/01/2009",
        :notes=>"(Modified 4/1/07, 3/1/2009)"},
        "M7"=>
      {:code=>"M7",
       :description=>
      "No rental payments after the item is purchased, or after the total of issued rental payments equals the purchase price.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M8"=>
      {:code=>"M8",
       :description=>
      "We do not accept blood gas tests results when the test was conducted by a medical supplier or taken while the patient is on oxygen.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M9"=>
      {:code=>"M9",
       :description=>
      "Alert: This is the tenth rental month. You must offer the patient the choice of changing the rental to a purchase agreement.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "M10"=>
      {:code=>"M10",
       :description=>
      "Equipment purchases are limited to the first or the tenth month of medical necessity.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M11"=>
      {:code=>"M11",
       :description=>
      "DME, orthotics and prosthetics must be billed to the DME carrier who services the patient's zip code.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M12"=>
      {:code=>"M12",
       :description=>
      "Diagnostic tests performed by a physician must indicate whether purchased services are included on the claim.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M13"=>
      {:code=>"M13",
       :description=>
      "Only one initial visit is covered per specialty per medical group.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"06/30/2007",
        :notes=>"(Modified 6/30/03)"},
        "M14"=>
      {:code=>"M14",
       :description=>
      "No separate payment for an injection administered during an office visit, and no payment for a full office visit if the patient only received an injection.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M15"=>
      {:code=>"M15",
       :description=>
      "Separately billed services/tests have been bundled as they are considered components of the same procedure. Separate payment is not allowed.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M16"=>
      {:code=>"M16",
       :description=>
      "Alert: Please see our web site, mailings, or bulletins for more details concerning this policy/procedure/decision.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Reactivated 4/1/04, Modified 11/18/05, 4/1/07)"},
        "M17"=>
      {:code=>"M17",
       :description=>
      "Alert: Payment approved as you did not know, and could not reasonably have been expected to know, that this would not normally have been covered for this patient. In the future, you will be liable for charges for the same service(s) under the same or similar conditions.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "M18"=>
      {:code=>"M18",
       :description=>
      "Certain services may be approved for home use. Neither a hospital nor a Skilled Nursing Facility (SNF) is considered to be a patient's home.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"06/30/2003",
        :notes=>"(Modified 6/30/03)"},
        "M19"=>
      {:code=>"M19",
       :description=>"Missing oxygen certification/re-certification.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03) Related to N234"},
       "M20"=>
      {:code=>"M20",
       :description=>"Missing/incomplete/invalid HCPCS.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "M21"=>
      {:code=>"M21",
       :description=>
      "Missing/incomplete/invalid place of residence for this service/item provided in a home.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "M22"=>
      {:code=>"M22",
       :description=>"Missing/incomplete/invalid number of miles traveled.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "M23"=>
      {:code=>"M23",
       :description=>"Missing invoice.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"08/01/2005",
       :notes=>"(Modified 8/1/05)"},
       "M24"=>
      {:code=>"M24",
       :description=>"Missing/incomplete/invalid number of doses per vial.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "M25"=>
      {:code=>"M25",
       :description=>
      "The information furnished does not substantiate the need for this level of service. If you believe the service should have been fully covered as billed, or if you did not know and could not reasonably have been expected to know that we would not pay for this level of service, or if you notified the patient in writing in advance that we would not pay for this level of service and he/she agreed in writing to pay, ask us to review your claim within 120 days of the date of this notice. If you do not request an appeal, we will, upon application from the patient, reimburse him/her for the amount you have collected from him/her in excess of any deductible and coinsurance amounts. We will recover the reimbursement from you as an overpayment.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"11/01/2010",
        :notes=>"(Modified 10/1/02, 6/30/03, 8/1/05, 11/5/07, 11/1/10)"},
        "M26"=>
      {:code=>"M26",
       :description=>
      "The information furnished does not substantiate the need for this level of service. If you have collected any amount from the patient for this level of service /any amount that exceeds the limiting charge for the less extensive service, the law requires you to refund that amount to the patient within 30 days of receiving this notice. <br /><br />The requirements for refund are in 1824(I) of the Social Security Act and 42CFR411.408. The section specifies that physicians who knowingly and willfully fail to make appropriate refunds may be subject to civil monetary penalties and/or exclusion from the program. If you have any questions about this notice, please contact this office.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"11/05/2007",
        :notes=>
      "(Modified 10/1/02, 6/30/03, 8/1/05, 11/5/07. Also refer to N356)"},
        "M27"=>
      {:code=>"M27",
       :description=>
      "Alert: The patient has been relieved of liability of payment of these items and services under the limitation of liability provision of the law. The provider is ultimately liable for the patient's waived charges, including any charges for coinsurance, since the items or services were not reasonable and necessary or constituted custodial care, and you knew or could reasonably have been expected to know, that they were not covered. You may appeal this determination. You may ask for an appeal regarding both the coverage determination and the issue of whether you exercised due care. The appeal request must be filed within 120 days of the date you receive this notice. You must make the request through this office.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"08/01/2007",
        :notes=>"(Modified 10/1/02, 8/1/05, 4/1/07, 8/1/07)"},
        "M28"=>
      {:code=>"M28",
       :description=>
      "This does not qualify for payment under Part B when Part A coverage is exhausted or not otherwise available.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M29"=>
      {:code=>"M29",
       :description=>"Missing operative note/report.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"07/01/2008",
       :notes=>"(Modified 2/28/03, 7/1/2008) Related to N233"},
       "M30"=>
      {:code=>"M30",
       :description=>"Missing pathology report.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"08/01/2004",
       :notes=>"(Modified 8/1/04, 2/28/03) Related to N236"},
       "M31"=>
      {:code=>"M31",
       :description=>"Missing radiology report.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"08/01/2004",
       :notes=>"(Modified 8/1/04, 2/28/03) Related to N240"},
       "M32"=>
      {:code=>"M32",
       :description=>
      "Alert: This is a conditional payment made pending a decision on this service by the patient's primary payer. This payment may be subject to refund upon your receipt of any additional payment for this service from another payer. You must contact this office immediately upon receipt of an additional payment for this service.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "M33"=>
      {:code=>"M33",
       :description=>
      "Missing/incomplete/invalid UPIN for the ordering/referring/performing provider.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"08/01/2004",
        :last_modified_date=>"",
        :notes=>"Consider using M68"},
        "M34"=>
      {:code=>"M34",
       :description=>"Claim lacks the CLIA certification number.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"08/01/2004",
       :last_modified_date=>"",
       :notes=>"Consider using MA120"},
       "M35"=>
      {:code=>"M35",
       :description=>
      "Missing/incomplete/invalid pre-operative photos or visual field results.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"02/05/2005",
        :last_modified_date=>"",
        :notes=>"Consider using N178"},
        "M36"=>
      {:code=>"M36",
       :description=>
      "This is the 11th rental month. We cannot pay for this until you indicate that the patient has been given the option of changing the rental to a purchase.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M37"=>
      {:code=>"M37",
       :description=>"Not covered when the patient is under age 35.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"03/08/2011",
       :notes=>"(Modified 3/8/11)"},
       "M38"=>
      {:code=>"M38",
       :description=>
      "The patient is liable for the charges for this service as you informed the patient in writing before the service was furnished that we would not pay for it, and the patient agreed to pay.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M39"=>
      {:code=>"M39",
       :description=>
      "The patient is not liable for payment for this service as the advance notice of non-coverage you provided the patient did not comply with program requirements.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"11/01/2009",
        :notes=>"(Modified 2/1/04, 4/1/07, 11/1/09)"},
        "M40"=>
      {:code=>"M40",
       :description=>
      "Claim must be assigned and must be filed by the practitioner's employer.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M41"=>
      {:code=>"M41",
       :description=>
      "We do not pay for this as the patient has no legal obligation to pay for this.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M42"=>
      {:code=>"M42",
       :description=>
      "The medical necessity form must be personally signed by the attending physician.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M43"=>
      {:code=>"M43",
       :description=>
      "Payment for this service previously issued to you or another provider by another carrier/intermediary.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"01/31/2004",
        :last_modified_date=>"",
        :notes=>"Consider using Reason Code 23"},
        "M44"=>
      {:code=>"M44",
       :description=>"Missing/incomplete/invalid condition code.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "M45"=>
      {:code=>"M45",
       :description=>"Missing/incomplete/invalid occurrence code(s).",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"12/02/2004",
       :notes=>"(Modified 12/2/04) Related to N299"},
       "M46"=>
      {:code=>"M46",
       :description=>"Missing/incomplete/invalid occurrence span code(s).",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"12/02/2004",
       :notes=>"(Modified 12/2/04) Related to N300"},
       "M47"=>
      {:code=>"M47",
       :description=>
      "Missing/incomplete/invalid internal or document control number.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "M48"=>
      {:code=>"M48",
       :description=>
      "Payment for services furnished to hospital inpatients (other than professional services of physicians) can only be made to the hospital. You must request payment from the hospital rather than the patient for this service.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"01/31/2004",
        :last_modified_date=>"",
        :notes=>"Consider using M97"},
        "M49"=>
      {:code=>"M49",
       :description=>"Missing/incomplete/invalid value code(s) or amount(s).",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "M50"=>
      {:code=>"M50",
       :description=>"Missing/incomplete/invalid revenue code(s).",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "M51"=>
      {:code=>"M51",
       :description=>"Missing/incomplete/invalid procedure code(s).",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"12/02/2004",
       :notes=>"(Modified 12/2/04) Related to N301"},
       "M52"=>
      {:code=>"M52",
       :description=>"Missing/incomplete/invalid from date(s) of service.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "M53"=>
      {:code=>"M53",
       :description=>"Missing/incomplete/invalid days or units of service.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "M54"=>
      {:code=>"M54",
       :description=>"Missing/incomplete/invalid total charges.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "M55"=>
      {:code=>"M55",
       :description=>
      "We do not pay for self-administered anti-emetic drugs that are not administered with a covered oral anti-cancer drug.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M56"=>
      {:code=>"M56",
       :description=>"Missing/incomplete/invalid payer identifier.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "M57"=>
      {:code=>"M57",
       :description=>"Missing/incomplete/invalid provider identifier.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"06/02/2005",
       :last_modified_date=>"",
       :notes=>""},
       "M58"=>
      {:code=>"M58",
       :description=>
      "Missing/incomplete/invalid claim information. Resubmit claim after corrections.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"02/05/2005",
        :last_modified_date=>"",
        :notes=>""},
        "M59"=>
      {:code=>"M59",
       :description=>"Missing/incomplete/invalid to date(s) of service.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "M60"=>
      {:code=>"M60",
       :description=>"Missing Certificate of Medical Necessity.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"08/01/2004",
       :notes=>"(Modified 8/1/04, 6/30/03) Related to N227"},
       "M61"=>
      {:code=>"M61",
       :description=>
      "We cannot pay for this as the approval period for the FDA clinical trial has expired.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M62"=>
      {:code=>"M62",
       :description=>"Missing/incomplete/invalid treatment authorization code.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "M63"=>
      {:code=>"M63",
       :description=>"We do not pay for more than one of these on the same day.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"01/31/2004",
       :last_modified_date=>"",
       :notes=>"Consider using M86"},
       "M64"=>
      {:code=>"M64",
       :description=>"Missing/incomplete/invalid other diagnosis.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "M65"=>
      {:code=>"M65",
       :description=>
      "One interpreting physician charge can be submitted per claim when a purchased diagnostic test is indicated. Please submit a separate claim for each interpreting physician.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M66"=>
      {:code=>"M66",
       :description=>
      "Our records indicate that you billed diagnostic tests subject to price limitations and the procedure code submitted includes a professional component. Only the technical component is subject to price limitations. Please submit the technical and professional components of this service as separate line items.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M67"=>
      {:code=>"M67",
       :description=>"Missing/incomplete/invalid other procedure code(s).",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"12/02/2004",
       :notes=>"(Modified 12/2/04) Related to N302"},
       "M68"=>
      {:code=>"M68",
       :description=>
      "Missing/incomplete/invalid attending, ordering, rendering, supervising or referring physician identification.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"06/02/2005",
        :last_modified_date=>"",
        :notes=>""},
        "M69"=>
      {:code=>"M69",
       :description=>
      "Paid at the regular rate as you did not submit documentation to justify the modified procedure code.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/01/2004",
        :notes=>"(Modified 2/1/04)"},
        "M70"=>
      {:code=>"M70",
       :description=>
      "Alert: The NDC code submitted for this service was translated to a HCPCS code for processing, but please continue to submit the NDC on future claims for this item.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"08/01/2007",
        :notes=>"(Modified 4/1/2007, 8/1/07)"},
        "M71"=>
      {:code=>"M71",
       :description=>"Total payment reduced due to overlap of tests billed.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "M72"=>
      {:code=>"M72",
       :description=>"Did not enter full 8-digit date (MM/DD/CCYY).",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"10/16/2003",
       :last_modified_date=>"",
       :notes=>"Consider using MA52"},
       "M73"=>
      {:code=>"M73",
       :description=>
      "The HPSA/Physician Scarcity bonus can only be paid on the professional component of this service. Rebill as separate professional and technical components. ",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"08/01/2004",
        :notes=>"(Modified 8/1/04)"},
        "M74"=>
      {:code=>"M74",
       :description=>
      "This service does not qualify for a HPSA/Physician Scarcity bonus payment.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"12/02/2004",
        :notes=>"(Modified 12/2/04)"},
        "M75"=>
      {:code=>"M75",
       :description=>
      "Multiple automated multichannel tests performed on the same day combined for payment.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"11/05/2007",
        :notes=>"(Modified 11/5/07)"},
        "M76"=>
      {:code=>"M76",
       :description=>"Missing/incomplete/invalid diagnosis or condition.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "M77"=>
      {:code=>"M77",
       :description=>"Missing/incomplete/invalid place of service.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "M78"=>
      {:code=>"M78",
       :description=>"Missing/incomplete/invalid HCPCS modifier.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"05/18/2006",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03,) Consider using Reason Code 4"},
       "M79"=>
      {:code=>"M79",
       :description=>"Missing/incomplete/invalid charge.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "M80"=>
      {:code=>"M80",
       :description=>
      "Not covered when performed during the same session/date as a previously processed service for the patient.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"10/31/2002",
        :notes=>"(Modified 10/31/02)"},
        "M81"=>
      {:code=>"M81",
       :description=>
      "You are required to code to the highest level of specificity.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/01/2004",
        :notes=>"(Modified 2/1/04)"},
        "M82"=>
      {:code=>"M82",
       :description=>"Service is not covered when patient is under age 50.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "M83"=>
      {:code=>"M83",
       :description=>
      "Service is not covered unless the patient is classified as at high risk.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M84"=>
      {:code=>"M84",
       :description=>
      "Medical code sets used must be the codes in effect at the time of service",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/01/2004",
        :notes=>"(Modified 2/1/04)"},
        "M85"=>
      {:code=>"M85",
       :description=>
      "Subjected to review of physician evaluation and management services.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M86"=>
      {:code=>"M86",
       :description=>
      "Service denied because payment already made for same/similar procedure within set time frame.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"06/30/2003",
        :notes=>"(Modified 6/30/03)"},
        "M87"=>
      {:code=>"M87",
       :description=>"Claim/service(s) subjected to CFO-CAP prepayment review.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "M88"=>
      {:code=>"M88",
       :description=>
      "We cannot pay for laboratory tests unless billed by the laboratory that did the work.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"08/01/2004",
        :last_modified_date=>"",
        :notes=>"Consider using Reason Code B20"},
        "M89"=>
      {:code=>"M89",
       :description=>"Not covered more than once under age 40.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "M90"=>
      {:code=>"M90",
       :description=>"Not covered more than once in a 12 month period.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "M91"=>
      {:code=>"M91",
       :description=>
      "Lab procedures with different CLIA certification numbers must be billed on separate claims.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M92"=>
      {:code=>"M92",
       :description=>
      "Services subjected to review under the Home Health Medical Review Initiative.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"08/01/2004",
        :last_modified_date=>"",
        :notes=>""},
        "M93"=>
      {:code=>"M93",
       :description=>
      "Information supplied supports a break in therapy. A new capped rental period began with delivery of this equipment.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M94"=>
      {:code=>"M94",
       :description=>
      "Information supplied does not support a break in therapy. A new capped rental period will not begin.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M95"=>
      {:code=>"M95",
       :description=>
      "Services subjected to Home Health Initiative medical review/cost report audit.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M96"=>
      {:code=>"M96",
       :description=>
      "The technical component of a service furnished to an inpatient may only be billed by that inpatient facility. You must contact the inpatient facility for technical component reimbursement. If not already billed, you should bill us for the professional component only.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M97"=>
      {:code=>"M97",
       :description=>
      "Not paid to practitioner when provided to patient in this place of service. Payment included in the reimbursement issued the facility.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M98"=>
      {:code=>"M98",
       :description=>
      "Begin to report the Universal Product Number on claims for items of this type. We will soon begin to deny payment for items of this type if billed without the correct UPN.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"01/31/2004",
        :last_modified_date=>"",
        :notes=>"Consider using M99"},
        "M99"=>
      {:code=>"M99",
       :description=>
      "Missing/incomplete/invalid Universal Product Number/Serial Number.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "M100"=>
      {:code=>"M100",
       :description=>
      "We do not pay for an oral anti-emetic drug that is not administered for use immediately before, at, or within 48 hours of administration of a covered chemotherapy drug.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M101"=>
      {:code=>"M101",
       :description=>
      "Begin to report a G1-G5 modifier with this HCPCS. We will soon begin to deny payment for this service if billed without a G1-G5 modifier.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"01/31/2004",
        :last_modified_date=>"",
        :notes=>"Consider using M78"},
        "M102"=>
      {:code=>"M102",
       :description=>
      "Service not performed on equipment approved by the FDA for this purpose.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M103"=>
      {:code=>"M103",
       :description=>
      "Information supplied supports a break in therapy. However, the medical information we have for this patient does not support the need for this item as billed. We have approved payment for this item at a reduced level, and a new capped rental period will begin with the delivery of this equipment.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M104"=>
      {:code=>"M104",
       :description=>
      "Information supplied supports a break in therapy. A new capped rental period will begin with delivery of the equipment. This is the maximum approved under the fee schedule for this item or service.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M105"=>
      {:code=>"M105",
       :description=>
      "Information supplied does not support a break in therapy. The medical information we have for this patient does not support the need for this item as billed. We have approved payment for this item at a reduced level, and a new capped rental period will not begin.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M106"=>
      {:code=>"M106",
       :description=>
      "Information supplied does not support a break in therapy. A new capped rental period will not begin. This is the maximum approved under the fee schedule for this item or service.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"01/31/2004",
        :last_modified_date=>"",
        :notes=>"Consider using MA 31"},
        "M107"=>
      {:code=>"M107",
       :description=>
      "Payment reduced as 90-day rolling average hematocrit for ESRD patient exceeded 36.5%.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M108"=>
      {:code=>"M108",
       :description=>
      "Missing/incomplete/invalid provider identifier for the provider who interpreted the diagnostic test.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"06/02/2005",
        :last_modified_date=>"",
        :notes=>""},
        "M109"=>
      {:code=>"M109",
       :description=>
      "We have provided you with a bundled payment for a teleconsultation. You must send 25 percent of the teleconsultation payment to the referring practitioner. ",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M110"=>
      {:code=>"M110",
       :description=>
      "Missing/incomplete/invalid provider identifier for the provider from whom you purchased interpretation services.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"06/02/2005",
        :last_modified_date=>"",
        :notes=>""},
        "M111"=>
      {:code=>"M111",
       :description=>
      "We do not pay for chiropractic manipulative treatment when the patient refuses to have an x-ray taken.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M112"=>
      {:code=>"M112",
       :description=>
      "Reimbursement for this item is based on the single payment amount required under the DMEPOS Competitive Bidding Program for the area where the patient resides.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"11/05/2007",
        :notes=>"(Modified 11/5/07)"},
        "M113"=>
      {:code=>"M113",
       :description=>
      "Our records indicate that this patient began using this item/service prior to the current contract period for the DMEPOS Competitive Bidding Program.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"11/05/2007",
        :notes=>"(Modified 11/5/07)"},
        "M114"=>
      {:code=>"M114",
       :description=>
      "This service was processed in accordance with rules and guidelines under the DMEPOS Competitive Bidding Program or a Demonstration Project. For more information regarding these projects, contact your local contractor.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"11/05/2007",
        :notes=>"(Modified 8/1/06, 11/5/07)"},
        "M115"=>
      {:code=>"M115",
       :description=>
      "This item is denied when provided to this patient by a non-contract or non-demonstration supplier.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"11/05/2007",
        :notes=>"(Modified 11/5/2007)"},
        "M116"=>
      {:code=>"M116",
       :description=>
      "Processed under a demonstration project or program. Project or program is ending and additional services may not be paid under this project or program.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"03/08/2011",
        :notes=>"(Modified 2/1/04, 3/15/11)"},
        "M117"=>
      {:code=>"M117",
       :description=>"Not covered unless submitted via electronic claim.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"06/30/2003",
       :notes=>"(Modified 6/30/03)"},
       "M118"=>
      {:code=>"M118",
       :description=>"Letter to follow containing further information.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"01/01/2011",
       :last_modified_date=>"11/01/2009",
       :notes=>"Consider using N202"},
       "M119"=>
      {:code=>"M119",
       :description=>
      "Missing/incomplete/invalid/ deactivated/withdrawn National Drug Code (NDC).",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 2/28/03, 4/1/04)"},
        "M120"=>
      {:code=>"M120",
       :description=>
      "Missing/incomplete/invalid provider identifier for the substituting physician who furnished the service(s) under a reciprocal billing or locum tenens arrangement.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"06/02/2005",
        :last_modified_date=>"",
        :notes=>""},
        "M121"=>
      {:code=>"M121",
       :description=>
      "We pay for this service only when performed with a covered cryosurgical ablation.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M122"=>
      {:code=>"M122",
       :description=>"Missing/incomplete/invalid level of subluxation.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2006",
       :notes=>"(Modified 2/28/03)"},
       "M123"=>
      {:code=>"M123",
       :description=>
      "Missing/incomplete/invalid name, strength, or dosage of the drug furnished.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "M124"=>
      {:code=>"M124",
       :description=>
      "Missing indication of whether the patient owns the equipment that requires the part or supply.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03) Related to N230"},
        "M125"=>
      {:code=>"M125",
       :description=>
      "Missing/incomplete/invalid information on the period of time for which the service/supply/equipment will be needed.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "M126"=>
      {:code=>"M126",
       :description=>
      "Missing/incomplete/invalid individual lab codes included in the test.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "M127"=>
      {:code=>"M127",
       :description=>"Missing patient medical record for this service.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03) Related to N237"},
       "M128"=>
      {:code=>"M128",
       :description=>
      "Missing/incomplete/invalid date of the patient's last physician visit.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"06/02/2005",
        :last_modified_date=>"",
        :notes=>""},
        "M129"=>
      {:code=>"M129",
       :description=>
      "Missing/incomplete/invalid indicator of x-ray availability for review.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"06/30/2003",
        :notes=>"(Modified 2/28/03, 6/30/03)"},
        "M130"=>
      {:code=>"M130",
       :description=>
      "Missing invoice or statement certifying the actual cost of the lens, less discounts, and/or the type of intraocular lens used.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03) Related to N231"},
        "M131"=>
      {:code=>"M131",
       :description=>"Missing physician financial relationship form.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03) Related to N239"},
       "M132"=>
      {:code=>"M132",
       :description=>"Missing pacemaker registration form.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03) Related to N235"},
       "M133"=>
      {:code=>"M133",
       :description=>
      "Claim did not identify who performed the purchased diagnostic test or the amount you were charged for the test.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M134"=>
      {:code=>"M134",
       :description=>
      "Performed by a facility/supplier in which the provider has a financial interest.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"06/30/2003",
        :notes=>"(Modified 6/30/03)"},
        "M135"=>
      {:code=>"M135",
       :description=>"Missing/incomplete/invalid plan of treatment.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "M136"=>
      {:code=>"M136",
       :description=>
      "Missing/incomplete/invalid indication that the service was supervised or evaluated by a physician.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "M137"=>
      {:code=>"M137",
       :description=>"Part B coinsurance under a demonstration project.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "M138"=>
      {:code=>"M138",
       :description=>
      "Patient identified as a demonstration participant but the patient was not enrolled in the demonstration at the time services were rendered. Coverage is limited to demonstration participants.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M139"=>
      {:code=>"M139",
       :description=>
      "Denied services exceed the coverage limit for the demonstration.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "M140"=>
      {:code=>"M140",
       :description=>
      "Service not covered until after the patient's 50th birthday, i.e., no coverage prior to the day after the 50th birthday",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"01/30/2004",
        :last_modified_date=>"",
        :notes=>"Consider using M82"},
        "M141"=>
      {:code=>"M141",
       :description=>"Missing physician certified plan of care.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03) Related to N238"},
       "M142"=>
      {:code=>"M142",
       :description=>
      "Missing American Diabetes Association Certificate of Recognition.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03) Related to N226"},
        "M143"=>
      {:code=>"M143",
       :description=>
      "The provider must update license information with the payer.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"12/01/2006",
        :notes=>"(Modified 12/1/06)"},
        "M144"=>
      {:code=>"M144",
       :description=>
      "Pre-/post-operative care payment is included in the allowance for the surgery/procedure.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA01"=>
      {:code=>"MA01",
       :description=>
      "Alert: If you do not agree with what we approved for these services, you may appeal our decision. To make sure that we are fair to you, we require another individual that did not process your initial claim to conduct the appeal. However, in order to be eligible for an appeal, you must write to us within 120 days of the date you received this notice, unless you have a good reason for being late.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 10/31/02, 6/30/03, 8/1/05, 4/1/07)"},
        "MA02"=>
      {:code=>"MA02",
       :description=>
      "Alert: If you do not agree with this determination, you have the right to appeal. You must file a written request for an appeal within 180 days of the date you receive this notice.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 10/31/02, 6/30/03, 8/1/05, 12/29/05, 8/1/06, 4/1/07)"},
        "MA03"=>
      {:code=>"MA03",
       :description=>
      "If you do not agree with the approved amounts and $100 or more is in dispute (less deductible and coinsurance), you may ask for a hearing within six months of the date of this notice. To meet the $100, you may combine amounts on other claims that have been denied, including reopened appeals if you received a revised decision. You must appeal each claim on time.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"10/01/2006",
        :last_modified_date=>"11/18/2005",
        :notes=>
      "Consider using MA02 (Modified 10/31/02, 6/30/03, 8/1/05, 11/18/05)"},
        "MA04"=>
      {:code=>"MA04",
       :description=>
      "Secondary payment cannot be considered without the identity of or payment information from the primary payer. The information was either not reported or was illegible.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA05"=>
      {:code=>"MA05",
       :description=>
      "Incorrect admission date patient status or type of bill entry on claim. ",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"10/16/2003",
        :last_modified_date=>"",
        :notes=>"Consider using MA30, MA40 or MA43"},
        "MA06"=>
      {:code=>"MA06",
       :description=>
      "Missing/incomplete/invalid beginning and/or ending date(s).",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"08/01/2004",
        :last_modified_date=>"",
        :notes=>"Consider using MA31"},
        "MA07"=>
      {:code=>"MA07",
       :description=>
      "Alert: The claim information has also been forwarded to Medicaid for review.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "MA08"=>
      {:code=>"MA08",
       :description=>
      "Alert: Claim information was not forwarded because the supplemental coverage is not with a Medigap plan, or you do not participate in Medicare.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "MA09"=>
      {:code=>"MA09",
       :description=>
      "Claim submitted as unassigned but processed as assigned. You agreed to accept assignment for all claims.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA10"=>
      {:code=>"MA10",
       :description=>
      "Alert: The patient's payment was in excess of the amount owed. You must refund the overpayment to the patient.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "MA11"=>
      {:code=>"MA11",
       :description=>
      "Payment is being issued on a conditional basis. If no-fault insurance, liability insurance, Workers' Compensation, Department of Veterans Affairs, or a group health plan for employees and dependents also covers this claim, a refund may be due us. Please contact us if the patient is covered by any of these sources.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"01/31/2004",
        :last_modified_date=>"",
        :notes=>"Consider using M32"},
        "MA12"=>
      {:code=>"MA12",
       :description=>
      "You have not established that you have the right under the law to bill for services furnished by the person(s) that furnished this (these) service(s).",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA13"=>
      {:code=>"MA13",
       :description=>
      "Alert: You may be subject to penalties if you bill the patient for amounts not reported with the PR (patient responsibility) group code.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "MA14"=>
      {:code=>"MA14",
       :description=>
      "Alert: The patient is a member of an employer-sponsored prepaid health plan. Services from outside that health plan are not covered. However, as you were not previously notified of this, we are paying this time. In the future, we will not pay you for non-plan services.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"08/01/2007",
        :notes=>"(Modified 4/1/07, 8/1/07)"},
        "MA15"=>
      {:code=>"MA15",
       :description=>
      "Alert: Your claim has been separated to expedite handling. You will receive a separate notice for the other services reported.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "MA16"=>
      {:code=>"MA16",
       :description=>
      "The patient is covered by the Black Lung Program. Send this claim to the Department of Labor, Federal Black Lung Program, P.O. Box 828, Lanham-Seabrook MD 20703.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA17"=>
      {:code=>"MA17",
       :description=>
      "We are the primary payer and have paid at the primary rate. You must contact the patient's other insurer to refund any excess it may have paid due to its erroneous primary payment.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA18"=>
      {:code=>"MA18",
       :description=>
      "Alert: The claim information is also being forwarded to the patient's supplemental insurer. Send any questions regarding supplemental benefits to them.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "MA19"=>
      {:code=>"MA19",
       :description=>
      "Alert: Information was not sent to the Medigap insurer due to incorrect/invalid information you submitted concerning that insurer. Please verify your information and submit your secondary claim directly to that insurer.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "MA20"=>
      {:code=>"MA20",
       :description=>
      "Skilled Nursing Facility (SNF) stay not covered when care is primarily related to the use of an urethral catheter for convenience or the control of incontinence.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"06/30/2003",
        :notes=>"(Modified 6/30/03)"},
        "MA21"=>
      {:code=>"MA21",
       :description=>"SSA records indicate mismatch with name and sex.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "MA22"=>
      {:code=>"MA22",
       :description=>"Payment of less than $1.00 suppressed. ",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "MA23"=>
      {:code=>"MA23",
       :description=>"Demand bill approved as result of medical review.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "MA24"=>
      {:code=>"MA24",
       :description=>
      "Christian Science Sanitarium/ Skilled Nursing Facility (SNF) bill in the same benefit period. ",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"06/30/2003",
        :notes=>"(Modified 6/30/03)"},
        "MA25"=>
      {:code=>"MA25",
       :description=>
      "A patient may not elect to change a hospice provider more than once in a benefit period.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA26"=>
      {:code=>"MA26",
       :description=>
      "Alert: Our records indicate that you were previously informed of this rule.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "MA27"=>
      {:code=>"MA27",
       :description=>
      "Missing/incomplete/invalid entitlement number or name shown on the claim.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "MA28"=>
      {:code=>"MA28",
       :description=>
      "Alert: Receipt of this notice by a physician or supplier who did not accept assignment is for information only and does not make the physician or supplier a party to the determination. No additional rights to appeal this decision, above those rights already provided for by regulation/instruction, are conferred by receipt of this notice.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "MA29"=>
      {:code=>"MA29",
       :description=>
      "Missing/incomplete/invalid provider name, city, state, or zip code.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"06/02/2005",
        :last_modified_date=>"",
        :notes=>""},
        "MA30"=>
      {:code=>"MA30",
       :description=>"Missing/incomplete/invalid type of bill.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "MA31"=>
      {:code=>"MA31",
       :description=>
      "Missing/incomplete/invalid beginning and ending dates of the period billed.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "MA32"=>
      {:code=>"MA32",
       :description=>
      "Missing/incomplete/invalid number of covered days during the billing period.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "MA33"=>
      {:code=>"MA33",
       :description=>
      "Missing/incomplete/invalid noncovered days during the billing period.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "MA34"=>
      {:code=>"MA34",
       :description=>
      "Missing/incomplete/invalid number of coinsurance days during the billing period.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "MA35"=>
      {:code=>"MA35",
       :description=>
      "Missing/incomplete/invalid number of lifetime reserve days.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "MA36"=>
      {:code=>"MA36",
       :description=>"Missing/incomplete/invalid patient name.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "MA37"=>
      {:code=>"MA37",
       :description=>"Missing/incomplete/invalid patient's address.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "MA38"=>
      {:code=>"MA38",
       :description=>"Missing/incomplete/invalid birth date.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"06/02/2005",
       :last_modified_date=>"",
       :notes=>""},
       "MA39"=>
      {:code=>"MA39",
       :description=>"Missing/incomplete/invalid gender.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "MA40"=>
      {:code=>"MA40",
       :description=>"Missing/incomplete/invalid admission date.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "MA41"=>
      {:code=>"MA41",
       :description=>"Missing/incomplete/invalid admission type.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "MA42"=>
      {:code=>"MA42",
       :description=>"Missing/incomplete/invalid admission source.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "MA43"=>
      {:code=>"MA43",
       :description=>"Missing/incomplete/invalid patient status.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "MA44"=>
      {:code=>"MA44",
       :description=>
      "Alert: No appeal rights. Adjudicative decision based on law.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "MA45"=>
      {:code=>"MA45",
       :description=>
      "Alert: As previously advised, a portion or all of your payment is being held in a special account.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "MA46"=>
      {:code=>"MA46",
       :description=>
      "The new information was considered but additional payment will not be issued.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"03/01/2009",
        :notes=>"(Modified 3/1/2009)"},
        "MA47"=>
      {:code=>"MA47",
       :description=>
      "Our records show you have opted out of Medicare, agreeing with the patient not to bill Medicare for services/tests/supplies furnished. As result, we cannot pay this claim. The patient is responsible for payment.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA48"=>
      {:code=>"MA48",
       :description=>
      "Missing/incomplete/invalid name or address of responsible party or primary payer.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "MA49"=>
      {:code=>"MA49",
       :description=>
      "Missing/incomplete/invalid six-digit provider identifier for home health agency or hospice for physician(s) performing care plan oversight services.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"08/01/2004",
        :last_modified_date=>"",
        :notes=>"Consider using MA76"},
        "MA50"=>
      {:code=>"MA50",
       :description=>
      "Missing/incomplete/invalid Investigational Device Exemption number for FDA-approved clinical trial services.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "MA51"=>
      {:code=>"MA51",
       :description=>
      "Missing/incomplete/invalid CLIA certification number for laboratory services billed by physician office laboratory.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"02/05/2005",
        :last_modified_date=>"",
        :notes=>"Consider using MA120"},
        "MA52"=>
      {:code=>"MA52",
       :description=>"Missing/incomplete/invalid date.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"06/02/2005",
       :last_modified_date=>"",
       :notes=>""},
       "MA53"=>
      {:code=>"MA53",
       :description=>
      "Missing/incomplete/invalid Competitive Bidding Demonstration Project identification. ",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/01/2004",
        :notes=>"(Modified 2/1/04)"},
        "MA54"=>
      {:code=>"MA54",
       :description=>
      "Physician certification or election consent for hospice care not received timely.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA55"=>
      {:code=>"MA55",
       :description=>
      "Not covered as patient received medical health care services, automatically revoking his/her election to receive religious non-medical health care services.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA56"=>
      {:code=>"MA56",
       :description=>
      "Our records show you have opted out of Medicare, agreeing with the patient not to bill Medicare for services/tests/supplies furnished. As result, we cannot pay this claim. The patient is responsible for payment, but under Federal law, you cannot charge the patient more than the limiting charge amount.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA57"=>
      {:code=>"MA57",
       :description=>
      "Patient submitted written request to revoke his/her election for religious non-medical health care services.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA58"=>
      {:code=>"MA58",
       :description=>
      "Missing/incomplete/invalid release of information indicator.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "MA59"=>
      {:code=>"MA59",
       :description=>
      "Alert: The patient overpaid you for these services. You must issue the patient a refund within 30 days for the difference between his/her payment and the total amount shown as patient responsibility on this notice. ",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "MA60"=>
      {:code=>"MA60",
       :description=>
      "Missing/incomplete/invalid patient relationship to insured.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "MA61"=>
      {:code=>"MA61",
       :description=>
      "Missing/incomplete/invalid social security number or health insurance claim number.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "MA62"=>
      {:code=>"MA62",
       :description=>"Alert: This is a telephone review decision.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"08/01/2007",
       :notes=>"(Modified 4/1/07, 8/1/07)"},
       "MA63"=>
      {:code=>"MA63",
       :description=>"Missing/incomplete/invalid principal diagnosis.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "MA64"=>
      {:code=>"MA64",
       :description=>
      "Our records indicate that we should be the third payer for this claim. We cannot process this claim until we have received payment information from the primary and secondary payers.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA65"=>
      {:code=>"MA65",
       :description=>"Missing/incomplete/invalid admitting diagnosis.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "MA66"=>
      {:code=>"MA66",
       :description=>"Missing/incomplete/invalid principal procedure code.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"12/02/2004",
       :notes=>"(Modified 12/2/04) Related to N303"},
       "MA67"=>
      {:code=>"MA67",
       :description=>"Correction to a prior claim.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "MA68"=>
      {:code=>"MA68",
       :description=>
      "Alert: We did not crossover this claim because the secondary insurance information on the claim was incomplete. Please supply complete information or use the PLANID of the insurer to assure correct and timely routing of the claim.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "MA69"=>
      {:code=>"MA69",
       :description=>"Missing/incomplete/invalid remarks.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "MA70"=>
      {:code=>"MA70",
       :description=>
      "Missing/incomplete/invalid provider representative signature.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "MA71"=>
      {:code=>"MA71",
       :description=>
      "Missing/incomplete/invalid provider representative signature date.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "MA72"=>
      {:code=>"MA72",
       :description=>
      "Alert: The patient overpaid you for these assigned services. You must issue the patient a refund within 30 days for the difference between his/her payment to you and the total of the amount shown as patient responsibility and as paid to the patient on this notice.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "MA73"=>
      {:code=>"MA73",
       :description=>
      "Informational remittance associated with a Medicare demonstration. No payment issued under fee-for-service Medicare as patient has elected managed care.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA74"=>
      {:code=>"MA74",
       :description=>
      "This payment replaces an earlier payment for this claim that was either lost, damaged or returned.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA75"=>
      {:code=>"MA75",
       :description=>
      "Missing/incomplete/invalid patient or authorized representative signature.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "MA76"=>
      {:code=>"MA76",
       :description=>
      "Missing/incomplete/invalid provider identifier for home health agency or hospice when physician is performing care plan oversight services.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03, 2/1/04)"},
        "MA77"=>
      {:code=>"MA77",
       :description=>
      "Alert: The patient overpaid you. You must issue the patient a refund within 30 days for the difference between the patient's payment less the total of our and other payer payments and the amount shown as patient responsibility on this notice.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "MA78"=>
      {:code=>"MA78",
       :description=>
      "The patient overpaid you. You must issue the patient a refund within 30 days for the difference between our allowed amount total and the amount paid by the patient.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"01/31/2004",
        :last_modified_date=>"",
        :notes=>"Consider using MA59"},
        "MA79"=>
      {:code=>"MA79",
       :description=>"Billed in excess of interim rate.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "MA80"=>
      {:code=>"MA80",
       :description=>
      "Informational notice. No payment issued for this claim with this notice. Payment issued to the hospital by its intermediary for all services for this encounter under a demonstration project.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA81"=>
      {:code=>"MA81",
       :description=>"Missing/incomplete/invalid provider/supplier signature.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "MA82"=>
      {:code=>"MA82",
       :description=>
      "Missing/incomplete/invalid provider/supplier billing number/identifier or billing name, address, city, state, zip code, or phone number.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"06/02/2005",
        :last_modified_date=>"",
        :notes=>""},
        "MA83"=>
      {:code=>"MA83",
       :description=>
      "Did not indicate whether we are the primary or secondary payer.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"08/01/2005",
        :notes=>"(Modified 8/1/05)"},
        "MA84"=>
      {:code=>"MA84",
       :description=>
      "Patient identified as participating in the National Emphysema Treatment Trial but our records indicate that this patient is either not a participant, or has not yet been approved for this phase of the study. Contact Johns Hopkins University, the study coordinator, to resolve if there was a discrepancy.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA85"=>
      {:code=>"MA85",
       :description=>
      "Our records indicate that a primary payer exists (other than ourselves); however, you did not complete or enter accurately the insurance plan/group/program name or identification number. Enter the PlanID when effective.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"08/01/2004",
        :last_modified_date=>"",
        :notes=>"Consider using MA92"},
        "MA86"=>
      {:code=>"MA86",
       :description=>
      "Missing/incomplete/invalid group or policy number of the insured for the primary coverage.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"08/01/2004",
        :last_modified_date=>"",
        :notes=>"Consider using MA92"},
        "MA87"=>
      {:code=>"MA87",
       :description=>
      "Missing/incomplete/invalid insured's name for the primary payer.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"08/01/2004",
        :last_modified_date=>"",
        :notes=>"Consider using MA92"},
        "MA88"=>
      {:code=>"MA88",
       :description=>
      "Missing/incomplete/invalid insured's address and/or telephone number for the primary payer.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "MA89"=>
      {:code=>"MA89",
       :description=>
      "Missing/incomplete/invalid patient's relationship to the insured for the primary payer.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "MA90"=>
      {:code=>"MA90",
       :description=>
      "Missing/incomplete/invalid employment status code for the primary insured.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)."},
        "MA91"=>
      {:code=>"MA91",
       :description=>"This determination is the result of the appeal you filed.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "MA92"=>
      {:code=>"MA92",
       :description=>"Missing plan information for other insurance.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/01/2004",
       :notes=>"(Modified 2/1/04) Related to N245"},
       "MA93"=>
      {:code=>"MA93",
       :description=>"Non-PIP (Periodic Interim Payment) claim.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"06/30/2003",
       :notes=>"(Modified 6/30/03)"},
       "MA94"=>
      {:code=>"MA94",
       :description=>
      "Did not enter the statement `iAttending physician not hospice employee^i on the claim form to certify that the rendering physician is not an employee of the hospice.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"08/01/2005",
        :notes=>"(Reactivated 4/1/04, Modified 8/1/05)"},
        "MA95"=>
      {:code=>"MA95",
       :description=>
      "A not otherwise classified or unlisted procedure code(s) was billed but a narrative description of the procedure was not entered on the claim. Refer to item 19 on the HCFA-1500.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"01/01/2004",
        :last_modified_date=>"02/28/2003",
        :notes=>
      "(Deactivated 2/28/2003) (Erroneous description corrected 9/2/2008) Consider using M51"},
        "MA96"=>
      {:code=>"MA96",
       :description=>
      "Claim rejected. Coded as a Medicare Managed Care Demonstration but patient is not enrolled in a Medicare managed care plan.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA97"=>
      {:code=>"MA97",
       :description=>
      "Missing/incomplete/invalid Medicare Managed Care Demonstration contract number or clinical trial registry number.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/29/2008",
        :notes=>"(Modified 2/29/08)"},
        "MA98"=>
      {:code=>"MA98",
       :description=>
      "Claim Rejected. Does not contain the correct Medicare Managed Care Demonstration contract number for this beneficiary.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"10/16/2003",
        :last_modified_date=>"",
        :notes=>"Consider using MA97"},
        "MA99"=>
      {:code=>"MA99",
       :description=>"Missing/incomplete/invalid Medigap information.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "MA100"=>
      {:code=>"MA100",
       :description=>
      "Missing/incomplete/invalid date of current illness or symptoms",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"03/30/2005",
        :notes=>"(Modified 2/28/03, 3/30/05)"},
        "MA101"=>
      {:code=>"MA101",
       :description=>
      "A Skilled Nursing Facility (SNF) is responsible for payment of outside providers who furnish these services/supplies to residents.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"01/01/2011",
        :last_modified_date=>"06/30/2003",
        :notes=>"Consider using N538"},
        "MA102"=>
      {:code=>"MA102",
       :description=>
      "Missing/incomplete/invalid name or provider identifier for the rendering/referring/ ordering/ supervising provider.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"08/01/2004",
        :last_modified_date=>"",
        :notes=>"Consider using M68"},
        "MA103"=>
      {:code=>"MA103",
       :description=>"Hemophilia Add On.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "MA104"=>
      {:code=>"MA104",
       :description=>
      "Missing/incomplete/invalid date the patient was last seen or the provider identifier of the attending physician.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"01/31/2004",
        :last_modified_date=>"",
        :notes=>"Consider using M128 or M57"},
        "MA105"=>
      {:code=>"MA105",
       :description=>
      "Missing/incomplete/invalid provider number for this place of service.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"06/02/2005",
        :last_modified_date=>"",
        :notes=>""},
        "MA106"=>
      {:code=>"MA106",
       :description=>"PIP (Periodic Interim Payment) claim.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"06/30/2003",
       :notes=>"(Modified 6/30/03)"},
       "MA107"=>
      {:code=>"MA107",
       :description=>
      "Paper claim contains more than three separate data items in field 19.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA108"=>
      {:code=>"MA108",
       :description=>
      "Paper claim contains more than one data item in field 23. ",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA109"=>
      {:code=>"MA109",
       :description=>
      "Claim processed in accordance with ambulatory surgical guidelines. ",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA110"=>
      {:code=>"MA110",
       :description=>
      "Missing/incomplete/invalid information on whether the diagnostic test(s) were performed by an outside entity or if no purchased tests are included on the claim.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "MA111"=>
      {:code=>"MA111",
       :description=>
      "Missing/incomplete/invalid purchase price of the test(s) and/or the performing laboratory's name and address.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "MA112"=>
      {:code=>"MA112",
       :description=>"Missing/incomplete/invalid group practice information.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "MA113"=>
      {:code=>"MA113",
       :description=>
      "Incomplete/invalid taxpayer identification number (TIN) submitted by you per the Internal Revenue Service. Your claims cannot be processed without your correct TIN, and you may not bill the patient pending correction of your TIN. There are no appeal rights for unprocessable claims, but you may resubmit this claim after you have notified this office of your correct TIN.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA114"=>
      {:code=>"MA114",
       :description=>
      "Missing/incomplete/invalid information on where the services were furnished.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "MA115"=>
      {:code=>"MA115",
       :description=>
      "Missing/incomplete/invalid physical location (name and address, or PIN) where the service(s) were rendered in a Health Professional Shortage Area (HPSA).",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "MA116"=>
      {:code=>"MA116",
       :description=>
      "Did not complete the statement 'Homebound' on the claim to validate whether laboratory services were performed at home or in an institution.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"(Reactivated 4/1/04)"},
        "MA117"=>
      {:code=>"MA117",
       :description=>"This claim has been assessed a $1.00 user fee.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "MA118"=>
      {:code=>"MA118",
       :description=>
      "Coinsurance and/or deductible amounts apply to a claim for services or supplies furnished to a Medicare-eligible veteran through a facility of the Department of Veterans Affairs. No Medicare payment issued.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA119"=>
      {:code=>"MA119",
       :description=>
      "Provider level adjustment for late claim filing applies to this claim.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"05/01/2008",
        :last_modified_date=>"11/05/2007",
        :notes=>"Consider using Reason Code B4"},
        "MA120"=>
      {:code=>"MA120",
       :description=>"Missing/incomplete/invalid CLIA certification number.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "MA121"=>
      {:code=>"MA121",
       :description=>"Missing/incomplete/invalid x-ray date.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"12/02/2004",
       :notes=>"(Modified 12/2/04)"},
       "MA122"=>
      {:code=>"MA122",
       :description=>"Missing/incomplete/invalid initial treatment date.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"",
       :last_modified_date=>"12/02/2004",
       :notes=>"(Modified 12/2/04)"},
       "MA123"=>
      {:code=>"MA123",
       :description=>
      "Your center was not selected to participate in this study, therefore, we cannot pay for these services.",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA124"=>
      {:code=>"MA124",
       :description=>"Processed for IME only.",
       :effective_date=>"01/01/1997",
       :deactivation_date=>"01/31/2004",
       :last_modified_date=>"",
       :notes=>"Consider using Reason Code 74"},
       "MA125"=>
      {:code=>"MA125",
       :description=>
      "Per legislation governing this program, payment constitutes payment in full. ",
        :effective_date=>"01/01/1997",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA126"=>
      {:code=>"MA126",
       :description=>
      "Pancreas transplant not covered unless kidney transplant performed.",
        :effective_date=>"10/12/2001",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA127"=>
      {:code=>"MA127",
       :description=>"Reserved for future use.",
       :effective_date=>"10/12/2001",
       :deactivation_date=>"06/02/2005",
       :last_modified_date=>"",
       :notes=>""},
       "MA128"=>
      {:code=>"MA128",
       :description=>"Missing/incomplete/invalid FDA approval number.",
       :effective_date=>"10/12/2001",
       :deactivation_date=>"",
       :last_modified_date=>"03/30/2005",
       :notes=>"(Modified 2/28/03, 3/30/05)"},
       "MA129"=>
      {:code=>"MA129",
       :description=>
      "This provider was not certified for this procedure on this date of service.",
        :effective_date=>"10/12/2001",
        :deactivation_date=>"01/31/2004",
        :last_modified_date=>"01/31/2004",
        :notes=>"Consider using MA120 and Reason Code B7"},
        "MA130"=>
      {:code=>"MA130",
       :description=>
      "Your claim contains incomplete and/or invalid information, and no appeal rights are afforded because the claim is unprocessable. Please submit a new claim with the complete/correct information.",
        :effective_date=>"10/12/2001",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA131"=>
      {:code=>"MA131",
       :description=>
      "Physician already paid for services in conjunction with this demonstration claim. You must have the physician withdraw that claim and refund the payment before we can process your claim.",
        :effective_date=>"10/12/2001",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA132"=>
      {:code=>"MA132",
       :description=>"Adjustment to the pre-demonstration rate.",
       :effective_date=>"10/12/2001",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "MA133"=>
      {:code=>"MA133",
       :description=>
      "Claim overlaps inpatient stay. Rebill only those services rendered outside the inpatient stay.",
        :effective_date=>"10/12/2001",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "MA134"=>
      {:code=>"MA134",
       :description=>
      "Missing/incomplete/invalid provider number of the facility where the patient resides. ",
        :effective_date=>"10/12/2001",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N1"=>
      {:code=>"N1",
       :description=>
      "Alert: You may appeal this decision in writing within the required time limits following receipt of this notice by following the instructions included in your contract or plan benefit documents.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 2/28/03, 4/1/07)"},
        "N2"=>
      {:code=>"N2",
       :description=>
      "This allowance has been made in accordance with the most appropriate course of treatment provision of the plan.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N3"=>
      {:code=>"N3",
       :description=>"Missing consent form.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03) Related to N228"},
       "N4"=>
      {:code=>"N4",
       :description=>"Missing/incomplete/invalid prior insurance carrier EOB.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "N5"=>
      {:code=>"N5",
       :description=>"EOB received from previous payer. Claim not on file.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N6"=>
      {:code=>"N6",
       :description=>
      "Under FEHB law (U.S.C. 8904(b)), we cannot pay more for covered care than the amount Medicare would have allowed if the patient were enrolled in Medicare Part A and/or Medicare Part B.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "N7"=>
      {:code=>"N7",
       :description=>
      "Processing of this claim/service has included consideration under Major Medical provisions.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N8"=>
      {:code=>"N8",
       :description=>
      "Crossover claim denied by previous payer and complete claim data not forwarded. Resubmit this claim to this payer to provide adequate data for adjudication.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N9"=>
      {:code=>"N9",
       :description=>
      "Adjustment represents the estimated amount a previous payer may pay.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"11/18/2005",
        :notes=>"(Modified 11/18/05)"},
        "N10"=>
      {:code=>"N10",
       :description=>
      "Payment based on the findings of a review organization/professional consult/manual adjudication/medical or dental advisor.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2008",
        :notes=>"(Modified 10/31/02, 7/1/08)"},
        "N11"=>
      {:code=>"N11",
       :description=>"Denial reversed because of medical review.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N12"=>
      {:code=>"N12",
       :description=>
      "Policy provides coverage supplemental to Medicare. As the member does not appear to be enrolled in the applicable part of Medicare, the member is responsible for payment of the portion of the charge that would have been covered by Medicare.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"08/01/2007",
        :notes=>"(Modified 8/1/07)"},
        "N13"=>
      {:code=>"N13",
       :description=>
      "Payment based on professional/technical component modifier(s).",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N14"=>
      {:code=>"N14",
       :description=>
      "Payment based on a contractual amount or agreement, fee schedule, or maximum allowable amount.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"10/01/2007",
        :last_modified_date=>"",
        :notes=>"Consider using Reason Code 45"},
        "N15"=>
      {:code=>"N15",
       :description=>"Services for a newborn must be billed separately.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N16"=>
      {:code=>"N16",
       :description=>
      "Family/member Out-of-Pocket maximum has been met. Payment based on a higher percentage.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N17"=>
      {:code=>"N17",
       :description=>"Per admission deductible.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"08/01/2004",
       :last_modified_date=>"",
       :notes=>"Consider using Reason Code 1"},
       "N18"=>
      {:code=>"N18",
       :description=>"Payment based on the Medicare allowed amount.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"01/31/2004",
       :last_modified_date=>"",
       :notes=>"Consider using N14"},
       "N19"=>
      {:code=>"N19",
       :description=>"Procedure code incidental to primary procedure.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N20"=>
      {:code=>"N20",
       :description=>
      "Service not payable with other service rendered on the same date.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N21"=>
      {:code=>"N21",
       :description=>
      "Alert: Your line item has been separated into multiple lines to expedite handling.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 8/1/05, 4/1/07)"},
        "N22"=>
      {:code=>"N22",
       :description=>
      "This procedure code was added/changed because it more accurately describes the services rendered.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 10/31/02, 2/28/03)"},
        "N23"=>
      {:code=>"N23",
       :description=>
      "Alert: Patient liability may be affected due to coordination of benefits with other carriers and/or maximum benefit provisions.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 8/13/01, 4/1/07)"},
        "N24"=>
      {:code=>"N24",
       :description=>
      "Missing/incomplete/invalid Electronic Funds Transfer (EFT) banking information.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "N25"=>
      {:code=>"N25",
       :description=>
      "This company has been contracted by your benefit plan to provide administrative claims payment services only. This company does not assume financial risk or obligation with respect to claims processed on behalf of your benefit plan.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N26"=>
      {:code=>"N26",
       :description=>"Missing itemized bill/statement.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"07/01/2008",
       :notes=>"(Modified 2/28/03, 7/1/2008) Related to N232"},
       "N27"=>
      {:code=>"N27",
       :description=>"Missing/incomplete/invalid treatment number.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "N28"=>
      {:code=>"N28",
       :description=>"Consent form requirements not fulfilled.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N29"=>
      {:code=>"N29",
       :description=>"Missing documentation/orders/notes/summary/report/chart.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"08/01/2005",
       :notes=>"(Modified 2/28/03, 8/1/05) Related to N225"},
       "N30"=>
      {:code=>"N30",
       :description=>"Patient ineligible for this service.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"06/30/2003",
       :notes=>"(Modified 6/30/03)"},
       "N31"=>
      {:code=>"N31",
       :description=>
      "Missing/incomplete/invalid prescribing provider identifier.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"12/02/2004",
        :notes=>"(Modified 12/2/04)"},
        "N32"=>
      {:code=>"N32",
       :description=>
      "Claim must be submitted by the provider who rendered the service.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"06/30/2003",
        :notes=>"(Modified 6/30/03)"},
        "N33"=>
      {:code=>"N33",
       :description=>
      "No record of health check prior to initiation of treatment.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N34"=>
      {:code=>"N34",
       :description=>"Incorrect claim form/format for this service.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"11/18/2005",
       :notes=>"(Modified 11/18/05)"},
       "N35"=>
      {:code=>"N35",
       :description=>"Program integrity/utilization review decision.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N36"=>
      {:code=>"N36",
       :description=>
      "Claim must meet primary payer's processing requirements before we can consider payment.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N37"=>
      {:code=>"N37",
       :description=>"Missing/incomplete/invalid tooth number/letter.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "N38"=>
      {:code=>"N38",
       :description=>"Missing/incomplete/invalid place of service.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"02/05/2005",
       :last_modified_date=>"",
       :notes=>"Consider using M77"},
       "N39"=>
      {:code=>"N39",
       :description=>
      "Procedure code is not compatible with tooth number/letter.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N40"=>
      {:code=>"N40",
       :description=>"Missing radiology film(s)/image(s).",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"07/01/2008",
       :notes=>"(Modified 2/1/04, 7/1/08) Related to N242"},
       "N41"=>
      {:code=>"N41",
       :description=>"Authorization request denied.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"10/16/2003",
       :last_modified_date=>"",
       :notes=>"Consider using Reason Code 39"},
       "N42"=>
      {:code=>"N42",
       :description=>"No record of mental health assessment.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N43"=>
      {:code=>"N43",
       :description=>"Bed hold or leave days exceeded.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N44"=>
      {:code=>"N44",
       :description=>
      "Payer's share of regulatory surcharges, assessments, allowances or health care-related taxes paid directly to the regulatory authority.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"10/16/2003",
        :last_modified_date=>"",
        :notes=>"Consider using Reason Code 137"},
        "N45"=>
      {:code=>"N45",
       :description=>"Payment based on authorized amount.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N46"=>
      {:code=>"N46",
       :description=>"Missing/incomplete/invalid admission hour.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N47"=>
      {:code=>"N47",
       :description=>"Claim conflicts with another inpatient stay.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N48"=>
      {:code=>"N48",
       :description=>
      "Claim information does not agree with information received from other insurance carrier.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N49"=>
      {:code=>"N49",
       :description=>"Court ordered coverage information needs validation.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N50"=>
      {:code=>"N50",
       :description=>"Missing/incomplete/invalid discharge information.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "N51"=>
      {:code=>"N51",
       :description=>
      "Electronic interchange agreement not on file for provider/submitter.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N52"=>
      {:code=>"N52",
       :description=>
      "Patient not enrolled in the billing provider's managed care plan on the date of service.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N53"=>
      {:code=>"N53",
       :description=>"Missing/incomplete/invalid point of pick-up address.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "N54"=>
      {:code=>"N54",
       :description=>
      "Claim information is inconsistent with pre-certified/authorized services.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N55"=>
      {:code=>"N55",
       :description=>
      "Procedures for billing with group/referring/performing providers were not followed.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N56"=>
      {:code=>"N56",
       :description=>
      "Procedure code billed is not correct/valid for the services billed or the date of service billed.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "N57"=>
      {:code=>"N57",
       :description=>"Missing/incomplete/invalid prescribing date.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"12/02/2004",
       :notes=>"(Modified 12/2/04) Related to N304"},
       "N58"=>
      {:code=>"N58",
       :description=>"Missing/incomplete/invalid patient liability amount.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "N59"=>
      {:code=>"N59",
       :description=>
      "Please refer to your provider manual for additional program and provider information.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"11/01/2009",
        :notes=>"(Modified 4/1/07, 11/1/09)"},
        "N60"=>
      {:code=>"N60",
       :description=>
      "A valid NDC is required for payment of drug claims effective October 02.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"01/31/2004",
        :last_modified_date=>"",
        :notes=>"Consider using M119"},
        "N61"=>
      {:code=>"N61",
       :description=>"Rebill services on separate claims.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N62"=>
      {:code=>"N62",
       :description=>
      "Dates of service span multiple rate periods. Resubmit separate claims.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"03/08/2011",
        :notes=>"(Modified 3/8/11)"},
        "N63"=>
      {:code=>"N63",
       :description=>"Rebill services on separate claim lines.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N64"=>
      {:code=>"N64",
       :description=>"The `ifrom^i and `ito^i dates must be different.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N65"=>
      {:code=>"N65",
       :description=>
      "Procedure code or procedure rate count cannot be determined, or was not on file, for the date of service/provider.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "N66"=>
      {:code=>"N66",
       :description=>"Missing/incomplete/invalid documentation.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"02/05/2005",
       :last_modified_date=>"",
       :notes=>"Consider using N29 or N225."},
       "N67"=>
      {:code=>"N67",
       :description=>
      "Professional provider services not paid separately. Included in facility payment under a demonstration project. Apply to that facility for payment, or resubmit your claim if: the facility notifies you the patient was excluded from this demonstration; or if you furnished these services in another location on the date of the patient's admission or discharge from a demonstration hospital. If services were furnished in a facility not involved in the demonstration on the same date the patient was discharged from or admitted to a demonstration facility, you must report the provider ID number for the non-demonstration facility on the new claim.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N68"=>
      {:code=>"N68",
       :description=>
      "Prior payment being cancelled as we were subsequently notified this patient was covered by a demonstration project in this site of service. Professional services were included in the payment made to the facility. You must contact the facility for your payment. Prior payment made to you by the patient or another insurer for this claim must be refunded to the payer within 30 days.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N69"=>
      {:code=>"N69",
       :description=>
      "PPS (Prospective Payment System) code changed by claims processing system. Insufficient visits or therapies.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"06/30/2003",
        :notes=>"(Modified 6/30/03)"},
        "N70"=>
      {:code=>"N70",
       :description=>"Consolidated billing and payment applies.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"11/05/2007",
       :notes=>"(Modified 2/28/02, 11/5/07)"},
       "N71"=>
      {:code=>"N71",
       :description=>
      "Your unassigned claim for a drug or biological, clinical diagnostic laboratory services or ambulance service was processed as an assigned claim. You are required by law to accept assignment for these types of claims.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"06/30/2003",
        :notes=>"(Modified 2/21/02, 6/30/03)"},
        "N72"=>
      {:code=>"N72",
       :description=>
      "PPS (Prospective Payment System) code changed by medical reviewers. Not supported by clinical records. ",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"06/30/2003",
        :notes=>"(Modified 6/30/03)"},
        "N73"=>
      {:code=>"N73",
       :description=>
      "A Skilled Nursing Facility is responsible for payment of outside providers who furnish these services/supplies under arrangement to its residents.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"01/31/2004",
        :last_modified_date=>"",
        :notes=>"Consider using MA101 or N200"},
        "N74"=>
      {:code=>"N74",
       :description=>
      "Resubmit with multiple claims, each claim covering services provided in only one calendar month.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N75"=>
      {:code=>"N75",
       :description=>"Missing/incomplete/invalid tooth surface information.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "N76"=>
      {:code=>"N76",
       :description=>"Missing/incomplete/invalid number of riders.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "N77"=>
      {:code=>"N77",
       :description=>"Missing/incomplete/invalid designated provider number.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "N78"=>
      {:code=>"N78",
       :description=>
      "The necessary components of the child and teen checkup (EPSDT) were not completed. ",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N79"=>
      {:code=>"N79",
       :description=>
      "Service billed is not compatible with patient location information.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N80"=>
      {:code=>"N80",
       :description=>
      "Missing/incomplete/invalid prenatal screening information.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "N81"=>
      {:code=>"N81",
       :description=>
      "Procedure billed is not compatible with tooth surface code.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N82"=>
      {:code=>"N82",
       :description=>
      "Provider must accept insurance payment as payment in full when a third party payer contract specifies full reimbursement.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N83"=>
      {:code=>"N83",
       :description=>
      "No appeal rights. Adjudicative decision based on the provisions of a demonstration project.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N84"=>
      {:code=>"N84",
       :description=>"Alert: Further installment payments are forthcoming.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"04/01/2007",
       :notes=>"(Modified 4/1/07, 8/1/07)"},
       "N85"=>
      {:code=>"N85",
       :description=>"Alert: This is the final installment payment.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"04/01/2007",
       :notes=>"(Modified 4/1/07, 8/1/07)"},
       "N86"=>
      {:code=>"N86",
       :description=>
      "A failed trial of pelvic muscle exercise training is required in order for biofeedback training for the treatment of urinary incontinence to be covered.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N87"=>
      {:code=>"N87",
       :description=>"Home use of biofeedback therapy is not covered.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N88"=>
      {:code=>"N88",
       :description=>
      "Alert: This payment is being made conditionally. An HHA episode of care notice has been filed for this patient. When a patient is treated under a HHA episode of care, consolidated billing requires that certain therapy services and supplies, such as this, be included in the HHA's payment. This payment will need to be recouped from you if we establish that the patient is concurrently receiving treatment under a HHA episode of care.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "N89"=>
      {:code=>"N89",
       :description=>
      "Alert: Payment information for this claim has been forwarded to more than one other payer, but format limitations permit only one of the secondary payers to be identified in this remittance advice.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "N90"=>
      {:code=>"N90",
       :description=>"Covered only when performed by the attending physician.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N91"=>
      {:code=>"N91",
       :description=>"Services not included in the appeal review.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N92"=>
      {:code=>"N92",
       :description=>"This facility is not certified for digital mammography.",
       :effective_date=>"01/01/2000",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N93"=>
      {:code=>"N93",
       :description=>
      "A separate claim must be submitted for each place of service. Services furnished at multiple sites may not be billed in the same claim.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N94"=>
      {:code=>"N94",
       :description=>
      "Claim/Service denied because a more specific taxonomy code is required for adjudication.",
        :effective_date=>"01/01/2000",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N95"=>
      {:code=>"N95",
       :description=>
      "This provider type/provider specialty may not bill this service.",
        :effective_date=>"07/31/2001",
        :deactivation_date=>"",
        :last_modified_date=>"02/28/2003",
        :notes=>"(Modified 2/28/03)"},
        "N96"=>
      {:code=>"N96",
       :description=>
      "Patient must be refractory to conventional therapy (documented behavioral, pharmacologic and/or surgical corrective therapy) and be an appropriate surgical candidate such that implantation with anesthesia can occur.",
        :effective_date=>"08/24/2001",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N97"=>
      {:code=>"N97",
       :description=>
      "Patients with stress incontinence, urinary obstruction, and specific neurologic diseases (e.g., diabetes with peripheral nerve involvement) which are associated with secondary manifestations of the above three indications are excluded.",
        :effective_date=>"08/24/2001",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N98"=>
      {:code=>"N98",
       :description=>
      "Patient must have had a successful test stimulation in order to support subsequent implantation. Before a patient is eligible for permanent implantation, he/she must demonstrate a 50 percent or greater improvement through test stimulation. Improvement is measured through voiding diaries.",
        :effective_date=>"08/24/2001",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N99"=>
      {:code=>"N99",
       :description=>
      "Patient must be able to demonstrate adequate ability to record voiding diary data such that clinical results of the implant procedure can be properly evaluated.",
        :effective_date=>"08/24/2001",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N100"=>
      {:code=>"N100",
       :description=>
      "PPS (Prospect Payment System) code corrected during adjudication.",
        :effective_date=>"09/14/2001",
        :deactivation_date=>"",
        :last_modified_date=>"06/30/2003",
        :notes=>"(Modified 6/30/03)"},
        "N101"=>
      {:code=>"N101",
       :description=>
      "Additional information is needed in order to process this claim. Please resubmit the claim with the identification number of the provider where this service took place. The Medicare number of the site of service provider should be preceded with the letters 'HSP' and entered into item #32 on the claim form. You may bill only one site of service provider number per claim.",
        :effective_date=>"10/31/2001",
        :deactivation_date=>"01/31/2004",
        :last_modified_date=>"",
        :notes=>"Consider uisng MA105"},
        "N102"=>
      {:code=>"N102",
       :description=>
      "This claim has been denied without reviewing the medical record because the requested records were not received or were not received timely.",
        :effective_date=>"10/31/2001",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N103"=>
      {:code=>"N103",
       :description=>
      "Social Security records indicate that this patient was a prisoner when the service was rendered. This payer does not cover items and services furnished to an individual while they are in State or local custody under a penal authority, unless under State or local law, the individual is personally liable for the cost of his or her health care while incarcerated and the State or local government pursues such debt in the same way and with the same vigor as any other debt.",
        :effective_date=>"10/31/2001",
        :deactivation_date=>"",
        :last_modified_date=>"06/30/2003",
        :notes=>"(Modified 6/30/03)"},
        "N104"=>
      {:code=>"N104",
       :description=>
      "This claim/service is not payable under our claims jurisdiction area. You can identify the correct Medicare contractor to process this claim/service through the CMS website at www.cms.gov.",
        :effective_date=>"01/29/2002",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2010",
        :notes=>"(Modified 10/31/02, 7/1/10)"},
        "N105"=>
      {:code=>"N105",
       :description=>
      "This is a misdirected claim/service for an RRB beneficiary. Submit paper claims to the RRB carrier: Palmetto GBA, P.O. Box 10066, Augusta, GA 30999. Call 866-749-4301 for RRB EDI information for electronic claims processing.",
        :effective_date=>"01/29/2002",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N106"=>
      {:code=>"N106",
       :description=>
      "Payment for services furnished to Skilled Nursing Facility (SNF) inpatients (except for excluded services) can only be made to the SNF. You must request payment from the SNF rather than the patient for this service.",
        :effective_date=>"01/31/2002",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N107"=>
      {:code=>"N107",
       :description=>
      "Services furnished to Skilled Nursing Facility (SNF) inpatients must be billed on the inpatient claim. They cannot be billed separately as outpatient services.",
        :effective_date=>"01/31/2002",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N108"=>
      {:code=>"N108",
       :description=>"Missing/incomplete/invalid upgrade information.",
       :effective_date=>"01/31/2002",
       :deactivation_date=>"",
       :last_modified_date=>"02/28/2003",
       :notes=>"(Modified 2/28/03)"},
       "N109"=>
      {:code=>"N109",
       :description=>
      "This claim/service was chosen for complex review and was denied after reviewing the medical records.",
        :effective_date=>"02/28/2002",
        :deactivation_date=>"",
        :last_modified_date=>"03/01/2009",
        :notes=>"(Modified 3/1/2009)"},
        "N110"=>
      {:code=>"N110",
       :description=>"This facility is not certified for film mammography.",
       :effective_date=>"02/28/2002",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N111"=>
      {:code=>"N111",
       :description=>
      "No appeal right except duplicate claim/service issue. This service was included in a claim that has been previously billed and adjudicated.",
        :effective_date=>"02/28/2002",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N112"=>
      {:code=>"N112",
       :description=>
      "This claim is excluded from your electronic remittance advice.",
        :effective_date=>"02/28/2002",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N113"=>
      {:code=>"N113",
       :description=>
      "Only one initial visit is covered per physician, group practice or provider.",
        :effective_date=>"04/16/2002",
        :deactivation_date=>"",
        :last_modified_date=>"06/30/2003",
        :notes=>"(Modified 6/30/03)"},
        "N114"=>
      {:code=>"N114",
       :description=>
      "During the transition to the Ambulance Fee Schedule, payment is based on the lesser of a blended amount calculated using a percentage of the reasonable charge/cost and fee schedule amounts, or the submitted charge for the service. You will be notified yearly what the percentages for the blended payment calculation will be.",
        :effective_date=>"05/30/2002",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N115"=>
      {:code=>"N115",
       :description=>
      "This decision was based on a Local Coverage Determination (LCD). An LCD provides a guide to assist in determining whether a particular item or service is covered. A copy of this policy is available at www.cms.gov/mcd, or if you do not have web access, you may contact the contractor to request a copy of the LCD.",
        :effective_date=>"05/30/2002",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2010",
        :notes=>"(Modified 4/1/04, 7/1/10)"},
        "N116"=>
      {:code=>"N116",
       :description=>
      "This payment is being made conditionally because the service was provided in the home, and it is possible that the patient is under a home health episode of care. When a patient is treated under a home health episode of care, consolidated billing requires that certain therapy services and supplies, such as this, be included in the home health agency's (HHA's) payment. This payment will need to be recouped from you if we establish that the patient is concurrently receiving treatment under an HHA episode of care.",
        :effective_date=>"06/30/2002",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N117"=>
      {:code=>"N117",
       :description=>"This service is paid only once in a patient's lifetime.",
       :effective_date=>"07/30/2002",
       :deactivation_date=>"",
       :last_modified_date=>"06/30/2003",
       :notes=>"(Modified 6/30/03)"},
       "N118"=>
      {:code=>"N118",
       :description=>
      "This service is not paid if billed more than once every 28 days.",
        :effective_date=>"07/30/2002",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N119"=>
      {:code=>"N119",
       :description=>
      "This service is not paid if billed once every 28 days, and the patient has spent 5 or more consecutive days in any inpatient or Skilled /nursing Facility (SNF) within those 28 days.",
        :effective_date=>"07/30/2002",
        :deactivation_date=>"",
        :last_modified_date=>"06/30/2003",
        :notes=>"(Modified 6/30/03)"},
        "N120"=>
      {:code=>"N120",
       :description=>
      "Payment is subject to home health prospective payment system partial episode payment adjustment. Patient was transferred/discharged/readmitted during payment episode.",
        :effective_date=>"08/09/2002",
        :deactivation_date=>"",
        :last_modified_date=>"06/30/2003",
        :notes=>"(Modified 6/30/03)"},
        "N121"=>
      {:code=>"N121",
       :description=>
      "Medicare Part B does not pay for items or services provided by this type of practitioner for beneficiaries in a Medicare Part A covered Skilled Nursing Facility (SNF) stay.",
        :effective_date=>"09/09/2002",
        :deactivation_date=>"",
        :last_modified_date=>"08/01/2004",
        :notes=>"(Modified 8/1/04, 6/30/03)"},
        "N122"=>
      {:code=>"N122",
       :description=>"Add-on code cannot be billed by itself.",
       :effective_date=>"09/12/2002",
       :deactivation_date=>"",
       :last_modified_date=>"08/01/2005",
       :notes=>"(Modified 8/1/05)"},
       "N123"=>
      {:code=>"N123",
       :description=>
      "This is a split service and represents a portion of the units from the originally submitted service.",
        :effective_date=>"09/24/2002",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N124"=>
      {:code=>"N124",
       :description=>
      "Payment has been denied for the/made only for a less extensive service/item because the information furnished does not substantiate the need for the (more extensive) service/item. The patient is liable for the charges for this service/item as you informed the patient in writing before the service/item was furnished that we would not pay for it, and the patient agreed to pay.",
        :effective_date=>"09/26/2002",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N125"=>
      {:code=>"N125",
       :description=>
      "Payment has been (denied for the/made only for a less extensive) service/item because the information furnished does not substantiate the need for the (more extensive) service/item. If you have collected any amount from the patient, you must refund that amount to the patient within 30 days of receiving this notice.<br /><br />The requirements for a refund are in ss1834(a)(18) of the Social Security Act (and in ssss1834(j)(4) and 1879(h) by cross-reference to ss1834(a)(18)). Section 1834(a)(18)(B) specifies that suppliers which knowingly and willfully fail to make appropriate refunds may be subject to civil money penalties and/or exclusion from the Medicare program. If you have any questions about this notice, please contact this office.",
        :effective_date=>"09/26/2002",
        :deactivation_date=>"",
        :last_modified_date=>"08/01/2005",
        :notes=>"(Modified 8/1/05. Also refer to N356)"},
        "N126"=>
      {:code=>"N126",
       :description=>
      "Social Security Records indicate that this individual has been deported. This payer does not cover items and services furnished to individuals who have been deported.",
        :effective_date=>"10/17/2002",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N127"=>
      {:code=>"N127",
       :description=>
      "This is a misdirected claim/service for a United Mine Workers of America (UMWA) beneficiary. Please submit claims to them.",
        :effective_date=>"10/31/2007",
        :deactivation_date=>"",
        :last_modified_date=>"08/01/2004",
        :notes=>"(Modified 8/1/04"},
        "N128"=>
      {:code=>"N128",
       :description=>
      "This amount represents the prior to coverage portion of the allowance.",
        :effective_date=>"10/31/2002",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N129"=>
      {:code=>"N129",
       :description=>"Not eligible due to the patient's age.",
       :effective_date=>"10/31/2002",
       :deactivation_date=>"",
       :last_modified_date=>"08/01/2007",
       :notes=>"(Modified 8/1/07)"},
       "N130"=>
      {:code=>"N130",
       :description=>
      "Consult plan benefit documents/guidelines for information about restrictions for this service.",
        :effective_date=>"10/31/2002",
        :deactivation_date=>"",
        :last_modified_date=>"11/01/2009",
        :notes=>"(Modified 4/1/07, 7/1/08, 11/1/09)"},
        "N131"=>
      {:code=>"N131",
       :description=>
      "Total payments under multiple contracts cannot exceed the allowance for this service.",
        :effective_date=>"10/31/2002",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N132"=>
      {:code=>"N132",
       :description=>
      "Alert: Payments will cease for services rendered by this US Government debarred or excluded provider after the 30 day grace period as previously notified.",
        :effective_date=>"10/31/2002",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "N133"=>
      {:code=>"N133",
       :description=>
      "Alert: Services for predetermination and services requesting payment are being processed separately.",
        :effective_date=>"10/31/2002",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "N134"=>
      {:code=>"N134",
       :description=>
      "Alert: This represents your scheduled payment for this service. If treatment has been discontinued, please contact Customer Service.",
        :effective_date=>"10/31/2002",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "N135"=>
      {:code=>"N135",
       :description=>
      "Record fees are the patient's responsibility and limited to the specified co-payment.",
        :effective_date=>"10/31/2002",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N136"=>
      {:code=>"N136",
       :description=>
      "Alert: To obtain information on the process to file an appeal in Arizona, call the Department's Consumer Assistance Office at (602) 912-8444 or (800) 325-2548.",
        :effective_date=>"10/31/2002",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "N137"=>
      {:code=>"N137",
       :description=>
      "Alert: The provider acting on the Member's behalf, may file an appeal with the Payer. The provider, acting on the Member's behalf, may file a complaint with the State Insurance Regulatory Authority without first filing an appeal, if the coverage decision involves an urgent condition for which care has not been rendered. The address may be obtained from the State Insurance Regulatory Authority.",
        :effective_date=>"10/31/2002",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 8/1/04, 2/28/03, 4/1/07)"},
        "N138"=>
      {:code=>"N138",
       :description=>
      "Alert: In the event you disagree with the Dental Advisor's opinion and have additional information relative to the case, you may submit radiographs to the Dental Advisor Unit at the subscriber's dental insurance carrier for a second Independent Dental Advisor Review.",
        :effective_date=>"10/31/2002",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "N139"=>
      {:code=>"N139",
       :description=>
      "Alert: Under the Code of Federal Regulations, Chapter 32, Section 199.13 a non-participating provider is not an appropriate appealing party. Therefore, if you disagree with the Dental Advisor's opinion, you may appeal the determination if appointed in writing, by the beneficiary, to act as his/her representative. Should you be appointed as a representative, submit a copy of this letter, a signed statement explaining the matter in which you disagree, and any radiographs and relevant information to the subscriber's Dental insurance carrier within 90 days from the date of this letter.",
        :effective_date=>"10/31/2002",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "N140"=>
      {:code=>"N140",
       :description=>
      "Alert: You have not been designated as an authorized OCONUS provider therefore are not considered an appropriate appealing party. If the beneficiary has appointed you, in writing, to act as his/her representative and you disagree with the Dental Advisor's opinion, you may appeal by submitting a copy of this letter, a signed statement explaining the matter in which you disagree, and any relevant information to the subscriber's Dental insurance carrier within 90 days from the date of this letter.",
        :effective_date=>"10/31/2002",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "N141"=>
      {:code=>"N141",
       :description=>
      "The patient was not residing in a long-term care facility during all or part of the service dates billed.",
        :effective_date=>"10/31/2002",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N142"=>
      {:code=>"N142",
       :description=>
      "The original claim was denied. Resubmit a new claim, not a replacement claim.",
        :effective_date=>"10/31/2002",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N143"=>
      {:code=>"N143",
       :description=>
      "The patient was not in a hospice program during all or part of the service dates billed.",
        :effective_date=>"10/31/2002",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N144"=>
      {:code=>"N144",
       :description=>"The rate changed during the dates of service billed.",
       :effective_date=>"10/31/2002",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N145"=>
      {:code=>"N145",
       :description=>
      "Missing/incomplete/invalid provider identifier for this place of service.",
        :effective_date=>"10/31/2002",
        :deactivation_date=>"06/02/2005",
        :last_modified_date=>"",
        :notes=>""},
        "N146"=>
      {:code=>"N146",
       :description=>"Missing screening document.",
       :effective_date=>"10/31/2002",
       :deactivation_date=>"",
       :last_modified_date=>"08/01/2004",
       :notes=>"(Modified 8/1/04) Related to N243"},
       "N147"=>
      {:code=>"N147",
       :description=>
      "Long term care case mix or per diem rate cannot be determined because the patient ID number is missing, incomplete, or invalid on the assignment request.",
        :effective_date=>"10/31/2002",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N148"=>
      {:code=>"N148",
       :description=>"Missing/incomplete/invalid date of last menstrual period.",
       :effective_date=>"10/31/2002",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N149"=>
      {:code=>"N149",
       :description=>"Rebill all applicable services on a single claim.",
       :effective_date=>"10/31/2002",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N150"=>
      {:code=>"N150",
       :description=>"Missing/incomplete/invalid model number.",
       :effective_date=>"10/31/2002",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N151"=>
      {:code=>"N151",
       :description=>
      "Telephone contact services will not be paid until the face-to-face contact requirement has been met.",
        :effective_date=>"10/31/2002",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N152"=>
      {:code=>"N152",
       :description=>"Missing/incomplete/invalid replacement claim information.",
       :effective_date=>"10/31/2002",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N153"=>
      {:code=>"N153",
       :description=>"Missing/incomplete/invalid room and board rate.",
       :effective_date=>"10/31/2002",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N154"=>
      {:code=>"N154",
       :description=>
      "Alert: This payment was delayed for correction of provider's mailing address.",
        :effective_date=>"10/31/2002",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "N155"=>
      {:code=>"N155",
       :description=>
      "Alert: Our records do not indicate that other insurance is on file. Please submit other insurance information for our records.",
        :effective_date=>"10/31/2002",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "N156"=>
      {:code=>"N156",
       :description=>
      "Alert: The patient is responsible for the difference between the approved treatment and the elective treatment.",
        :effective_date=>"10/31/2002",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "N157"=>
      {:code=>"N157",
       :description=>"Transportation to/from this destination is not covered.",
       :effective_date=>"02/28/2003",
       :deactivation_date=>"",
       :last_modified_date=>"02/01/2004",
       :notes=>"(Modified 2/1/04)"},
       "N158"=>
      {:code=>"N158",
       :description=>
      "Transportation in a vehicle other than an ambulance is not covered.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N159"=>
      {:code=>"N159",
       :description=>
      "Payment denied/reduced because mileage is not covered when the patient is not in the ambulance.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N160"=>
      {:code=>"N160",
       :description=>
      "The patient must choose an option before a payment can be made for this procedure/ equipment/ supply/ service.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"02/01/2004",
        :notes=>"(Modified 2/1/04)"},
        "N161"=>
      {:code=>"N161",
       :description=>
      "This drug/service/supply is covered only when the associated service is covered.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N162"=>
      {:code=>"N162",
       :description=>
      "Alert: Although your claim was paid, you have billed for a test/specialty not included in your Laboratory Certification. Your failure to correct the laboratory certification information will result in a denial of payment in the near future.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "N163"=>
      {:code=>"N163",
       :description=>
      "Medical record does not support code billed per the code definition.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N164"=>
      {:code=>"N164",
       :description=>"Transportation to/from this destination is not covered.",
       :effective_date=>"02/28/2003",
       :deactivation_date=>"01/31/2004",
       :last_modified_date=>"",
       :notes=>"Consider using N157"},
       "N165"=>
      {:code=>"N165",
       :description=>
      "Transportation in a vehicle other than an ambulance is not covered.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"01/31/2004",
        :last_modified_date=>"",
        :notes=>"Consider using N158)"},
        "N166"=>
      {:code=>"N166",
       :description=>
      "Payment denied/reduced because mileage is not covered when the patient is not in the ambulance.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"01/31/2004",
        :last_modified_date=>"",
        :notes=>"Consider using N159"},
        "N167"=>
      {:code=>"N167",
       :description=>"Charges exceed the post-transplant coverage limit.",
       :effective_date=>"02/28/2003",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N168"=>
      {:code=>"N168",
       :description=>
      "The patient must choose an option before a payment can be made for this procedure/ equipment/ supply/ service.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"01/31/2004",
        :last_modified_date=>"",
        :notes=>"Consider using N160"},
        "N169"=>
      {:code=>"N169",
       :description=>
      "This drug/service/supply is covered only when the associated service is covered.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"01/31/2004",
        :last_modified_date=>"",
        :notes=>"Consider using N161"},
        "N170"=>
      {:code=>"N170",
       :description=>
      "A new/revised/renewed certificate of medical necessity is needed.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N171"=>
      {:code=>"N171",
       :description=>
      "Payment for repair or replacement is not covered or has exceeded the purchase price.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N172"=>
      {:code=>"N172",
       :description=>
      "The patient is not liable for the denied/adjusted charge(s) for receiving any updated service/item.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N173"=>
      {:code=>"N173",
       :description=>
      "No qualifying hospital stay dates were provided for this episode of care.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N174"=>
      {:code=>"N174",
       :description=>
      "This is not a covered service/procedure/ equipment/bed, however patient liability is limited to amounts shown in the adjustments under group 'PR'.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N175"=>
      {:code=>"N175",
       :description=>"Missing review organization approval.",
       :effective_date=>"02/28/2003",
       :deactivation_date=>"",
       :last_modified_date=>"02/29/2008",
       :notes=>"(Modified 8/1/04, 2/29/08) Related to N241"},
       "N176"=>
      {:code=>"N176",
       :description=>
      "Services provided aboard a ship are covered only when the ship is of United States registry and is in United States waters. In addition, a doctor licensed to practice in the United States must provide the service.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N177"=>
      {:code=>"N177",
       :description=>
      "Alert: We did not send this claim to patient's other insurer. They have indicated no additional payment can be made.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 6/30/03, 4/1/07)"},
        "N178"=>
      {:code=>"N178",
       :description=>"Missing pre-operative photos or visual field results.",
       :effective_date=>"02/28/2003",
       :deactivation_date=>"",
       :last_modified_date=>"08/01/2004",
       :notes=>"(Modified 8/1/04) Related to N244"},
       "N179"=>
      {:code=>"N179",
       :description=>
      "Additional information has been requested from the member. The charges will be reconsidered upon receipt of that information.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N180"=>
      {:code=>"N180",
       :description=>
      "This item or service does not meet the criteria for the category under which it was billed.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N181"=>
      {:code=>"N181",
       :description=>
      "Additional information is required from another provider involved in this service.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"12/01/2006",
        :notes=>"(Modified 12/1/06)"},
        "N182"=>
      {:code=>"N182",
       :description=>
      "This claim/service must be billed according to the schedule for this plan.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N183"=>
      {:code=>"N183",
       :description=>
      "Alert: This is a predetermination advisory message, when this service is submitted for payment additional documentation as specified in plan documents will be required to process benefits.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "N184"=>
      {:code=>"N184",
       :description=>"Rebill technical and professional components separately.",
       :effective_date=>"02/28/2003",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N185"=>
      {:code=>"N185",
       :description=>"Alert: Do not resubmit this claim/service.",
       :effective_date=>"02/28/2003",
       :deactivation_date=>"",
       :last_modified_date=>"04/01/2007",
       :notes=>"(Modified 4/1/07)"},
       "N186"=>
      {:code=>"N186",
       :description=>
      "Non-Availability Statement (NAS) required for this service. Contact the nearest Military Treatment Facility (MTF) for assistance.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N187"=>
      {:code=>"N187",
       :description=>
      "Alert: You may request a review in writing within the required time limits following receipt of this notice by following the instructions included in your contract or plan benefit documents.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "N188"=>
      {:code=>"N188",
       :description=>
      "The approved level of care does not match the procedure code submitted.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N189"=>
      {:code=>"N189",
       :description=>
      "Alert: This service has been paid as a one-time exception to the plan's benefit restrictions.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "N190"=>
      {:code=>"N190",
       :description=>"Missing contract indicator.",
       :effective_date=>"02/28/2003",
       :deactivation_date=>"",
       :last_modified_date=>"08/01/2004",
       :notes=>"(Modified 8/1/04) Related to N229"},
       "N191"=>
      {:code=>"N191",
       :description=>
      "The provider must update insurance information directly with payer.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N192"=>
      {:code=>"N192",
       :description=>"Patient is a Medicaid/Qualified Medicare Beneficiary.",
       :effective_date=>"02/28/2003",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N193"=>
      {:code=>"N193",
       :description=>
      "Specific federal/state/local program may cover this service through another payer.",
        :effective_date=>"02/28/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N194"=>
      {:code=>"N194",
       :description=>
      "Technical component not paid if provider does not own the equipment used.",
        :effective_date=>"02/25/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N195"=>
      {:code=>"N195",
       :description=>"The technical component must be billed separately.",
       :effective_date=>"02/25/2003",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N196"=>
      {:code=>"N196",
       :description=>
      "Alert: Patient eligible to apply for other coverage which may be primary.",
        :effective_date=>"02/25/2003",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "N197"=>
      {:code=>"N197",
       :description=>
      "The subscriber must update insurance information directly with payer.",
        :effective_date=>"02/25/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N198"=>
      {:code=>"N198",
       :description=>
      "Rendering provider must be affiliated with the pay-to provider.",
        :effective_date=>"02/25/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N199"=>
      {:code=>"N199",
       :description=>
      "Additional payment/recoupment approved based on payer-initiated review/audit.",
        :effective_date=>"02/25/2003",
        :deactivation_date=>"",
        :last_modified_date=>"08/01/2006",
        :notes=>"(Modified 8/1/06)"},
        "N200"=>
      {:code=>"N200",
       :description=>"The professional component must be billed separately.",
       :effective_date=>"02/25/2003",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N201"=>
      {:code=>"N201",
       :description=>
      "A mental health facility is responsible for payment of outside providers who furnish these services/supplies to residents.",
        :effective_date=>"02/25/2003",
        :deactivation_date=>"01/01/2011",
        :last_modified_date=>"",
        :notes=>"Consider using N538"},
        "N202"=>
      {:code=>"N202",
       :description=>
      "Additional information/explanation will be sent separately",
        :effective_date=>"06/30/2003",
        :deactivation_date=>"",
        :last_modified_date=>"11/01/2009",
        :notes=>"(Modified 4/1/07, 11/1/09)"},
        "N203"=>
      {:code=>"N203",
       :description=>"Missing/incomplete/invalid anesthesia time/units",
       :effective_date=>"06/30/2003",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N204"=>
      {:code=>"N204",
       :description=>
      "Services under review for possible pre-existing condition. Send medical records for prior 12 months",
        :effective_date=>"06/30/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N205"=>
      {:code=>"N205",
       :description=>"Information provided was illegible",
       :effective_date=>"06/30/2003",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N206"=>
      {:code=>"N206",
       :description=>"The supporting documentation does not match the claim",
       :effective_date=>"06/30/2003",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N207"=>
      {:code=>"N207",
       :description=>"Missing/incomplete/invalid weight.",
       :effective_date=>"06/30/2003",
       :deactivation_date=>"",
       :last_modified_date=>"11/18/2005",
       :notes=>"(Modified 11/18/05)"},
       "N208"=>
      {:code=>"N208",
       :description=>"Missing/incomplete/invalid DRG code",
       :effective_date=>"06/30/2003",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N209"=>
      {:code=>"N209",
       :description=>
      "Missing/incomplete/invalid taxpayer identification number (TIN).",
        :effective_date=>"06/30/2003",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2008",
        :notes=>"(Modified 7/1/08)"},
        "N210"=>
      {:code=>"N210",
       :description=>"Alert: You may appeal this decision",
       :effective_date=>"06/30/2003",
       :deactivation_date=>"",
       :last_modified_date=>"04/01/2007",
       :notes=>"(Modified 4/1/07)"},
       "N211"=>
      {:code=>"N211",
       :description=>"Alert: You may not appeal this decision",
       :effective_date=>"06/30/2003",
       :deactivation_date=>"",
       :last_modified_date=>"04/01/2007",
       :notes=>"(Modified 4/1/07)"},
       "N212"=>
      {:code=>"N212",
       :description=>"Charges processed under a Point of Service benefit ",
       :effective_date=>"02/01/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N213"=>
      {:code=>"N213",
       :description=>
      "Missing/incomplete/invalid facility/discrete unit DRG/DRG exempt status information",
        :effective_date=>"04/01/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N214"=>
      {:code=>"N214",
       :description=>
      "Missing/incomplete/invalid history of the related initial surgical procedure(s)",
        :effective_date=>"04/01/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N215"=>
      {:code=>"N215",
       :description=>
      "Alert: A payer providing supplemental or secondary coverage shall not require a claims determination for this service from a primary payer as a condition of making its own claims determination.",
        :effective_date=>"04/01/2004",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "N216"=>
      {:code=>"N216",
       :description=>
      "We do not offer coverage for this type of service or the patient is not enrolled in this portion of our benefit package",
        :effective_date=>"04/01/2004",
        :deactivation_date=>"",
        :last_modified_date=>"03/01/2010",
        :notes=>"(modified 3/1/2010)"},
        "N217"=>
      {:code=>"N217",
       :description=>"We pay only one site of service per provider per claim",
       :effective_date=>"08/01/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N218"=>
      {:code=>"N218",
       :description=>
      "You must furnish and service this item for as long as the patient continues to need it. We can pay for maintenance and/or servicing for the time period specified in the contract or coverage manual.",
        :effective_date=>"08/01/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N219"=>
      {:code=>"N219",
       :description=>"Payment based on previous payer's allowed amount.",
       :effective_date=>"08/01/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N220"=>
      {:code=>"N220",
       :description=>
      "Alert: See the payer's web site or contact the payer's Customer Service department to obtain forms and instructions for filing a provider dispute.",
        :effective_date=>"08/01/2004",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "N221"=>
      {:code=>"N221",
       :description=>"Missing Admitting History and Physical report.",
       :effective_date=>"08/01/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N222"=>
      {:code=>"N222",
       :description=>"Incomplete/invalid Admitting History and Physical report.",
       :effective_date=>"08/01/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N223"=>
      {:code=>"N223",
       :description=>
      "Missing documentation of benefit to the patient during initial treatment period.",
        :effective_date=>"08/01/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N224"=>
      {:code=>"N224",
       :description=>
      "Incomplete/invalid documentation of benefit to the patient during initial treatment period.",
        :effective_date=>"08/01/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N225"=>
      {:code=>"N225",
       :description=>
      "Incomplete/invalid documentation/orders/notes/summary/report/chart.",
        :effective_date=>"08/01/2004",
        :deactivation_date=>"",
        :last_modified_date=>"08/01/2005",
        :notes=>"(Modified 8/1/05)"},
        "N226"=>
      {:code=>"N226",
       :description=>
      "Incomplete/invalid American Diabetes Association Certificate of Recognition.",
        :effective_date=>"08/01/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N227"=>
      {:code=>"N227",
       :description=>"Incomplete/invalid Certificate of Medical Necessity.",
       :effective_date=>"08/01/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N228"=>
      {:code=>"N228",
       :description=>"Incomplete/invalid consent form.",
       :effective_date=>"08/01/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N229"=>
      {:code=>"N229",
       :description=>"Incomplete/invalid contract indicator.",
       :effective_date=>"08/01/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N230"=>
      {:code=>"N230",
       :description=>
      "Incomplete/invalid indication of whether the patient owns the equipment that requires the part or supply.",
        :effective_date=>"08/01/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N231"=>
      {:code=>"N231",
       :description=>
      "Incomplete/invalid invoice or statement certifying the actual cost of the lens, less discounts, and/or the type of intraocular lens used.",
        :effective_date=>"08/01/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N232"=>
      {:code=>"N232",
       :description=>"Incomplete/invalid itemized bill/statement.",
       :effective_date=>"08/01/2004",
       :deactivation_date=>"",
       :last_modified_date=>"07/01/2008",
       :notes=>"(Modified 7/1/08)"},
       "N233"=>
      {:code=>"N233",
       :description=>"Incomplete/invalid operative note/report.",
       :effective_date=>"08/01/2004",
       :deactivation_date=>"",
       :last_modified_date=>"07/01/2008",
       :notes=>"(Modified 7/1/08)"},
       "N234"=>
      {:code=>"N234",
       :description=>"Incomplete/invalid oxygen certification/re-certification.",
       :effective_date=>"08/01/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N235"=>
      {:code=>"N235",
       :description=>"Incomplete/invalid pacemaker registration form.",
       :effective_date=>"08/01/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N236"=>
      {:code=>"N236",
       :description=>"Incomplete/invalid pathology report.",
       :effective_date=>"08/01/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N237"=>
      {:code=>"N237",
       :description=>
      "Incomplete/invalid patient medical record for this service.",
        :effective_date=>"08/01/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N238"=>
      {:code=>"N238",
       :description=>"Incomplete/invalid physician certified plan of care",
       :effective_date=>"08/01/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N239"=>
      {:code=>"N239",
       :description=>"Incomplete/invalid physician financial relationship form.",
       :effective_date=>"08/01/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N240"=>
      {:code=>"N240",
       :description=>"Incomplete/invalid radiology report.",
       :effective_date=>"08/01/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N241"=>
      {:code=>"N241",
       :description=>"Incomplete/invalid review organization approval.",
       :effective_date=>"08/01/2004",
       :deactivation_date=>"",
       :last_modified_date=>"02/29/2008",
       :notes=>"(Modified 2/29/08)"},
       "N242"=>
      {:code=>"N242",
       :description=>"Incomplete/invalid radiology film(s)/image(s).",
       :effective_date=>"08/01/2004",
       :deactivation_date=>"",
       :last_modified_date=>"07/01/2008",
       :notes=>"(Modified 7/1/08)"},
       "N243"=>
      {:code=>"N243",
       :description=>"Incomplete/invalid/not approved screening document.",
       :effective_date=>"08/01/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N244"=>
      {:code=>"N244",
       :description=>
      "Incomplete/invalid pre-operative photos/visual field results.",
        :effective_date=>"08/01/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N245"=>
      {:code=>"N245",
       :description=>"Incomplete/invalid plan information for other insurance ",
       :effective_date=>"08/01/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N246"=>
      {:code=>"N246",
       :description=>
      "State regulated patient payment limitations apply to this service.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N247"=>
      {:code=>"N247",
       :description=>"Missing/incomplete/invalid assistant surgeon taxonomy.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N248"=>
      {:code=>"N248",
       :description=>"Missing/incomplete/invalid assistant surgeon name.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N249"=>
      {:code=>"N249",
       :description=>
      "Missing/incomplete/invalid assistant surgeon primary identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N250"=>
      {:code=>"N250",
       :description=>
      "Missing/incomplete/invalid assistant surgeon secondary identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N251"=>
      {:code=>"N251",
       :description=>"Missing/incomplete/invalid attending provider taxonomy.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N252"=>
      {:code=>"N252",
       :description=>"Missing/incomplete/invalid attending provider name.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N253"=>
      {:code=>"N253",
       :description=>
      "Missing/incomplete/invalid attending provider primary identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N254"=>
      {:code=>"N254",
       :description=>
      "Missing/incomplete/invalid attending provider secondary identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N255"=>
      {:code=>"N255",
       :description=>"Missing/incomplete/invalid billing provider taxonomy.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N256"=>
      {:code=>"N256",
       :description=>
      "Missing/incomplete/invalid billing provider/supplier name.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N257"=>
      {:code=>"N257",
       :description=>
      "Missing/incomplete/invalid billing provider/supplier primary identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N258"=>
      {:code=>"N258",
       :description=>
      "Missing/incomplete/invalid billing provider/supplier address.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N259"=>
      {:code=>"N259",
       :description=>
      "Missing/incomplete/invalid billing provider/supplier secondary identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N260"=>
      {:code=>"N260",
       :description=>
      "Missing/incomplete/invalid billing provider/supplier contact information.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N261"=>
      {:code=>"N261",
       :description=>"Missing/incomplete/invalid operating provider name.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N262"=>
      {:code=>"N262",
       :description=>
      "Missing/incomplete/invalid operating provider primary identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N263"=>
      {:code=>"N263",
       :description=>
      "Missing/incomplete/invalid operating provider secondary identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N264"=>
      {:code=>"N264",
       :description=>"Missing/incomplete/invalid ordering provider name.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N265"=>
      {:code=>"N265",
       :description=>
      "Missing/incomplete/invalid ordering provider primary identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N266"=>
      {:code=>"N266",
       :description=>"Missing/incomplete/invalid ordering provider address.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N267"=>
      {:code=>"N267",
       :description=>
      "Missing/incomplete/invalid ordering provider secondary identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N268"=>
      {:code=>"N268",
       :description=>
      "Missing/incomplete/invalid ordering provider contact information.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N269"=>
      {:code=>"N269",
       :description=>"Missing/incomplete/invalid other provider name.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N270"=>
      {:code=>"N270",
       :description=>
      "Missing/incomplete/invalid other provider primary identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N271"=>
      {:code=>"N271",
       :description=>
      "Missing/incomplete/invalid other provider secondary identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N272"=>
      {:code=>"N272",
       :description=>
      "Missing/incomplete/invalid other payer attending provider identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N273"=>
      {:code=>"N273",
       :description=>
      "Missing/incomplete/invalid other payer operating provider identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N274"=>
      {:code=>"N274",
       :description=>
      "Missing/incomplete/invalid other payer other provider identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N275"=>
      {:code=>"N275",
       :description=>
      "Missing/incomplete/invalid other payer purchased service provider identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N276"=>
      {:code=>"N276",
       :description=>
      "Missing/incomplete/invalid other payer referring provider identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N277"=>
      {:code=>"N277",
       :description=>
      "Missing/incomplete/invalid other payer rendering provider identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N278"=>
      {:code=>"N278",
       :description=>
      "Missing/incomplete/invalid other payer service facility provider identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N279"=>
      {:code=>"N279",
       :description=>"Missing/incomplete/invalid pay-to provider name.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N280"=>
      {:code=>"N280",
       :description=>
      "Missing/incomplete/invalid pay-to provider primary identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N281"=>
      {:code=>"N281",
       :description=>"Missing/incomplete/invalid pay-to provider address.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N282"=>
      {:code=>"N282",
       :description=>
      "Missing/incomplete/invalid pay-to provider secondary identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N283"=>
      {:code=>"N283",
       :description=>
      "Missing/incomplete/invalid purchased service provider identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N284"=>
      {:code=>"N284",
       :description=>"Missing/incomplete/invalid referring provider taxonomy.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N285"=>
      {:code=>"N285",
       :description=>"Missing/incomplete/invalid referring provider name.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N286"=>
      {:code=>"N286",
       :description=>
      "Missing/incomplete/invalid referring provider primary identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N287"=>
      {:code=>"N287",
       :description=>
      "Missing/incomplete/invalid referring provider secondary identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N288"=>
      {:code=>"N288",
       :description=>"Missing/incomplete/invalid rendering provider taxonomy.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N289"=>
      {:code=>"N289",
       :description=>"Missing/incomplete/invalid rendering provider name.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N290"=>
      {:code=>"N290",
       :description=>
      "Missing/incomplete/invalid rendering provider primary identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N291"=>
      {:code=>"N291",
       :description=>
      "Missing/incomplete/invalid rendering provider secondary identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"11/01/2010",
        :notes=>""},
        "N292"=>
      {:code=>"N292",
       :description=>"Missing/incomplete/invalid service facility name.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N293"=>
      {:code=>"N293",
       :description=>
      "Missing/incomplete/invalid service facility primary identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N294"=>
      {:code=>"N294",
       :description=>
      "Missing/incomplete/invalid service facility primary address.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N295"=>
      {:code=>"N295",
       :description=>
      "Missing/incomplete/invalid service facility secondary identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N296"=>
      {:code=>"N296",
       :description=>"Missing/incomplete/invalid supervising provider name.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N297"=>
      {:code=>"N297",
       :description=>
      "Missing/incomplete/invalid supervising provider primary identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N298"=>
      {:code=>"N298",
       :description=>
      "Missing/incomplete/invalid supervising provider secondary identifier.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N299"=>
      {:code=>"N299",
       :description=>"Missing/incomplete/invalid occurrence date(s).",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N300"=>
      {:code=>"N300",
       :description=>"Missing/incomplete/invalid occurrence span date(s).",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N301"=>
      {:code=>"N301",
       :description=>"Missing/incomplete/invalid procedure date(s).",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N302"=>
      {:code=>"N302",
       :description=>"Missing/incomplete/invalid other procedure date(s).",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N303"=>
      {:code=>"N303",
       :description=>"Missing/incomplete/invalid principal procedure date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N304"=>
      {:code=>"N304",
       :description=>"Missing/incomplete/invalid dispensed date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N305"=>
      {:code=>"N305",
       :description=>"Missing/incomplete/invalid accident date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N306"=>
      {:code=>"N306",
       :description=>"Missing/incomplete/invalid acute manifestation date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N307"=>
      {:code=>"N307",
       :description=>"Missing/incomplete/invalid adjudication or payment date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N308"=>
      {:code=>"N308",
       :description=>"Missing/incomplete/invalid appliance placement date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N309"=>
      {:code=>"N309",
       :description=>"Missing/incomplete/invalid assessment date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N310"=>
      {:code=>"N310",
       :description=>
      "Missing/incomplete/invalid assumed or relinquished care date.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N311"=>
      {:code=>"N311",
       :description=>
      "Missing/incomplete/invalid authorized to return to work date.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N312"=>
      {:code=>"N312",
       :description=>"Missing/incomplete/invalid begin therapy date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N313"=>
      {:code=>"N313",
       :description=>"Missing/incomplete/invalid certification revision date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N314"=>
      {:code=>"N314",
       :description=>"Missing/incomplete/invalid diagnosis date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N315"=>
      {:code=>"N315",
       :description=>"Missing/incomplete/invalid disability from date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N316"=>
      {:code=>"N316",
       :description=>"Missing/incomplete/invalid disability to date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N317"=>
      {:code=>"N317",
       :description=>"Missing/incomplete/invalid discharge hour.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N318"=>
      {:code=>"N318",
       :description=>"Missing/incomplete/invalid discharge or end of care date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N319"=>
      {:code=>"N319",
       :description=>
      "Missing/incomplete/invalid hearing or vision prescription date.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N320"=>
      {:code=>"N320",
       :description=>
      "Missing/incomplete/invalid Home Health Certification Period.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N321"=>
      {:code=>"N321",
       :description=>"Missing/incomplete/invalid last admission period.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N322"=>
      {:code=>"N322",
       :description=>"Missing/incomplete/invalid last certification date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N323"=>
      {:code=>"N323",
       :description=>"Missing/incomplete/invalid last contact date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N324"=>
      {:code=>"N324",
       :description=>"Missing/incomplete/invalid last seen/visit date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N325"=>
      {:code=>"N325",
       :description=>"Missing/incomplete/invalid last worked date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N326"=>
      {:code=>"N326",
       :description=>"Missing/incomplete/invalid last x-ray date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N327"=>
      {:code=>"N327",
       :description=>"Missing/incomplete/invalid other insured birth date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N328"=>
      {:code=>"N328",
       :description=>"Missing/incomplete/invalid Oxygen Saturation Test date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N329"=>
      {:code=>"N329",
       :description=>"Missing/incomplete/invalid patient birth date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N330"=>
      {:code=>"N330",
       :description=>"Missing/incomplete/invalid patient death date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N331"=>
      {:code=>"N331",
       :description=>"Missing/incomplete/invalid physician order date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N332"=>
      {:code=>"N332",
       :description=>"Missing/incomplete/invalid prior hospital discharge date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N333"=>
      {:code=>"N333",
       :description=>"Missing/incomplete/invalid prior placement date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N334"=>
      {:code=>"N334",
       :description=>"Missing/incomplete/invalid re-evaluation date",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N335"=>
      {:code=>"N335",
       :description=>"Missing/incomplete/invalid referral date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N336"=>
      {:code=>"N336",
       :description=>"Missing/incomplete/invalid replacement date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N337"=>
      {:code=>"N337",
       :description=>"Missing/incomplete/invalid secondary diagnosis date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N338"=>
      {:code=>"N338",
       :description=>"Missing/incomplete/invalid shipped date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N339"=>
      {:code=>"N339",
       :description=>
      "Missing/incomplete/invalid similar illness or symptom date.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N340"=>
      {:code=>"N340",
       :description=>"Missing/incomplete/invalid subscriber birth date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N341"=>
      {:code=>"N341",
       :description=>"Missing/incomplete/invalid surgery date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N342"=>
      {:code=>"N342",
       :description=>"Missing/incomplete/invalid test performed date.",
       :effective_date=>"12/02/2004",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N343"=>
      {:code=>"N343",
       :description=>
      "Missing/incomplete/invalid Transcutaneous Electrical Nerve Stimulator (TENS) trial start date.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N344"=>
      {:code=>"N344",
       :description=>
      "Missing/incomplete/invalid Transcutaneous Electrical Nerve Stimulator (TENS) trial end date.",
        :effective_date=>"12/02/2004",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N345"=>
      {:code=>"N345",
       :description=>"Date range not valid with units submitted. ",
       :effective_date=>"03/30/2005",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N346"=>
      {:code=>"N346",
       :description=>"Missing/incomplete/invalid oral cavity designation code.",
       :effective_date=>"03/30/2005",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N347"=>
      {:code=>"N347",
       :description=>
      "Your claim for a referred or purchased service cannot be paid because payment has already been made for this same service to another provider by a payment contractor representing the payer. ",
        :effective_date=>"03/30/2005",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N348"=>
      {:code=>"N348",
       :description=>
      "You chose that this service/supply/drug would be rendered/supplied and billed by a different practitioner/supplier.",
        :effective_date=>"08/01/2005",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N349"=>
      {:code=>"N349",
       :description=>
      "The administration method and drug must be reported to adjudicate this service. ",
        :effective_date=>"08/01/2005",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N350"=>
      {:code=>"N350",
       :description=>
      "Missing/incomplete/invalid description of service for a Not Otherwise Classified (NOC) code or for an Unlisted/By Report procedure.",
        :effective_date=>"08/01/2005",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2008",
        :notes=>"(Modified 7/1/08)"},
        "N351"=>
      {:code=>"N351",
       :description=>
      "Service date outside of the approved treatment plan service dates.",
        :effective_date=>"08/01/2005",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N352"=>
      {:code=>"N352",
       :description=>
      "Alert: There are no scheduled payments for this service. Submit a claim for each patient visit.",
        :effective_date=>"08/01/2005",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "N353"=>
      {:code=>"N353",
       :description=>
      "Alert: Benefits have been estimated, when the actual services have been rendered, additional payment will be considered based on the submitted claim.",
        :effective_date=>"08/01/2005",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "N354"=>
      {:code=>"N354",
       :description=>"Incomplete/invalid invoice",
       :effective_date=>"08/01/2005",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N355"=>
      {:code=>"N355",
       :description=>
      "Alert: The law permits exceptions to the refund requirement in two cases: - If you did not know, and could not have reasonably been expected to know, that we would not pay for this service; or - If you notified the patient in writing before providing the service that you believed that we were likely to deny the service, and the patient signed a statement agreeing to pay for the service.<br><br>If you come within either exception, or if you believe the carrier was wrong in its determination that we do not pay for this service, you should request appeal of this determination within 30 days of the date of this notice. Your request for review should include any additional information necessary to support your position.<br><br>If you request an appeal within 30 days of receiving this notice, you may delay refunding the amount to the patient until you receive the results of the review. If the review decision is favorable to you, you do not need to make any refund. If, however, the review is unfavorable, the law specifies that you must make the refund within 15 days of receiving the unfavorable review decision.<br><br>The law also permits you to request an appeal at any time within 120 days of the date you receive this notice. However, an appeal request that is received more than 30 days after the date of this notice, does not permit you to delay making the refund. Regardless of when a review is requested, the patient will be notified that you have requested one, and will receive a copy of the determination.<br><br>The patient has received a separate notice of this denial decision. The notice advises that he/she may be entitled to a refund of any amounts paid, if you should have known that we would not pay and did not tell him/her. It also instructs the patient to contact our office if he/she does not hear anything about a refund within 30 days",
        :effective_date=>"08/01/2005",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 11/18/05, Modified 4/1/07)"},
        "N356"=>
      {:code=>"N356",
       :description=>
      "Not covered when performed with, or subsequent to, a non-covered service.",
        :effective_date=>"08/01/2005",
        :deactivation_date=>"",
        :last_modified_date=>"03/08/2011",
        :notes=>"(Modified 3/8/11)"},
        "N357"=>
      {:code=>"N357",
       :description=>
      "Time frame requirements between this service/procedure/supply and a related service/procedure/supply have not been met.",
        :effective_date=>"11/18/2005",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N358"=>
      {:code=>"N358",
       :description=>
      "Alert: This decision may be reviewed if additional documentation as described in the contract or plan benefit documents is submitted.",
        :effective_date=>"11/18/2005",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "N359"=>
      {:code=>"N359",
       :description=>"Missing/incomplete/invalid height.",
       :effective_date=>"11/18/2005",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N360"=>
      {:code=>"N360",
       :description=>
      "Alert: Coordination of benefits has not been calculated when estimating benefits for this pre-determination. Submit payment information from the primary payer with the secondary claim.",
        :effective_date=>"11/18/2005",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "N361"=>
      {:code=>"N361",
       :description=>
      "Payment adjusted based on multiple diagnostic imaging procedure rules",
        :effective_date=>"11/18/2005",
        :deactivation_date=>"10/01/2007",
        :last_modified_date=>"12/01/2006",
        :notes=>"(Modified 12/1/06) Consider using Reason Code 59"},
        "N362"=>
      {:code=>"N362",
       :description=>
      "The number of Days or Units of Service exceeds our acceptable maximum.",
        :effective_date=>"11/18/2005",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N363"=>
      {:code=>"N363",
       :description=>
      "Alert: in the near future we are implementing new policies/procedures that would affect this determination.",
        :effective_date=>"11/18/2005",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "N364"=>
      {:code=>"N364",
       :description=>
      "Alert: According to our agreement, you must waive the deductible and/or coinsurance amounts.",
        :effective_date=>"11/18/2005",
        :deactivation_date=>"",
        :last_modified_date=>"04/01/2007",
        :notes=>"(Modified 4/1/07)"},
        "N365"=>
      {:code=>"N365",
       :description=>
      "This procedure code is not payable. It is for reporting/information purposes only.",
        :effective_date=>"04/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N366"=>
      {:code=>"N366",
       :description=>
      "Requested information not provided. The claim will be reopened if the information previously requested is submitted within one year after the date of this denial notice.",
        :effective_date=>"04/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N367"=>
      {:code=>"N367",
       :description=>
      "Alert: The claim information has been forwarded to a Consumer Spending Account processor for review; for example, flexible spending account or health savings account.",
        :effective_date=>"04/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2008",
        :notes=>"(Modified 4/1/07, 11/5/07, 7/1/08)"},
        "N368"=>
      {:code=>"N368",
       :description=>
      "You must appeal the determination of the previously adjudicated claim.",
        :effective_date=>"04/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N369"=>
      {:code=>"N369",
       :description=>
      "Alert: Although this claim has been processed, it is deficient according to state legislation/regulation.",
        :effective_date=>"04/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N370"=>
      {:code=>"N370",
       :description=>
      "Billing exceeds the rental months covered/approved by the payer.",
        :effective_date=>"08/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N371"=>
      {:code=>"N371",
       :description=>
      "Alert: title of this equipment must be transferred to the patient.",
        :effective_date=>"08/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N372"=>
      {:code=>"N372",
       :description=>
      "Only reasonable and necessary maintenance/service charges are covered.",
        :effective_date=>"08/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N373"=>
      {:code=>"N373",
       :description=>
      "It has been determined that another payer paid the services as primary when they were not the primary payer. Therefore, we are refunding to the payer that paid as primary on your behalf.",
        :effective_date=>"12/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N374"=>
      {:code=>"N374",
       :description=>
      "Primary Medicare Part A insurance has been exhausted and a Part B Remittance Advice is required.",
        :effective_date=>"12/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N375"=>
      {:code=>"N375",
       :description=>
      "Missing/incomplete/invalid questionnaire/information required to determine dependent eligibility.",
        :effective_date=>"12/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N376"=>
      {:code=>"N376",
       :description=>
      "Subscriber/patient is assigned to active military duty, therefore primary coverage may be TRICARE.",
        :effective_date=>"12/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N377"=>
      {:code=>"N377",
       :description=>"Payment based on a processed replacement claim.",
       :effective_date=>"12/01/2006",
       :deactivation_date=>"",
       :last_modified_date=>"11/05/2007",
       :notes=>"(Modified 11/5/07)"},
       "N378"=>
      {:code=>"N378",
       :description=>"Missing/incomplete/invalid prescription quantity.",
       :effective_date=>"12/01/2006",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N379"=>
      {:code=>"N379",
       :description=>
      "Claim level information does not match line level information.",
        :effective_date=>"12/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N380"=>
      {:code=>"N380",
       :description=>
      "The original claim has been processed, submit a corrected claim.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N381"=>
      {:code=>"N381",
       :description=>
      "Consult our contractual agreement for restrictions/billing/payment information related to these charges.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N382"=>
      {:code=>"N382",
       :description=>"Missing/incomplete/invalid patient identifier.",
       :effective_date=>"04/01/2007",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N383"=>
      {:code=>"N383",
       :description=>"Not covered when deemed cosmetic.",
       :effective_date=>"04/01/2007",
       :deactivation_date=>"",
       :last_modified_date=>"03/08/2011",
       :notes=>"(Modified 3/8/11)"},
       "N384"=>
      {:code=>"N384",
       :description=>
      "Records indicate that the referenced body part/tooth has been removed in a previous procedure. ",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N385"=>
      {:code=>"N385",
       :description=>
      "Notification of admission was not timely according to published plan procedures.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"11/05/2007",
        :notes=>"(Modified 11/5/07)"},
        "N386"=>
      {:code=>"N386",
       :description=>
      "This decision was based on a National Coverage Determination (NCD). An NCD provides a coverage determination as to whether a particular item or service is covered. A copy of this policy is available at www.cms.gov/mcd/search.asp. If you do not have web access, you may contact the contractor to request a copy of the NCD.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2010",
        :notes=>"(Modified 7/1/2010)"},
        "N387"=>
      {:code=>"N387",
       :description=>
      "Alert: Submit this claim to the patient's other insurer for potential payment of supplemental benefits. We did not forward the claim information.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"03/01/2009",
        :notes=>"(Modified 3/1/2009)"},
        "N388"=>
      {:code=>"N388",
       :description=>"Missing/incomplete/invalid prescription number",
       :effective_date=>"08/01/2007",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N389"=>
      {:code=>"N389",
       :description=>"Duplicate prescription number submitted.",
       :effective_date=>"08/01/2007",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N390"=>
      {:code=>"N390",
       :description=>"This service/report cannot be billed separately.",
       :effective_date=>"08/01/2007",
       :deactivation_date=>"",
       :last_modified_date=>"07/01/2008",
       :notes=>"(Modified 7/1/08)"},
       "N391"=>
      {:code=>"N391",
       :description=>"Missing emergency department records.",
       :effective_date=>"08/01/2007",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N392"=>
      {:code=>"N392",
       :description=>"Incomplete/invalid emergency department records.",
       :effective_date=>"08/01/2007",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N393"=>
      {:code=>"N393",
       :description=>"Missing progress notes/report.",
       :effective_date=>"08/01/2007",
       :deactivation_date=>"",
       :last_modified_date=>"07/01/2008",
       :notes=>"(Modified 7/1/08)"},
       "N394"=>
      {:code=>"N394",
       :description=>"Incomplete/invalid progress notes/report.",
       :effective_date=>"08/01/2007",
       :deactivation_date=>"",
       :last_modified_date=>"07/01/2008",
       :notes=>"(Modified 7/1/08)"},
       "N395"=>
      {:code=>"N395",
       :description=>"Missing laboratory report.",
       :effective_date=>"08/01/2007",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N396"=>
      {:code=>"N396",
       :description=>"Incomplete/invalid laboratory report.",
       :effective_date=>"08/01/2007",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N397"=>
      {:code=>"N397",
       :description=>
      "Benefits are not available for incomplete service(s)/undelivered item(s).",
        :effective_date=>"08/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N398"=>
      {:code=>"N398",
       :description=>"Missing elective consent form.",
       :effective_date=>"08/01/2007",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N399"=>
      {:code=>"N399",
       :description=>"Incomplete/invalid elective consent form.",
       :effective_date=>"08/01/2007",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N400"=>
      {:code=>"N400",
       :description=>
      "Alert: Electronically enabled providers should submit claims electronically.",
        :effective_date=>"08/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N401"=>
      {:code=>"N401",
       :description=>"Missing periodontal charting. ",
       :effective_date=>"08/01/2007",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N402"=>
      {:code=>"N402",
       :description=>"Incomplete/invalid periodontal charting.",
       :effective_date=>"08/01/2007",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N403"=>
      {:code=>"N403",
       :description=>"Missing facility certification.",
       :effective_date=>"08/01/2007",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N404"=>
      {:code=>"N404",
       :description=>"Incomplete/invalid facility certification.",
       :effective_date=>"08/01/2007",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N405"=>
      {:code=>"N405",
       :description=>
      "This service is only covered when the donor's insurer(s) do not provide coverage for the service.",
        :effective_date=>"08/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N406"=>
      {:code=>"N406",
       :description=>
      "This service is only covered when the recipient's insurer(s) do not provide coverage for the service.",
        :effective_date=>"08/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N407"=>
      {:code=>"N407",
       :description=>
      "You are not an approved submitter for this transmission format.",
        :effective_date=>"08/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N408"=>
      {:code=>"N408",
       :description=>
      "This payer does not cover deductibles assessed by a previous payer. ",
        :effective_date=>"08/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N409"=>
      {:code=>"N409",
       :description=>
      "This service is related to an accidental injury and is not covered unless provided within a specific time frame from the date of the accident. ",
        :effective_date=>"08/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N410"=>
      {:code=>"N410",
       :description=>"Not covered unless the prescription changes.",
       :effective_date=>"08/01/2007",
       :deactivation_date=>"",
       :last_modified_date=>"03/08/2011",
       :notes=>"(Modified 3/8/11)"},
       "N411"=>
      {:code=>"N411",
       :description=>
      "This service is allowed one time in a 6-month period. (This temporary code will be deactivated on 2/1/09. Must be used with Reason Code 119.) ",
        :effective_date=>"08/01/2007",
        :deactivation_date=>"02/01/2009",
        :last_modified_date=>"",
        :notes=>""},
        "N412"=>
      {:code=>"N412",
       :description=>
      "This service is allowed 2 times in a 12-month period. (This temporary code will be deactivated on 2/1/09. Must be used with Reason Code 119.) ",
        :effective_date=>"08/01/2007",
        :deactivation_date=>"02/01/2009",
        :last_modified_date=>"",
        :notes=>""},
        "N413"=>
      {:code=>"N413",
       :description=>
      "This service is allowed 2 times in a benefit year. (This temporary code will be deactivated on 2/1/09. Must be used with Reason Code 119.)",
        :effective_date=>"08/01/2007",
        :deactivation_date=>"02/01/2009",
        :last_modified_date=>"",
        :notes=>""},
        "N414"=>
      {:code=>"N414",
       :description=>
      "This service is allowed 4 times in a 12-month period. (This temporary code will be deactivated on 2/1/09. Must be used with Reason Code 119.) ",
        :effective_date=>"08/01/2007",
        :deactivation_date=>"02/01/2009",
        :last_modified_date=>"",
        :notes=>""},
        "N415"=>
      {:code=>"N415",
       :description=>
      "This service is allowed 1 time in an 18-month period. (This temporary code will be deactivated on 2/1/09. Must be used with Reason Code 119.) ",
        :effective_date=>"08/01/2007",
        :deactivation_date=>"02/01/2009",
        :last_modified_date=>"",
        :notes=>""},
        "N416"=>
      {:code=>"N416",
       :description=>
      "This service is allowed 1 time in a 3-year period. (This temporary code will be deactivated on 2/1/09. Must be used with Reason Code 119.) ",
        :effective_date=>"08/01/2007",
        :deactivation_date=>"02/01/2009",
        :last_modified_date=>"",
        :notes=>""},
        "N417"=>
      {:code=>"N417",
       :description=>
      "This service is allowed 1 time in a 5-year period. (This temporary code will be deactivated on 2/1/09. Must be used with Reason Code 119.)",
        :effective_date=>"08/01/2007",
        :deactivation_date=>"02/01/2009",
        :last_modified_date=>"",
        :notes=>""},
        "N418"=>
      {:code=>"N418",
       :description=>
      "Misrouted claim. See the payer's claim submission instructions.",
        :effective_date=>"08/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N419"=>
      {:code=>"N419",
       :description=>
      "Claim payment was the result of a payer's retroactive adjustment due to a retroactive rate change.",
        :effective_date=>"08/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N420"=>
      {:code=>"N420",
       :description=>
      "Claim payment was the result of a payer's retroactive adjustment due to a Coordination of Benefits or Third Party Liability Recovery.",
        :effective_date=>"08/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N421"=>
      {:code=>"N421",
       :description=>
      "Claim payment was the result of a payer's retroactive adjustment due to a review organization decision.",
        :effective_date=>"08/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"05/08/2008",
        :notes=>"(Modified 2/29/08, typo fixed 5/8/08)"},
        "N422"=>
      {:code=>"N422",
       :description=>
      "Claim payment was the result of a payer's retroactive adjustment due to a payer's contract incentive program.",
        :effective_date=>"08/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"05/08/2008",
        :notes=>"(Typo fixed 5/8/08)"},
        "N423"=>
      {:code=>"N423",
       :description=>
      "Claim payment was the result of a payer's retroactive adjustment due to a non standard program.",
        :effective_date=>"08/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N424"=>
      {:code=>"N424",
       :description=>
      "Patient does not reside in the geographic area required for this type of payment.",
        :effective_date=>"08/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N425"=>
      {:code=>"N425",
       :description=>"Statutorily excluded service(s).",
       :effective_date=>"08/01/2007",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N426"=>
      {:code=>"N426",
       :description=>"No coverage when self-administered.",
       :effective_date=>"08/01/2007",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N427"=>
      {:code=>"N427",
       :description=>
      "Payment for eyeglasses or contact lenses can be made only after cataract surgery.",
        :effective_date=>"08/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N428"=>
      {:code=>"N428",
       :description=>"Not covered when performed in this place of service.",
       :effective_date=>"08/01/2007",
       :deactivation_date=>"",
       :last_modified_date=>"03/08/2011",
       :notes=>"(Modified 3/8/11)"},
       "N429"=>
      {:code=>"N429",
       :description=>"Not covered when considered routine.",
       :effective_date=>"08/01/2007",
       :deactivation_date=>"",
       :last_modified_date=>"03/08/2011",
       :notes=>"(Modified 3/8/11)"},
       "N430"=>
      {:code=>"N430",
       :description=>"Procedure code is inconsistent with the units billed.",
       :effective_date=>"11/05/2007",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N431"=>
      {:code=>"N431",
       :description=>"Not covered with this procedure.",
       :effective_date=>"11/05/2007",
       :deactivation_date=>"",
       :last_modified_date=>"03/08/2011",
       :notes=>"(Modified 3/8/11)"},
       "N432"=>
      {:code=>"N432",
       :description=>"Adjustment based on a Recovery Audit.",
       :effective_date=>"11/05/2007",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N433"=>
      {:code=>"N433",
       :description=>
      "Resubmit this claim using only your National Provider Identifier (NPI)",
        :effective_date=>"02/29/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N434"=>
      {:code=>"N434",
       :description=>
      "Missing/Incomplete/Invalid Present on Admission indicator.",
        :effective_date=>"07/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N435"=>
      {:code=>"N435",
       :description=>
      "Exceeds number/frequency approved /allowed within time period without support documentation.",
        :effective_date=>"07/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N436"=>
      {:code=>"N436",
       :description=>
      "The injury claim has not been accepted and a mandatory medical reimbursement has been made.",
        :effective_date=>"07/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N437"=>
      {:code=>"N437",
       :description=>
      "Alert: If the injury claim is accepted, these charges will be reconsidered.",
        :effective_date=>"07/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N438"=>
      {:code=>"N438",
       :description=>"This jurisdiction only accepts paper claims",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N439"=>
      {:code=>"N439",
       :description=>"Missing anesthesia physical status report/indicators.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N440"=>
      {:code=>"N440",
       :description=>
      "Incomplete/invalid anesthesia physical status report/indicators.",
        :effective_date=>"07/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N441"=>
      {:code=>"N441",
       :description=>"This missed appointment is not covered.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N442"=>
      {:code=>"N442",
       :description=>"Payment based on an alternate fee schedule.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N443"=>
      {:code=>"N443",
       :description=>"Missing/incomplete/invalid total time or begin/end time.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N444"=>
      {:code=>"N444",
       :description=>
      "Alert: This facility has not filed the Election for High Cost Outlier form with the Division of Workers' Compensation.",
        :effective_date=>"07/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N445"=>
      {:code=>"N445",
       :description=>"Missing document for actual cost or paid amount.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N446"=>
      {:code=>"N446",
       :description=>
      "Incomplete/invalid document for actual cost or paid amount.",
        :effective_date=>"07/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N447"=>
      {:code=>"N447",
       :description=>
      "Payment is based on a generic equivalent as required documentation was not provided.",
        :effective_date=>"07/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N448"=>
      {:code=>"N448",
       :description=>
      "This drug/service/supply is not included in the fee schedule or contracted/legislated fee arrangement",
        :effective_date=>"07/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N449"=>
      {:code=>"N449",
       :description=>"Payment based on a comparable drug/service/supply.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N450"=>
      {:code=>"N450",
       :description=>
      "Covered only when performed by the primary treating physician or the designee.",
        :effective_date=>"07/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N451"=>
      {:code=>"N451",
       :description=>"Missing Admission Summary Report.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N452"=>
      {:code=>"N452",
       :description=>"Incomplete/invalid Admission Summary Report.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N453"=>
      {:code=>"N453",
       :description=>"Missing Consultation Report.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N454"=>
      {:code=>"N454",
       :description=>"Incomplete/invalid Consultation Report.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N455"=>
      {:code=>"N455",
       :description=>"Missing Physician Order.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N456"=>
      {:code=>"N456",
       :description=>"Incomplete/invalid Physician Order.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N457"=>
      {:code=>"N457",
       :description=>"Missing Diagnostic Report.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N458"=>
      {:code=>"N458",
       :description=>"Incomplete/invalid Diagnostic Report.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N459"=>
      {:code=>"N459",
       :description=>"Missing Discharge Summary.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N460"=>
      {:code=>"N460",
       :description=>"Incomplete/invalid Discharge Summary.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N461"=>
      {:code=>"N461",
       :description=>"Missing Nursing Notes.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N462"=>
      {:code=>"N462",
       :description=>"Incomplete/invalid Nursing Notes.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N463"=>
      {:code=>"N463",
       :description=>"Missing support data for claim.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N464"=>
      {:code=>"N464",
       :description=>"Incomplete/invalid support data for claim.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N465"=>
      {:code=>"N465",
       :description=>"Missing Physical Therapy Notes/Report.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N466"=>
      {:code=>"N466",
       :description=>"Incomplete/invalid Physical Therapy Notes/Report.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N467"=>
      {:code=>"N467",
       :description=>"Missing Report of Tests and Analysis Report.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N468"=>
      {:code=>"N468",
       :description=>"Incomplete/invalid Report of Tests and Analysis Report.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N469"=>
      {:code=>"N469",
       :description=>
      "Alert: Claim/Service(s) subject to appeal process, see section 935 of Medicare Prescription Drug, Improvement, and Modernization Act of 2003 (MMA).",
        :effective_date=>"07/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N470"=>
      {:code=>"N470",
       :description=>
      "This payment will complete the mandatory medical reimbursement limit.",
        :effective_date=>"07/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N471"=>
      {:code=>"N471",
       :description=>"Missing/incomplete/invalid HIPPS Rate Code.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N472"=>
      {:code=>"N472",
       :description=>
      "Payment for this service has been issued to another provider.",
        :effective_date=>"07/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N473"=>
      {:code=>"N473",
       :description=>"Missing certification.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N474"=>
      {:code=>"N474",
       :description=>"Incomplete/invalid certification",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N475"=>
      {:code=>"N475",
       :description=>"Missing completed referral form.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N476"=>
      {:code=>"N476",
       :description=>"Incomplete/invalid completed referral form",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N477"=>
      {:code=>"N477",
       :description=>"Missing Dental Models.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N478"=>
      {:code=>"N478",
       :description=>"Incomplete/invalid Dental Models",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N479"=>
      {:code=>"N479",
       :description=>
      "Missing Explanation of Benefits (Coordination of Benefits or Medicare Secondary Payer).",
        :effective_date=>"07/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N480"=>
      {:code=>"N480",
       :description=>
      "Incomplete/invalid Explanation of Benefits (Coordination of Benefits or Medicare Secondary Payer).",
        :effective_date=>"07/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N481"=>
      {:code=>"N481",
       :description=>"Missing Models.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N482"=>
      {:code=>"N482",
       :description=>"Incomplete/invalid Models",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N483"=>
      {:code=>"N483",
       :description=>"Missing Periodontal Charts.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N484"=>
      {:code=>"N484",
       :description=>"Incomplete/invalid Periodontal Charts",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N485"=>
      {:code=>"N485",
       :description=>"Missing Physical Therapy Certification.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N486"=>
      {:code=>"N486",
       :description=>"Incomplete/invalid Physical Therapy Certification.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N487"=>
      {:code=>"N487",
       :description=>"Missing Prosthetics or Orthotics Certification.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N488"=>
      {:code=>"N488",
       :description=>"Incomplete/invalid Prosthetics or Orthotics Certification",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N489"=>
      {:code=>"N489",
       :description=>"Missing referral form.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N490"=>
      {:code=>"N490",
       :description=>"Incomplete/invalid referral form",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N491"=>
      {:code=>"N491",
       :description=>"Missing/Incomplete/Invalid Exclusionary Rider Condition.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N492"=>
      {:code=>"N492",
       :description=>
      "Alert: A network provider may bill the member for this service if the member requested the service and agreed in writing, prior to receiving the service, to be financially responsible for the billed charge.",
        :effective_date=>"07/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N493"=>
      {:code=>"N493",
       :description=>"Missing Doctor First Report of Injury.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N494"=>
      {:code=>"N494",
       :description=>"Incomplete/invalid Doctor First Report of Injury.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N495"=>
      {:code=>"N495",
       :description=>"Missing Supplemental Medical Report.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N496"=>
      {:code=>"N496",
       :description=>"Incomplete/invalid Supplemental Medical Report.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N497"=>
      {:code=>"N497",
       :description=>
      "Missing Medical Permanent Impairment or Disability Report.",
        :effective_date=>"07/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N498"=>
      {:code=>"N498",
       :description=>
      "Incomplete/invalid Medical Permanent Impairment or Disability Report.",
        :effective_date=>"07/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N499"=>
      {:code=>"N499",
       :description=>"Missing Medical Legal Report.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N500"=>
      {:code=>"N500",
       :description=>"Incomplete/invalid Medical Legal Report.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N501"=>
      {:code=>"N501",
       :description=>"Missing Vocational Report.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N502"=>
      {:code=>"N502",
       :description=>"Incomplete/invalid Vocational Report.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N503"=>
      {:code=>"N503",
       :description=>"Missing Work Status Report.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N504"=>
      {:code=>"N504",
       :description=>"Incomplete/invalid Work Status Report.",
       :effective_date=>"07/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N505"=>
      {:code=>"N505",
       :description=>
      "Alert: This response includes only services that could be estimated in real time. No estimate will be provided for the services that could not be estimated in real time.",
        :effective_date=>"11/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N506"=>
      {:code=>"N506",
       :description=>
      "Alert: This is an estimate of the member's liability based on the information available at the time the estimate was processed. Actual coverage and member liability amounts will be determined when the claim is processed. This is not a pre-authorization or a guarantee of payment.",
        :effective_date=>"11/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N507"=>
      {:code=>"N507",
       :description=>"Plan distance requirements have not been met.",
       :effective_date=>"11/01/2008",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N508"=>
      {:code=>"N508",
       :description=>
      "Alert: This real time claim adjudication response represents the member responsibility to the provider for services reported. The member will receive an Explanation of Benefits electronically or in the mail. Contact the insurer if there are any questions.",
        :effective_date=>"11/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N509"=>
      {:code=>"N509",
       :description=>
      "Alert: A current inquiry shows the member's Consumer Spending Account contains sufficient funds to cover the member liability for this claim/service. Actual payment from the Consumer Spending Account will depend on the availability of funds and determination of eligible services at the time of payment processing.",
        :effective_date=>"11/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N510"=>
      {:code=>"N510",
       :description=>
      "Alert: A current inquiry shows the member's Consumer Spending Account does not contain sufficient funds to cover the member's liability for this claim/service. Actual payment from the Consumer Spending Account will depend on the availability of funds and determination of eligible services at the time of payment processing.",
        :effective_date=>"11/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N511"=>
      {:code=>"N511",
       :description=>
      "Alert: Information on the availability of Consumer Spending Account funds to cover the member liability on this claim/service is not available at this time.",
        :effective_date=>"11/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N512"=>
      {:code=>"N512",
       :description=>
      "Alert: This is the initial remit of a non-NCPDP claim originally submitted real-time without change to the adjudication.",
        :effective_date=>"11/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N513"=>
      {:code=>"N513",
       :description=>
      "Alert: This is the initial remit of a non-NCPDP claim originally submitted real-time with a change to the adjudication.",
        :effective_date=>"11/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N514"=>
      {:code=>"N514",
       :description=>
      "Consult plan benefit documents/guidelines for information about restrictions for this service.",
        :effective_date=>"11/01/2008",
        :deactivation_date=>"01/01/2011",
        :last_modified_date=>"",
        :notes=>"Consider using N130"},
        "N515"=>
      {:code=>"N515",
       :description=>
      "Alert: Submit this claim to the patient's other insurer for potential payment of supplemental benefits. We did not forward the claim information. (use N387 instead)",
        :effective_date=>"11/01/2008",
        :deactivation_date=>"10/01/2009",
        :last_modified_date=>"",
        :notes=>""},
        "N516"=>
      {:code=>"N516",
       :description=>
      "Records indicate a mismatch between the submitted NPI and EIN.",
        :effective_date=>"03/01/2009",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N517"=>
      {:code=>"N517",
       :description=>"Resubmit a new claim with the requested information.",
       :effective_date=>"03/01/2009",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N518"=>
      {:code=>"N518",
       :description=>
      "No separate payment for accessories when furnished for use with oxygen equipment.",
        :effective_date=>"03/01/2009",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N519"=>
      {:code=>"N519",
       :description=>"Invalid combination of HCPCS modifiers.",
       :effective_date=>"07/01/2009",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N520"=>
      {:code=>"N520",
       :description=>"Alert: Payment made from a Consumer Spending Account.",
       :effective_date=>"07/01/2009",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N521"=>
      {:code=>"N521",
       :description=>
      "Mismatch between the submitted provider information and the provider information stored in our system.",
        :effective_date=>"11/01/2009",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N522"=>
      {:code=>"N522",
       :description=>
      "Duplicate of a claim processed, or to be processed, as a crossover claim.",
        :effective_date=>"11/01/2009",
        :deactivation_date=>"",
        :last_modified_date=>"03/01/2010",
        :notes=>""},
        "N523"=>
      {:code=>"N523",
       :description=>
      "The limitation on outlier payments defined by this payer for this service period has been met. The outlier payment otherwise applicable to this claim has not been paid.",
        :effective_date=>"03/01/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N524"=>
      {:code=>"N524",
       :description=>"Based on policy this payment constitutes payment in full.",
       :effective_date=>"03/01/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N525"=>
      {:code=>"N525",
       :description=>
      "These services are not covered when performed within the global period of another service.",
        :effective_date=>"03/01/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N526"=>
      {:code=>"N526",
       :description=>"Not qualified for recovery based on employer size.",
       :effective_date=>"03/01/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N527"=>
      {:code=>"N527",
       :description=>
      "We processed this claim as the primary payer prior to receiving the recovery demand.",
        :effective_date=>"03/01/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N528"=>
      {:code=>"N528",
       :description=>
      "Patient is entitled to benefits for Institutional Services only.",
        :effective_date=>"03/01/2010",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2010",
        :notes=>"(Modified 7/1/10)"},
        "N529"=>
      {:code=>"N529",
       :description=>
      "Patient is entitled to benefits for Professional Services only.",
        :effective_date=>"03/01/2010",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2010",
        :notes=>"(Modified 7/1/10)"},
        "N530"=>
      {:code=>"N530",
       :description=>
      "Not Qualified for Recovery based on enrollment information.",
        :effective_date=>"03/01/2010",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2010",
        :notes=>"(Modified 7/1/10)"},
        "N531"=>
      {:code=>"N531",
       :description=>
      "Not qualified for recovery based on direct payment of premium.",
        :effective_date=>"03/01/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N532"=>
      {:code=>"N532",
       :description=>
      "Not qualified for recovery based on disability and working status.",
        :effective_date=>"03/01/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N533"=>
      {:code=>"N533",
       :description=>
      "Services performed in an Indian Health Services facility under a self-insured tribal Group Health Plan.",
        :effective_date=>"07/01/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N534"=>
      {:code=>"N534",
       :description=>
      "This is an individual policy, the employer does not participate in plan sponsorship.",
        :effective_date=>"07/01/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N535"=>
      {:code=>"N535",
       :description=>
      "Payment is adjusted when procedure is performed in this place of service based on the submitted procedure code and place of service.",
        :effective_date=>"07/01/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N536"=>
      {:code=>"N536",
       :description=>
      "We are not changing the prior payer's determination of patient responsibility, which you may collect, as this service is not covered by us.",
        :effective_date=>"07/01/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N537"=>
      {:code=>"N537",
       :description=>
      "We have examined claims history and no records of the services have been found.",
        :effective_date=>"07/01/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N538"=>
      {:code=>"N538",
       :description=>
      "A facility is responsible for payment to outside providers who furnish these services/supplies/drugs to its patients/residents.",
        :effective_date=>"07/01/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N539"=>
      {:code=>"N539",
       :description=>
      "Alert: We processed appeals/waiver requests on your behalf and that request has been denied.",
        :effective_date=>"07/01/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N540"=>
      {:code=>"N540",
       :description=>"Payment adjusted based on the interrupted stay policy.",
       :effective_date=>"11/01/2010",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N541"=>
      {:code=>"N541",
       :description=>
      "Mismatch between the submitted insurance type code and the information stored in our system.",
        :effective_date=>"11/01/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N542"=>
      {:code=>"N542",
       :description=>"Missing income verification.",
       :effective_date=>"03/08/2011",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N543"=>
      {:code=>"N543",
       :description=>"Incomplete/invalid income verification",
       :effective_date=>"03/08/2011",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "N544"=>
      {:code=>"N544",
       :description=>
      "Alert: Although this was paid, you have billed with a referring/ordering provider that does not match our system record. Unless, corrected, this will not be paid in the future.",
        :effective_date=>"07/01/2011",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N545"=>
      {:code=>"N545",
       :description=>
      "Payment reduced based on status as an unsuccessful eprescriber per the Electronic Prescribing (eRx) Incentive Program.",
        :effective_date=>"07/01/2011",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "N546"=>
      {:code=>"N546",
       :description=>
      "Payment represents a previous reduction based on the Electronic Prescribing (eRx) Incentive Program.",
        :effective_date=>"07/01/2011",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""}}

  end
end
