module Hippo_eyeDoc::CodeLists
  class TaxonomyCodes
    def self.[](key)
      @@codes[key]
    end

    @@codes = {
      "101Y00000X"=>
      {:code=>"101Y00000X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Counselor",
       :specialization=>"",
       :definition=>
      "A provider who is trained and educated in the performance of behavior health services through interpersonal communications and analysis. Training and education at the specialty level usually requires a master's degree and clinical experience and supervision for licensure or certification.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Sources: Abridged from definitions provided by the National Board of Certified Counselors and the American Association of Pastoral Counselors."},
        "101YA0400X"=>
      {:code=>"101YA0400X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Counselor",
       :specialization=>"Addiction (Substance Use Disorder)",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "101YM0800X"=>
      {:code=>"101YM0800X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Counselor",
       :specialization=>"Mental Health",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "101YP1600X"=>
      {:code=>"101YP1600X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Counselor",
       :specialization=>"Pastoral",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "101YP2500X"=>
      {:code=>"101YP2500X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Counselor",
       :specialization=>"Professional",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "101YS0200X"=>
      {:code=>"101YS0200X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Counselor",
       :specialization=>"School",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "102L00000X"=>
      {:code=>"102L00000X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Psychoanalyst",
       :specialization=>"",
       :definition=>
      "Psychoanalysis is a comprehensive, theoretical framework which, when applied to a treatment process, consists of an intensive verbal, therapeutic relationship between an analyst and an analysand which aims for symptom relief, emotional growth, and personal integration. The psychoanalytic treatment process includes, but is not limited to, the recognition of unconscious processes and conflicts; the significance of developmental influences; and the impact of resistances, defenses, transference and countertransference phenomena. Treatment is enhanced by an understanding developed in the analyst's training and personal analysis of unconscious manifestations, such as dreams, slips of the tongue, fantasies and day dreams. Psychoanalytic technique varies in relation to theoretical orientation.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: Registry of Psychoanalysts published by the National Association for the Advancement of Psychoanalysis [1/1/2007: new; 7/1/2007: definition changed, source changed]"},
        "102X00000X"=>
      {:code=>"102X00000X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Poetry Therapist",
       :specialization=>"",
       :definition=>
      "A medical or mental health professional who has attained credentials after satisfactorily completing a poetry therapy training program approved by the National Federation for Biblio/Poetry Therapy (NFBPT). Training includes didactic work, peer group experience, and supervised practicum. An NFBPT credentialed certified poetry therapist (CPT) or registered poetry therapist (PTR) integrates discussion of published literature and reflective or creative writing into the psychotherapeutic process to achieve goals of emotional well-being, symptom reduction, and improved interpersonal communication. Certified poetry therapists and registered poetry therapists are licensed mental health professionals with advanced training in the theory and practice of poetry therapy. CPTs and PTRs are qualified to work independently with emotionally troubled populations in clinical, rehabilitative, community and educational institutions. They also work with emotionally healthy individuals adjusting to developmental issues, life crises, or disabilities. The PTR completes an advanced level of training and fieldwork, commensurate with the highest levels of clinical practice. The terms poetry therapy, applied poetry facilitation, journal therapy, bibliotherapy, biblio/poetry therapy, and poetry/journal therapy reflect the interactive use of literature and/or writing to promote personal growth and emotional healing. In addition to poetry, poetry therapy applies all forms or written and spoken language including story, myth, folk and fairy tale and other genres of poetic expression as well as journal, memoir, and narrative. The poetry therapy process integrates discussion of published literature and reflective or creative writing for expression and communication of thoughts and feelings to facilitate participants' emotional well-being. The field of poetry therapy encompasses all of these modalities, though only a duly trained and licensed clinical practitioner can be credentialed as CPT or PTR.",
        :effective_date=>"10/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: The National Federation for Biblio/Poetry Therapy [7/1/2007: new]"},
        "103G00000X"=>
      {:code=>"103G00000X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Clinical Neuropsychologist",
       :specialization=>"",
       :definition=>
      "An individual with a doctorate degree, licensure in clinical psychology and specialized training or board certification in neuropsychology who practices or adheres to the principles of neuropsychology; a specialty within the field of psychology focusing primarily on neurobehavioral functioning.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2007",
        :notes=>
      "Source: American Psychological Association, Washington, DC, 1997. [1/1/2007: title modified]"},
        "103GC0700X"=>
      {:code=>"103GC0700X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Clinical Neuropsychologist",
       :specialization=>"Clinical",
       :definition=>"",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"03/31/2007",
       :last_modified_date=>"01/01/2007",
       :notes=>"[1/1/2007: marked inactive, use 103G00000X]"},
       "103K00000X"=>
      {:code=>"103K00000X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Behavioral Analyst",
       :specialization=>"",
       :definition=>
      "A Behavior Analyst is a practitioner who specializes in analysis of behavior problems and development of appropriate intervention and treatment plans. A Behavior Analyst may work independently or with a team of professionals. Behavior Analysts often specialize in a particular area such as autism, developmental disabilities, mental health, geriatrics, or head trauma.",
        :effective_date=>"10/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: National Uniform Claim Committee [7/1/2008: new] Additional Resources: Behavior Analysts may become Board Certified Behavioral Analysts (BCBA) through the Behavior Analysis Certification Board (BACB) www.bacb.com"},
        "103T00000X"=>
      {:code=>"103T00000X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Psychologist",
       :specialization=>"",
       :definition=>
      "A psychologist is an individual who is licensed to practice psychology which is defined as the observation, description, evaluation, interpretation, and modification of human behavior by the application of psychological principles, methods, and procedures, for the purpose of preventing or eliminating symptomatic, maladaptive, or undesired behavior and of enhancing interpersonal relationships, work and life adjustment, personal effectiveness, behavioral health, and mental health. The practice of psychology includes, but is not limited to, psychological testing and the evaluation or assessment of personal characteristics, such as intelligence, personality, abilities, interests, aptitudes, and neuropsychological functioning; counseling, psychoanalysis, psychotherapy, hypnosis, biofeedback, and behavior analysis and therapy; diagnosis and treatment of mental and emotional disorder or disability, alcoholism and substance abuse, disorders of habit or conduct, as well as of the psychological aspects of physical illness, accident, injury, or disability; and psycheducational evaluation, therapy, remediation, and consultation. Psychological services may be rendered to individuals, families, groups and the public.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2007",
        :notes=>
      "Source: American Psychological Association [1/1/2007: modified definition]"},
        "103TA0400X"=>
      {:code=>"103TA0400X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Psychologist",
       :specialization=>"Addiction (Substance Use Disorder)",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "103TA0700X"=>
      {:code=>"103TA0700X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Psychologist",
       :specialization=>"Adult Development & Aging",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "103TB0200X"=>
      {:code=>"103TB0200X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Psychologist",
       :specialization=>"Cognitive & Behavioral",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"01/01/2007",
       :notes=>"[1/1/2007: title modified]"},
       "103TC0700X"=>
      {:code=>"103TC0700X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Psychologist",
       :specialization=>"Clinical",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "103TC1900X"=>
      {:code=>"103TC1900X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Psychologist",
       :specialization=>"Counseling",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "103TC2200X"=>
      {:code=>"103TC2200X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Psychologist",
       :specialization=>"Clinical Child & Adolescent",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"01/01/2007",
       :notes=>"[1/1/2007: title modified]"},
       "103TE1000X"=>
      {:code=>"103TE1000X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Psychologist",
       :specialization=>"Educational",
       :definition=>"",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"03/31/2007",
       :last_modified_date=>"",
       :notes=>"[1/1/2007: marked inactive]"},
       "103TE1100X"=>
      {:code=>"103TE1100X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Psychologist",
       :specialization=>"Exercise & Sports",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "103TF0000X"=>
      {:code=>"103TF0000X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Psychologist",
       :specialization=>"Family",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "103TF0200X"=>
      {:code=>"103TF0200X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Psychologist",
       :specialization=>"Forensic",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "103TH0004X"=>
      {:code=>"103TH0004X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Psychologist",
       :specialization=>"Health",
       :definition=>
      "The distinct focus of the clinical health psychologist is on physical health problems. A clinical health psychologist has special expertise or training in clinical health psychology <strong><i>and</strong> applies scientific knowledge of the interrelationships among behavioral, emotional, cognitive, social and biological components in health and disease to the promotion and maintenance of health; the prevention, treatment and rehabilitation of illness and disability; and the improvement of the health care system. Clinical health psychologists are dedicated to the development of knowledge regarding the interface between behavior and health, and to the delivery of high quality services based on that knowledge to individuals, families, and health care.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Psychological Association Commission for the Recognition of Specialties and Proficiencies in Professional Psychology, 2008. [1/1/2007: new, 7/1/2008: definiton added, source added] "},
        "103TH0100X"=>
      {:code=>"103TH0100X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Psychologist",
       :specialization=>"Health Service",
       :definition=>
      "A psychologist, certified/licensed at the independent practice level in his/her state, who is duly trained and experienced in the delivery of direct, preventative, assessment, and therapeutic intervention services to individuals whose growth, adjustment, or functioning is actually impaired or is demonstrably at high risk of impairment (1974).",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2006",
        :notes=>
      "Source: National Register of Health Service Providers in Psychology website http://www.nationalregister.org/about_NR.html [7/1/2006: modified title, added definition]"},
        "103TM1700X"=>
      {:code=>"103TM1700X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Psychologist",
       :specialization=>"Men & Masculinity",
       :definition=>"",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"03/31/2007",
       :last_modified_date=>"",
       :notes=>"[1/1/2007: marked inactive]"},
       "103TM1800X"=>
      {:code=>"103TM1800X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Psychologist",
       :specialization=>"Mental Retardation & Developmental Disabilities",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "103TP0016X"=>
      {:code=>"103TP0016X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Psychologist",
       :specialization=>"Prescribing (Medical)",
       :definition=>
      "Those licensed psychologists who have completed specialized, post-doctoral training in psychopharmacology, passed a national proficiency examination in psychopharmacology, and who are authorized by state statute to prescribe medications, in accordance with their state law and state licensing authority, for the evaluation, diagnosis, management and treatment of mental, nervous, emotional, behavioral, and related disorders.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Louisiana Academy of Medical Psychologists Note: Some states issue licenses under Medical Psychologist. [1/1/2007: new] "},
        "103TP0814X"=>
      {:code=>"103TP0814X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Psychologist",
       :specialization=>"Psychoanalysis",
       :definition=>
      "(1) A practitioner of psychoanalysis: methods of eliciting from patients their past emotional experiences and their role in influencing their current mental life, in order to discover the conflicts and mechanisms by which their pathologic mental state has been produced and to furnish hints for psychotherapeutic procedures, the method employs free association, recall and interpretation of dreams and interpretation of transference and resistance phenomena; (2) An individual who is educated with a doctor's degree in psychoanalysis or psychology, trained at an established psychoanalytic institute, and practices or adheres to the principles of psychoanalysis. Psychoanalysis is a form of psychotherapy and a system of investigation for determining and understanding mental processes, which was originally conceived by Sigmund Freud. Psychoanalysis involves the analysis and interpretation of dreams, resistances, and transferences, and uses free association and catharsis. Clinical practice requires licensure.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Sources: (1) Dorlands Illustrated Medical Dictionary, 28th Edition, W.B. Saunders Company: Philadelphia, 1994, p. 1382; (2)American Psychological Association, Washington, DC, 1997, and Rhea, Ott, and Shafritz, The Facts On File Dictionary of Health Care Management, New York: Facts On File Publications, 1988."},
        "103TP2700X"=>
      {:code=>"103TP2700X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Psychologist",
       :specialization=>"Psychotherapy",
       :definition=>"",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"03/31/2007",
       :last_modified_date=>"",
       :notes=>"[1/1/2007: marked inactive]"},
       "103TP2701X"=>
      {:code=>"103TP2701X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Psychologist",
       :specialization=>"Group Psychotherapy",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"01/01/2007",
       :notes=>"[1/1/2007: modified title]"},
       "103TR0400X"=>
      {:code=>"103TR0400X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Psychologist",
       :specialization=>"Rehabilitation",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "103TS0200X"=>
      {:code=>"103TS0200X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Psychologist",
       :specialization=>"School",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "103TW0100X"=>
      {:code=>"103TW0100X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Psychologist",
       :specialization=>"Women",
       :definition=>"",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"03/31/2007",
       :last_modified_date=>"",
       :notes=>"[1/1/2007: marked inactive]"},
       "104100000X"=>
      {:code=>"104100000X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Social Worker",
       :specialization=>"",
       :definition=>
      "A social worker is a person who is qualified by a Social Work degree, and licensed, certified or registered by the state as a social worker to practice within the scope of that license. A social worker provides assistance and counseling to clients and their families who are dealing with social, emotional and environmental problems. Social work services may be rendered to individuals, families, groups, and the public.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: National Association of Social Workers, 2009 [7/1/2009: definition modified]"},
        "1041C0700X"=>
      {:code=>"1041C0700X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Social Worker",
       :specialization=>"Clinical",
       :definition=>
      "A social worker who holds a master's or doctoral degree in social work from an accredited school of social work in addition to at least two years of post-master's supervised experience in a clinical setting. The social worker must be licensed, certified, or registered at the clinical level in the jurisdiction of practice. A clinical social worker provides direct services, including interventions focused on interpersonal interactions, intrapsychic dynamics, and life management issues. Clinical social work services are based on bio-psychosocial perspectives. Services consist of assessment, diagnosis, treatment (including psychotherapy and counseling), client-centered advocacy, consultation, evaluation, and prevention of mental illness, emotional, or behavioral disturbances.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: National Association of Social Workers, 2008 [7/1/2009: definition modified]"},
        "1041S0200X"=>
      {:code=>"1041S0200X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Social Worker",
       :specialization=>"School",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "106H00000X"=>
      {:code=>"106H00000X",
       :type=>"Behavioral Health & Social Service Providers",
       :classification=>"Marriage & Family Therapist",
       :specialization=>"",
       :definition=>
      "A marriage and family therapist is a person with a master's degree in marriage and family therapy, or a master's or doctoral degree in a related mental health field with substantially equivalent coursework in marriage and family therapy, who receives supervised clinical experience, or a person who meets the state requirements to practice as a marriage and family therapist. A marriage and family therapist treats mental and emotional disorders within the context of marriage and family systems. A marriage and family therapist provides mental health and counseling services to individuals, couples, families, and groups.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "111N00000X"=>
      {:code=>"111N00000X",
       :type=>"Chiropractic Providers",
       :classification=>"Chiropractor",
       :specialization=>"",
       :definition=>
      "A provider qualified by a Doctor of Chiropractic (D.C.), licensed by the State and who practices chiropractic medicine -that discipline within the healing arts which deals with the nervous system and its relationship to the spinal column and its interrelationship with other body systems.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "111NI0013X"=>
      {:code=>"111NI0013X",
       :type=>"Chiropractic Providers",
       :classification=>"Chiropractor",
       :specialization=>"Independent Medical Examiner",
       :definition=>
      "A special evaluator not involved with the medical care of the individual examinee that impartially evaluates the care being provided by other practitioners to clarify clinical, disability, liability or other case issues.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Board of Independent Medical Examiners [1/1/2007: new]"},
        "111NI0900X"=>
      {:code=>"111NI0900X",
       :type=>"Chiropractic Providers",
       :classification=>"Chiropractor",
       :specialization=>"Internist",
       :definition=>
      "The chiropractic internist may serve as a primary care physician or may see patients referred from other providers for evaluation and co-management. Evaluation is focused on the early detection of functional, nutritional, and pathological disorders. A chiropractic internist utilizes the diagnostic instruments necessary for proper examination. In cases where laboratory examination is necessary, a chiropractic internist utilizes a recognized reference laboratory facility. A chiropractic internist may manage his or her own cases or may refer to another specialist when prudent to do so. The chiropractic internist utilizes documented natural therapies, therapeutic lifestyle changes, patient education and other resources to promote patient health and avoidance of disease.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Chiropractic Association, 2008 [7/1/2009: definition added]"},
        "111NN0400X"=>
      {:code=>"111NN0400X",
       :type=>"Chiropractic Providers",
       :classification=>"Chiropractor",
       :specialization=>"Neurology",
       :definition=>
      "Chiropractic Neurology is defined as the field of functional neurology that engages the internal - and external environment of the individual in a structured and targeted approach to affect positive changes in the nervous system and consequently the physiology and behavior of an individual. Chiropractic Neurologists are board-certified specialists in non-drug, non-surgical care for those with neurologically based health problems. There are many conditions people suffer from that are in this broad category: learning and attention disorders, headaches, vertigo, pain syndromes, developmental disorders, nerve injury, spinal cord injury, head injury or stroke, movement disorders, and many other conditions.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Chiropractic Neurology Board, 2008 & American Chiropractic Association, 2008 [7/1/2009: definition added]"},
        "111NN1001X"=>
      {:code=>"111NN1001X",
       :type=>"Chiropractic Providers",
       :classification=>"Chiropractor",
       :specialization=>"Nutrition",
       :definition=>
      "Chiropractic Nutrition is that specialty within the chiropractic profession that deals with the overall factors that affect the patient's ability to maintain the manipulative correction and thus sustain better neurological integrity. The Chiropractic Nutrition Specialist will perform extensive research on the patient's previous health history, ethnicity, and any family history related to what the patient is being treated for. Patients fill out questionnaires concerning dietary and sleep patterns and previous or present symptomology. A nutrition examination would be performed to assess areas such as absorption rates, adrenal function, kidney health, lung health etc. The patient is often instructed on how to check the pH of their saliva and urine, test for the presence of Candida Albicans, etc., at home. Outside laboratory testing includes blood, urine, hair analysis, food allergy testing etc. The patient's prescription and over the counter medications are recorded and analyzed.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Chiropractic Association, 2008 [7/1/2009: definition added]"},
        "111NP0017X"=>
      {:code=>"111NP0017X",
       :type=>"Chiropractic Providers",
       :classification=>"Chiropractor",
       :specialization=>"Pediatric Chiropractor",
       :definition=>
      "The Pediatric Chiropractor is a chiropractor with specialized, advanced training and certification in the evaluation, care and management of health and wellness conditions of infancy, childhood and adolescence. This specialist provides primary, comprehensive, therapeutic and preventative chiropractic health care for newborns through adolescents.",
        :effective_date=>"04/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Council on Chiropractic Pediatrics, American Chiropractic Association, 2007 [1/1/2008: new]"},
        "111NR0200X"=>
      {:code=>"111NR0200X",
       :type=>"Chiropractic Providers",
       :classification=>"Chiropractor",
       :specialization=>"Radiology",
       :definition=>
      "Chiropractic radiology is a referral specialty that provides consultation services at the request of other qualified doctors. Chiropractic radiologists provide consultation in health care facilities (private offices, hospitals and teaching institutions) to meet the needs of referring doctors and their patients. The quality of the consultative services by the chiropractic radiologist in independent practice is reflected by the quality of their professional credentials. Chiropractic radiologists recommend, supervise, and interpret radiologic studies as well as advanced imaging procedures. They advise referring physicians on the necessity and appropriateness of radiologic services and whether to select or to avoid certain diagnostic or clinical procedures. In some instances the radiologist may act as a private practitioner. They may conduct research and apply diagnostic radiologic procedures and may be called upon to act as expert witnesses in matters of litigation. Chiropractic radiologists are also concerned with imaging technology including image production, demonstration of normal and abnormal anatomy, and the interaction of energy and matter. The advances in the technological facets of radiology are so rapid that only qualified radiologists can reasonably be expected to maintain the high level of proficiency required to supervise and interpret these procedures. The practice of radiology continuously involves the application of this technology to patient imaging and treatment. It is now well recognized that chiropractic radiology includes, but is not limited to, plain film radiography, fluoroscopy, tomography, ultrasonography, radioisotope imaging, computed tomography, digital radiography, and magnetic resonance imaging. Individual practices may vary by intent, licensure, and scope of practice laws.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Chiropractic Board of Radiology, 2009 [7/1/2009: definition added]"},
        "111NR0400X"=>
      {:code=>"111NR0400X",
       :type=>"Chiropractic Providers",
       :classification=>"Chiropractor",
       :specialization=>"Rehabilitation",
       :definition=>
      "Rehabilitation is the discipline focused on restoring a patient's functional abilities to pre-injury or pre-disease status. Functional abilities are defined as those activities in one's daily life, work, or sports and recreational activities that an individual participates in. Relevant impairments (e.g. strength, endurance, flexibility, motor control, etc.) are often intermediate goals of rehabilitation, but the final goal of successful care is return to participation in activities in which the patient was successful before the onset of the injury or disease. Essential to a rehabilitation approach is a focus on patient-centered outcomes such as independence and self-management or self-care skills.",
        :effective_date=>"10/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: The American Chiropractic Association (ACA) and the ACA Council on Physiological Therapeutics [7/1/2006: new]"},
        "111NS0005X"=>
      {:code=>"111NS0005X",
       :type=>"Chiropractic Providers",
       :classification=>"Chiropractor",
       :specialization=>"Sports Physician",
       :definition=>
      "A sports chiropractor is uniquely trained to provide care and treatment of injuries or illness resulting from sports and physical fitness activities. Doctors of Chiropractic with the Diplomate American Chiropractic Board of Sports Physicians (DACBSP) or the Certified Chiropractic Sports Physician (CCSP), sport specialty certifications from the American Chiropractic Board of Sports Physicians, have advanced training in the assessment, management and rehabilitation of sports related injuries. Extremity care, rehabilitation and soft tissue procedures are common skills utilized by these doctors. The specialty training covers a broad spectrum from the pediatric athlete to professional and Olympic athletes, and everything in between, using a variety of techniques and modalities.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Chiropractic Board of Sports Physicians, 2009 [7/1/2009: definition added]"},
        "111NT0100X"=>
      {:code=>"111NT0100X",
       :type=>"Chiropractic Providers",
       :classification=>"Chiropractor",
       :specialization=>"Thermography",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "111NX0100X"=>
      {:code=>"111NX0100X",
       :type=>"Chiropractic Providers",
       :classification=>"Chiropractor",
       :specialization=>"Occupational Health",
       :definition=>
      "Occupational Health is that specialty within the chiropractic profession that deals with the prevention and management of work related injuries. It also considers and assists clients with State and Federal Compliance assistance. Occupational Health goes much farther than simply treating injured workers however. This may mean working with clients to promote optimum safety and ergonomic principles, interacting with the injured worker to promote safety and prevent future injuries, assisting a company with accident investigation to identify root cause, redesigning a workstation to eliminate hazards, working with safety teams, providing training programs etc. The list of potential services that the specialist can interact with a client company or patient is lengthy and varied involving both in office services as well as on site services.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Chiropractic Association, 2008 [7/1/2009: title modified, definition added]"},
        "111NX0800X"=>
      {:code=>"111NX0800X",
       :type=>"Chiropractic Providers",
       :classification=>"Chiropractor",
       :specialization=>"Orthopedic",
       :definition=>
      "Chiropractic Orthopedics is defined as that branch of chiropractic medicine that includes the continued acquisition of knowledge relative to both normal functions and diseases of the human body as they relate to the bones, joints, capsules, discs, muscles, ligaments, tendons, their complete neurological and vascular components, referred organ systems and contiguous tissues. This also includes the development and perfection of skills relative to health maintenance when such exists and when not, the investigations, historical review, physical detection, correlative diagnosis development and complete management of any disorder within the bounds defined herein. Also necessary is the delivery of the combined knowledge and skill on a primary basis to patients who both need and desire this service to the eventual outcome of remissions, whenever resolution is not readily achievable. In addition the certified chiropractic orthopedist provides consultation services at the request of other qualified doctors seeking assistance in the care of their patients. The chiropractic orthopedist may also engage in the teaching and or research of subjects and materials relevant to pursuing the quest for knowledge in the ever changing field of the orthopedic specialty.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Chiropractic Association, 2008 [7/1/2009: definition added]"},
        "122300000X"=>
      {:code=>"122300000X",
       :type=>"Dental Providers",
       :classification=>"Dentist",
       :specialization=>"",
       :definition=>
      "A dentist is a person qualified by a doctorate in dental surgery (D.D.S.) or dental medicine (D.M.D.), licensed by the state to practice dentistry, and practicing within the scope of that license. There is no difference between the two degrees: dentists who have a DMD or DDS have the same education. Universities have the prerogative to determine what degree is awarded. Both degrees use the same curriculum requirements set by the American Dental Association's Commission on Dental Accreditation. Generally, three or more years of undergraduate education plus four years of dental school is required to graduate and become a general dentist. State licensing boards accept either degree as equivalent, and both degrees allow licensed individuals to practice the same scope of general dentistry. Additional post-graduate training is required to become a dental specialist.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Council on Dental Education and Licensure, American Dental Association"},
        "1223D0001X"=>
      {:code=>"1223D0001X",
       :type=>"Dental Providers",
       :classification=>"Dentist",
       :specialization=>"Dental Public Health",
       :definition=>
      "The science and art of preventing and controlling dental diseases and promoting dental health through organized community efforts. It is that form of dental practice that serves the community as a patient rather than the individual. It is concerned with the dental health education of the public, with applied dental research, and with the administration of group dental care programs as well as the prevention and control of dental diseases on a community basis.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Council on Dental Education and Licensure, American Dental Association"},
        "1223E0200X"=>
      {:code=>"1223E0200X",
       :type=>"Dental Providers",
       :classification=>"Dentist",
       :specialization=>"Endodontics",
       :definition=>
      "The branch of dentistry that is concerned with the morphology, physiology and pathology of the human dental pulp and periradicular tissues. Its study and practice encompass the basic and clinical sciences including biology of the normal pulp, the etiology, diagnosis, prevention and treatment of diseases and injuries of the pulp and associated periradicular conditions.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Council on Dental Education and Licensure, American Dental Association"},
        "1223G0001X"=>
      {:code=>"1223G0001X",
       :type=>"Dental Providers",
       :classification=>"Dentist",
       :specialization=>"General Practice",
       :definition=>
      "A general dentist is the primary dental care provider for patients of all ages. The general dentist is responsible for the diagnosis, treatment, management and overall coordination of services related to patients' oral health needs. ",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: Academy of General Dentistry"},
        "1223P0106X"=>
      {:code=>"1223P0106X",
       :type=>"Dental Providers",
       :classification=>"Dentist",
       :specialization=>"Oral and Maxillofacial Pathology",
       :definition=>
      "The specialty of dentistry and discipline of pathology that deals with the nature, identification, and management of diseases affecting the oral and maxillofacial regions. It is a science that investigates the causes, processes, and effects of these diseases. The practice of oral and maxillofacial pathology includes research and diagnosis of diseases using clinical, radiographic, microscopic, biochemical, or other examinations.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Council on Dental Education and Licensure, American Dental Association"},
        "1223P0221X"=>
      {:code=>"1223P0221X",
       :type=>"Dental Providers",
       :classification=>"Dentist",
       :specialization=>"Pediatric Dentistry",
       :definition=>
      "An age-defined specialty that provides both primary and comprehensive preventive and therapeutic oral health care for infants and children through adolescence, including those with special health care needs.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Council on Dental Education and Licensure, American Dental Association"},
        "1223P0300X"=>
      {:code=>"1223P0300X",
       :type=>"Dental Providers",
       :classification=>"Dentist",
       :specialization=>"Periodontics",
       :definition=>
      "That specialty of dentistry which encompasses the prevention, diagnosis and treatment of diseases of the supporting and surrounding tissues of the teeth or their substitutes and the maintenance of the health, function and esthetics of these structures and tissues.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Council on Dental Education and Licensure, American Dental Association"},
        "1223P0700X"=>
      {:code=>"1223P0700X",
       :type=>"Dental Providers",
       :classification=>"Dentist",
       :specialization=>"Prosthodontics",
       :definition=>
      "That branch of dentistry pertaining to the restoration and maintenance of oral functions, comfort, appearance and health of the patient by the restoration of natural teeth and/or the replacement of missing teeth and contiguous oral and maxillofacial tissues with artificial substitutes.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Council on Dental Education and Licensure, American Dental Association"},
        "1223S0112X"=>
      {:code=>"1223S0112X",
       :type=>"Dental Providers",
       :classification=>"Dentist",
       :specialization=>"Oral and Maxillofacial Surgery",
       :definition=>
      "The specialty of dentistry which includes the diagnosis, surgical and adjunctive treatment of diseases, injuries and defects involving both the functional and esthetic aspects of the hard and soft tissues of the oral and maxillofacial region.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Council on Dental Education and Licensure, American Dental Association"},
        "1223X0008X"=>
      {:code=>"1223X0008X",
       :type=>"Dental Providers",
       :classification=>"Dentist",
       :specialization=>"Oral and Maxillofacial Radiology",
       :definition=>
      "The specialty of dentistry and discipline of radiology concerned with the production and interpretation of images and data produced by all modalities of radiant energy that are used for the diagnosis and management of diseases, disorders and conditions of the oral and maxillofacial region.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Council on Dental Education and Licensure, American Dental Association"},
        "1223X0400X"=>
      {:code=>"1223X0400X",
       :type=>"Dental Providers",
       :classification=>"Dentist",
       :specialization=>"Orthodontics and Dentofacial Orthopedics",
       :definition=>
      "That area of dentistry concerned with the supervision, guidance and correction of the growing or mature dentofacial structures, including those conditions that require movement of teeth or correction of malrelationships and malformations of their related structures and the adjustment of relationships between and among teeth and facial bones by the application of forces and/or the stimulation and redirection of functional forces within the craniofacial complex. Major responsibilities of orthodontic practice include the diagnosis, prevention, interception and treatment of all forms of malocclusion of the teeth and associated alterations in their surrounding structures; the design, application and control of functional and corrective appliances; and the guidance of the dentition and its supporting structures to attain and maintain optimum occlusal relations in physiologic and esthetic harmony among facial and cranial structures.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "122400000X"=>
      {:code=>"122400000X",
       :type=>"Dental Providers",
       :classification=>"Denturist",
       :specialization=>"",
       :definition=>"Definition to come.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "124Q00000X"=>
      {:code=>"124Q00000X",
       :type=>"Dental Providers",
       :classification=>"Dental Hygienist",
       :specialization=>"",
       :definition=>
      "An individual who has completed an accredited dental hygiene education program, and an individual who has been licensed by a state board of dental examiners to provide preventive care services under the supervision of a dentist. Functions that may be legally delegated to the dental hygienist vary based on the needs of the dentist, the educational preparation of the dental hygienist and state dental practice acts and regulations, but always include, at a minimum, scaling and polishing the teeth. To avoid misleading the public, no occupational title other than dental hygienist should be used to describe this dental auxiliary.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Comprehensive Policy Statement on Dental Auxiliaries, American Dental Association."},
        "126800000X"=>
      {:code=>"126800000X",
       :type=>"Dental Providers",
       :classification=>"Dental Assistant",
       :specialization=>"",
       :definition=>
      "An individual who may or may not have completed an accredited dental assisting education program and who aids the dentist in providing patient care services and performs other nonclinical duties in the dental office or other patient care facility. The scope of the patient care functions that may be legally delegated to the dental assistant varies based on the needs of the dentist the educational preparation of the dental assistant and state dental practice acts and regulations. Patient care services are provided under the supervision of a dentist. To avoid misleading the public, no occupational title other than dental assistant should be used to describe this dental auxiliary.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Comprehensive Policy Statement on Dental Auxiliaries, American Dental Association"},
        "126900000X"=>
      {:code=>"126900000X",
       :type=>"Dental Providers",
       :classification=>"Dental Laboratory Technician",
       :specialization=>"",
       :definition=>
      "An individual who has the skill and knowledge in the fabrication of dental appliances, prostheses and devices in accordance with a dentist's laboratory work authorization. To avoid misleading the public, no occupational title other than dental laboratory technician or certified dental technician (when appropriate) should be used to describe this auxiliary.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Comprehensive Policy Statement on Dental Auxiliaries, American Dental Association."},
        "132700000X"=>
      {:code=>"132700000X",
       :type=>"Dietary & Nutritional Service Providers",
       :classification=>"Dietary Manager",
       :specialization=>"",
       :definition=>
      "A dietary manager is a trained food services professional who is charged with maintaining cost/profit objectives, purchasing foods and services for the department and supervising staff.. Dietary managers are trained to understand the basic nutritional needs of clients and work in partnership with dietitians, who offer specialized nutritional expertise. The CDM certified dietary manager designation is an advanced professional credential awarded to dietary managers who have completed specific course work, have passed the national credentialing exams (including a sanitation and safety exam) and have applied for certification.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "133N00000X"=>
      {:code=>"133N00000X",
       :type=>"Dietary & Nutritional Service Providers",
       :classification=>"Nutritionist",
       :specialization=>"",
       :definition=>
      "A specialist in adapting and applying food and nutrient knowledge to the solution of food and nutritional problems, the control of disease, and the promotion of health. Nutritionists perform research, instruct groups and individuals about nutritional requirements, and assist people in developing meal patterns that meet their nutritional needs; (2) A nutritionist is someone who has completed undergraduate and/or graduate training in the discipline of nutrition without necessarily meeting the academic and experience requirements to qualify for the Registered Dietitian designation.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: (1) Rhea, Ott, and Shafritz, The Facts On File Dictionary of Health Care Management, New York: Facts On File Publications, 1988."},
        "133NN1002X"=>
      {:code=>"133NN1002X",
       :type=>"Dietary & Nutritional Service Providers",
       :classification=>"Nutritionist",
       :specialization=>"Nutrition, Education",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "133V00000X"=>
      {:code=>"133V00000X",
       :type=>"Dietary & Nutritional Service Providers",
       :classification=>"Dietitian, Registered",
       :specialization=>"",
       :definition=>
      "A registered dietician (RD) is a food and nutrition expert who has successfully completed a minimum of a bachelor's degree at a US regionally accredited university or college and course work approved by The American Dietetic Association (ADA); an ADA-accredited or approved, supervised practice program, typically 6 to 12 months in length; a national examination administered by the Commission on Dietetic Registration; and continuing professional educational requirements to maintain registration.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: The American Dietetic Association. Becoming a Registered Dietitian - a food and nutrition expert. Chicago, IL: The American Dietetic Association, July 1997."},
        "133VN1004X"=>
      {:code=>"133VN1004X",
       :type=>"Dietary & Nutritional Service Providers",
       :classification=>"Dietitian, Registered",
       :specialization=>"Nutrition, Pediatric",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "133VN1005X"=>
      {:code=>"133VN1005X",
       :type=>"Dietary & Nutritional Service Providers",
       :classification=>"Dietitian, Registered",
       :specialization=>"Nutrition, Renal",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "133VN1006X"=>
      {:code=>"133VN1006X",
       :type=>"Dietary & Nutritional Service Providers",
       :classification=>"Dietitian, Registered",
       :specialization=>"Nutrition, Metabolic",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "136A00000X"=>
      {:code=>"136A00000X",
       :type=>"Dietary & Nutritional Service Providers",
       :classification=>"Dietetic Technician, Registered",
       :specialization=>"",
       :definition=>
      "A person trained in food and nutrition who is an integral part of health care and foodservice management teams. A dietetic technician, registered (DTR) has successfully completed at least a two-year associate's degree at a US regionally accredited college or university; a dietetic technician program approved by The American Dietetic Association, including 450 hours of supervised practice experience; a national examination administered by the Commission on Dietetic Registration; and continuing professional educational requirements to maintain registration.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: The American Dietetic Association. Becoming a Dietetic Technician, Registered -- a food and nutrition practitioner. Chicago, IL: The American dietetic association, July 1997."},
        "146D00000X"=>
      {:code=>"146D00000X",
       :type=>"Emergency Medical Service Providers",
       :classification=>"Personal Emergency Response Attendant",
       :specialization=>"",
       :definition=>
      "Individuals that are specially trained to assist patients living at home with urgent/emergent situations. These individuals must be able to perform CPR and basic first aid and have sufficient counseling skills to allay fears and assist in working through processes necessary to resolve the crisis. Functions may include transportation to various facilities and businesses, contacting agencies to initiate remediation service or providing reassurance.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "146L00000X"=>
      {:code=>"146L00000X",
       :type=>"Emergency Medical Service Providers",
       :classification=>"Emergency Medical Technician, Paramedic",
       :specialization=>"",
       :definition=>
      "An EMT, Paramedic is an individual trained and certified to perform advanced life support (ALS) in medical emergencies based on individual state boards.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Sources: Tabers Medical Dictionary and Florida EMS Clearing House."},
        "146M00000X"=>
      {:code=>"146M00000X",
       :type=>"Emergency Medical Service Providers",
       :classification=>"Emergency Medical Technician, Intermediate",
       :specialization=>"",
       :definition=>
      "An Intermediate EMT is an individual trained and certified to perform intermediate life support treatment in medical emergencies based on individual state boards.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Sources: Tabers Medical Dictionary and Florida EMS Clearing House."},
        "146N00000X"=>
      {:code=>"146N00000X",
       :type=>"Emergency Medical Service Providers",
       :classification=>"Emergency Medical Technician, Basic",
       :specialization=>"",
       :definition=>
      "A Basic EMT is an individual trained and certified to perform basic life support treatment in medical emergencies based on individual state boards.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Sources: Tabers Medical Dictionary and Florida EMS Clearing House."},
        "152W00000X"=>
      {:code=>"152W00000X",
       :type=>"Eye and Vision Services Providers",
       :classification=>"Optometrist",
       :specialization=>"",
       :definition=>
      "Doctors of optometry (ODs) are the primary health care professionals for the eye. Optometrists examine, diagnose, treat, and manage diseases, injuries, and disorders of the visual system, the eye, and associated structures as well as identify related systemic conditions affecting the eye. An optometrist has completed pre-professional undergraduate education in a college or university and four years of professional education at a college of optometry, leading to the doctor of optometry (O.D.) degree. Some optometrists complete an optional residency in a specific area of practice. Optometrists are eye health care professionals state-licensed to diagnose and treat diseases and disorders of the eye and visual system. ",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2006",
        :notes=>
      "Source: American Optometric Association (AOA), approved by the AOA's Board of Trustees, June 21, 2005. [7/1/2006: definition modified]"},
        "152WC0802X"=>
      {:code=>"152WC0802X",
       :type=>"Eye and Vision Services Providers",
       :classification=>"Optometrist",
       :specialization=>"Corneal and Contact Management",
       :definition=>
      "The professional activities performed by an Optometrist related to the fitting of contact lenses to an eye, ongoing evaluation of the cornea's ability to sustain successful contact lens wear, and treatment of any external eye or corneal condition which can affect contact lens wear.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2009",
        :notes=>
      "Source: American Optometric Association [1/1/2009: added definition, added source]"},
        "152WL0500X"=>
      {:code=>"152WL0500X",
       :type=>"Eye and Vision Services Providers",
       :classification=>"Optometrist",
       :specialization=>"Low Vision Rehabilitation",
       :definition=>
      "Optometrists who specialize in low-vision care having training to assess visual function, prescribe low-vision devices, develop treatment plans, and recommend other vision rehabilitation services.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2009",
        :notes=>
      "Source: American Optometric Association [1/1/2009: added definition, added source]"},
        "152WP0200X"=>
      {:code=>"152WP0200X",
       :type=>"Eye and Vision Services Providers",
       :classification=>"Optometrist",
       :specialization=>"Pediatrics",
       :definition=>
      "Optometrists who work in Pediatrics are concerned with the prevention, development, diagnosis, and treatment of visual problems in children.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2009",
        :notes=>
      "Source: American Optometric Association [1/1/2009: added definition, added source]"},
        "152WS0006X"=>
      {:code=>"152WS0006X",
       :type=>"Eye and Vision Services Providers",
       :classification=>"Optometrist",
       :specialization=>"Sports Vision",
       :definition=>
      "An optometrist who offers services designed to care for unique vision care needs of athletes, which may include one of more of the following services: corrective vision care unique to a specific sporting environment; protective eyewear for the prevention of sports-related injuries; vision enhancement - which may include vision therapy and techniques to improve visual skills specific to the athlete's sport.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2009",
        :notes=>
      "Source: American Optometric Association [1/1/2009: added definition, added source]"},
        "152WV0400X"=>
      {:code=>"152WV0400X",
       :type=>"Eye and Vision Services Providers",
       :classification=>"Optometrist",
       :specialization=>"Vision Therapy",
       :definition=>
      "Optometrists who specialize in vision therapy as a treatment process used to improve vision function. It includes a broad range of developmental and rehabilitative treatment programs individually prescribed to remediate specific sensory, motor and/or visual perceptual dysfunctions.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2009",
        :notes=>
      "Source: American Optometric Association [1/1/2009: added definition, added source]"},
        "152WX0102X"=>
      {:code=>"152WX0102X",
       :type=>"Eye and Vision Services Providers",
       :classification=>"Optometrist",
       :specialization=>"Occupational Vision",
       :definition=>
      "Optometrists who work in Occupational Vision, the branch of environmental optometry, consider all aspects of the relationship between work and vision, visual performances, eye safety, and health.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2009",
        :notes=>
      "Source: American Optometric Association [1/1/2009: added definition, added source]"},
        "156F00000X"=>
      {:code=>"156F00000X",
       :type=>"Eye and Vision Services Providers",
       :classification=>"Technician/Technologist",
       :specialization=>"",
       :definition=>
      "A broad category grouping different kinds of technologists and technicians. See individual definitions.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "156FC0800X"=>
      {:code=>"156FC0800X",
       :type=>"Eye and Vision Services Providers",
       :classification=>"Technician/Technologist",
       :specialization=>"Contact Lens",
       :definition=>
      "An optician or other ancillary support staff person who, where authorized by state law and trained or certified to do so, may fit or dispense contact lenses to a patient based on the prescription of an optometrist or medical physician.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2009",
        :notes=>
      "Source: American Optometric Association [1/1/2009: added definition, added source]"},
        "156FC0801X"=>
      {:code=>"156FC0801X",
       :type=>"Eye and Vision Services Providers",
       :classification=>"Technician/Technologist",
       :specialization=>"Contact Lens Fitter",
       :definition=>
      "An optician or other ancillary support staff person who, where authorized by state law and trained or certified to do so, may fit or dispense contact lenses to a patient based on the prescription of an optometrist or medical physician.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2009",
        :notes=>
      "Source: American Optometric Association [1/1/2009: added definition, added source]"},
        "156FX1100X"=>
      {:code=>"156FX1100X",
       :type=>"Eye and Vision Services Providers",
       :classification=>"Technician/Technologist",
       :specialization=>"Ophthalmic",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "156FX1101X"=>
      {:code=>"156FX1101X",
       :type=>"Eye and Vision Services Providers",
       :classification=>"Technician/Technologist",
       :specialization=>"Ophthalmic Assistant",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "156FX1201X"=>
      {:code=>"156FX1201X",
       :type=>"Eye and Vision Services Providers",
       :classification=>"Technician/Technologist",
       :specialization=>"Optometric Assistant",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "156FX1202X"=>
      {:code=>"156FX1202X",
       :type=>"Eye and Vision Services Providers",
       :classification=>"Technician/Technologist",
       :specialization=>"Optometric Technician",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "156FX1700X"=>
      {:code=>"156FX1700X",
       :type=>"Eye and Vision Services Providers",
       :classification=>"Technician/Technologist",
       :specialization=>"Ocularist",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "156FX1800X"=>
      {:code=>"156FX1800X",
       :type=>"Eye and Vision Services Providers",
       :classification=>"Technician/Technologist",
       :specialization=>"Optician",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "156FX1900X"=>
      {:code=>"156FX1900X",
       :type=>"Eye and Vision Services Providers",
       :classification=>"Technician/Technologist",
       :specialization=>"Orthoptist",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163W00000X"=>
      {:code=>"163W00000X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"",
       :definition=>
      "(1) A registered nurse is a person qualified by graduation from an accredited nursing school (depending upon schooling, a registered nurse may receive either a diploma from a hospital program, an associate degree in nursing (A.D.N.) or a Bachelor of Science degree in nursing (B.S.N.), who is licensed or certified by the state, and is practicing within the scope of that license or certification. R.N.'s assist patient in recovering and maintaining their physical or mental health. They assist physicians during treatments and examinations and administer medications. (2) A provider who is trained and educated in a formal nursing education program at an accredited school of nursing, passes a national certification examination, and is licensed by the state to practice nursing. The individual provides nursing services to patients or clients in areas such as health promotion, disease prevention, acute and chronic care and restoration and maintenance of health across the life span.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Sources: (2) American Nurses Association, American Nurses Credentialing Center, 1996 Certification Catalogue, and Rhea, Ott, and Shafritz, The Facts On File Dictionary of Health Care Management, New York: Facts On File Publications, 1988."},
        "163WA0400X"=>
      {:code=>"163WA0400X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Addiction (Substance Use Disorder)",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WA2000X"=>
      {:code=>"163WA2000X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Administrator",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WC0200X"=>
      {:code=>"163WC0200X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Critical Care Medicine",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WC0400X"=>
      {:code=>"163WC0400X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Case Management",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WC1400X"=>
      {:code=>"163WC1400X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"College Health",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WC1500X"=>
      {:code=>"163WC1500X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Community Health",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WC1600X"=>
      {:code=>"163WC1600X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Continuing Education/Staff Development",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WC2100X"=>
      {:code=>"163WC2100X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Continence Care",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WC3500X"=>
      {:code=>"163WC3500X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Cardiac Rehabilitation",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WD0400X"=>
      {:code=>"163WD0400X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Diabetes Educator",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WD1100X"=>
      {:code=>"163WD1100X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Dialysis, Peritoneal",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WE0003X"=>
      {:code=>"163WE0003X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Emergency",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WE0900X"=>
      {:code=>"163WE0900X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Enterostomal Therapy",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WF0300X"=>
      {:code=>"163WF0300X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Flight",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WG0000X"=>
      {:code=>"163WG0000X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"General Practice",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WG0100X"=>
      {:code=>"163WG0100X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Gastroenterology",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WG0600X"=>
      {:code=>"163WG0600X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Gerontology",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WH0200X"=>
      {:code=>"163WH0200X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Home Health",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WH0500X"=>
      {:code=>"163WH0500X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Hemodialysis",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WH1000X"=>
      {:code=>"163WH1000X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Hospice",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WI0500X"=>
      {:code=>"163WI0500X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Infusion Therapy",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WI0600X"=>
      {:code=>"163WI0600X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Infection Control",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WL0100X"=>
      {:code=>"163WL0100X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Lactation Consultant",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WM0102X"=>
      {:code=>"163WM0102X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Maternal Newborn",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WM0705X"=>
      {:code=>"163WM0705X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Medical-Surgical",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WM1400X"=>
      {:code=>"163WM1400X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Nurse Massage Therapist (NMT)",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WN0002X"=>
      {:code=>"163WN0002X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Neonatal Intensive Care",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WN0003X"=>
      {:code=>"163WN0003X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Neonatal, Low-Risk",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WN0300X"=>
      {:code=>"163WN0300X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Nephrology",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WN0800X"=>
      {:code=>"163WN0800X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Neuroscience",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WN1003X"=>
      {:code=>"163WN1003X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Nutrition Support",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WP0000X"=>
      {:code=>"163WP0000X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Pain Management",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WP0200X"=>
      {:code=>"163WP0200X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Pediatrics",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WP0218X"=>
      {:code=>"163WP0218X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Pediatric Oncology",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WP0807X"=>
      {:code=>"163WP0807X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Psych/Mental Health, Child & Adolescent",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WP0808X"=>
      {:code=>"163WP0808X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Psych/Mental Health",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WP0809X"=>
      {:code=>"163WP0809X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Psych/Mental Health, Adult",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WP1700X"=>
      {:code=>"163WP1700X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Perinatal",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WP2201X"=>
      {:code=>"163WP2201X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Ambulatory Care",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WR0006X"=>
      {:code=>"163WR0006X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Registered Nurse First Assistant",
       :definition=>
      "A perioperative registered nurse who works in collaboration with the surgeon and other health care team members to achieve optimal outcomes. The RNFA has acquired the necessary knowledge, judgment, and skills specific to the expanded role of RNFA clinical practice. Intraoperatively, the RNFA assists the surgeon.",
        :effective_date=>"10/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: AORN Official Statement on RNFAs ratified by the AORN House of Delegates in 2004. [7/1/2006: new]"},
        "163WR0400X"=>
      {:code=>"163WR0400X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Rehabilitation",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WR1000X"=>
      {:code=>"163WR1000X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Reproductive Endocrinology/Infertility",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WS0121X"=>
      {:code=>"163WS0121X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Plastic Surgery",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WS0200X"=>
      {:code=>"163WS0200X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"School",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WU0100X"=>
      {:code=>"163WU0100X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Urology",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WW0000X"=>
      {:code=>"163WW0000X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Wound Care",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WW0101X"=>
      {:code=>"163WW0101X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Women's Health Care, Ambulatory",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WX0002X"=>
      {:code=>"163WX0002X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Obstetric, High-Risk",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WX0003X"=>
      {:code=>"163WX0003X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Obstetric, Inpatient",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WX0106X"=>
      {:code=>"163WX0106X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Occupational Health",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WX0200X"=>
      {:code=>"163WX0200X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Oncology",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WX0601X"=>
      {:code=>"163WX0601X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Otorhinolaryngology & Head-Neck",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WX0800X"=>
      {:code=>"163WX0800X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Orthopedic",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WX1100X"=>
      {:code=>"163WX1100X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Ophthalmic",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "163WX1500X"=>
      {:code=>"163WX1500X",
       :type=>"Nursing Service Providers",
       :classification=>"Registered Nurse",
       :specialization=>"Ostomy Care",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "164W00000X"=>
      {:code=>"164W00000X",
       :type=>"Nursing Service Providers",
       :classification=>"Licensed Practical Nurse",
       :specialization=>"",
       :definition=>
      "An individual with post-high school vocational training and practical experience in the provision of nursing care at a level less than that required for certification as a Registered Nurse. Requirements for education, experience, licensure, and job responsibilities vary among the states.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Rhea, Ott, and Shafritz, The Facts On File Dictionary of Health Care Management, New York: Facts On File Publications, 1988."},
        "164X00000X"=>
      {:code=>"164X00000X",
       :type=>"Nursing Service Providers",
       :classification=>"Licensed Vocational Nurse",
       :specialization=>"",
       :definition=>
      "An individual with post-high school vocational training and practical experience in the provision of nursing care at a level less than that required for certification as a Registered Nurse. [An alternate term for licensed practical nurse arising from difference in occupational titles between states and post-high school training programs and institutions.] Requirements for education, experience, licensure, and job responsibilities vary among the states.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Rhea, Ott, and Shafritz, The Facts On File Dictionary of Health Care Management, New York: Facts On File Publications, 1988."},
        "167G00000X"=>
      {:code=>"167G00000X",
       :type=>"Nursing Service Providers",
       :classification=>"Licensed Psychiatric Technician",
       :specialization=>"",
       :definition=>
      "An individual licensed by the state board as a Psychiatric Technician based upon completion of a prescribed course of theory and clinical practice, with two thirds of the clinical practice time focused on mental and developmental disorders. The psychiatric technician practices under the direct supervision of a physician, psychologist, registered nurse or other professional to provide care to patients with mental disorders and developmental disabilities.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "170100000X"=>
      {:code=>"170100000X",
       :type=>"Other Service Providers",
       :classification=>"Medical Genetics, Ph.D. Medical Genetics",
       :specialization=>"",
       :definition=>
      "A medical geneticist works in association with a medical specialist, is affiliated with a clinical genetics program, and serves as a consultant to medical and dental specialists. ",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      " A general certificate was first issued by ABMS in 1982. ACGME Accredited Residency Program Requirements: None."},
        "170300000X"=>
      {:code=>"170300000X",
       :type=>"Other Service Providers",
       :classification=>"Genetic Counselor, MS",
       :specialization=>"",
       :definition=>
      "A masters trained health care provider who collects and interprets genetic family histories; assesses the risk of disease occurrence or recurrence; identifies interventions to manage or ameliorate disease risk; educates about inheritance, testing, management, prevention, ethical issues, resources, and research; and counsels to promote informed choices and adaptation. Certification was established in 1993 by the American Board of Genetic Counseling and prior to that by the American Board of Medical Genetics. Requirements for experience, licensure, and job responsibilities vary among the states.",
        :effective_date=>"10/01/2005",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: National Society of Genetic Counselors [7/1/2005: new]"},
        "171000000X"=>
      {:code=>"171000000X",
       :type=>"Other Service Providers",
       :classification=>"Military Health Care Provider",
       :specialization=>"",
       :definition=>
      "Active duty military health care providers not otherwise classified who need to be separately identified for operational, clinical, or administrative processes.",
        :effective_date=>"10/01/2005",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2005: new]"},
        "1710I1002X"=>
      {:code=>"1710I1002X",
       :type=>"Other Service Providers",
       :classification=>"Military Health Care Provider",
       :specialization=>"Independent Duty Corpsman",
       :definition=>
      "A Navy Independent Duty Corpsman (IDC) is an active duty Sailor who has successfully completed one of the Navy's specific IDC training programs. IDCs are formally trained and educated to perform primary medical care and minor surgical services in a variety of health care and non-health care settings worldwide under indirect physician supervision. IDCs provide care to Department of Defense operational forces and other supporting forces such as contractors and foreign nationals.",
        :effective_date=>"10/01/2005",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Bureau of Medicine and Surgery, Department of the Navy [7/1/2005: new]"},
        "1710I1003X"=>
      {:code=>"1710I1003X",
       :type=>"Other Service Providers",
       :classification=>"Military Health Care Provider",
       :specialization=>"Independent Duty Medical Technicians",
       :definition=>
      "An Independent Duty Medical Technician (IDMT) is specially trained and educated to perform primary medical care, minor surgical services, and treatment of dental disorders for active duty military members in a variety of health care and non-health care settings worldwide under direct and indirect physician supervision. An IDMT may take medical histories, perform physical exams, order lab tests and x-rays, prescribe medications, and give immunizations. IDMTs work under the direct supervision of a physician preceptor when at home station and indirectly when assigned to a Mobile Aid Station, Mobile Medical Unit, remote site, or otherwise deployed specifically as an IDMT. An IDMT may be an experienced Aerospace Medical Service Technician who meets special task qualifications and is recommended for training by the Aerospace Medical Service Functional Manager at their Medical Treatment Facility. IDMTs maintain certification as Nationally Registered Emergency Medical Technicians and as Immunization Back-up Technicians.",
        :effective_date=>"10/01/2005",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: Air Force Surgeon General Office [7/1/2005: new]"},
        "171100000X"=>
      {:code=>"171100000X",
       :type=>"Other Service Providers",
       :classification=>"Acupuncturist",
       :specialization=>"",
       :definition=>
      "An acupuncturist is a person who performs ancient therapy for alleviation of pain, anesthesia and treatment of some diseases. Acupuncturists use long, fine needles inserted into specific points in order to treat painful conditions or produce anesthesia.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "171M00000X"=>
      {:code=>"171M00000X",
       :type=>"Other Service Providers",
       :classification=>"Case Manager/Care Coordinator",
       :specialization=>"",
       :definition=>
      "A person who provides case management services and assists an individual in gaining access to needed medical, social, educational, and/or other services. The person has the ability to provide an assessment and review of completed plan of care on a periodic basis. This person is also able to take collaborative action to coordinate the services with other providers and monitor the enrollee's progress toward the cost-effective achievement of objectives specified in the plan of care. Credentials may vary from an experience in the fields of psychology, social work, rehabilitation, nursing or a closely related human service field, to a related Assoc of Arts Degree or to nursing credentials. Some states may require certification in case management.",
        :effective_date=>"10/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: CMS State Medicaid Manual Section 4442.3 [7/1/2006: new]"},
        "171R00000X"=>
      {:code=>"171R00000X",
       :type=>"Other Service Providers",
       :classification=>"Interpreter",
       :specialization=>"",
       :definition=>
      "An Interpreter is a person who translates oral communication between two or more people. This includes translating from one language to another or interpreting sign language. An interpreter is necessary for medical care when the patient does not speak the language of the health care provider or when the patient has a disability involving spoken language.",
        :effective_date=>"10/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: National Medicaid EDI HIPAA NPI Sub Work Group [7/1/2006: new]"},
        "171W00000X"=>
      {:code=>"171W00000X",
       :type=>"Other Service Providers",
       :classification=>"Contractor",
       :specialization=>"",
       :definition=>
      "A person who contracts to supply certain materials or do certain work for a stipulated sum; esp., one whose business is contracting work in any of the building trades. For purposes of the taxonomy, a person who contracts to complete home repairs or modifications to accommodate a health condition (e.g. wheelchair ramp, kitchen counter lowering).",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Websters New World Dictionary of the American Language, Second College Edition, William Collins + World Publishing Co., Inc., New York: 1974, p. 308"},
        "171WH0202X"=>
      {:code=>"171WH0202X",
       :type=>"Other Service Providers",
       :classification=>"Contractor",
       :specialization=>"Home Modifications",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "171WV0202X"=>
      {:code=>"171WV0202X",
       :type=>"Other Service Providers",
       :classification=>"Contractor",
       :specialization=>"Vehicle Modifications",
       :definition=>
      "A contractor who makes modifications to private vehicles to accommodate a health condition.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "172A00000X"=>
      {:code=>"172A00000X",
       :type=>"Other Service Providers",
       :classification=>"Driver",
       :specialization=>"",
       :definition=>
      "A person employed to operate a motor vehicle as a carrier of persons or property.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "172M00000X"=>
      {:code=>"172M00000X",
       :type=>"Other Service Providers",
       :classification=>"Mechanotherapist",
       :specialization=>"",
       :definition=>
      "A practitioner of mechanotherapy examines patients by verbal inquiry, examination of the musculoskeletal system by hand, and visual inspection and observation. In the treatment of patients, mechanotherapists employ the techniques of advised or supervised exercise; electrical neuromuscular stimulation; massage or manipulation; or air, water, heat, cold, sound, or infrared ray therapy.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Summarized from Ohio Revised Code 4731.15 [1/1/2007: new]"},
        "172P00000X"=>
      {:code=>"172P00000X",
       :type=>"Other Service Providers",
       :classification=>"Naprapath",
       :specialization=>"",
       :definition=>
      "Naprapathy means a branch of medicine that focuses on the evaluation and treatment of neuron-muscular conditions. Doctors of naprapathy are connective tissue specialists. Education and training are defined through individual states' licensing/certification requirements.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: National Uniform Claim Committee [1/1/2007: new]"},
        "172V00000X"=>
      {:code=>"172V00000X",
       :type=>"Other Service Providers",
       :classification=>"Community Health Worker",
       :specialization=>"",
       :definition=>
      "Community health workers (CHW) are lay members of communities who work either for pay or as volunteers in association with the local health care system in both urban and rural environments and usually share ethnicity, language, socioeconomic status and life experiences with the community members they serve. They have been identified by many titles such as community health advisors, lay health advocates, \"promotores(as), outreach educators, community health representatives, peer health promoters, and peer health educators. CHWs offer interpretation and translation services, provide culturally appropriate health education and information, assist people in receiving the care they need, give informal counseling and guidance on health behaviors, advocate for individual and community health needs, and provide some direct services such as first aid and blood pressure screening. Some examples of these practitioners are Community Health Aides or Practitioners established under 25 USC 1616 (l) under HHS, Indian Health Service, Public Health Service.",
        :effective_date=>"10/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Health Resources and Services Administration, US Department of Health and Human Services - National Workforce Study on Community Health Workers, March, 2007. [7/1/2007: new] http://bhpr.hrsa.gov/healthworkforce/chw/"},
        "173000000X"=>
      {:code=>"173000000X",
       :type=>"Other Service Providers",
       :classification=>"Legal Medicine",
       :specialization=>"",
       :definition=>
      "The specialty areas of medicine concerned with matters of, and relations with, substantive law and legal institutions; such as the conduct of medical examinations at crime scenes, performance of autopsies, giving of expert medical testimony in judicial proceedings, medical treatment of inmates of penal institutions, the practice of trauma medicine in law enforcement settings, and other clinical practice and medical science applications in the fields of law, law enforcement, and corrections.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Rhea, Ott, and Shafritz, The Facts On File Dictionary of Health Care Management, New York: Facts On File Publications, 1988."},
        "173C00000X"=>
      {:code=>"173C00000X",
       :type=>"Other Service Providers",
       :classification=>"Reflexologist",
       :specialization=>"",
       :definition=>
      "Reflexologists perform a non-invasive complementary modality involving thumb and finger techniques to apply alternating pressure to the reflexes within the reflex maps of the body located on the feet, hands, and outer ears. Reflexologists apply pressure to specific areas (feet, hands, and ears) to promote a response from an area far removed from the tissue stimulated via the nervous system and acupuncture meridians. Reflexologists are recommended to complete a minimum of 200 hours of education, typically including anatomy & physiology, Reflexology theory, body systems, zones, meridians & relaxation response, ethics, business standards, and supervised practicum.",
        :effective_date=>"04/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: National Uniform Claim Committee (based on the American Reflexology Certification Board definition of Reflexology), 2007 [1/1/2008: new] Additional Resources: Foot and hand reflexology is a scientific art based on the premise that there are zones and reflex areas in the feet and hands which correspond to all body parts. The physical act of applying specific pressures using thumb, finger and hand techniques result in stress reduction which causes a physiological change in the body. Reflexology is a non-invasive, complementary modality involving thumb and finger techniques to apply alternating pressure to reflexes shown on reflex maps of the body located on the feet, hands, and outer ears. American Reflexology Certification Board, www.arcb.net/definiti.htm; Reflexology Association of America, www.reflexology-usa.org/standards.html "},
        "173F00000X"=>
      {:code=>"173F00000X",
       :type=>"Other Service Providers",
       :classification=>"Sleep Specialist, PhD",
       :specialization=>"",
       :definition=>
      "Sleep medicine is a clinical specialty with a focus on clinical problems that require accurate diagnosis and treatment. The knowledge base of sleep medicine is derived from many disciplines including neuroanatomy, neurophysiology, respiratory physiology, pharmacology, psychology, psychiatry, neurology, general internal medicine, pulmonary medicine, and pediatrics as well as others.",
        :effective_date=>"04/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: National Uniform Claim Committee (based on American Board of Sleep Medicine), 2007 [1/1/2008: new] Additional resources: www.absm.org"},
        "174200000X"=>
      {:code=>"174200000X",
       :type=>"Other Service Providers",
       :classification=>"Meals",
       :specialization=>"",
       :definition=>
      "A public or privately owned facility providing meals to individuals traveling long distances or receiving prolonged outpatient medical services away from home.",
        :effective_date=>"10/01/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: SD DSS Non-Emergency Medical Transportation program Transportation Services [7/1/2010: new]"},
        "174400000X"=>
      {:code=>"174400000X",
       :type=>"Other Service Providers",
       :classification=>"Specialist",
       :specialization=>"",
       :definition=>
      "An individual educated and trained in an applied knowledge discipline used in the performance of work at a level requiring knowledge and skills beyond or apart from that provided by a general education or liberal arts degree.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Expanded from Webster's II New Riverside University Dictionary, Boston: Riverside Publishing Company, 1974."},
        "1744G0900X"=>
      {:code=>"1744G0900X",
       :type=>"Other Service Providers",
       :classification=>"Specialist",
       :specialization=>"Graphics Designer",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "1744P3200X"=>
      {:code=>"1744P3200X",
       :type=>"Other Service Providers",
       :classification=>"Specialist",
       :specialization=>"Prosthetics Case Management",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "1744R1102X"=>
      {:code=>"1744R1102X",
       :type=>"Other Service Providers",
       :classification=>"Specialist",
       :specialization=>"Research Study",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "1744R1103X"=>
      {:code=>"1744R1103X",
       :type=>"Other Service Providers",
       :classification=>"Specialist",
       :specialization=>"Research Data Abstracter/Coder",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "174H00000X"=>
      {:code=>"174H00000X",
       :type=>"Other Service Providers",
       :classification=>"Health Educator",
       :specialization=>"",
       :definition=>
      "Health educators work in a variety of settings providing education to individuals or groups of individuals on healthy behaviors, wellness, and health-related topics with the goal of preventing diseases and health problems. Health educators generally require a bachelor's degree and may receive additional training, such as through mentoring, internships, or volunteer work.",
        :effective_date=>"10/01/2009",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: National Uniform Claim Committee, 2009 [7/1/2009: definition added]"},
        "174M00000X"=>
      {:code=>"174M00000X",
       :type=>"Other Service Providers",
       :classification=>"Veterinarian",
       :specialization=>"",
       :definition=>
      "A doctor of veterinary medicine, trained and authorized to practice veterinarian medicine and surgery.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Dorland's Illustrated Medical Dictionary. 28th edition. Philadelphia: W.B. Saunders Company, 1994, p. 1823"},
        "174MM1900X"=>
      {:code=>"174MM1900X",
       :type=>"Other Service Providers",
       :classification=>"Veterinarian",
       :specialization=>"Medical Research",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "174N00000X"=>
      {:code=>"174N00000X",
       :type=>"Other Service Providers",
       :classification=>"Lactation Consultant, Non-RN",
       :specialization=>"",
       :definition=>
      "An individual trained to provide breastfeeding assistance services to both mothers and infants. Lactation Consultants are not required to be nurses and are trained through specific courses of education. The Lactation Consultant may have additional certification through a national or international organization.",
        :effective_date=>"04/01/2011",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: National Uniform Claim Committee [1/1/2011: new]"},
        "174V00000X"=>
      {:code=>"174V00000X",
       :type=>"Other Service Providers",
       :classification=>"Clinical Ethicist",
       :specialization=>"",
       :definition=>
      "A clinical ethicist has been trained in bioethics and ethics case consultation. The clinical ethicist addresses medical-ethical dilemmas arising in clinical practice, such as end-of-life care, refusal of treatment, and futility of care; assists patients and health care providers with medical decision-making; and provides ethics education for patients and families.",
        :effective_date=>"04/01/2011",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: National Uniform Claim Committee [1/1/2011: new]"},
        "175F00000X"=>
      {:code=>"175F00000X",
       :type=>"Other Service Providers",
       :classification=>"Naturopath",
       :specialization=>"",
       :definition=>
      "Diagnoses, treats, and cares for patients, using system of practice that bases treatment of physiological functions and abnormal conditions on natural laws governing human body: Utilizes physiological, psychological, and mechanical methods, such as air, water, light, heat, earth, phototherapy, food and herb therapy, psychotherapy, electrotherapy, physiotherapy, minor and orificial surgery, mechanotherapy, naturopathic corrections and manipulation, and natural methods or modalities, together with natural medicines, natural processed foods, and herbs and nature's remedies. Excludes major surgery, therapeutic use of x ray and radium, and use of drugs, except those assimilable substances containing elements or compounds which are components of body tissues and are physiologically compatible to body processes for maintenance of life.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: The Federal Dictionary of Occupational Titles, U.S. Department of Labor, Washington, D.C., section #079, 101-014 [7/1/2007: definition changed, source added]"},
        "175L00000X"=>
      {:code=>"175L00000X",
       :type=>"Other Service Providers",
       :classification=>"Homeopath",
       :specialization=>"",
       :definition=>
      "A provider who is educated and trained in a system of therapeutics in which diseases are treated by drugs which are capable of producing in healthy persons symptoms like those of the disease to be treated. Treatment requires administering a drug in minute doses.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Dorland's Illustrated Medical Dictionary. 26th edition. Philadelphia: W.B. Saunders Company, 1981."},
        "175M00000X"=>
      {:code=>"175M00000X",
       :type=>"Other Service Providers",
       :classification=>"Midwife, Lay",
       :specialization=>"",
       :definition=>
      "A person qualified by experience and limited specialized training to provide obstetric and neo-natal care in the management of women having normal pregnancy, labor and childbirth. The lay midwife is licensed in some states.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "176B00000X"=>
      {:code=>"176B00000X",
       :type=>"Other Service Providers",
       :classification=>"Midwife",
       :specialization=>"",
       :definition=>
      "A Midwife is a trained professional with special expertise in supporting women to maintain a healthy pregnancy birth, offering expert individualized care, education, counseling, and support to a woman and her newborn throughout the childbearing cycle. A Midwife is a skilled and independent practitioner who has undergone formalized training. Midwives are not required to be nurses and may be trained via multiple routes of education (apprenticeship, workshop, formal classes, or programs, etc., usually a combination). The educational background requirements and licensing requirements vary by state. The Midwife may or may not be certified by a state or national organization.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: The National Uniform Claim Committee [7/1/2007: title changed, definition changed, source changed]"},
        "176P00000X"=>
      {:code=>"176P00000X",
       :type=>"Other Service Providers",
       :classification=>"Funeral Director",
       :specialization=>"",
       :definition=>
      "A person, usually an embalmer, whose business is to arrange for the burial or cremation of the dead and to assist at the funeral rites.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Joint Commission on Accreditation of Healthcare Organizations, Lexikon: Dictionary of Health Care Terms, Organizations and Acronyms for the Era of Reform, Oakbrook Terrace, IL: 1994, p. 323"},
        "177F00000X"=>
      {:code=>"177F00000X",
       :type=>"Other Service Providers",
       :classification=>"Lodging",
       :specialization=>"",
       :definition=>
      "A public or privately owned facility providing overnight lodging to individuals traveling long distances or receiving prolonged outpatient medical services away from home.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "183500000X"=>
      {:code=>"183500000X",
       :type=>"Pharmacy Service Providers",
       :classification=>"Pharmacist",
       :specialization=>"",
       :definition=>
      "An individual licensed by the appropriate state regulatory agency to engage in the practice of pharmacy. The practice of pharmacy includes, but is not limited to, assessment, interpretation, evaluation, and implementation, initiation, monitoring or modification of medication and or medical orders; the compounding or dispensing of medication and or medical orders; participation in drug and device procurement, storage, and selection; drug administration; drug regimen reviews; drug or drug-related research; provision of patient education and the provision of those acts or services necessary to provide medication therapy management services in all areas of patient care.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2006",
        :notes=>
      "Source: Adapted from National Association of Boards of Pharmacy Model State Pharmacy Act, Article 1, Section 104. [1/1/2006: definition modified, source modified]"},
        "1835G0000X"=>
      {:code=>"1835G0000X",
       :type=>"Pharmacy Service Providers",
       :classification=>"Pharmacist",
       :specialization=>"General Practice",
       :definition=>"",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"03/31/2006",
       :last_modified_date=>"",
       :notes=>"[1/1/2006: marked inactive, use value 183500000X]"},
       "1835G0303X"=>
      {:code=>"1835G0303X",
       :type=>"Pharmacy Service Providers",
       :classification=>"Pharmacist",
       :specialization=>"Geriatric",
       :definition=>
      "A pharmacist who is certified in geriatric pharmacy practice is designated as a 'Certified Geriatric Pharmacist' (CGP). To become certified, candidates are expected to be knowledgeable about principles of geriatric pharmacotherapy and the provision of pharmaceutical care to the elderly.",
        :effective_date=>"10/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Commission for Certification in Geriatric Pharmacy (www.ccgp.org) [7/1/2006: new]"},
        "1835N0905X"=>
      {:code=>"1835N0905X",
       :type=>"Pharmacy Service Providers",
       :classification=>"Pharmacist",
       :specialization=>"Nuclear",
       :definition=>
      "A licensed pharmacist who has demonstrated specialized knowledge and skill in procurement, compounding, quality control testing, dispensing, distribution, and monitoring of radiopharmaceuticals.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2006",
        :notes=>
      "Source: Specialty certification and recertification program administered by Board of Pharmaceutical Specialties, www.bpsweb.org [7/1/2006: modified title, added definition]"},
        "1835N1003X"=>
      {:code=>"1835N1003X",
       :type=>"Pharmacy Service Providers",
       :classification=>"Pharmacist",
       :specialization=>"Nutrition Support",
       :definition=>
      "A licensed pharmacist who has demonstrated specialized knowledge and skill in maintenance and/or restoration of optimal nutritional status, designing and modifying treatment according to patient needs.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2006",
        :notes=>
      "Source: Specialty certification and recertification program administered by Board of Pharmaceutical Specialties, www.bpsweb.org [7/1/2006: definition modified]"},
        "1835P0018X"=>
      {:code=>"1835P0018X",
       :type=>"Pharmacy Service Providers",
       :classification=>"Pharmacist",
       :specialization=>
      "Pharmacist Clinician (PhC)/ Clinical Pharmacy Specialist",
        :definition=>
      "Pharmacist Clinician/Clinical Pharmacy Specialist is a pharmacist with additional training and an expanded scope of practice that may include prescriptive authority, therapeutic management, and disease management.",
        :effective_date=>"04/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: National Uniform Claim Committee, 2007 [1/1/2008: new]"},
        "1835P1200X"=>
      {:code=>"1835P1200X",
       :type=>"Pharmacy Service Providers",
       :classification=>"Pharmacist",
       :specialization=>"Pharmacotherapy",
       :definition=>
      "A licensed pharmacist who has demonstrated specialized knowledge and skill in optimizing pharmacotherapeutic care of patients, by developing, implementing, monitoring, and modifying complex treatment plans, providing advanced level education and consultation, and collaborating with other health professionals in the management of therapy.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2006",
        :notes=>
      "Source: Specialty certification and recertification program administered by Board of Pharmaceutical Specialties, www.bpsweb.org [7/1/2006: modified definition]"},
        "1835P1300X"=>
      {:code=>"1835P1300X",
       :type=>"Pharmacy Service Providers",
       :classification=>"Pharmacist",
       :specialization=>"Psychiatric",
       :definition=>
      "A licensed pharmacist who has demonstrated specialized knowledge and skill in optimizing care of patients with psychiatric illness by assessing and monitoring patients, recognizing drug-induced problems, and recommending appropriate treatment plans.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2006",
        :notes=>
      "Source: Specialty certification and recertification program administered by Board of Pharmaceutical Specialties, www.bpsweb.org [7/1/2006: modified title, added definition]"},
        "1835X0200X"=>
      {:code=>"1835X0200X",
       :type=>"Pharmacy Service Providers",
       :classification=>"Pharmacist",
       :specialization=>"Oncology",
       :definition=>
      "A licensed pharmacist who has demonstrated specialized knowledge and skill in developing, recommending, implementing, monitoring, and modifying pharmacotherapeutic plans to optimize outcomes in patients with malignant diseases.",
        :effective_date=>"10/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Specialty certification and recertification program administered by Board of Pharmaceutical Specialties, www.bpsweb.org [7/1/2006: new]"},
        "183700000X"=>
      {:code=>"183700000X",
       :type=>"Pharmacy Service Providers",
       :classification=>"Pharmacy Technician",
       :specialization=>"",
       :definition=>
      "A person who works under the direct supervision of a licensed pharmacist and performs many pharmacy-related functions that do not require the professional judgment of a pharmacist.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2006",
        :notes=>
      "Source: Pharmacy Technician Certification Board, www.ptcb.org [1/1/2006: modified definition, modified source]"},
        "193200000X"=>
      {:code=>"193200000X",
       :type=>"Group",
       :classification=>"Multi-Specialty",
       :specialization=>"",
       :definition=>
      "A business group of one or more individual practitioners, who practice with different areas of specialization.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "193400000X"=>
      {:code=>"193400000X",
       :type=>"Group",
       :classification=>"Single Specialty",
       :specialization=>"",
       :definition=>
      "A business group of one or more individual practitioners, all of who practice with the same area of specialization.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "202C00000X"=>
      {:code=>"202C00000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Independent Medical Examiner",
       :specialization=>"",
       :definition=>
      "A special evaluator not involved with the medical care of the individual examinee that impartially evaluates the care being provided by other practitioners to clarify clinical, disability, liability or other case issues.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Board of Independent Medical Examiners [1/1/2007: new]"},
        "202K00000X"=>
      {:code=>"202K00000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Phlebology",
       :specialization=>"",
       :definition=>
      "Phlebology is the medical discipline that involves the diagnosis and treatment of venous disorders, including spider veins, varicose veins, chronic venous insufficiency, venous leg ulcers, congenital venous abnormalities, venous thromboembolism and other disorders of venous origin. A phlebologist has attained a minimum of 50 hours of CME units in phlebology-related courses, and is knowledgeable of and trained in a variety of diagnostic techniques including physical examination, venous imaging techniques such as duplex ultrasound, CT and MR, plethysmographic techniques and laboratory evaluation related to venous thromboembolism. The phlebologist is also trained in a variety of therapeutic interventions, which may include compression, sclerotherapy, cutaneous vascular laser, endovenous thermoablation procedures (laser and radiofrequency) endovenous chemical ablation, surgical procedures (e.g., ambulatory phlebectomy, venous ligation), vasoactive medications and the management of venous thromboembolism.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American College of Phlebology 12/2006. [1/1/2007: new, 7/1/2009: definition reformatted] Additional Resources: Training Programs, Fellowships, and/or Preceptorships: Certification exam is being established by the American Board of Phlebology. ACGME Accredited Residency Program Requirements: None"},
        "204C00000X"=>
      {:code=>"204C00000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Neuromusculoskeletal Medicine, Sports Medicine",
       :specialization=>"",
       :definition=>"Definition to come.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "204D00000X"=>
      {:code=>"204D00000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Neuromusculoskeletal Medicine & OMM",
       :specialization=>"",
       :definition=>"Definition to come.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "204E00000X"=>
      {:code=>"204E00000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Oral & Maxillofacial Surgery",
       :specialization=>"",
       :definition=>"Definition to come.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "204F00000X"=>
      {:code=>"204F00000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Transplant Surgery",
       :specialization=>"",
       :definition=>"Definition to come.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "204R00000X"=>
      {:code=>"204R00000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Electrodiagnostic Medicine",
       :specialization=>"",
       :definition=>
      "Electrodiagnostic medicine is the medical subspecialty that applies neurophysiologic techniques to diagnose, evaluate, and treat patients with impairments of the neurologic, neuromuscular, and/or muscular systems. Qualified physicians are trained in performing electrophysiological testing and interpretation of the test data. They require knowledge in anatomy, physiology, kinesiology, histology, and pathology of the brain, spinal cord, autonomic nerves, cranial nerves, peripheral nerves, neuromuscular junction, and muscles. They must know clinical features and treatment of diseases of the central, peripheral, and autonomic nervous systems, as well as those of neuromuscular junction and muscle. Physicians also require special knowledge about electric signal processing, including waveform analysis, electronics and instrumentation, stimulation and recording equipment, and statistics.",
        :effective_date=>"04/01/2011",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Association of Neuromuscular & Electrodiagnostic Medicine, 2011. www.aanem.org [1/1/2011: new] Additional Resources: American Board of Electrodiagnostic Medicine, 2011. www.abemexam.org"},
        "207K00000X"=>
      {:code=>"207K00000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Allergy & Immunology",
       :specialization=>"",
       :definition=>
      "An allergist-immunologist is trained in evaluation, physical and laboratory diagnosis, and management of disorders involving the immune system. Selected examples of such conditions include asthma, anaphylaxis, rhinitis, eczema, and adverse reactions to drugs, foods, and insect stings as well as immune deficiency diseases (both acquired and congenital), defects in host defense, and problems related to autoimmune disease, organ transplantation, or malignancies of the immune system.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007, www.abms.org [7/1/2007: added definition, added source] Additional Resources: American Board of Allergy and Immunology, 2007. http://www.abai.org/ No subspecialty certificates in allergy and immunology are offered by the American Board of Allergy and Immunology (ABAI). The ABAI, however, does offer formal special pathways for physicians seeking dual certification in allergy/immunology and pediatric pulmonology; allergy/immunology and pediatric rheumatology; and allergy/immunology and adult rheumatology."},
        "207KA0200X"=>
      {:code=>"207KA0200X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Allergy & Immunology",
       :specialization=>"Allergy",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "207KI0005X"=>
      {:code=>"207KI0005X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Allergy & Immunology",
       :specialization=>"Clinical & Laboratory Immunology",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "207L00000X"=>
      {:code=>"207L00000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Anesthesiology",
       :specialization=>"",
       :definition=>
      "An anesthesiologist is trained to provide pain relief and maintenance, or restoration, of a stable condition during and immediately following an operation or an obstetric or diagnostic procedure. The anesthesiologist assesses the risk of the patient undergoing surgery and optimizes the patient's condition prior to, during and after surgery. In addition to these management responsibilities, the anesthesiologist provides medical management and consultation in pain management and critical care medicine. Anesthesiologists diagnose and treat acute, long-standing and cancer pain problems; diagnose and treat patients with critical illnesses or severe injuries; direct resuscitation in the care of patients with cardiac or respiratory emergencies, including the need for artificial ventilation; and supervise post-anesthesia recovery.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Anesthesiology, 2007. http://www.theaba.org/; American Osteopathic Board of Anesthesiology, 2007, http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Anesthesiology. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Anesthesiology."},
        "207LA0401X"=>
      {:code=>"207LA0401X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Anesthesiology",
       :specialization=>"Addiction Medicine",
       :definition=>
      "An anesthesiologist who specializes in the diagnosis and treatment of addictions.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2010",
        :notes=>
      "Source: National Uniform Claim Committee, 2009 [1/1/2010: definition added, source added] Additional Resources: A Certification of Added Qualifications (CAQ) was, but is no longer issued by the American Osteopathic Board of Anesthesiology. "},
        "207LC0200X"=>
      {:code=>"207LC0200X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Anesthesiology",
       :specialization=>"Critical Care Medicine",
       :definition=>
      "An anesthesiologist, who specializes in critical care medicine diagnoses, treats and supports patients with multiple organ dysfunction. This specialist may have administrative responsibilities for intensive care units and may also facilitate and coordinate patient care among the primary physician, the critical care staff and other specialists.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Anesthesiology, 2007. http://www.theaba.org/; American Osteopathic Board of Anesthesiology, 2007, http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Anesthesiology. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Anesthesiology."},
        "207LH0002X"=>
      {:code=>"207LH0002X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Anesthesiology",
       :specialization=>"Hospice and Palliative Medicine",
       :definition=>
      "An anesthesiologist with special knowledge and skills to prevent and relieve the suffering experienced by patients with life-limiting illnesses. This specialist works with an interdisciplinary hospice or palliative care team to maximize quality of life while addressing physical, psychological, social and spiritual needs of both patient and family throughout the course of the disease, through the dying process, and beyond for the family. This specialist has expertise in the assessment of patients with advanced disease; the relief of distressing symptoms; the coordination of interdisciplinary patient and family-centered care in diverse venues; the use of specialized care systems including hospice; the management of the imminently dying patient; and legal and ethical decision making in end-of-life care.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Academy of Hospice and Palliative Medicine [1/1/2007: new]"},
        "207LP2900X"=>
      {:code=>"207LP2900X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Anesthesiology",
       :specialization=>"Pain Medicine",
       :definition=>
      "An anesthesiologist who provides a high level of care, either as a primary physician or consultant, for patients experiencing problems with acute, chronic and/or cancer pain in both hospital and ambulatory settings. Patient care needs are also coordinated with other specialists.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Anesthesiology, 2007. http://www.theaba.org/; American Osteopathic Board of Anesthesiology, 2007, http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Anesthesiology. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Anesthesiology."},
        "207LP3000X"=>
      {:code=>"207LP3000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Anesthesiology",
       :specialization=>"Pediatric Anesthesiology",
       :definition=>
      "An anesthesiologist who has had additional skill and experience in and is primarily concerned with the anesthesia, sedation, and pain management needs of infants and children. A pediatric anesthesiologist generally provides services including the evaluation of complex medical problems in infants and children when surgery is necessary, planning and care for children before and after surgery, pain control, anesthesia and sedation for any procedures out of the operating room such as MRI, CT scan, and radiation therapy.",
        :effective_date=>"10/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: American Academy of Pediatrics [7/1/2006: new]"},
        "207N00000X"=>
      {:code=>"207N00000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Dermatology",
       :specialization=>"",
       :definition=>
      "A dermatologist is trained to diagnose and treat pediatric and adult patients with benign and malignant disorders of the skin, mouth, external genitalia, hair and nails, as well as a number of sexually transmitted diseases. The dermatologist has had additional training and experience in the diagnosis and treatment of skin cancers, melanomas, moles and other tumors of the skin, the management of contact dermatitis and other allergic and nonallergic skin disorders, and in the recognition of the skin manifestations of systemic (including internal malignancy) and infectious diseases. Dermatologists have special training in dermatopathology and in the surgical techniques used in dermatology. They also have expertise in the management of cosmetic disorders of the skin such as hair loss and scars and the skin changes associated with aging.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source] Additional Resources: American Board of Dermatology, 2007. http://www.abderm.org/ Board certification is provided by the American Board of Dermatology. "},
        "207ND0101X"=>
      {:code=>"207ND0101X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Dermatology",
       :specialization=>"MOHS-Micrographic Surgery",
       :definition=>
      "The highly-trained surgeons that perform Mohs Micrographic Surgery are specialists both in dermatology and pathology. With their extensive knowledge of the skin and unique pathological skills, they are able to remove only diseased tissue, preserving healthy tissue and minimizing the cosmetic impact of the surgery. Mohs surgeons who belong to the American College of Mohs Surgery (ACMS) have completed a minimum of one year of fellowship training at one of the ACMS-approved training centers in the U.S.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2008",
        :notes=>
      "Source: American College of Mohs Surgery, 2007 [1/1/2008: added definition, added source] Additional Resources: Additional Resources: http://www.mohscollege.org/; American Board of Dermatology, 2007. http://www.abderm.org/"},
        "207ND0900X"=>
      {:code=>"207ND0900X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Dermatology",
       :specialization=>"Dermatopathology",
       :definition=>
      "A dermatopathologist has the expertise to diagnose and monitor diseases of the skin including infectious, immunologic, degenerative and neoplastic diseases. This entails the examination and interpretation of specially prepared tissue sections, cellular scrapings and smears of skin lesions by means of routine and special (electron and fluorescent) microscopes.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Dermatology, 2007. http://www.abderm.org/; American Osteopathic Board of Dermatology, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Dermatology. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Dermatology."},
        "207NI0002X"=>
      {:code=>"207NI0002X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Dermatology",
       :specialization=>"Clinical & Laboratory Dermatological Immunology",
       :definition=>
      "A dermatologist who utilizes various specialized laboratory procedures to diagnose disorders characterized by defective responses of the body's immune system. Immunodermatologists also may provide consultation in the management of these disorders and administer specialized forms of therapy for these diseases.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source] Additional Resources: American Board of Dermatology, 2007. http://www.abderm.org/ Board certification is provided by the American Board of Dermatology. "},
        "207NP0225X"=>
      {:code=>"207NP0225X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Dermatology",
       :specialization=>"Pediatric Dermatology",
       :definition=>
      "A pediatric dermatologist has, through additional special training, developed expertise in the treatment of specific skin disease categories with emphasis on those diseases which predominate in infants, children and adolescents.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: changed definition, added source] Additional Resources: American Board of Dermatology, 2007, http://www.abderm.org/ A subspecialty certificate was approved by ABMS in 2000. ACGME Accredited Residency Program Requirements: None."},
        "207NS0135X"=>
      {:code=>"207NS0135X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Dermatology",
       :specialization=>"Procedural Dermatology",
       :definition=>
      "Procedural Dermatology, a subspecialty of Dermatology, encompassing a wide variety of surgical procedures and methods to remove or modify skin tissue for health or cosmetic benefit. These methods include scalpel surgery, laser surgery, chemical surgery, cryosurgery (liquid nitrogen), electrosurgery, aspiration surgery, liposuction, injection of filler substances, and Mohs micrographic controlled surgery (a special technique for the removal of growths, especially skin cancers).",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2008",
        :notes=>
      "Source: American Board of Dermatology, 2007 [1/1/2008: definition added, source added, title changed] Additional Resources: Some ABMS board certified dermatologists have completed a one-year ACGME approved fellowship in Procedural Dermatology, which has been offered since 2003. At this time the ABD does not offer subspecialty certification in Procedural Dermatology. "},
        "207P00000X"=>
      {:code=>"207P00000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Emergency Medicine",
       :specialization=>"",
       :definition=>
      "An emergency physician focuses on the immediate decision making and action necessary to prevent death or any further disability both in the pre-hospital setting by directing emergency medical technicians and in the emergency department. The emergency physician provides immediate recognition, evaluation, care, stabilization and disposition of a generally diversified population of adult and pediatric patients in response to acute illness and injury.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source; 7/1/2011: mofified source]<br/><br/>Additional Resources: American Board of Emergency Medicine, 2007. http://www.abem.org/public/; American Osteopathic Board of Emergency Medicine, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Emergency Medicine. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Emergency Medicine."},
        "207PE0004X"=>
      {:code=>"207PE0004X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Emergency Medicine",
       :specialization=>"Emergency Medical Services",
       :definition=>
      "An emergency medicine physician who specializes in non-hospital based emergency medical services (e.g., disaster site, accident scene, transport vehicle, etc.) to provide pre-hospital assessment, treatment, and transport patients.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2010",
        :notes=>
      "Source: National Uniform Claim Committee, 2009 [1/1/2010: definition added, source added] Additional Resources: A Certification of Added Qualifications (CAQ) is issued by the American Osteopathic Board of Emergency Medicine."},
        "207PE0005X"=>
      {:code=>"207PE0005X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Emergency Medicine",
       :specialization=>"Undersea and Hyperbaric Medicine",
       :definition=>
      "A specialist who treats decompression illness and diving accident cases and uses hyperbaric oxygen therapy to treat such conditions as carbon monoxide poisoning, gas gangrene, non-healing wounds, tissue damage from radiation and burns, and bone infections. This specialist also serves as a consultant to other physicians in all aspects of hyperbaric chamber operations, and assesses risks and applies appropriate standards to prevent disease and disability in divers and other persons working in altered atmospheric conditions.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Board of Emergency Medicine [7/1/2008: source added, additional resources added] Additional Resources: Additional Resources: www.abem.org & American Board of Preventive Medicine www.abprevmed.org"},
        "207PH0002X"=>
      {:code=>"207PH0002X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Emergency Medicine",
       :specialization=>"Hospice and Palliative Medicine",
       :definition=>
      "An emergency medicine physician with special knowledge and skills to prevent and relieve the suffering experienced by patients with life-limiting illnesses. This specialist works with an interdisciplinary hospice or palliative care team to maximize quality of life while addressing physical, psychological, social and spiritual needs of both patient and family throughout the course of the disease, through the dying process, and beyond for the family. This specialist has expertise in the assessment of patients with advanced disease; the relief of distressing symptoms; the coordination of interdisciplinary patient and family-centered care in diverse venues; the use of specialized care systems including hospice; the management of the imminently dying patient; and legal and ethical decision making in end-of-life care.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Academy of Hospice and Palliative Medicine [1/1/2007: new]"},
        "207PP0204X"=>
      {:code=>"207PP0204X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Emergency Medicine",
       :specialization=>"Pediatric Emergency Medicine",
       :definition=>
      "Pediatric Emergency Medicine is a clinical subspecialty that focuses on the care of the acutely ill or injured child in the setting of an emergency department.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source] Additional Resources: American Board of Emergency Medicine, 2007. http://www.abem.org/public/ Board certification is provided by the American Board of Emergency Medicine. Board certification for Medical Doctors (MDs) is provided by the American Board of Emergency Medicine. "},
        "207PS0010X"=>
      {:code=>"207PS0010X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Emergency Medicine",
       :specialization=>"Sports Medicine",
       :definition=>
      "An emergency physician with special knowledge in sports medicine is responsible for continuous care in the field of sports medicine, not only for the enhancement of health and fitness, but also for the prevention and management of injury and illness. A sports medicine physician has knowledge and experience in the promotion of wellness and the role of exercise in promoting a healthy lifestyle. Knowledge of exercise physiology, biomechanics, nutrition, psychology, physical rehabilitation and epidemiology is essential to the practice of sports medicine.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Emergency Medicine, 2007. http://www.abem.org/public/. American Osteopathic Board of Emergency Medicine, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Emergency Medicine. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Emergency Medicine."},
        "207PT0002X"=>
      {:code=>"207PT0002X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Emergency Medicine",
       :specialization=>"Medical Toxicology",
       :definition=>
      "Medical toxicologists are physicians who specialize in the prevention, evaluation, treatment and monitoring of injury and illness from exposures to drugs and chemicals, as well as biological and radiological agents. Medical toxicologists care for people in clinical, academic, governmental and public health settings, and provide poison control center leadership. Important areas of medical toxicology include acute drug poisoning, adverse drug events, drug abuse, addiction and withdrawal, chemicals and hazardous materials, terrorism preparedness, venomous bites and stings and environmental and workplace exposures.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Emergency Medicine, 2007. http://www.abem.org/public/. American Osteopathic Board of Emergency Medicine, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Emergency Medicine. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Emergency Medicine."},
        "207Q00000X"=>
      {:code=>"207Q00000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Family Medicine",
       :specialization=>"",
       :definition=>
      "Family Medicine is the medical specialty which is concerned with the total health care of the individual and the family. It is the specialty in breadth which integrates the biological, clinical, and behavioral sciences. The scope of family medicine is not limited by age, sex, organ system, or disease entity.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Family Medicine [1/1/2007: changed title; 7/1/2007: added definition, added source]"},
        "207QA0000X"=>
      {:code=>"207QA0000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Family Medicine",
       :specialization=>"Adolescent Medicine",
       :definition=>
      "A family medicine physician with multidisciplinary training in the unique physical, psychological and social characteristics of adolescents and their health care problems and needs.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Family Medicine, 2007. http://www.theabfm.org/. American Osteopathic Board of Family Medicine, 2007. http://www.osteopathic.org/certification Board certification for Medical Doctors (MDs) is provided by the American Board of Family Medicine. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Family Medicine."},
        "207QA0401X"=>
      {:code=>"207QA0401X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Family Medicine",
       :specialization=>"Addiction Medicine",
       :definition=>
      "A family medicine physician who specializes in the diagnosis and treatment of addictions.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2010",
        :notes=>
      "Source: National Uniform Claim Committee, 2009 [1/1/2010: definition added, source added] Additional Resources: A Certification of Added Qualifications (CAQ) was, but is no longer issued by the American Osteopathic Board of Family Physicians."},
        "207QA0505X"=>
      {:code=>"207QA0505X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Family Medicine",
       :specialization=>"Adult Medicine",
       :definition=>"Definition to come.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "207QB0002X"=>
      {:code=>"207QB0002X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Family Medicine",
       :specialization=>"Bariatric Medicine",
       :definition=>
      "Bariatric medicine is the medical treatment of obesity and its associated conditions. Bariatric medicine addresses the obese individual with a comprehensive program of diet, exercise and behavior modification, and when indicated, the prescription of appropriate medications as determined by the Bariatric physician. Bariatric physicians are licensed physicians who offer specialized programs in the medical treatment of obesity and its associated conditions. ",
        :effective_date=>"10/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Society of Bariatric Physicians [7/1/2007: new]"},
        "207QG0300X"=>
      {:code=>"207QG0300X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Family Medicine",
       :specialization=>"Geriatric Medicine",
       :definition=>
      "A family medicine physician with special knowledge of the aging process and special skills in the diagnostic, therapeutic, preventive and rehabilitative aspects of illness in the elderly. This specialist cares for geriatric patients in the patient's home, the office, long-term care settings such as nursing homes, and the hospital.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Family Medicine, 2007. http://wwwtheabfm.org/. American Osteopathic Board of Family Medicine, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Family Medicine. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Family Medicine."},
        "207QH0002X"=>
      {:code=>"207QH0002X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Family Medicine",
       :specialization=>"Hospice and Palliative Medicine",
       :definition=>
      "A family medicine physician with special knowledge and skills to prevent and relieve the suffering experienced by patients with life-limiting illnesses. This specialist works with an interdisciplinary hospice or palliative care team to maximize quality of life while addressing physical, psychological, social and spiritual needs of both patient and family throughout the course of the disease, through the dying process, and beyond for the family. This specialist has expertise in the assessment of patients with advanced disease; the relief of distressing symptoms; the coordination of interdisciplinary patient and family-centered care in diverse venues; the use of specialized care systems including hospice; the management of the imminently dying patient; and legal and ethical decision making in end-of-life care.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Academy of Hospice and Palliative Medicine [1/1/2007: new]"},
        "207QS0010X"=>
      {:code=>"207QS0010X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Family Medicine",
       :specialization=>"Sports Medicine",
       :definition=>
      "A family medicine physician that is trained to be responsible for continuous care in the field of sports medicine, not only for the enhancement of health and fitness, but also for the prevention of injury and illness. A sports medicine physician must have knowledge and experience in the promotion of wellness and the prevention of injury. Knowledge about special areas of medicine such as exercise physiology, biomechanics, nutrition, psychology, physical rehabilitation, epidemiology, physical evaluation, injuries (treatment and prevention and referral practice) and the role of exercise in promoting a healthy lifestyle are essential to the practice of sports medicine. The sports medicine physician requires special education to provide the knowledge to improve the health care of the individual engaged in physical exercise (sports) whether as an individual or in team participation.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Family Medicine, 2007. http://www.theabfm.org/. American Osteopathic Board of Family Medicine, 2007. http://www.osteopathic.org/certification Board certification for Medical Doctors (MDs) is provided by the American Board of Family Medicine. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Family Medicine."},
        "207QS1201X"=>
      {:code=>"207QS1201X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Family Medicine",
       :specialization=>"Sleep Medicine",
       :definition=>
      "A Family Medicine Physician who practices Sleep Medicine is certified in the subspecialty of sleep medicine and specializes in the clinical assessment, physiologic testing, diagnosis, management and prevention of sleep and circadian rhythm disorders. Sleep specialists treat patients of any age and use multidisciplinary approaches. Disorders managed by sleep specialists include, but are not limited to, sleep related breathing disorders, insomnia, hypersomnias, circadian rhythm sleep disorders, parasomnias and sleep related movement disorders.",
        :effective_date=>"10/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Academy of Sleep Medicine, 2008 [7/1/2008: new]"},
        "207R00000X"=>
      {:code=>"207R00000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"",
       :definition=>
      "A physician who provides long-term, comprehensive care in the office and the hospital, managing both common and complex illness of adolescents, adults and the elderly. Internists are trained in the diagnosis and treatment of cancer, infections and diseases affecting the heart, blood, kidneys, joints and digestive, respiratory and vascular systems. They are also trained in the essentials of primary care internal medicine, which incorporates an understanding of disease prevention, wellness, substance abuse, mental health and effective treatment of common problems of the eyes, ears, skin, nervous system and reproductive organs.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Internal Medicine, 2007. http://www.abim.org/. American Osteopathic Board of Internal Medicine, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Internal Medicine. Board certification for Doctors of Osteopathy is provided by the American Osteopathic Board of Internal Medicine."},
        "207RA0000X"=>
      {:code=>"207RA0000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"Adolescent Medicine",
       :definition=>
      "An internist who specializes in adolescent medicine is a multi-disciplinary healthcare specialist trained in the unique physical, psychological and social characteristics of adolescents, their healthcare problems and needs.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Internal Medicine, 2007. http://www.abim.org/. American Osteopathic Board of Internal Medicine, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Internal Medicine. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Internal Medicine."},
        "207RA0201X"=>
      {:code=>"207RA0201X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"Allergy & Immunology",
       :definition=>
      "An internist doctor of osteopathy that specializes in the treatment of allergy and immunologic disorders. A doctor of osteopathy that is board eligible/certified by the American Osteopathic Board of Internal Medicine can obtain a Certificate of Special Qualifications in the field of Allergy & Immunology.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Osteopathic Board of Internal Medicine, 2007. [7/1/2008: added definition, added source; 7/1/2011: modified source]<br/><br/>Additional Resources: http://www.osteopathic.org/certification"},
        "207RA0401X"=>
      {:code=>"207RA0401X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"Addiction Medicine",
       :definition=>
      "An internist doctor of osteopathy that specializes in the treatment of addiction disorders. A doctor of osteopathy that is board eligible/certified by the American Osteopathic Board of Internal Medicine can obtain a Certificate of Added Qualifications in the field of Addiction Medicine.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Osteopathic Board of Internal Medicine, 2007. [7/1/2008: added definition, added source; 7/1/2011: modified source]<br/><br/>Additional Resources: http://www.osteopathic.org/certification"},
        "207RB0002X"=>
      {:code=>"207RB0002X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"Bariatric Medicine",
       :definition=>
      "Bariatric medicine is the medical treatment of obesity and its associated conditions. Bariatric medicine addresses the obese individual with a comprehensive program of diet, exercise and behavior modification, and when indicated, the prescription of appropriate medications as determined by the Bariatric physician. Bariatric physicians are licensed physicians who offer specialized programs in the medical treatment of obesity and its associated conditions. ",
        :effective_date=>"10/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Society of Bariatric Physicians [7/1/2007: new]"},
        "207RC0000X"=>
      {:code=>"207RC0000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"Cardiovascular Disease",
       :definition=>
      "An internist who specializes in diseases of the heart and blood vessels and manages complex cardiac conditions such as heart attacks and life-threatening, abnormal heartbeat rhythms.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Osteopathic Board of Internal Medicine, 2008 [7/1/2008: added definition, added source; 7/1/2011: modified source]<br/><br/>Additional Resources: Board certification for Medical Doctors (MDs) is provided by the American Board of Internal Medicine. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Internal Medicine.<br/><br/>American Board of Medical Specialties, www.abms.org; American Board of Internal Medicine, http://www.abim.org/. American Osteopathic Board of Internal Medicine, http://www.osteopathic.org/certification"},
        "207RC0001X"=>
      {:code=>"207RC0001X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"Clinical Cardiac Electrophysiology",
       :definition=>
      "A field of special interest within the subspecialty of cardiovascular disease, specialty of Internal Medicine, which involves intricate technical procedures to evaluate heart rhythms and determine appropriate treatment for them.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Internal Medicine, 2007. http://www.abim.org/. American Osteopathic Board of Internal Medicine, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Internal Medicine. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Internal Medicine."},
        "207RC0200X"=>
      {:code=>"207RC0200X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"Critical Care Medicine",
       :definition=>
      "An internist who diagnoses, treats and supports patients with multiple organ dysfunction. This specialist may have administrative responsibilities for intensive care units and may also facilitate and coordinate patient care among the primary physician, the critical care staff and other specialists.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Internal Medicine, 2007. http://www.abim.org/. American Osteopathic Board of Internal Medicine, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Internal Medicine. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Internal Medicine."},
        "207RE0101X"=>
      {:code=>"207RE0101X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"Endocrinology, Diabetes & Metabolism",
       :definition=>
      "An internist who concentrates on disorders of the internal (endocrine) glands such as the thyroid and adrenal glands. This specialist also deals with disorders such as diabetes, metabolic and nutritional disorders, obesity, pituitary diseases and menstrual and sexual problems.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Internal Medicine, 2007. http://www.abim.org/. American Osteopathic Board of Internal Medicine, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Internal Medicine. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Internal Medicine."},
        "207RG0100X"=>
      {:code=>"207RG0100X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"Gastroenterology",
       :definition=>
      "An internist who specializes in diagnosis and treatment of diseases of the digestive organs including the stomach, bowels, liver and gallbladder. This specialist treats conditions such as abdominal pain, ulcers, diarrhea, cancer and jaundice and performs complex diagnostic and therapeutic procedures using endoscopes to visualize internal organs.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Internal Medicine, 2007. http://www.abim.org/. American Osteopathic Board of Internal Medicine, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Internal Medicine. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Internal Medicine."},
        "207RG0300X"=>
      {:code=>"207RG0300X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"Geriatric Medicine",
       :definition=>
      "An internist who has special knowledge of the aging process and special skills in the diagnostic, therapeutic, preventive and rehabilitative aspects of illness in the elderly. This specialist cares for geriatric patients in the patient's home, the office, long-term care settings such as nursing homes and the hospital.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Internal Medicine, 2007. http://www.abim.org/. American Osteopathic Board of Internal Medicine, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Internal Medicine. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Internal Medicine."},
        "207RH0000X"=>
      {:code=>"207RH0000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"Hematology",
       :definition=>
      "An internist with additional training who specializes in diseases of the blood, spleen and lymph. This specialist treats conditions such as anemia, clotting disorders, sickle cell disease, hemophilia, leukemia and lymphoma.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Internal Medicine, 2007. http://www.abim.org/. American Osteopathic Board of Internal Medicine, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Internal Medicine. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Internal Medicine."},
        "207RH0002X"=>
      {:code=>"207RH0002X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"Hospice and Palliative Medicine",
       :definition=>
      "An internal medicine physician with special knowledge and skills to prevent and relieve the suffering experienced by patients with life-limiting illnesses. This specialist works with an interdisciplinary hospice or palliative care team to maximize quality of life while addressing physical, psychological, social and spiritual needs of both patient and family throughout the course of the disease, through the dying process, and beyond for the family. This specialist has expertise in the assessment of patients with advanced disease; the relief of distressing symptoms; the coordination of interdisciplinary patient and family-centered care in diverse venues; the use of specialized care systems including hospice; the management of the imminently dying patient; and legal and ethical decision making in end-of-life care.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Academy of Hospice and Palliative Medicine [1/1/2007: new]"},
        "207RH0003X"=>
      {:code=>"207RH0003X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"Hematology & Oncology",
       :definition=>
      "An internist doctor of osteopathy that specializes in the treatment of the combination of hematology and oncology disorders. A doctor of osteopathy that is board eligible/certified by the American Osteopathic Board of Internal Medicine WAS able to obtain a Certificate of Special Qualifications in the field of Hematology and Oncology. The Certificate is NO longer offered.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Osteopathic Board of Internal Medicine, 2007. [7/1/2008: definiton added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: http://www.osteopathic.org/certification"},
        "207RH0005X"=>
      {:code=>"207RH0005X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"Hypertension Specialist",
       :definition=>
      "A Hypertension Specialist is a physician who concentrates on all aspects of the diagnosis and treatment of hypertension.",
        :effective_date=>"10/01/2011",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Society of Hypertension [7/1/2011: new] Additional Resources: The American Society of Hypertension Specialists Program offers an examination and designation for Hypertension Specialists. This subspecialty is not a Board certificate issued by either the American Board of Internal Medicine or the American Osteopathic Board of Internal Medicine."},
        "207RI0001X"=>
      {:code=>"207RI0001X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"Clinical & Laboratory Immunology",
       :definition=>
      "An internal medicine physician who specializes in clinical and laboratory immunology disease management.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2010",
        :notes=>
      "Source: National Uniform Claim Committee, 2009 [1/1/2010: definition added, source added] Additional Resources: A certification was, but is no longer issued by the American Board of Internal Medicine. "},
        "207RI0008X"=>
      {:code=>"207RI0008X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"Hepatology",
       :definition=>
      "The discipline of Hepatology encompasses the structure, function, and diseases of the liver and biliary tract. The American Board of Internal Medicine considers Hepatology part of the subspecialty of gastroenterology. Physicians who identify themselves as Hepatologists usually, but not always, have been trained in gastrointestinal programs.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Training Programs, and/or Fellowships, Preceptorships: The American Association for the Study of Liver Diseases (AASLD) is the major professional society organized for physicians with an interest in Hepatology. A subcommittee of that organization has published guidelines for training programs in the 1992 November issue of Hepatology. Source: The American Board of Internal Medicine 9/1993 ACGME Accredited Residency Program Requirements: None "},
        "207RI0011X"=>
      {:code=>"207RI0011X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"Interventional Cardiology",
       :definition=>
      "An area of medicine within the subspecialty of cardiology, which uses specialized imaging and other diagnostic techniques to evaluate blood flow and pressure in the coronary arteries and chambers of the heart and uses technical procedures and medications to treat abnormalities that impair the function of the cardiovascular system.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source] Additional Resources: American Board of Internal Medicine, 2007. http://www.abim.org/ Board Certification for Medical Doctors (MDs) is provided by the American Board of Internal Medicine. ACGME Accredited Residency Program Requirements: 1 year of training plus a prerequisite of 3 years Internal Medicine, 3 years Cardiovascular Disease for a total of 7 years. ABMS Approved Subspecialty Certificate (Internal Medicine)"},
        "207RI0200X"=>
      {:code=>"207RI0200X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"Infectious Disease",
       :definition=>
      "An internist who deals with infectious diseases of all types and in all organ systems. Conditions requiring selective use of antibiotics call for this special skill. This physician often diagnoses and treats AIDS patients and patients with fevers which have not been explained. Infectious disease specialists may also have expertise in preventive medicine and travel medicine.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Internal Medicine, 2007. http://www.abim.org/. American Osteopathic Board of Internal Medicine, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Internal Medicine. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Internal Medicine."},
        "207RM1200X"=>
      {:code=>"207RM1200X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"Magnetic Resonance Imaging (MRI)",
       :definition=>"Definition to come.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "207RN0300X"=>
      {:code=>"207RN0300X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"Nephrology",
       :definition=>
      "An internist who treats disorders of the kidney, high blood pressure, fluid and mineral balance and dialysis of body wastes when the kidneys do not function. This specialist consults with surgeons about kidney transplantation.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Internal Medicine, 2007. http://www.abim.org/. American Osteopathic Board of Internal Medicine, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Internal Medicine. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Internal Medicine."},
        "207RP1001X"=>
      {:code=>"207RP1001X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"Pulmonary Disease",
       :definition=>
      "An internist who treats diseases of the lungs and airways. The pulmonologist diagnoses and treats cancer, pneumonia, pleurisy, asthma, occupational and environmental diseases, bronchitis, sleep disorders, emphysema and other complex disorders of the lungs.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Internal Medicine, 2007. http://www.abim.org/. American Osteopathic Board of Internal Medicine, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Internal Medicine. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Internal Medicine."},
        "207RR0500X"=>
      {:code=>"207RR0500X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"Rheumatology",
       :definition=>
      "An internist who treats diseases of joints, muscle, bones and tendons. This specialist diagnoses and treats arthritis, back pain, muscle strains, common athletic injuries and \"collagen\" diseases.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Internal Medicine, 2007. http://www.abim.org/. American Osteopathic Board of Internal Medicine, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Internal Medicine. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Internal Medicine."},
        "207RS0010X"=>
      {:code=>"207RS0010X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"Sports Medicine",
       :definition=>
      "An internist trained to be responsible for continuous care in the field of sports medicine, not only for the enhancement of health and fitness, but also for the prevention of injury and illness. A sports medicine physician must have knowledge and experience in the promotion of wellness and the prevention of injury. Knowledge about special areas of medicine such as exercise physiology, biomechanics, nutrition, psychology, physical rehabilitation, epidemiology, physical evaluation, injuries (treatment and prevention and referral practice) and the role of exercise in promoting a healthy lifestyle are essential to the practice of sports medicine. The sports medicine physician requires special education to provide the knowledge to improve the healthcare of the individual.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Internal Medicine, 2007. http://www.abim.org/. American Osteopathic Board of Internal Medicine, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Internal Medicine. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Internal Medicine."},
        "207RS0012X"=>
      {:code=>"207RS0012X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"Sleep Medicine",
       :definition=>
      "An Internist who practices Sleep Medicine is certified in the subspecialty of sleep medicine and specializes in the clinical assessment, physiologic testing, diagnosis, management and prevention of sleep and circadian rhythm disorders. Sleep specialists treat patients of any age and use multidisciplinary approaches. Disorders managed by sleep specialists include, but are not limited to, sleep related breathing disorders, insomnia, hypersomnias, circadian rhythm sleep disorders, parasomnias and sleep related movement disorders.",
        :effective_date=>"10/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: American Academy of Sleep Medicine [7/1/2006: new]"},
        "207RT0003X"=>
      {:code=>"207RT0003X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"Transplant Hepatology",
       :definition=>
      "An internist with special knowledge and the skill required of a gastroenterologist to care for patients prior to and following hepatic transplantation that spans all phases of liver transplantation. Selection of appropriate recipients requires assessment by a team having experience in evaluating the severity and prognosis of patients with liver disease.",
        :effective_date=>"10/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: new] Additional Resources: American Board of Internal Medicine, 2007. http://www.abim.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Internal Medicine."},
        "207RX0202X"=>
      {:code=>"207RX0202X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Internal Medicine",
       :specialization=>"Medical Oncology",
       :definition=>
      "An internist who specializes in the diagnosis and treatment of all types of cancer and other benign and malignant tumors. This specialist decides on and administers therapy for these malignancies as well as consults with surgeons and radiotherapists on other treatments for cancer.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"11/05/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source. 11/5/2007: corrected definition] "},
        "207SC0300X"=>
      {:code=>"207SC0300X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Medical Genetics",
       :specialization=>"Clinical Cytogenetic",
       :definition=>
      "A clinical cytogeneticist demonstrates competence in providing laboratory diagnostic and clinical interpretive services dealing with cellular components, particularly chromosomes, associated with heredity.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added] Additional Resources: American Board of Medical Genetics, 2007. http://www.abmg.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Medical Genetics. A general certificate was first issued by the ABMS in 1982. ACGME Accredited Residency Program Requirements: None."},
        "207SG0201X"=>
      {:code=>"207SG0201X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Medical Genetics",
       :specialization=>"Clinical Genetics (M.D.)",
       :definition=>
      "A clinical geneticist demonstrates competence in providing comprehensive diagnostic, management and counseling services for genetic disorders.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added] Additional Resources: American Board of Medical Genetics, 2007. http://www.abmg.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Medical Genetics. "},
        "207SG0202X"=>
      {:code=>"207SG0202X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Medical Genetics",
       :specialization=>"Clinical Biochemical Genetics",
       :definition=>
      "A clinical biochemical geneticist demonstrates competence in performing and interpreting biochemical analyses relevant to the diagnosis and management of human genetic diseases and is a consultant regarding laboratory diagnosis of a broad range of inherited disorders.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added] Additional Resources: American Board of Medical Genetics, 2007. http://www.abmg.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Medical Genetics. "},
        "207SG0203X"=>
      {:code=>"207SG0203X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Medical Genetics",
       :specialization=>"Clinical Molecular Genetics",
       :definition=>
      "A clinical molecular geneticist demonstrates competence in performing and interpreting molecular analyses relevant to the diagnosis and management of human genetic diseases and is a consultant regarding laboratory diagnosis of a broad range of inherited disorders.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added] Additional Resources: American Board of Medical Genetics, 2007. http://www.abmg.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Medical Genetics."},
        "207SG0205X"=>
      {:code=>"207SG0205X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Medical Genetics",
       :specialization=>"Ph.D. Medical Genetics",
       :definition=>
      "A medical geneticist works in association with a medical specialist, is affiliated with a clinical genetics program and serves as a consultant to medical and dental specialists.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added] Additional Resources: American Board of Medical Genetics, 2007. http://www.abmg.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Medical Genetics."},
        "207SM0001X"=>
      {:code=>"207SM0001X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Medical Genetics",
       :specialization=>"Molecular Genetic Pathology",
       :definition=>
      "A board certified subspecialty, the molecular genetic pathologist is expert in the principles, theory and technologies of molecular biology and molecular genetics. This expertise is used to make or confirm diagnoses of Mendelian genetic disorders, of human development, infectious diseases and malignancies and to assess the natural history of those disorders. A molecular genetic pathologist provides information about gene structure, function and alteration, and applies laboratory techniques for diagnosis, treatment and prognosis for individuals with related disorders.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added] Additional Resources: American Board of Medical Genetics, 2007. http://www.abmg.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Medical Genetics. A subspecialty certificate for MGG was approved by the ABMS in 1999. ACGME Accredited Residency Program Requirements: Proposal under development."},
        "207T00000X"=>
      {:code=>"207T00000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Neurological Surgery",
       :specialization=>"",
       :definition=>
      "A neurological surgeon provides the operative and non-operative management (i.e., prevention, diagnosis, evaluation, treatment, critical care, and rehabilitation) of disorders of the central, peripheral, and autonomic nervous systems, including their supporting structures and vascular supply; the evaluation and treatment of pathological processes which modify function or activity of the nervous system; and the operative and non-operative management of pain. A neurological surgeon treats patients with disorders of the nervous system; disorders of the brain, meninges, skull, and their blood supply, including the extracranial carotid and vertebral arteries; disorders of the pituitary gland; disorders of the spinal cord, meninges, and vertebral column, including those which may require treatment by spinal fusion or instrumentation; and disorders of the cranial and spinal nerves throughout their distribution.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added] Additional Resources: American Board of Neurological Surgery, 2007. http://www.abns.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Neurological Surgery."},
        "207U00000X"=>
      {:code=>"207U00000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Nuclear Medicine",
       :specialization=>"",
       :definition=>
      "A nuclear medicine specialist employs the properties of radioactive atoms and molecules in the diagnosis and treatment of disease and in research. Radiation detection and imaging instrument systems are used to detect disease as it changes the function and metabolism of normal cells, tissues and organs. A wide variety of diseases can be found in this way, usually before the structure of the organ involved by the disease can be seen to be abnormal by any other techniques. Early detection of coronary artery disease (including acute heart attack), early cancer detection and evaluation of the effect of tumor treatment, diagnosis of infection and inflammation anywhere in the body and early detection of blood clot in the lungs are all possible with these techniques. Unique forms of radioactive molecules can attack and kill cancer cells (e.g., lymphoma, thyroid cancer) or can relieve the severe pain of cancer that has spread to bone",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Nuclear Medicine, 2007. http://www.abnm.org/. A doctor of osteopathy was able to obtain a Certificate of Added Qualifications in the field of Nuclear Medicine. The Certificate is NO longer offered.<br/><br/>American Osteopathic Board of Nuclear Medicine, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Nuclear Medicine."},
        "207UN0901X"=>
      {:code=>"207UN0901X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Nuclear Medicine",
       :specialization=>"Nuclear Cardiology",
       :definition=>
      "A nuclear medicine physician who specializes in nuclear cardiology.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2010",
        :notes=>
      "Source: National Uniform Claim Committee, 2009 [1/1/2010: definition added, source added] Additional Resources: A Certification of Added Qualifications (CAQ) was, but is no longer issued by the American Osteopathic Board of Nuclear Medicine."},
        "207UN0902X"=>
      {:code=>"207UN0902X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Nuclear Medicine",
       :specialization=>"Nuclear Imaging & Therapy",
       :definition=>
      "A nuclear medicine physician who specializes in nuclear imaging and therapy.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2010",
        :notes=>
      "Source: National Uniform Claim Committee, 2009 [1/1/2010: definition added, source added] Additional Resources: A Certification of Added Qualifications (CAQ) was, but is no longer issued by the American Osteopathic Board of Nuclear Medicine."},
        "207UN0903X"=>
      {:code=>"207UN0903X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Nuclear Medicine",
       :specialization=>"In Vivo & In Vitro Nuclear Medicine",
       :definition=>
      "A nuclear medicine physician who specializes in in vivo and in vitro nuclear medicine.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2010",
        :notes=>
      "Source: National Uniform Claim Committee, 2009 [1/1/2010: definition added, source added] Additional Resources: A Certification of Added Qualifications (CAQ) was, but is no longer issued by the American Osteopathic Board of Nuclear Medicine."},
        "207V00000X"=>
      {:code=>"207V00000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Obstetrics & Gynecology",
       :specialization=>"",
       :definition=>
      "An obstetrician/gynecologist possesses special knowledge, skills and professional capability in the medical and surgical care of the female reproductive system and associated disorders. This physician serves as a consultant to other physicians and as a primary physician for women.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Obstetrics and Gynecology, 2007. http://www.abog.org/. American Osteopathic Board of Obstetrics and Gynecology, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Obstetrics and Gynecology. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Obstetrics and Gynecology."},
        "207VB0002X"=>
      {:code=>"207VB0002X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Obstetrics & Gynecology",
       :specialization=>"Bariatric Medicine",
       :definition=>
      "Bariatric medicine is the medical treatment of obesity and its associated conditions. Bariatric medicine addresses the obese individual with a comprehensive program of diet, exercise and behavior modification, and when indicated, the prescription of appropriate medications as determined by the Bariatric physician. Bariatric physicians are licensed physicians who offer specialized programs in the medical treatment of obesity and its associated conditions. ",
        :effective_date=>"10/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Society of Bariatric Physicians [7/1/2007: new]"},
        "207VC0200X"=>
      {:code=>"207VC0200X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Obstetrics & Gynecology",
       :specialization=>"Critical Care Medicine",
       :definition=>
      "An obstetrician/gynecologist, who specializes in critical care medicine diagnoses, treats and supports female patients with multiple organ dysfunction. This specialist may have administrative responsibilities for intensive care units and may also facilitate and coordinate patient care among the primary physician, the critical care staff and other specialists.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Obstetrics and Gynecology, 2007. http://www.abog.org/. American Osteopathic Board of Obstetrics and Gynecology, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Obstetrics and Gynecology. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Obstetrics and Gynecology."},
        "207VE0102X"=>
      {:code=>"207VE0102X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Obstetrics & Gynecology",
       :specialization=>"Reproductive Endocrinology",
       :definition=>
      "An obstetrician/gynecologist who is capable of managing complex problems relating to reproductive endocrinology and infertility.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Obstetrics and Gynecology, 2007. http://www.abog.org/. American Osteopathic Board of Obstetrics and Gynecology, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Obstetrics and Gynecology. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Obstetrics and Gynecology."},
        "207VG0400X"=>
      {:code=>"207VG0400X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Obstetrics & Gynecology",
       :specialization=>"Gynecology",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "207VH0002X"=>
      {:code=>"207VH0002X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Obstetrics & Gynecology",
       :specialization=>"Hospice and Palliative Medicine",
       :definition=>
      "An obstetrician/gynecologist with special knowledge and skills to prevent and relieve the suffering experienced by patients with life-limiting illnesses. This specialist works with an interdisciplinary hospice or palliative care team to maximize quality of life while addressing physical, psychological, social and spiritual needs of both patient and family throughout the course of the disease, through the dying process, and beyond for the family. This specialist has expertise in the assessment of patients with advanced disease; the relief of distressing symptoms; the coordination of interdisciplinary patient and family-centered care in diverse venues; the use of specialized care systems including hospice; the management of the imminently dying patient; and legal and ethical decision making in end-of-life care.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Academy of Hospice and Palliative Medicine [1/1/2007: new]"},
        "207VM0101X"=>
      {:code=>"207VM0101X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Obstetrics & Gynecology",
       :specialization=>"Maternal & Fetal Medicine",
       :definition=>
      "An obstetrician/gynecologist who cares for, or provides consultation on, patients with complications of pregnancy. This specialist has advanced knowledge of the obstetrical, medical and surgical complications of pregnancy and their effect on both the mother and the fetus. The specialist also possesses expertise in the most current diagnostic and treatment modalities used in the care of patients with complicated pregnancies.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Obstetrics and Gynecology, 2007. http://www.abog.org/. American Osteopathic Board of Obstetrics and Gynecology, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Obstetrics and Gynecology. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Obstetrics and Gynecology."},
        "207VX0000X"=>
      {:code=>"207VX0000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Obstetrics & Gynecology",
       :specialization=>"Obstetrics",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "207VX0201X"=>
      {:code=>"207VX0201X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Obstetrics & Gynecology",
       :specialization=>"Gynecologic Oncology",
       :definition=>
      "An obstetrician/gynecologist who provides consultation and comprehensive management of patients with gynecologic cancer, including those diagnostic and therapeutic procedures necessary for the total care of the patient with gynecologic cancer and resulting complications.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Obstetrics and Gynecology, 2007. http://www.abog.org/. American Osteopathic Board of Obstetrics and Gynecology, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Obstetrics and Gynecology. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Obstetrics and Gynecology."},
        "207W00000X"=>
      {:code=>"207W00000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Ophthalmology",
       :specialization=>"",
       :definition=>
      "An ophthalmologist has the knowledge and professional skills needed to provide comprehensive eye and vision care. Ophthalmologists are medically trained to diagnose, monitor and medically or surgically treat all ocular and visual disorders. This includes problems affecting the eye and its component structures, the eyelids, the orbit and the visual pathways. In so doing, an ophthalmologist prescribes vision services, including glasses and contact lenses.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Ophthalmology, 2007. http://www.abop.org/. American Osteopathic Board of Ophthalmology and Otolaryngology, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Ophthalmology. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Ophthalmology and Otolaryngology."},
        "207X00000X"=>
      {:code=>"207X00000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Orthopaedic Surgery",
       :specialization=>"",
       :definition=>
      "An orthopaedic surgeon is trained in the preservation, investigation and restoration of the form and function of the extremities, spine and associated structures by medical, surgical and physical means. An orthopaedic surgeon is involved with the care of patients whose musculoskeletal problems include congenital deformities, trauma, infections, tumors, metabolic disturbances of the musculoskeletal system, deformities, injuries and degenerative diseases of the spine, hands, feet, knee, hip, shoulder and elbow in children and adults. An orthopaedic surgeon is also concerned with primary and secondary muscular problems and the effects of central or peripheral nervous system lesions of the musculoskeletal system.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Orthopaedic Surgery, 2007. http://www.abos.org/. American Osteopathic Board of Orthopaedic Surgery, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Orthopaedic Surgery. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Orthopaedic Surgery."},
        "207XP3100X"=>
      {:code=>"207XP3100X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Orthopaedic Surgery",
       :specialization=>"Pediatric Orthopaedic Surgery",
       :definition=>
      "An orthopedic surgeon who has additional training and experience in diagnosing, treating and managing musculoskeletal problems in infants, children and adolescents. These may include limb and spine deformities (such as club foot, scoliosis); gait abnormalities (limping); bone and joint infections; broken bones.",
        :effective_date=>"10/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: American Academy of Pediatrics [7/1/2006: new]"},
        "207XS0106X"=>
      {:code=>"207XS0106X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Orthopaedic Surgery",
       :specialization=>"Hand Surgery",
       :definition=>
      "An orthopaedic surgeon trained in the investigation, preservation and restoration by medical, surgical and rehabilitative means of all structures of the upper extremity directly affecting the form and function of the hand and wrist.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Orthopaedic Surgery, 2007. http://www.abos.org/. American Osteopathic Board of Orthopaedic Surgery, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Orthopaedic Surgery. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Orthopaedic Surgery."},
        "207XS0114X"=>
      {:code=>"207XS0114X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Orthopaedic Surgery",
       :specialization=>"Adult Reconstructive Orthopaedic Surgery",
       :definition=>
      "Recognized by several state medical boards as a fellowship subspecialty program of orthopaedic surgery, adult reconstructive orthopaedic surgeons deal with reconstructive procedures such as joint arthroplasty (i.e., hip and knee), osteotomy, arthroscopy, soft-tissue reconstruction, and a variety of other adult reconstructive surgical procedures. ",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added] Additional Resources: American Board of Orthopaedic Surgery, 2007. http://www.abos.org/. Separate board certification is not currently offered."},
        "207XS0117X"=>
      {:code=>"207XS0117X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Orthopaedic Surgery",
       :specialization=>"Orthopaedic Surgery of the Spine",
       :definition=>
      "Recognized by several state medical boards as a fellowship subspecialty program of orthopaedic surgery, orthopaedic surgeons of the spine deal with the evaluation and nonoperative and operative treatment of the full spectrum of primary spinal disorders including trauma, degenerative, deformity, tumor, and reconstructive.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added] Additional Resources: American Board of Orthopaedic Surgery, 2007. http://www.abos.org/. Separate board certification is not currently offered."},
        "207XX0004X"=>
      {:code=>"207XX0004X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Orthopaedic Surgery",
       :specialization=>"Foot and Ankle Surgery",
       :definition=>
      "Recognized by several state medical boards as a fellowship subspecialty program of orthopaedic surgery, foot and ankle surgeons deal with adult reconstructive foot and ankle surgery, adult foot and ankle trauma, sports medicine foot and ankle, and children's foot and ankle reconstructive surgery.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: title modified, definiton added, source added] Additional Resources: American Board of Orthopaedic Surgery, 2007. http://www.abos.org/. Separate board certification is not currently offered. ACGME Accredited Residency Program Requirements: 1 year of training with 5 years Orthopedic Surgery for a total of 6 years."},
        "207XX0005X"=>
      {:code=>"207XX0005X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Orthopaedic Surgery",
       :specialization=>"Sports Medicine",
       :definition=>
      "An orthopaedic surgeon trained in sports medicine provides appropriate care for all structures of the musculoskeletal system directly affected by participation in sporting activity. This specialist is proficient in areas including conditioning, training and fitness, athletic performance and the impact of dietary supplements, pharmaceuticals, and nutrition on performance and health, coordination of care within the team setting utilizing other health care professionals, field evaluation and management, soft tissue biomechanics and injury healing and repair. Knowledge and understanding of the principles and techniques of rehabilitation, athletic equipment and orthotic devices enables the specialist to prevent and manage athletic injuries.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton changed, source changed] Additional Resources: American Board of Orthopaedic Surgery, 2007. http://www.abos.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Orthopaedic Surgery. ACGME Accredited Program Requirements: 1 year GME in the specialty + 5 years of Orthopaedic Surgery for a total of 6 years"},
        "207XX0801X"=>
      {:code=>"207XX0801X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Orthopaedic Surgery",
       :specialization=>"Orthopaedic Trauma",
       :definition=>
      "Recognized by several state medical boards as a fellowship subspecialty program of orthopaedic surgery, orthopaedic trauma surgeons deal with the evaluation and management of acute orthopaedic injuries, evaluation and treatment of post-traumatic deformities and nonunions, acute and delayed reconstruction of pelvic and acetabular fractures, as well as osteotomy in the adult hip for treatment of hip arthritis.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added] Additional Resources: American Board of Orthopaedic Surgery, 2007. http://www.abos.org/. Separate board certification is not currently offered."},
        "207Y00000X"=>
      {:code=>"207Y00000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Otolaryngology",
       :specialization=>"",
       :definition=>
      "An otolaryngologist-head and neck surgeon provides comprehensive medical and surgical care for patients with diseases and disorders that affect the ears, nose, throat, the respiratory and upper alimentary systems and related structures of the head and neck. An otolaryngologist diagnoses and provides medical and/or surgical therapy or prevention of diseases, allergies, neoplasms, deformities, disorders and/or injuries of the ears, nose, sinuses, throat, respiratory and upper alimentary systems, face, jaws and the other head and neck systems. Head and neck oncology, facial plastic and reconstructive surgery and the treatment of disorders of hearing and voice are fundamental areas of expertise.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Otolaryngology, 2007. http://www.aboto.org/. American Osteopathic Board of Ophthalmology and Otolaryngology, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Otolaryngology. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Ophthalmology and Otolaryngology."},
        "207YP0228X"=>
      {:code=>"207YP0228X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Otolaryngology",
       :specialization=>"Pediatric Otolaryngology",
       :definition=>
      "A pediatric otolaryngologist has special expertise in the management of infants and children with disorders that include congenital and acquired conditions involving the aerodigestive tract, nose and paranasal sinuses, the ear and other areas of the head and neck. The pediatric otolaryngologist has special skills in the diagnosis, treatment, and management of childhood disorders of voice, speech, language and hearing.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added] Additional Resources: American Board of Otolaryngology, 2007. http://www.aboto.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Otolaryngology."},
        "207YS0012X"=>
      {:code=>"207YS0012X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Otolaryngology",
       :specialization=>"Sleep Medicine",
       :definition=>
      "An Otolaryngologist who practices Sleep Medicine is certified in the subspecialty of sleep medicine and specializes in the clinical assessment, physiologic testing, diagnosis, management and prevention of sleep and circadian rhythm disorders. Sleep specialists treat patients of any age and use multidisciplinary approaches. Disorders managed by sleep specialists include, but are not limited to, sleep related breathing disorders, insomnia, hypersomnias, circadian rhythm sleep disorders, parasomnias and sleep related movement disorders.",
        :effective_date=>"10/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: American Academy of Sleep Medicine [7/1/2006: new]"},
        "207YS0123X"=>
      {:code=>"207YS0123X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Otolaryngology",
       :specialization=>"Facial Plastic Surgery",
       :definition=>
      "An otolaryngologist who specializes in facial plastic surgery.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2010",
        :notes=>
      "Source: National Uniform Claim Committee, 2009 [1/1/2010: definition added, source added] Additional Resources: A General Certificate was, but is no longer issued by the American Osteopathic Board of Ophthalmology and Otolaryngology."},
        "207YX0007X"=>
      {:code=>"207YX0007X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Otolaryngology",
       :specialization=>"Plastic Surgery within the Head & Neck",
       :definition=>
      "An otolaryngologist with additional training in plastic and reconstructive procedures within the head, face, neck and associated structures, including cutaneous head and neck oncology and reconstruction, management of maxillofacial trauma, soft tissue repair and neural surgery. The field is diverse and involves a wide age range of patients, from the newborn to the aged. While both cosmetic and reconstructive surgeries are practiced, there are many additional procedures which interface with them.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added] Additional Resources: American Board of Otolaryngology, 2007. http://www.aboto.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Otolaryngology. Board certification for Doctors of Osteopathy is currently provided in the subspecialty of Otolaryngology/Facial Plastic Surgery (see Taxonomy Code 207YX0905X)"},
        "207YX0602X"=>
      {:code=>"207YX0602X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Otolaryngology",
       :specialization=>"Otolaryngic Allergy",
       :definition=>
      "An otolaryngologist who specializes in the diagnosis and treatment of otolaryngic allergies and other allergic diseases.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2010",
        :notes=>
      "Source: National Uniform Claim Committee, 2009 [1/1/2010: definition added, source added] Additional Resources: A Certification of Added Qualifications (CAQ) is issued by the American Osteopathic Board of Ophthalmology and Otolaryngology."},
        "207YX0901X"=>
      {:code=>"207YX0901X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Otolaryngology",
       :specialization=>"Otology & Neurotology",
       :definition=>
      "An otolaryngologist who treats diseases of the ear and temporal bone, including disorders of hearing and balance. The additional training in otology and neurotology emphasizes the study of embryology, anatomy, physiology, epidemiology, pathophysiology, pathology, genetics, immunology, microbiology and the etiology of diseases of the ear and temporal bone.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added] Additional Resources: American Board of Otolaryngology, 2007. http://www.aboto.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Otolaryngology."},
        "207YX0905X"=>
      {:code=>"207YX0905X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Otolaryngology",
       :specialization=>"Otolaryngology/Facial Plastic Surgery",
       :definition=>
      "An otolaryngologist who specializes in the diagnosis and surgical treatment of head and neck conditions.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2010",
        :notes=>
      "Source: National Uniform Claim Committee, 2009 [1/1/2010: definition added, source added] Additional Resources: A General Certificate is issued by the American Osteopathic Board of Ophthalmology and Otolaryngology."},
        "207ZB0001X"=>
      {:code=>"207ZB0001X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pathology",
       :specialization=>"Blood Banking & Transfusion Medicine",
       :definition=>
      "A physician who specializes in blood banking/transfusion medicine is responsible for the maintenance of an adequate blood supply, blood donor and patient-recipient safety and appropriate blood utilization. Pre-transfusion compatibility testing and antibody testing assure that blood transfusions, when indicated, are as safe as possible. This physician directs the preparation and safe use of specially prepared blood components, including red blood cells, white blood cells, platelets and plasma constituents, and marrow or stem cells for transplantation.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Pathology, 2007. http://www.abpath.org/. American Osteopathic Board of Pathology, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Pathology. Board certification for Doctors of Osteopathy (DOs) was provided by the American Osteopathic Board of Pathology. The Certification is NO longer provided."},
        "207ZC0006X"=>
      {:code=>"207ZC0006X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pathology",
       :specialization=>"Clinical Pathology",
       :definition=>
      "A pathologist deals with the causes and nature of disease and contributes to diagnosis, prognosis and treatment through knowledge gained by the laboratory application of the biologic, chemical and physical sciences. A pathologist uses information gathered from the microscopic examination of tissue specimens, cells and body fluids, and from clinical laboratory tests on body fluids and secretions for the diagnosis, exclusion and monitoring of disease.",
        :effective_date=>"10/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: new, 7/1/2009: definition reformatted] Additional Resources: American Board of Pathology, 2007. http://www.abpath.org/ This taxonomy code identifies the combined anatomic \"clinical pathology only\" route. Board Certification for Medical Doctors (MDs) is provided by the American Board of Pathology. To acknowledge the diverse activities in the practice of pathology and to accommodate the interests of individuals wanting to enter the field, the ABP offers primary certification through the following three routes: combined anatomic pathology and clinical pathology, anatomic pathology only and clinical pathology only. Primary certification in anatomic pathology or clinical pathology may be combined with some of the subspecialty certifications."},
        "207ZC0500X"=>
      {:code=>"207ZC0500X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pathology",
       :specialization=>"Cytopathology",
       :definition=>
      "A cytopathologist is an anatomic pathologist trained in the diagnosis of human disease by means of the study of cells obtained from body secretions and fluids, by scraping, washing, or sponging the surface of a lesion, or by the aspiration of a tumor mass or body organ with a fine needle. A major aspect of a cytopathologist's practice is the interpretation of Papanicolaou-stained smears of cells from the female reproductive systems, the 'Pap' test. However, the cytopathologist's expertise is applied to the diagnosis of cells from all systems and areas of the body. He/she is a consultant to all medical specialists.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton changed, source added] Additional Resources: American Board of Pathology, 2007. http://www.abpath.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Pathology."},
        "207ZD0900X"=>
      {:code=>"207ZD0900X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pathology",
       :specialization=>"Dermatopathology",
       :definition=>
      "A dermatopathologist is an expert in diagnosing and monitoring diseases of the skin including infectious, immunologic, degenerative, and neoplastic diseases. This entails the examination and interpretation of specially prepared tissue sections, cellular scrapings, and smears of skin lesions by means of light microscopy, electron microscopy, and fluorescence microscopy.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton changed, source added] Additional Resources: American Board of Pathology, 2007. http://www.abpath.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Pathology. A subspecialty certificate was first issued by the ABMS in 1974. ACGME Accredited Residency Program Requirements: None."},
        "207ZF0201X"=>
      {:code=>"207ZF0201X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pathology",
       :specialization=>"Forensic Pathology",
       :definition=>
      "A forensic pathologist is expert in investigating and evaluating cases of sudden, unexpected, suspicious and violent death as well as other specific classes of death defined by law. The forensic pathologist serves the public as coroner or medical examiner, or by performing medicolegal autopsies for such officials.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Pathology, 2007. http://www.abpath.org/. American Osteopathic Board of Pathology, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Pathology. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Pathology."},
        "207ZH0000X"=>
      {:code=>"207ZH0000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pathology",
       :specialization=>"Hematology",
       :definition=>
      "A hematopathologist is expert in diseases that affect blood cells, blood clotting mechanisms, bone marrow and lymph nodes. This physician has the knowledge and technical skills essential for the laboratory diagnosis of anemias, leukemias, lymphomas, bleeding disorders and blood clotting disorders.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Pathology, 2007. http://www.abpath.org/. American Osteopathic Board of Pathology, 2007. http://www.osteopathic.org/certification Board certification for Medical Doctors (MDs) is provided by the American Board of Pathology. Board certification for Doctors of Osteopathy (DOs) was provided by the American Osteopathic Board of Pathology. The Certification is NO longer provided."},
        "207ZI0100X"=>
      {:code=>"207ZI0100X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pathology",
       :specialization=>"Immunopathology",
       :definition=>
      "A pathologist who specializes in the diagnosis of immunologic diseases.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2010",
        :notes=>
      "Source: National Uniform Claim Committee, 2009 [1/1/2010: definition added, source added] Additional Resources: A Certification of Added Qualifications (CAQ) was, but is no longer issued by the American Osteopathic Board of Pathology."},
        "207ZM0300X"=>
      {:code=>"207ZM0300X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pathology",
       :specialization=>"Medical Microbiology",
       :definition=>
      "A medical microbiologist is expert in the isolation and identification of microbial agents that cause infectious disease. Viruses, bacteria and fungi, as well as parasites, are identified and, where possible, tested for susceptibility to appropriate antimicrobial agents.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Pathology, 2007. http://www.abpath.org/. American Osteopathic Board of Pathology, 2007. http://www.osteopathic.org/certification Board certification for Medical Doctors (MDs) is provided by the American Board of Pathology. Board certification for Doctors of Osteopathy (DOs) was provided by the American Osteopathic Board of Pathology. The Certification is NO longer provided."},
        "207ZN0500X"=>
      {:code=>"207ZN0500X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pathology",
       :specialization=>"Neuropathology",
       :definition=>
      "A neuropathologist is expert in the diagnosis of diseases of the nervous system and skeletal muscles and functions as a consultant primarily to neurologists and neurosurgeons. The neuropathologist is knowledgeable in the infirmities of humans as they affect the nervous and neuromuscular systems, be they degenerative, infectious, metabolic, immunologic, neoplastic, vascular or physical in nature.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Pathology, 2007. http://www.abpath.org/. American Osteopathic Board of Pathology, 2007. http://www.osteopathic.org/certification Board certification for Medical Doctors (MDs) is provided by the American Board of Pathology. Board certification for Doctors of Osteopathy (DOs) was provided by the American Osteopathic Board of Pathology. The Certification is NO longer provided."},
        "207ZP0007X"=>
      {:code=>"207ZP0007X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pathology",
       :specialization=>"Molecular Genetic Pathology",
       :definition=>
      "A molecular genetic pathologist is expert in the principles, theory and technologies of molecular biology and molecular genetics. This expertise is used to make or confirm diagnoses of Mendelian genetic disorders, disorders of human development, infectious diseases and malignancies, and to assess the natural history of those disorders. A molecular genetic pathologist provides information about gene structure, function and alteration and applies laboratory techniques for diagnosis, treatment and prognosis for individuals with related disorders.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton changed, source changed] Additional Resources: American Board of Pathology, 2007. http://www.abpath.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Pathology. A subspecialty certificate for MGG was approved by the ABMS in 1999. ACGME Accredited Residency Program Requirements: Proposal under development."},
        "207ZP0101X"=>
      {:code=>"207ZP0101X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pathology",
       :specialization=>"Anatomic Pathology",
       :definition=>
      "A pathologist deals with the causes and nature of disease and contributes to diagnosis, prognosis and treatment through knowledge gained by the laboratory application of the biologic, chemical and physical sciences. A pathologist uses information gathered from the microscopic examination of tissue specimens, cells and body fluids, and from clinical laboratory tests on body fluids and secretions for the diagnosis, exclusion and monitoring of disease.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. [7/1/2007: definition added, source added, 7/1/2009: defintion reformatted; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Pathology, 2007. http://www.abpath.org/. American Osteopathic Board of Pathology, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Pathology (note: this taxonomy code identifies the \"anatomic pathology only\" route). To acknowledge the diverse activities in the practice of pathology and to accommodate the interests of individuals wanting to enter the field, the ABP offers primary certification through the following three routes: combined anatomic pathology and clinical pathology, anatomic pathology only and clinical pathology only. Primary certification in anatomic pathology or clinical pathology may be combined with some of the subspecialty certifications."},
        "207ZP0102X"=>
      {:code=>"207ZP0102X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pathology",
       :specialization=>"Anatomic Pathology & Clinical Pathology",
       :definition=>
      "A pathologist deals with the causes and nature of disease and contributes to diagnosis, prognosis and treatment through knowledge gained by the laboratory application of the biologic, chemical and physical sciences. A pathologist uses information gathered from the microscopic examination of tissue specimens, cells and body fluids, and from clinical laboratory tests on body fluids and secretions for the diagnosis, exclusion and monitoring of disease.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added, 7/1/2009: definition reformatted] Additional Resources: American Board of Pathology, 2007. http://www.abpath.org/ This taxonomy code identifies the combined anatomic pathology & clinical pathology route. Board certification for Medical Doctors (MDs) is provided by the American Board of Pathology. To acknowledge the diverse activities in the practice of pathology and to accommodate the interests of individuals wanting to enter the field, the ABP offers primary certification through the following three routes: combined anatomic pathology and clinical pathology, anatomic pathology only and clinical pathology only. Primary certification in anatomic pathology or clinical pathology may be combined with some of the subspecialty certifications."},
        "207ZP0104X"=>
      {:code=>"207ZP0104X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pathology",
       :specialization=>"Chemical Pathology",
       :definition=>
      "A chemical pathologist has expertise in the biochemistry of the human body as it applies to the understanding of the cause and progress of disease. This physician functions as a clinical consultant in the diagnosis and treatment of human disease. Chemical pathology entails the application of biochemical data to the detection, confirmation or monitoring of disease.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Pathology, 2007. http://www.abpath.org/. American Osteopathic Board of Pathology, 2007. http://www.osteopathic.org/certification Board certification for Medical Doctors (MDs) is provided by the American Board of Pathology. Board certification for Doctors of Osteopathy (DOs) was provided by the American Osteopathic Board of Pathology. The Certification is NO longer provided."},
        "207ZP0105X"=>
      {:code=>"207ZP0105X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pathology",
       :specialization=>"Clinical Pathology/Laboratory Medicine",
       :definition=>
      "A pathologist deals with the causes and nature of disease and contributes to diagnosis, prognosis and treatment through knowledge gained by the laboratory application of the biologic, chemical and physical sciences. A pathologist uses information gathered from the microscopic examination of tissue specimens, cells and body fluids, and from clinical laboratory tests on body fluids and secretions for the diagnosis, exclusion and monitoring of disease.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Pathology, 2007. http://www.abpath.org/. American Osteopathic Board of Pathology, 2007. http://www.osteopathic.org/certification Board certification for Medical Doctors (MDs) is provided by the American Board of Pathology. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Pathology."},
        "207ZP0213X"=>
      {:code=>"207ZP0213X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pathology",
       :specialization=>"Pediatric Pathology",
       :definition=>
      "A pediatric pathologist is expert in the laboratory diagnosis of diseases that occur during fetal growth, infancy and child development. The practice requires a strong foundation in general pathology and substantial understanding of normal growth and development, along with extensive knowledge of pediatric medicine.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definiton added, source added] Additional Resources: American Board of Pathology, 2007. http://www.abpath.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Pathology."},
        "208000000X"=>
      {:code=>"208000000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pediatrics",
       :specialization=>"",
       :definition=>
      "A pediatrician is concerned with the physical, emotional and social health of children from birth to young adulthood. Care encompasses a broad spectrum of health services ranging from preventive healthcare to the diagnosis and treatment of acute and chronic diseases. A pediatrician deals with biological, social and environmental influences on the developing child, and with the impact of disease and dysfunction on development.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Pediatrics, 2007. http://www.abp.org/. American Osteopathic Board of Pediatrics, 2007. http://www.osteopathic.org/certification Board certification for Medical Doctors (MDs) is provided by the American Board of Pediatrics. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Pediatrics."},
        "2080A0000X"=>
      {:code=>"2080A0000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pediatrics",
       :specialization=>"Adolescent Medicine",
       :definition=>
      "A pediatrician who specializes in adolescent medicine is a multi-disciplinary healthcare specialist trained in the unique physical, psychological and social characteristics of adolescents, their healthcare problems and needs.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Pediatrics, 2007. http://www.abp.org/. American Osteopathic Board of Pediatrics, 2007. http://www.osteopathic.org/certification Board certification for Medical Doctors (MDs) is provided by the American Board of Pediatrics. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Pediatrics."},
        "2080C0008X"=>
      {:code=>"2080C0008X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pediatrics",
       :specialization=>"Child Abuse Pediatrics",
       :definition=>
      "A Child Abuse Pediatrician serves as a resource to children, families and communities by accurately diagnosing abuse; consulting with community agencies on child safety; providing expertise in courts of law; treating consequences of abuse and neglect; directing child abuse and neglect prevention programs and participating on multidisciplinary teams investigating; and managing child abuse cases. ",
        :effective_date=>"10/01/2009",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Board of Medical Specialties, 2009 [7/1/2009: definition added]"},
        "2080H0002X"=>
      {:code=>"2080H0002X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pediatrics",
       :specialization=>"Hospice and Palliative Medicine",
       :definition=>
      "A pediatrician with special knowledge and skills to prevent and relieve the suffering experienced by patients with life-limiting illnesses. This specialist works with an interdisciplinary hospice or palliative care team to maximize quality of life while addressing physical, psychological, social and spiritual needs of both patient and family throughout the course of the disease, through the dying process, and beyond for the family. This specialist has expertise in the assessment of patients with advanced disease; the relief of distressing symptoms; the coordination of interdisciplinary patient and family-centered care in diverse venues; the use of specialized care systems including hospice; the management of the imminently dying patient; and legal and ethical decision making in end-of-life care.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Academy of Hospice and Palliative Medicine [1/1/2007: new]"},
        "2080I0007X"=>
      {:code=>"2080I0007X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pediatrics",
       :specialization=>"Clinical & Laboratory Immunology",
       :definition=>
      "A pediatrician who specializes in clinical and laboratory immunology disease management.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2010",
        :notes=>
      "Source: National Uniform Claim Committee, 2009 [1/1/2010: definition added, source added] Additional Resources: A certification was, but is no longer issued by the American Board of Pediatrics."},
        "2080N0001X"=>
      {:code=>"2080N0001X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pediatrics",
       :specialization=>"Neonatal-Perinatal Medicine",
       :definition=>
      "A pediatrician who is the principal care provider for sick newborn infants. Clinical expertise is used for direct patient care and for consulting with obstetrical colleagues to plan for the care of mothers who have high-risk pregnancies.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Pediatrics, 2007. http://www.abp.org/. American Osteopathic Board of Pediatrics, 2007. http://www.osteopathic.org/certification Board certification for Medical Doctors (MDs) is provided by the American Board of Pediatrics. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Pediatrics."},
        "2080P0006X"=>
      {:code=>"2080P0006X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pediatrics",
       :specialization=>"Developmental - Behavioral Pediatrics",
       :definition=>
      "A developmental-behavioral specialist is a pediatrician with special training and experience who aims to foster understanding and promotion of optimal development of children and families through research, education, clinical care and advocacy efforts. This physician assists in the prevention, diagnosis, and management of developmental difficulties and problematic behaviors in children and in the family dysfunctions that compromise children's development.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition changed, source changed, 3/26/2008: definition corrected] Additional Resources: American Board of Pediatrics, 2007. http://www.abp.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Pediatrics."},
        "2080P0008X"=>
      {:code=>"2080P0008X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pediatrics",
       :specialization=>"Neurodevelopmental Disabilities",
       :definition=>
      "A pediatrician who treats children having developmental delays or learning disorders including those associated with visual and hearing impairment, mental retardation, cerebral palsy, spina bifida, autism and other chronic neurologic conditions. This specialist provides medical consultation and education and assumes leadership in the interdisciplinary management of children with neurodevelopmental disorders. They may also focus on the early identification and diagnosis of neurodevelopmental disabilities in infants and young children as well as on changes that occur as the child with developmental disabilities grows.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition changed, source changed] Additional Resources: American Board of Pediatrics, 2007. http://www.abp.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Pediatrics."},
        "2080P0201X"=>
      {:code=>"2080P0201X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pediatrics",
       :specialization=>"Pediatric Allergy/Immunology",
       :definition=>
      "A pediatrician who specializes in the diagnosis and treatment of allergies, allergic reactions, and immunologic diseases in children.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2010",
        :notes=>
      "Source: National Uniform Claim Committee, 2009 [1/1/2010: title modified, definition added, source added] Additional Resources: A Certification of Special Qualifications (CSQ) is issued by the American Osteopathic Board of Pediatrics."},
        "2080P0202X"=>
      {:code=>"2080P0202X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pediatrics",
       :specialization=>"Pediatric Cardiology",
       :definition=>
      "A pediatric cardiologist provides comprehensive care to patients with cardiovascular problems. This specialist is skilled in selecting, performing and evaluating the structural and functional assessment of the heart and blood vessels, and the clinical evaluation of cardiovascular disease.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Pediatrics, 2007. http://www.abp.org/. American Osteopathic Board of Pediatrics, 2007. http://www.osteopathic.org/certification Board certification for Medical Doctors (MDs) is provided by the American Board of Pediatrics. Board certification for Doctors of Osteopathy (DOs) was provided by the American Osteopathic Board of Pediatrics. The Certification is no longer offered."},
        "2080P0203X"=>
      {:code=>"2080P0203X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pediatrics",
       :specialization=>"Pediatric Critical Care Medicine",
       :definition=>
      "A pediatrician expert in advanced life support for children from the term or near-term neonate to the adolescent. This competence extends to the critical care management of life-threatening organ system failure from any cause in both medical and surgical patients and to the support of vital physiological functions. This specialist may have administrative responsibilities for intensive care units and also facilitates patient care among other specialists.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition changed, source added] Additional Resources: American Board of Pediatrics, 2007. http://www.abp.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Pediatrics. ACGME Accredited Residency Program Requirements: 2 years of training with 3 years Pediatrics plus 1 year Pediatric Critical Care for certification for a total of 6 years. ABMS Approved Subspecialty Certificate (Pediatrics)"},
        "2080P0204X"=>
      {:code=>"2080P0204X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pediatrics",
       :specialization=>"Pediatric Emergency Medicine",
       :definition=>
      "A pediatrician who has special qualifications to manage emergencies in infants and children.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added] Additional Resources: American Board of Pediatrics, 2007. http://www.abp.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Pediatrics."},
        "2080P0205X"=>
      {:code=>"2080P0205X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pediatrics",
       :specialization=>"Pediatric Endocrinology",
       :definition=>
      "A pediatrician who provides expert care to infants, children and adolescents who have diseases that result from an abnormality in the endocrine glands (glands which secrete hormones). These diseases include diabetes mellitus, growth failure, unusual size for age, early or late pubertal development, birth defects, the genital region and disorders of the thyroid, the adrenal and pituitary glands.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Pediatrics, 2007. http://www.abp.org/. American Osteopathic Board of Pediatrics, 2007. http://www.osteopathic.org/certification Board certification for Medical Doctors (MDs) is provided by the American Board of Pediatrics. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Pediatrics."},
        "2080P0206X"=>
      {:code=>"2080P0206X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pediatrics",
       :specialization=>"Pediatric Gastroenterology",
       :definition=>
      "A pediatrician who specializes in the diagnosis and treatment of diseases of the digestive systems of infants, children and adolescents. This specialist treats conditions such as abdominal pain, ulcers, diarrhea, cancer and jaundice and performs complex diagnostic and therapeutic procedures using lighted scopes to see internal organs.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added] Additional Resources: American Board of Pediatrics, 2007. http://www.abp.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Pediatrics."},
        "2080P0207X"=>
      {:code=>"2080P0207X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pediatrics",
       :specialization=>"Pediatric Hematology-Oncology",
       :definition=>
      "A pediatrician trained in the combination of pediatrics, hematology and oncology to recognize and manage pediatric blood disorders and cancerous diseases.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Pediatrics, 2007. http://www.abp.org/. American Osteopathic Board of Pediatrics, 2007. http://www.osteopathic.org/certification Board certification for Medical Doctors (MDs) is provided by the American Board of Pediatrics. Board certification for Doctors of Osteopathy (DOs) was provided by the American Osteopathic Board of Pediatrics. The Certification is no longer offered."},
        "2080P0208X"=>
      {:code=>"2080P0208X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pediatrics",
       :specialization=>"Pediatric Infectious Diseases",
       :definition=>
      "A pediatrician trained to care for children in the diagnosis, treatment and prevention of infectious diseases. This specialist can apply specific knowledge to affect a better outcome for pediatric infections with complicated courses, underlying diseases that predispose to unusual or severe infections, unclear diagnoses, uncommon diseases and complex or investigational treatments.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Pediatrics, 2007. http://www.abp.org/. American Osteopathic Board of Pediatrics, 2007. http://www.osteopathic.org/certification Board certification for Medical Doctors (MDs) is provided by the American Board of Pediatrics. Board certification for Doctors of Osteopathy (DOs) was provided by the American Osteopathic Board of Pediatrics. The Certification is no longer offered."},
        "2080P0210X"=>
      {:code=>"2080P0210X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pediatrics",
       :specialization=>"Pediatric Nephrology",
       :definition=>
      "A pediatrician who deals with the normal and abnormal development and maturation of the kidney and urinary tract, the mechanisms by which the kidney can be damaged, the evaluation and treatment of renal diseases, fluid and electrolyte abnormalities, hypertension and renal replacement therapy.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Pediatrics, 2007. http://www.abp.org/. American Osteopathic Board of Pediatrics, 2007. http://www.osteopathic.org/certification Board certification for Medical Doctors (MDs) is provided by the American Board of Pediatrics. Board certification for Doctors of Osteopathy (DOs) was provided by the American Osteopathic Board of Pediatrics. The Certification is no longer offered."},
        "2080P0214X"=>
      {:code=>"2080P0214X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pediatrics",
       :specialization=>"Pediatric Pulmonology",
       :definition=>
      "A pediatrician dedicated to the prevention and treatment of all respiratory diseases affecting infants, children and young adults. This specialist is knowledgeable about the growth and development of the lung, assessment of respiratory function in infants and children, and experienced in a variety of invasive and noninvasive diagnostic techniques.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Pediatrics, 2007. http://www.abp.org/. American Osteopathic Board of Pediatrics, 2007. http://www.osteopathic.org/certification Board certification for Medical Doctors (MDs) is provided by the American Board of Pediatrics. Board certification for Doctors of Osteopathy (DOs) was provided by the American Osteopathic Board of Pediatrics. The Certification is no longer offered."},
        "2080P0216X"=>
      {:code=>"2080P0216X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pediatrics",
       :specialization=>"Pediatric Rheumatology",
       :definition=>
      "A pediatrician who treats diseases of joints, muscle, bones and tendons. A pediatric rheumatologist diagnoses and treats arthritis, back pain, muscle strains, common athletic injuries and \"collagen\" diseases.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added] Additional Resources: American Board of Pediatrics, 2007. http://www.abp.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Pediatrics."},
        "2080S0010X"=>
      {:code=>"2080S0010X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pediatrics",
       :specialization=>"Sports Medicine",
       :definition=>
      "A pediatrician who is responsible for continuous care in the field of sports medicine, not only for the enhancement of health and fitness, but also for the prevention of injury and illness. A sports medicine physician must have knowledge and experience in the promotion of wellness and the prevention of injury. Knowledge about special areas of medicine such as exercise physiology, biomechanics, nutrition, psychology, physical rehabilitation, epidemiology, physical evaluation, injuries (treatment and prevention and referral practice) and the role of exercise in promoting a healthy lifestyle are essential to the practice of sports medicine. The sports medicine physician requires special education to provide the knowledge to improve the healthcare of the individual engaged in physical exercise (sports) whether as an individual or in team participation.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Pediatrics, 2007. http://www.abp.org/. American Osteopathic Board of Pediatrics, 2007. http://www.osteopathic.org/certification Board certification for Medical Doctors (MDs) is provided by the American Board of Pediatrics. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Pediatrics."},
        "2080S0012X"=>
      {:code=>"2080S0012X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pediatrics",
       :specialization=>"Sleep Medicine",
       :definition=>
      "A Pediatrician who practices Sleep Medicine is certified in the subspecialty of sleep medicine and specializes in the clinical assessment, physiologic testing, diagnosis, management and prevention of sleep and circadian rhythm disorders. Sleep specialists treat patients of any age and use multidisciplinary approaches. Disorders managed by sleep specialists include, but are not limited to, sleep related breathing disorders, insomnia, hypersomnias, circadian rhythm sleep disorders, parasomnias and sleep related movement disorders.",
        :effective_date=>"10/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: American Academy of Sleep Medicine [7/1/2006: new]"},
        "2080T0002X"=>
      {:code=>"2080T0002X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pediatrics",
       :specialization=>"Medical Toxicology",
       :definition=>
      "Medical toxicologists are physicians that specialize in the prevention, evaluation, treatment and monitoring of injury and illness from exposures to drugs and chemicals, as well as biological and radiological agents. Medical toxicologists care for people in clinical, academic, governmental and public health settings, and provide poison control center leadership. Important areas of medical toxicology include acute drug poisoning, adverse drug events, drug abuse, addiction and withdrawal, chemicals and hazardous materials, terrorism preparedness, venomous bites and stings, and environmental and workplace exposures.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition changed, source added] Additional Resources: American Board of Pediatrics, 2007. http://www.abp.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Pediatrics. ACGME Accredited Residency Program Requirements: Medical Toxicology (EM) 2 years with 3-4 years Emergency Medicine for a total of 5-6 years; for Medical Toxicology (Preventive Medicine) 2 years with 3 years Preventive Medicine for a total of 5 years. Medical Toxicology (Pediatrics): None. ABMS Approved Subspecialty Certificates (Emergency Medicine) (Pediatrics) (Preventive Medicine)"},
        "2080T0004X"=>
      {:code=>"2080T0004X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pediatrics",
       :specialization=>"Pediatric Transplant Hepatology",
       :definition=>
      "A pediatrician with expertise in transplant hepatology encompasses the special knowledge and skill required of pediatric gastroenterologists to care for patients prior to and following hepatic transplantation; it spans all phases of liver transplantation.",
        :effective_date=>"10/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: new] Additional Resources; American Board of Pediatrics, 2007. http://www.abp.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Pediatrics."},
        "208100000X"=>
      {:code=>"208100000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Physical Medicine & Rehabilitation",
       :specialization=>"",
       :definition=>
      "Physical medicine and rehabilitation, also referred to as rehabilitation medicine, is the medical specialty concerned with diagnosing, evaluating, and treating patients with physical disabilities. These disabilities may arise from conditions affecting the musculoskeletal system such as neck and back pain, sports injuries, or other painful conditions affecting the limbs, such as carpal tunnel syndrome. Alternatively, the disabilities may result from neurological trauma or disease such as spinal cord injury, head injury or stroke. A physician certified in physical medicine and rehabilitation is often called a physiatrist. The primary goal of the physiatrist is to achieve maximal restoration of physical, psychological, social and vocational function through comprehensive rehabilitation. Pain management is often an important part of the role of the physiatrist. For diagnosis and evaluation, a physiatrist may include the techniques of electromyography to supplement the standard history, physical, x-ray and laboratory examinations. The physiatrist has expertise in the appropriate use of therapeutic exercise, prosthetics (artificial limbs), orthotics and mechanical and electrical devices.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Physical Medicine and Rehabilitation, 2007. http://www.abpmr.org/. American Osteopathic Board of Physical Medicine and Rehabilitation, 2007. http://www.osteopathic.org/certification Board certification for Medical Doctors (MDs) is provided by the American Board of Physical Medicine and Rehabilitation. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Physical Medicine and Rehabilitation."},
        "2081H0002X"=>
      {:code=>"2081H0002X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Physical Medicine & Rehabilitation",
       :specialization=>"Hospice and Palliative Medicine",
       :definition=>
      "A physical medicine and rehabilitation physician with special knowledge and skills to prevent and relieve the suffering experienced by patients with life-limiting illnesses. This specialist works with an interdisciplinary hospice or palliative care team to maximize quality of life while addressing physical, psychological, social and spiritual needs of both patient and family throughout the course of the disease, through the dying process, and beyond for the family. This specialist has expertise in the assessment of patients with advanced disease; the relief of distressing symptoms; the coordination of interdisciplinary patient and family-centered care in diverse venues; the use of specialized care systems including hospice; the management of the imminently dying patient; and legal and ethical decision making in end-of-life care.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Academy of Hospice and Palliative Medicine [1/1/2007: new]"},
        "2081N0008X"=>
      {:code=>"2081N0008X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Physical Medicine & Rehabilitation",
       :specialization=>"Neuromuscular Medicine",
       :definition=>
      "A physician who specializes in neuromuscular medicine possesses specialized knowledge in the science, clinical evaluation and management of these disorders. This encompasses the knowledge of the pathology, diagnosis and treatment of these disorders at a level that is significantly beyond the training and knowledge expected of a general neurologist, child neurologist or physiatrist.",
        :effective_date=>"10/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: new] Additional Resources: American Board of Physical Medicine and Rehabilitation, 2007. http://www.abpmr.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Physical Medicine and Rehabilitation. "},
        "2081P0004X"=>
      {:code=>"2081P0004X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Physical Medicine & Rehabilitation",
       :specialization=>"Spinal Cord Injury Medicine",
       :definition=>
      "A physician who addresses the prevention, diagnosis, treatment and management of traumatic spinal cord injury and non-traumatic etiologies of spinal cord dysfunction by working in an interdisciplinary manner. Care is provided to patients of all ages on a lifelong basis and covers related medical, physical, psychological and vocational disabilities and complications. ",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition changed, source added] Additional Resources: American Board of Physical Medicine and Rehabilitation, 2007. http://www.abpmr.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Physical Medicine and Rehabilitation. ACGME Accredited Residency Program Requirements: 1 year of training with 3-5 years in relevant specialty for a total of 4-6 years. ABMS Approved Subspecialty Certificate: (Physical Medicine and Rehabilitation)"},
        "2081P0010X"=>
      {:code=>"2081P0010X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Physical Medicine & Rehabilitation",
       :specialization=>"Pediatric Rehabilitation Medicine",
       :definition=>
      "A physiatrist who utilizes an interdisciplinary approach and addresses the prevention, diagnosis, treatment and management of congenital and childhood-onset physical impairments including related or secondary medical, physical, functional, psychosocial and vocational limitations or conditions, with an understanding of the life course of disability. This physician is trained in the identification of functional capabilities and selection of the best of rehabilitation intervention strategies, with an understanding of the continuum of care.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition changed, source added] Additional Resources: American Board of Physical Medicine and Rehabilitation, 2007. http://www.abpmr.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Physical Medicine and Rehabilitation. A subspecialty certificate for PRM was approved by the ABMS in 1999. ACGME Accredited Residency Program Requirements: Early discussions underway"},
        "2081P2900X"=>
      {:code=>"2081P2900X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Physical Medicine & Rehabilitation",
       :specialization=>"Pain Medicine",
       :definition=>
      "A physician who provides a high level of care, either as a primary physician or consultant, for patients experiencing problems with acute, chronic or cancer pain in both hospital and ambulatory settings. Patient care needs may also be coordinated with other specialists. ",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition changed, source changed] Additional Resources: American Board of Physical Medicine and Rehabilitation, 2007. http://www.abpmr.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Physical Medicine and Rehabilitation. A subspecialty certificate was approved by the ABMS in 1999. ACGME Accredited Residency Program Requirements: Proposal under development."},
        "2081S0010X"=>
      {:code=>"2081S0010X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Physical Medicine & Rehabilitation",
       :specialization=>"Sports Medicine",
       :definition=>
      "A physician who specializes in Sports Medicine is responsible for continuous care related to the enhancement of health and fitness as well as the prevention of injury and illness. The specialist possesses knowledge and experience in the promotion of wellness and the prevention of injury from many areas of medicine such as exercise physiology, biomechanics, nutrition, psychology, physical rehabilitation, epidemiology, physical evaluation and injuries. It is the goal of a Sports Medicine specialist to improve the healthcare of the individual engaged in physical exercise.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Board of Medical Specialties, 2009. www.abms.org [7/1/2009: definition added]"},
        "208200000X"=>
      {:code=>"208200000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Plastic Surgery",
       :specialization=>"",
       :definition=>
      "A plastic surgeon deals with the repair, reconstruction or replacement of physical defects of form or function involving the skin, musculoskeletal system, craniomaxillofacial structures, hand, extremities, breast and trunk and external genitalia or cosmetic enhancement of these areas of the body. Cosmetic surgery is an essential component of plastic surgery. The plastic surgeon uses cosmetic surgical principles to both improve overall appearance and to optimize the outcome of reconstructive procedures. The surgeon uses aesthetic surgical principles not only to improve undesirable qualities of normal structures but in all reconstructive procedures as well.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added] Additional Resources: American Board of Plastic Surgery, 2007. http://www.abplsurg.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Plastic Surgery."},
        "2082S0099X"=>
      {:code=>"2082S0099X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Plastic Surgery",
       :specialization=>"Plastic Surgery Within the Head and Neck",
       :definition=>
      "A plastic surgeon with additional training in plastic and reconstructive procedures within the head, face, neck and associated structures, including cutaneous head and neck oncology and reconstruction, management of maxillofacial trauma, soft tissue repair and neural surgery. The field is diverse and involves a wide age range of patients, from the newborn to the aged. While both cosmetic and reconstructive surgery is practiced, there are many additional procedures which interface with them.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition changed, source added] Additional Resources: American Board of Plastic Surgery, 2007. http://www.abplsurg.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Plastic Surgery. A subspecialty certificate was approved by the ABMS in 2000. ACGME Accredited Residency Program Requirements: None."},
        "2082S0105X"=>
      {:code=>"2082S0105X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Plastic Surgery",
       :specialization=>"Surgery of the Hand",
       :definition=>
      "A plastic surgeon with additional training in the investigation, preservation, and restoration by medical, surgical and rehabilitative means of all structures of the upper extremity directly affecting the form and function of the hand and wrist.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added] Additional Resources: American Board of Plastic Surgery, 2007. http://www.abplsurg.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Plastic Surgery."},
        "2083A0100X"=>
      {:code=>"2083A0100X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Preventive Medicine",
       :specialization=>"Aerospace Medicine",
       :definition=>
      "Aerospace medicine focuses on the clinical care, research, and operational support of the health, safety, and performance of crewmembers and passengers of air and space vehicles, together with the support personnel who assist operation of such vehicles. This population often works and lives in remote, isolated, extreme, or enclosed environments under conditions of physical and psychological stress. Practitioners strive for an optimal human-machine match in occupational settings rich with environmental hazards and engineering countermeasures.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Preventive Medicine, 2007. http://www.abprevmed.org/. American Osteopathic Board of Preventive Medicine, 2007. http://www.osteopathic.org/certification Board certification for Medical Doctors (MDs) is provided by the American Board of Preventive Medicine. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Preventive Medicine."},
        "2083P0011X"=>
      {:code=>"2083P0011X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Preventive Medicine",
       :specialization=>"Undersea and Hyperbaric Medicine",
       :definition=>
      "A specialist who treats decompression illness and diving accident cases and uses hyperbaric oxygen therapy to treat such conditions as carbon monoxide poisoning, gas gangrene, non-healing wounds, tissue damage from radiation and burns and bone infections. This specialist also serves as consultant to other physicians in all aspects of hyperbaric chamber operations and assesses risks and applies appropriate standards to prevent disease and disability in divers and other persons working in altered atmospheric conditions.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added] Additional Resources: American Board of Preventive Medicine, 2007. http://www.abprevmed.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Preventive Medicine."},
        "2083P0500X"=>
      {:code=>"2083P0500X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Preventive Medicine",
       :specialization=>
      "Preventive Medicine/Occupational Environmental Medicine",
        :definition=>
      "A preventive medicine physician who specializes in preventive medicine/occupational-environmental medicine, which is focused on protecting the population from occupational and environmental conditions.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2010",
        :notes=>
      "Source: National Uniform Claim Committee, 2009 [1/1/2010: definition added, source added] Additional Resources: A General Certificate is issued by the American Osteopathic Board of Preventive Medicine."},
        "2083P0901X"=>
      {:code=>"2083P0901X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Preventive Medicine",
       :specialization=>"Public Health & General Preventive Medicine",
       :definition=>
      "Public health and general preventive medicine focuses on promoting health, preventing disease, and managing the health of communities and defined populations. These practitioners combine population-based public health skills with knowledge of primary, secondary, and tertiary prevention-oriented clinical practice in a wide variety of settings.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Preventive Medicine, 2007. http://www.abprevmed.org/. American Osteopathic Board of Preventive Medicine, 2007. http://www.osteopathic.org/certification<br/><br/>Board certification for Medical Doctors (MDs) is provided by the American Board of Preventive Medicine. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Preventive Medicine."},
        "2083S0010X"=>
      {:code=>"2083S0010X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Preventive Medicine",
       :specialization=>"Sports Medicine",
       :definition=>
      "A preventive medicine physician who specializes in the diagnosis and treatment of sports related conditions and injuries.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2010",
        :notes=>
      "Source: National Uniform Claim Committee, 2009 [1/1/2010: definition added, source added] Additional Resources: A Certification of Added Qualifications (CAQ) is issued by the American Osteopathic Board of Preventive Medicine."},
        "2083T0002X"=>
      {:code=>"2083T0002X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Preventive Medicine",
       :specialization=>"Medical Toxicology",
       :definition=>
      "Medical toxicologists are physicians who specialize in the prevention, evaluation, treatment and monitoring of injury and illness from exposures to drugs and chemicals, as well as biological and radiological agents. Medical toxicologists care for people in clinical, academic, governmental and public health settings, and provide poison control center leadership. Important areas of medical toxicology include acute drug poisoning, adverse drug events, drug abuse, addiction and withdrawal, chemicals and hazardous materials, terrorism preparedness, venomous bites and stings, and environmental and workplace exposures.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added] Additional Resources: American Board of Preventive Medicine, 2007. http://www.abprevmed.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Preventive Medicine."},
        "2083X0100X"=>
      {:code=>"2083X0100X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Preventive Medicine",
       :specialization=>"Occupational Medicine",
       :definition=>
      "Occupational medicine focuses on the health of workers, including the ability to perform work; the physical, chemical, biological, and social environments of the workplace; and the health outcomes of environmental exposures. Practitioners in this field address the promotion of health in the work place, and the prevention and management of occupational and environmental injury, illness, and disability.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added] Additional Resources: American Board of Preventive Medicine, 2007. http://www.abprevmed.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Preventive Medicine."},
        "2084A0401X"=>
      {:code=>"2084A0401X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Psychiatry & Neurology",
       :specialization=>"Addiction Medicine",
       :definition=>
      "A doctor of osteopathy board eligible/certified in the field of Psychiatry by the American Osteopathic Board of Neurology and Psychiatry is able to obtain a Certificate of Added Qualifications in the field of Addiction Medicine",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Osteopathic Board of Neurology and Psychiatry, 2007 [1/1/2008: definition added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: http://www.osteopathic.org/certification"},
        "2084B0002X"=>
      {:code=>"2084B0002X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Psychiatry & Neurology",
       :specialization=>"Bariatric Medicine",
       :definition=>
      "Bariatric medicine is the medical treatment of obesity and its associated conditions. Bariatric medicine addresses the obese individual with a comprehensive program of diet, exercise and behavior modification, and when indicated, the prescription of appropriate medications as determined by the Bariatric physician. Bariatric physicians are licensed physicians who offer specialized programs in the medical treatment of obesity and its associated conditions. ",
        :effective_date=>"10/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Society of Bariatric Physicians [7/1/2007: new]"},
        "2084D0003X"=>
      {:code=>"2084D0003X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Psychiatry & Neurology",
       :specialization=>"Diagnostic Neuroimaging",
       :definition=>
      "A licensed physician, who has completed a residency program in Neurology, and who has additional training, experience, and competence in the standards of performance and interpretation of Magnetic Resonance Imaging (MRI / MRA) of the head, spine, and peripheral nerves, and Computed Tomography (CT) of the head and spine. Physicians are trained in the administration of contrast media and the recognition and treatment of adverse reactions to contrast media. Neuroimaging training encompasses thorough knowledge of clinical neurology, neurophysiology, neuroanatomy, neurochemistry, neuropharmacology, and dynamics of cerebrospinal fluid circulation. Physicians possess special expertise in the technical aspects and clinical applications of each of the modalities and techniques of neuroimaging.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: American Academy of Neurology [1/1/2007: new]"},
        "2084F0202X"=>
      {:code=>"2084F0202X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Psychiatry & Neurology",
       :specialization=>"Forensic Psychiatry",
       :definition=>
      "Forensic Psychiatry is a subspecialty with psychiatric focus on interrelationships with civil, criminal and administrative law, evaluation and specialized treatment of individuals involved with the legal system, incarcerated in jails, prisons, and forensic psychiatry hospitals.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2007",
        :notes=>
      "Source: The American Board of Psychiatry and Neurology, Inc. [1/1/2007: new definition]"},
        "2084H0002X"=>
      {:code=>"2084H0002X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Psychiatry & Neurology",
       :specialization=>"Hospice and Palliative Medicine",
       :definition=>
      "A psychiatrist or neurologist with special knowledge and skills to prevent and relieve the suffering experienced by patients with life-limiting illnesses. This specialist works with an interdisciplinary hospice or palliative care team to maximize quality of life while addressing physical, psychological, social and spiritual needs of both patient and family throughout the course of the disease, through the dying process, and beyond for the family. This specialist has expertise in the assessment of patients with advanced disease; the relief of distressing symptoms; the coordination of interdisciplinary patient and family-centered care in diverse venues; the use of specialized care systems including hospice; the management of the imminently dying patient; and legal and ethical decision making in end-of-life care.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Academy of Hospice and Palliative Medicine [1/1/2007: new]"},
        "2084N0008X"=>
      {:code=>"2084N0008X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Psychiatry & Neurology",
       :specialization=>"Neuromuscular Medicine",
       :definition=>
      "A neurologist or child neurologist who specializes in the diagnosis and management of disorders of nerve, muscle or neuromuscular junction, including amyotrophic lateral sclerosis, peripheral neuropathies (e.g., diabetic and immune mediated neuropathies), various muscular dystrophies, congenital and acquired myopathies, inflammatory myopathies (e.g., polymyositis, inclusion body myositis) and neuromuscular transmission disorders (e.g., myasthenia gravis, Lambert-Eaton myasthenic syndrome).",
        :effective_date=>"10/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: new] Additional Resources: American Board of Psychiatry and Neurology, 2007. http://www.abpn.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Psychiatry and Neurology"},
        "2084N0400X"=>
      {:code=>"2084N0400X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Psychiatry & Neurology",
       :specialization=>"Neurology",
       :definition=>
      "A Neurologist specializes in the diagnosis and treatment of diseases or impaired function of the brain, spinal cord, peripheral nerves, muscles, autonomic nervous system, and blood vessels that relate to these structures.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2007",
        :notes=>
      "Source: The American Board of Psychiatry and Neurology, Inc. [1/1/2007: new definition]"},
        "2084N0402X"=>
      {:code=>"2084N0402X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Psychiatry & Neurology",
       :specialization=>
      "Neurology with Special Qualifications in Child Neurology",
        :definition=>
      "A Child Neurologist specializes in neurology with special skills in diagnosis and treatment of neurologic disorders of the neonatal period, infancy, early childhood, and adolescence.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2007",
        :notes=>
      "Source: The American Board of Psychiatry and Neurology, Inc. [1/1/2007: new definition]"},
        "2084N0600X"=>
      {:code=>"2084N0600X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Psychiatry & Neurology",
       :specialization=>"Clinical Neurophysiology",
       :definition=>
      "Clinical Neurophysiology is a subspecialty with psychiatric or neurologic expertise in the diagnosis and management of central, peripheral, and autonomic nervous system disorders using combined clinical evaluation and electrophysiologic testing such as electroencephalography (EEG), electromyography (EMG), and nerve conduction studies (NCS).",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2007",
        :notes=>
      "Source: The American Board of Psychiatry and Neurology, Inc. [1/1/2007: new definition]"},
        "2084P0005X"=>
      {:code=>"2084P0005X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Psychiatry & Neurology",
       :specialization=>"Neurodevelopmental Disabilities",
       :definition=>
      "A pediatrician or neurologist who specializes in the diagnosis and management of chronic conditions that affect the developing and mature nervous system such as cerebral palsy, mental retardation and chronic behavioral syndromes, or neurologic conditions. ",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition changed, source added] Additional Resources: American Board of Psychiatry and Neurology, 2007. http://www.abpn.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Psychiatry and Neurology. A subspecialty certificate for NDN was approved by the ABMS in 1999. ACGME Accredited Residency Program Requirements: Ongoing early discussions regarding proposal."},
        "2084P0015X"=>
      {:code=>"2084P0015X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Psychiatry & Neurology",
       :specialization=>"Psychosomatic Medicine",
       :definition=>
      "Psychosomatic Medicine is subspecialty in the diagnosis and treatment of psychiatric disorders and symptoms in complex medically ill patients. This subspecialty includes treatment of patients with acute or chronic medical, neurological, obstetrical or surgical illness in which psychiatric illness is affecting their medical care and/or quality of life such as HIV infection, organ transplantation, heart disease, renal failure, cancer, stroke, traumatic brain injury, high-risk pregnancy and COPD, among others. Patients also may be those who have a psychiatric disorder that is the direct consequence of a primary medical condition, or a somatoform disorder or psychological factors affecting a general medical condition. Psychiatrists specializing in Psychosomatic Medicine provide consultation-liaison services in general medical hospitals, attend on medical psychiatry inpatient units, and provide collaborative care in primary care and other outpatient settings.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: The American Board of Psychiatry and Neurology, Inc. [1/1/2007: new]"},
        "2084P0800X"=>
      {:code=>"2084P0800X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Psychiatry & Neurology",
       :specialization=>"Psychiatry",
       :definition=>
      "A Psychiatrist specializes in the prevention, diagnosis, and treatment of mental disorders, emotional disorders, psychotic disorders, mood disorders, anxiety disorders, substance-related disorders, sexual and gender identity disorders and adjustment disorders. Biologic, psychological, and social components of illnesses are explored and understood in treatment of the whole person. Tools used may include diagnostic laboratory tests, prescribed medications, evaluation and treatment of psychological and interpersonal problems with individuals and families, and intervention for coping with stress, crises, and other problems.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2007",
        :notes=>
      "Source: The American Board of Psychiatry and Neurology, Inc. [1/1/2007: new definition]"},
        "2084P0802X"=>
      {:code=>"2084P0802X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Psychiatry & Neurology",
       :specialization=>"Addiction Psychiatry",
       :definition=>
      "Addiction Psychiatry is a subspecialty of psychiatry that focuses on evaluation and treatment of individuals with alcohol, drug, or other substance-related disorders, and of individuals with dual diagnosis of substance-related and other psychiatric disorders.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2007",
        :notes=>
      "Source: The American Board of Psychiatry and Neurology, Inc. [1/1/2007: new definition]"},
        "2084P0804X"=>
      {:code=>"2084P0804X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Psychiatry & Neurology",
       :specialization=>"Child & Adolescent Psychiatry",
       :definition=>
      "Child & Adolescent Psychiatry is a subspecialty of psychiatry with additional skills and training in the diagnosis and treatment of developmental, behavioral, emotional, and mental disorders of childhood and adolescence.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2007",
        :notes=>
      "Source: The American Board of Psychiatry and Neurology, Inc. [1/1/2007: new definition]"},
        "2084P0805X"=>
      {:code=>"2084P0805X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Psychiatry & Neurology",
       :specialization=>"Geriatric Psychiatry",
       :definition=>
      "Geriatric Psychiatry is a subspecialty with psychiatric expertise in prevention, evaluation, diagnosis and treatment of mental and emotional disorders in the elderly, and improvement of psychiatric care for healthy and ill elderly patients.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2007",
        :notes=>
      "Source: The American Board of Psychiatry and Neurology, Inc. [1/1/2007: new definition]"},
        "2084P2900X"=>
      {:code=>"2084P2900X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Psychiatry & Neurology",
       :specialization=>"Pain Medicine",
       :definition=>
      "A neurologist, child neurologists or psychiatrist who provides a high level of care, either as a primary physician or consultant, for patients experiencing problems with acute, chronic or cancer pain in both hospital and ambulatory settings. Patient care needs may also be coordinated with other specialists.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition changed, source added] Additional Resources: American Board of Psychiatry and Neurology, 2007. http://www.abpn.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Psychiatry and Neurology. A subspecialty certificate was approved by ABMS in 1998. ACGME Accredited Residency Program Requirements: None."},
        "2084S0010X"=>
      {:code=>"2084S0010X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Psychiatry & Neurology",
       :specialization=>"Sports Medicine",
       :definition=>
      "A psychiatrist or neurologist who specializes in the diagnosis and treatment of sports related conditions and injuries.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2010",
        :notes=>
      "Source: National Uniform Claim Committee, 2009 [1/1/2010: definition added, source added] Additional Resources: A Certification of Added Qualifications (CAQ) was, but is no longer issued by the American Osteopathic Board of Neurology and Psychiatry."},
        "2084S0012X"=>
      {:code=>"2084S0012X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Psychiatry & Neurology",
       :specialization=>"Sleep Medicine",
       :definition=>
      "A Psychiatrist or Neurologist who practices Sleep Medicine is certified in the subspecialty of sleep medicine and specializes in the clinical assessment, physiologic testing, diagnosis, management and prevention of sleep and circadian rhythm disorders. Sleep specialists treat patients of any age and use multidisciplinary approaches. Disorders managed by sleep specialists include, but are not limited to, sleep related breathing disorders, insomnia, hypersomnias, circadian rhythm sleep disorders, parasomnias and sleep related movement disorders.",
        :effective_date=>"10/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: American Academy of Sleep Medicine [7/1/2006: new]"},
        "2084V0102X"=>
      {:code=>"2084V0102X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Psychiatry & Neurology",
       :specialization=>"Vascular Neurology",
       :definition=>
      "Vascular Neurology is a subspecialty in the evaluation, prevention, treatment and recovery from vascular diseases of the nervous system. This subspecialty includes the diagnosis and treatment of vascular events of arterial or venous origin from a large number of causes that affect the brain or spinal cord such as ischemic stroke, intracranial hemorrhage, spinal cord ischemia and spinal cord hemorrhage.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2007",
        :notes=>
      "Source: The American Board of Psychiatry and Neurology, Inc. [1/1/2007: new definition]"},
        "2085B0100X"=>
      {:code=>"2085B0100X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Radiology",
       :specialization=>"Body Imaging",
       :definition=>
      "A Radiology doctor of Osteopathy that specializes in Body Imaging.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: National Uniform Claim Committee, 2008 [7/1/2008: definiton added, source added] Additional Resources: The American Osteopathic Board of Radiology no longer offers a certificate in this specialty."},
        "2085D0003X"=>
      {:code=>"2085D0003X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Radiology",
       :specialization=>"Diagnostic Neuroimaging",
       :definition=>
      "A licensed physician, who has completed a residency program in Neurology, and who has additional training, experience, and competence in the standards of performance and interpretation of Magnetic Resonance Imaging (MRI / MRA) of the head, spine, and peripheral nerves, and Computed Tomography (CT) of the head and spine. Physicians are trained in the administration of contrast media and the recognition and treatment of adverse reactions to contrast media. Neuroimaging training encompasses thorough knowledge of clinical neurology, neurophysiology, neuroanatomy, neurochemistry, neuropharmacology, and dynamics of cerebrospinal fluid circulation. Physicians possess special expertise in the technical aspects and clinical applications of each of the modalities and techniques of neuroimaging.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: American Academy of Neurology [1/1/2007: new]"},
        "2085H0002X"=>
      {:code=>"2085H0002X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Radiology",
       :specialization=>"Hospice and Palliative Medicine",
       :definition=>
      "A radiologist with special knowledge and skills to prevent and relieve the suffering experienced by patients with life-limiting illnesses. This specialist works with an interdisciplinary hospice or palliative care team to maximize quality of life while addressing physical, psychological, social and spiritual needs of both patient and family throughout the course of the disease, through the dying process, and beyond for the family. This specialist has expertise in the assessment of patients with advanced disease; the relief of distressing symptoms; the coordination of interdisciplinary patient and family-centered care in diverse venues; the use of specialized care systems including hospice; the management of the imminently dying patient; and legal and ethical decision making in end-of-life care.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Academy of Hospice and Palliative Medicine [1/1/2007: new]"},
        "2085N0700X"=>
      {:code=>"2085N0700X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Radiology",
       :specialization=>"Neuroradiology",
       :definition=>
      "A radiologist who diagnoses and treats diseases utilizing imaging procedures as they relate to the brain, spine and spinal cord, head, neck and organs of special sense in adults and children.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Radiology, 2007. http://www.theabr.org/. American Osteopathic Board of Radiology, 2007. http://www.osteopathic.org/certification Board certification for Medical Doctors (MDs) is provided by the American Board of Radiology. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Radiology."},
        "2085N0904X"=>
      {:code=>"2085N0904X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Radiology",
       :specialization=>"Nuclear Radiology",
       :definition=>
      "A radiologist who is involved in the analysis and imaging of radionuclides and radiolabeled substances in vitro and in vivo for diagnosis and the administration of radionuclides and radiolabeled substances for the treatment of disease.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Radiology, 2007. http://www.theabr.org/. American Osteopathic Board of Radiology, 2007. http://www.osteopathic.org/certification Board certification for Medical Doctors (MDs) is provided by the American Board of Radiology. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Radiology."},
        "2085P0229X"=>
      {:code=>"2085P0229X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Radiology",
       :specialization=>"Pediatric Radiology",
       :definition=>
      "A radiologist who is proficient in all forms of diagnostic imaging as it pertains to the treatment of diseases in the newborn, infant, child and adolescent. This specialist has knowledge of both imaging and interventional procedures related to the care and management of diseases of children. A pediatric radiologist must be highly knowledgeable of all organ systems as they relate to growth and development, congenital malformations, diseases peculiar to infants and children and diseases that begin in childhood but cause substantial residual impairment in adulthood.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Radiology, 2007. http://www.theabr.org/. American Osteopathic Board of Radiology, 2007. http://www.osteopathic.org/certification Board certification for Medical Doctors (MDs) is provided by the American Board of Radiology. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Radiology."},
        "2085R0001X"=>
      {:code=>"2085R0001X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Radiology",
       :specialization=>"Radiation Oncology",
       :definition=>
      "A radiologist who deals with the therapeutic applications of radiant energy and its modifiers and the study and management of disease, especially malignant tumors.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Osteopathic Board of Radiology, 2007. http://www.osteopathic.org/certification"},
        "2085R0202X"=>
      {:code=>"2085R0202X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Radiology",
       :specialization=>"Diagnostic Radiology",
       :definition=>
      "A radiologist who utilizes x-ray, radionuclides, ultrasound and electromagnetic radiation to diagnose and treat disease.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Radiology, 2007. http://www.theabr.org/. American Osteopathic Board of Radiology, 2007. http://www.osteopathic.org/certification Board certification for Medical Doctors (MDs) is provided by the American Board of Radiology. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Radiology."},
        "2085R0203X"=>
      {:code=>"2085R0203X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Radiology",
       :specialization=>"Therapeutic Radiology",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "2085R0204X"=>
      {:code=>"2085R0204X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Radiology",
       :specialization=>"Vascular & Interventional Radiology",
       :definition=>
      "A radiologist who diagnoses and treats diseases by various radiologic imaging modalities. These include fluoroscopy, digital radiography, computed tomography, sonography and magnetic resonance imaging.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added] Additional Resources: American Board of Radiology, 2007. http://www.theabr.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Radiology."},
        "2085R0205X"=>
      {:code=>"2085R0205X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Radiology",
       :specialization=>"Radiological Physics",
       :definition=>
      "A radiological physicist deals with the diagnostic and therapeutic applications of roentgen rays, gamma rays from sealed sources, ultrasonic radiation and radio-frequency radiation, as well as the equipment associated with their production and use, including radiation safety.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added] Additional Resources: American Board of Radiology, 2007. http://www.theabr.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Radiology."},
        "2085U0001X"=>
      {:code=>"2085U0001X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Radiology",
       :specialization=>"Diagnostic Ultrasound",
       :definition=>
      "A Radiology doctor of Osteopathy that specializes in Diagnostic Ultrasound.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: National Uniform Claim Committee, 2008 [7/1/2008: definiton added, source added] Additional Resources: The American Osteopathic Board of Radiology no longer offers a certificate in this specialty. [Note: In medical practice, Diagnostic Ultrasound is part of the scope of training and practice of a Diagnostic Radiologists - see Taxonomy Code 2085R0202X.]"},
        "208600000X"=>
      {:code=>"208600000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Surgery",
       :specialization=>"",
       :definition=>
      "A general surgeon has expertise related to the diagnosis - preoperative, operative and postoperative management - and management of complications of surgical conditions in the following areas: alimentary tract; abdomen; breast, skin and soft tissue; endocrine system; head and neck surgery; pediatric surgery; surgical critical care; surgical oncology; trauma and burns; and vascular surgery. General surgeons increasingly provide care through the use of minimally invasive and endoscopic techniques. Many general surgeons also possess expertise in transplantation surgery, plastic surgery and cardiothoracic surgery.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Surgery, 2007. http://www.absurgery.org/. American Osteopathic Board of Surgery, 2007. http://www.osteopathic.org/certification Board certification for Medical Doctors (MDs) is provided by the American Board of Surgery. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Surgery."},
        "2086H0002X"=>
      {:code=>"2086H0002X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Surgery",
       :specialization=>"Hospice and Palliative Medicine",
       :definition=>
      "A surgeon with special knowledge and skills to prevent and relieve the suffering experienced by patients with life-limiting illnesses. This specialist works with an interdisciplinary hospice or palliative care team to maximize quality of life while addressing physical, psychological, social and spiritual needs of both patient and family throughout the course of the disease, through the dying process, and beyond for the family. This specialist has expertise in the assessment of patients with advanced disease; the relief of distressing symptoms; the coordination of interdisciplinary patient and family-centered care in diverse venues; the use of specialized care systems including hospice; the management of the imminently dying patient; and legal and ethical decision making in end-of-life care.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Academy of Hospice and Palliative Medicine [1/1/2007: new]"},
        "2086S0102X"=>
      {:code=>"2086S0102X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Surgery",
       :specialization=>"Surgical Critical Care",
       :definition=>
      "A surgeon with expertise in the management of the critically ill and postoperative patient, particularly the trauma victim, who specializes in critical care medicine diagnoses, treats and supports patients with multiple organ dysfunction. This specialist may have administrative responsibilities for intensive care units and may also facilitate and coordinate patient care among the primary physician, the critical care staff and other specialists.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Surgery, 2007. http://www.absurgery.org/. American Osteopathic Board of Surgery, 2007. http://www.osteopathic.org/certification Board certification for Medical Doctors (MDs) is provided by the American Board of Surgery. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Surgery."},
        "2086S0105X"=>
      {:code=>"2086S0105X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Surgery",
       :specialization=>"Surgery of the Hand",
       :definition=>
      "A surgeon with expertise in the investigation, preservation and restoration by medical, surgical and rehabilitative means, of all structures of the upper extremity directly affecting the form and function of the hand and wrist.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added] Additional Resources: American Board of Surgery, 2007. http://www.absurgery.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Surgery."},
        "2086S0120X"=>
      {:code=>"2086S0120X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Surgery",
       :specialization=>"Pediatric Surgery",
       :definition=>
      "A surgeon with expertise in the management of surgical conditions in premature and newborn infants, children and adolescents.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added] Additional Resources: American Board of Surgery, 2007. http://www.absurgery.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Surgery."},
        "2086S0122X"=>
      {:code=>"2086S0122X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Surgery",
       :specialization=>"Plastic and Reconstructive Surgery",
       :definition=>
      "A surgeon who specializes in plastic and reconstructive surgery.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2010",
        :notes=>
      "Source: National Uniform Claim Committee, 2009 [1/1/2010: definition added, source added] Additional Resources: A General Certificate is issued by the American Osteopathic Board of Surgery."},
        "2086S0127X"=>
      {:code=>"2086S0127X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Surgery",
       :specialization=>"Trauma Surgery",
       :definition=>
      "Trauma surgery is a recognized subspecialty of general surgery. Trauma surgeons are physicians who have completed a five-year general surgery residency and usually continue with a one to two year fellowship in trauma and/or surgical critical care, typically leading to additional board certification in surgical critical care. There is no trauma surgery board certification at this point. To obtain board certification in surgical critical care, a fellowship in surgical critical care or anesthesiology critical care must be completed during or after general surgery residency.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2008",
        :notes=>
      "Source: American Board of Surgery, 2007 [1/1/2008: definition added, source added] Additional Resources: http://www.absurgery.org/."},
        "2086S0129X"=>
      {:code=>"2086S0129X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Surgery",
       :specialization=>"Vascular Surgery",
       :definition=>
      "A surgeon with expertise in the management of surgical disorders of the blood vessels, excluding the intracranial vessels or the heart.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2011",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added; 7/1/2011: modified source]<br/><br/>Additional Resources: American Board of Surgery, 2007. http://www.absurgery.org/. American Osteopathic Board of Surgery, 2007. http://www.osteopathic.org/certification Board certification for Medical Doctors (MDs) is provided by the American Board of Surgery. Board certification for Doctors of Osteopathy (DOs) is provided by the American Osteopathic Board of Surgery."},
        "2086X0206X"=>
      {:code=>"2086X0206X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Surgery",
       :specialization=>"Surgical Oncology",
       :definition=>
      "A surgical oncologist is a well-qualified surgeon who has obtained additional training and experience in the multidisciplinary approach to the prevention, diagnosis, treatment, and rehabilitation of cancer patients, and devotes a major portion of his or her professional practice to these activities and cancer research.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2008",
        :notes=>
      "Source: Society of Surgical Oncology, 2007 [1/1/2008: definition added, source added, 7/1/2009: definiition reformatted] Additional Resources: http://www.surgonc.org/ ; American Board of Medical Specialties, 2007, www.abms.org ; American Board of Surgery, 2007, http://www.absurgery.org/ Surgical oncology is a recognized fellowship subspecialty program of surgery. Separate board certification is not currently offered."},
        "208800000X"=>
      {:code=>"208800000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Urology",
       :specialization=>"",
       :definition=>
      "A urologist manages benign and malignant medical and surgical disorders of the genitourinary system and the adrenal gland. This specialist has comprehensive knowledge of and skills in endoscopic, percutaneous and open surgery of congenital and acquired conditions of the urinary and reproductive systems and their contiguous structures.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added] Additional Resources: American Board of Urology, 2007. http://www.abu.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Urology."},
        "2088P0231X"=>
      {:code=>"2088P0231X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Urology",
       :specialization=>"Pediatric Urology",
       :definition=>
      "Surgeons who can diagnose, treat, and manage children's urinary and genital problems. A pediatric urologist devotes a minimum of 50% of his or her practice to the urologic problems of infants, children, and adolescents. Pediatric urologists generally provide the following services: the evaluation and management of voiding disorders; vesicoureteral reflux, and urinary tract infections that require surgery; surgical reconstruction of the urinary tract (kidneys, ureters, and bladder) including genital abnormalities, hypospadias, and intersex conditions; surgery for groin conditions in childhood and adolescence (undescended testes, hydrocele/hernia, varicocele).",
        :effective_date=>"10/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: American Academy of Pediatrics [7/1/2006: new]"},
        "208C00000X"=>
      {:code=>"208C00000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Colon & Rectal Surgery",
       :specialization=>"",
       :definition=>
      "A colon and rectal surgeon is trained to diagnose and treat various diseases of the intestinal tract, colon, rectum, anal canal and perianal area by medical and surgical means. This specialist also deals with other organs and tissues (such as the liver, urinary and female reproductive system) involved with primary intestinal disease.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: added definition, added source] Additional Resources: American Board of Colon and Rectal Surgery, 2007. http://www.abcrs.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Colon and Rectal Surgery. Colon and rectal surgeons have the expertise to diagnose and often manage anorectal conditions such as hemorrhoids, fissures (painful tears in the anal lining), abscesses and fistulae (infections located around the anus and rectum) in the office setting. They also treat problems of the intestine and colon, and perform endoscopic procedures to evaluate and treat problems such as cancer, polyps (precancerous growths) and inflammatory conditions. "},
        "208D00000X"=>
      {:code=>"208D00000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"General Practice",
       :specialization=>"",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "208G00000X"=>
      {:code=>"208G00000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Thoracic Surgery (Cardiothoracic Vascular Surgery)",
       :specialization=>"",
       :definition=>
      "A thoracic surgeon provides the operative, perioperative and critical care of patients with pathologic conditions within the chest. Included is the surgical care of coronary artery disease, cancers of the lung, esophagus and chest wall, abnormalities of the trachea, abnormalities of the great vessels and heart valves, congenital anomalies, tumors of the mediastinum and diseases of the diaphragm. The management of the airway and injuries of the chest is within the scope of the specialty.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: American Board of Medical Specialties, 2007. www.abms.org [7/1/2007: definition added, source added] Additional Resources: American Board of Thoracic Surgery, 2007. http://www.abts.org/. Board certification for Medical Doctors (MDs) is provided by the American Board of Thoracic Surgery. Thoracic surgeons have the knowledge, experience and technical skills to accurately diagnose, operate upon safely, and effectively manage patients with thoracic diseases of the chest. This requires substantial knowledge of cardiorespiratory physiology and oncology, as well as capability in the use of heart assist devices, management of abnormal heart rhythms and drainage of the chest cavity, respiratory support systems, endoscopy and invasive and noninvasive diagnostic techniques. "},
        "208M00000X"=>
      {:code=>"208M00000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Hospitalist",
       :specialization=>"",
       :definition=>
      "Hospitalists are physicians whose primary professional focus is the general medical care of hospitalized patients. Their activities include patient care, teaching, research, and leadership related to Hospital Medicine. The term 'hospitalist' refers to physicians whose practice emphasizes providing care for hospitalized patients.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Society of Hospital Medicine, 2007. http://www.hospitalmedicine.org/ [7/1/2009: definition aded] Additional Resources: Hospitalist is a recognized fellowship specialty program offered by many medical institutions. There is no board certification for the specialty at this point."},
        "208U00000X"=>
      {:code=>"208U00000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Clinical Pharmacology",
       :specialization=>"",
       :definition=>
      "Clinical pharmacology encompasses the spectrum of activities related to the discovery, development, regulation, and utilization of safe and effective drugs.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Society for Clinical Pharmacology and Therapeutics, 2008 [7/1/2008: modified definition] Additional Resources: Clinical pharmacology is a recognized fellowship program for physicians, pharmacists, and post-doctoral researchers delivered through medical education institutions accredited by the American Board of Clinical Pharmacology. http://www.ascpt.org/; American Board of Clinical Pharmacology http://www.abcp.net/"},
        "208VP0000X"=>
      {:code=>"208VP0000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pain Medicine",
       :specialization=>"Pain Medicine",
       :definition=>
      "Pain Medicine is a primary medical specialty based on a distinct body of knowledge and a well-defined scope of clinical practice that is founded on science, research and education. It is concerned with the study of pain, the prevention of pain, and the evaluation, treatment, and rehabilitation of persons in pain. A comprehensive evaluation incorporates the physical, psychological, cognitive and socio-cultural contributions to pain. The treatment protocol may include pharmacological, invasive, behavioral, cognitive, rehabilitative and complementary strategies provided in a concurrent focused and patient specific manner. The pain medicine physician often serves the patient as a frontline physician regarding their pain, but also may serve as a consultant to other physicians, direct an interdisciplinary/multidisciplinary treatment team, conduct research, or advocate for the patient's pain care with public and private agencies. The Pain Medicine physician may work in variety of settings including office, clinic, hospital, university, or governmental/public agencies.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Academy of Pain Medicine The American Board of Pain Medicine provides Board Certification."},
        "208VP0014X"=>
      {:code=>"208VP0014X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Pain Medicine",
       :specialization=>"Interventional Pain Medicine",
       :definition=>
      "Interventional Pain Medicine is the discipline of medicine devoted to the diagnosis and treatment of pain and related disorders principally with the application of interventional techniques in managing subacute, chronic, persistent, and intractable pain, independently or in conjunction with other modalities of treatment.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "209800000X"=>
      {:code=>"209800000X",
       :type=>"Allopathic & Osteopathic Physicians",
       :classification=>"Legal Medicine",
       :specialization=>"",
       :definition=>
      "Legal Medicine is a special field of medicine that focuses on various aspects of medicine and law. Historically, the practice of legal medicine made contributions to medicine as a scientific instrument to solve criminal perplexities. Since World War II, the domain of legal medicine has broadened to include not only aspects of medical science to solve legal and criminal problems but aspects of law as it applies to medicine. Legal Medicine continues to grow as medicolegal issues like medical malpractice and liability, government regulation of health care, issues of tort reform, and moral and ethical complexities presented by technological advances become increasingly prominent. Many medical schools have implemented courses which supply medicolegal instruction for medical students, and many law schools now offer medicolegal courses. Also, dual degree programs in law and medicine have been created to assist physicians to bridge the gap between medicine and the law.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Board of Legal Medicine 08/1992 [7/1/2009: definition reformatted] Additional Resources: Training Programs, and/or Fellowships, Preceptorships: Certification available through the American Board of Legal Medicine. ACGME Accredited Residency Program Requirements: None."},
        "211D00000X"=>
      {:code=>"211D00000X",
       :type=>"Podiatric Medicine & Surgery Service Providers",
       :classification=>"Assistant, Podiatric",
       :specialization=>"",
       :definition=>
      "An individual who assists a podiatrist in tasks, such as exposing and developing x-rays; taking and recording patient histories; assisting in biomechanical evaluations and negative castings; preparing and sterilizing instruments and equipment; providing the patient with postoperative instructions; applying surgical dressings; preparing the patient for treatment, padding, and strapping; and performing routine office procedures.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: (1) Lexikon: Dictionary of Health Care Terms, Organizations and Acronyms for the Era of Reform, The Joint Commission on Accreditation of Healthcare Organizations, Oakbrook Terrace, Illinois: 1994, p. 622."},
        "213E00000X"=>
      {:code=>"213E00000X",
       :type=>"Podiatric Medicine & Surgery Service Providers",
       :classification=>"Podiatrist",
       :specialization=>"",
       :definition=>
      "A podiatrist is a person qualified by a Doctor of Podiatric Medicine (D.P.M.) degree, licensed by the state, and practicing within the scope of that license. Podiatrists diagnose and treat foot diseases and deformities. They perform medical, surgical and other operative procedures, prescribe corrective devices and prescribe and administer drugs and physical therapy.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "213EG0000X"=>
      {:code=>"213EG0000X",
       :type=>"Podiatric Medicine & Surgery Service Providers",
       :classification=>"Podiatrist",
       :specialization=>"General Practice",
       :definition=>"",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"09/30/2006",
       :last_modified_date=>"",
       :notes=>"[7/1/2006: marked inactive, use value 213E00000X]"},
       "213EP0504X"=>
      {:code=>"213EP0504X",
       :type=>"Podiatric Medicine & Surgery Service Providers",
       :classification=>"Podiatrist",
       :specialization=>"Public Medicine",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "213EP1101X"=>
      {:code=>"213EP1101X",
       :type=>"Podiatric Medicine & Surgery Service Providers",
       :classification=>"Podiatrist",
       :specialization=>"Primary Podiatric Medicine",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "213ER0200X"=>
      {:code=>"213ER0200X",
       :type=>"Podiatric Medicine & Surgery Service Providers",
       :classification=>"Podiatrist",
       :specialization=>"Radiology",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "213ES0000X"=>
      {:code=>"213ES0000X",
       :type=>"Podiatric Medicine & Surgery Service Providers",
       :classification=>"Podiatrist",
       :specialization=>"Sports Medicine",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "213ES0103X"=>
      {:code=>"213ES0103X",
       :type=>"Podiatric Medicine & Surgery Service Providers",
       :classification=>"Podiatrist",
       :specialization=>"Foot & Ankle Surgery",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "213ES0131X"=>
      {:code=>"213ES0131X",
       :type=>"Podiatric Medicine & Surgery Service Providers",
       :classification=>"Podiatrist",
       :specialization=>"Foot Surgery",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "221700000X"=>
      {:code=>"221700000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Art Therapist",
        :specialization=>"",
        :definition=>
      "(1) An individual who uses art to achieve the therapeutic goals of symptom relief, emotional integration, and recovery from or adjustment to illness or disability. (2) An art therapist uses a form of treatment that enables patients with mental or physical disabilities to use art as a way of expressing and dealing with feelings and inner conflicts. (3) An individual who uses arts modalities and creative processes during intentional intervention in therapeutic, rehabilitative, community, or educational settings to foster health, communication, and expression; promote the integration of physical, emotional, cognitive, and social functioning; enhance self-awareness; and facilitate change.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: (1) Lexikon: Dictionary of Health Care Terms, Organizations and Acronyms for the Era of Reform, The Joint Commission on Accreditation of Healthcare Organizations, Oakbrook Terrace, Illinois: 1994, p. 107. (2) Art Therapy Program, Marymount College, Tarrytown, NY (3) National Coalition of Arts"},
        "222Q00000X"=>
      {:code=>"222Q00000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Developmental Therapist",
        :specialization=>"",
        :definition=>
      "A Developmental Therapist is a person qualified by completion of an approved program in Developmental Therapy and where applicable credentialed by the state and practicing within the scope of the credential, or credentialed by completion of education experiences as approved by the state and practicing within the scope of that credential or, where state credentialing does not exist, certified by the Board of the Developmental Therapy Association. A developmental therapist evaluates children's global development in order to identify areas of developmental delay whether arising from physiological, neurological, or environmental factors, or a combination of factors; and designs, implements, and modifies therapeutic interventions for the child and the family to promote the child's acquisition of skills in a variety of developmental areas, including cognitive processes and social interaction in order to maximize functional independence and developmental homeostasis, and improve the quality of life at home and in the community; and provides consultation for the parents and other professionals working with the family on global development.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: The Illinois Developmental Therapists Association [1/1/2007: new]"},
        "222Z00000X"=>
      {:code=>"222Z00000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Orthotist",
        :specialization=>"",
        :definition=>
      "A health care professional who is specifically educated and trained to manage comprehensive orthotic patient care, including musculoskeletal and neuromuscular anomalies resulting from injuries or disease processes involving the lower extremity, upper extremity or spinal segment/s and positional deformation of the cranium. Orthotists assess specific patient needs, formulate an appropriate treatment plan, implement the treatment plan and provide follow-up care.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Board for Certification in Orthotics, Prosthetics, and Pedorthics, Inc. [7/1/2010: modified] Additional Resources: Board certification is provided by the American Board for Certification in Orthotics, Prosthetics, and Pedorthics, Inc., www.abcop.org."},
        "224900000X"=>
      {:code=>"224900000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Mastectomy Fitter",
        :specialization=>"",
        :definition=>
      "An individual trained in the fitting and adjusting of breast prostheses and management of post-mastectomy prostheses services.",
        :effective_date=>"10/01/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: National Uniform Claim Committee [7/1/2010: new] Additional Resources: American Board for Certification in Orthotics, Prosthetics and Pedorthics, Inc., www.abcop.org and Board of Certification/Accreditation, International, www.bocusa.org."},
        "224L00000X"=>
      {:code=>"224L00000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Pedorthist",
        :specialization=>"",
        :definition=>
      "An individual who is trained in the management and treatment of conditions of the foot, ankle, and lower extremities requiring fitting, fabricating, and adjusting of pedorthic devices.",
        :effective_date=>"10/01/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: National Uniform Claim Committee [7/1/2010: new] Additional Resources: American Board for Certification in Orthotics, Prosthetics and Pedorthics, Inc., www.abcop.org and Board of Certification/Accreditation, International, www.bocusa.org."},
        "224P00000X"=>
      {:code=>"224P00000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Prosthetist",
        :specialization=>"",
        :definition=>
      "A health care professional who is specifically educated and trained to manage comprehensive prosthetic patient care for individuals who have sustained complete or partial limb loss or absence. Prosthetists assess specific patient needs, formulate an appropriate treatment plan, implement the treatment plan and provide follow-up care.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Board for Certification in Orthotics, Prosthetics, and Pedorthics, Inc. [7/1/2010: modified] Additional Resources: Board certification is provided by the American Board for Certification in Orthotics, Prosthetics, and Pedorthics, Inc., www.abcop.org. "},
        "224Y00000X"=>
      {:code=>"224Y00000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Clinical Exercise Physiologist",
        :specialization=>"",
        :definition=>
      "A Clinical Exercise Physiologist is a health care professional who is trained to work with patients with chronic disease where exercise training has been shown to be of therapeutic benefit, including but not limited to cardiovascular and pulmonary disease, and metabolic disorders.",
        :effective_date=>"10/01/2011",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: What is a Clinical Exercise Physiologist? Clinical Exercise Physiology Association (CEPA), CEPA Executive Board, 2008"},
        "224Z00000X"=>
      {:code=>"224Z00000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Occupational Therapy Assistant",
        :specialization=>"",
        :definition=>
      "An occupational therapy assistant is a person who has graduated from an occupational therapy assistant program accredited by the Accreditation Council for Occupational Therapy Education (ACOTE) or predecessor organizations, has successfully completed a period of supervised fieldwork experience required by the accredited occupational therapy assistant program, has passed a nationally recognized entry-level examination for occupational therapy assistants, and fulfills state requirements for licensure, certification, or registration. An occupational therapy assistant provides interventions under the supervision of an occupational therapist which emphasize the therapeutic use of everyday life activities (i.e., occupations) with individuals or groups for the purpose of facilitating participation in roles and situations and in home, school, workplace, community and other settings. Occupational therapy services are provided for the purpose of promoting health and wellness and are provided to those who have or are at risk for developing an illness, injury, disease, disorder, condition, impairment, disability, activity limitation, or participation restriction. Occupational therapy assistants address the physical, cognitive, psychosocial, sensory, and other aspects of occupational performance in a variety of contexts to support engagement in everyday life activities that affect health, well-being, and quality of life.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: The Guide to Occupational Therapy Practice, 2nd edition. Bethesda: American Occupational Therapy Association, 2007. [7/1/2008: definition changed, source changed]"},
        "224ZE0001X"=>
      {:code=>"224ZE0001X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Occupational Therapy Assistant",
        :specialization=>"Environmental Modification",
        :definition=>
      "Occupational therapy assistants provide environmental modifications under the supervision of an occupational therapist. OTAs develop and implement an individualized occupational therapy environmental modification plan that reflects the relevant contexts of the client and relevant others and maximizes current and future occupational performance, safety, and participation of the client. Clients receive environmental modification recommendations and interventions that enable them to meet occupational performance and participation goals and that have adequate flexibility to accommodate for their future needs.",
        :effective_date=>"10/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: The Guide to Occupational Therapy Practice, 2nd edition. Bethesda: American Occupational Therapy Association, 2007. [7/1/2008: new] Additional Resources: The American Occupational Therapy Association (AOTA) does offer voluntary specialty certification for an Environmental Modification Occupational Therapy Assistant if the applicant meets the following requirements: <ul> <li>Professional or technical degree or equivalent in occupational therapy. <li>Certified or licensed by and in good standing with an AOTA recognized credentialing or regulatory body. <li>Minimum of 2,000 hours of experience as an occupational therapist or occupational therapy assistant. <li>600 hours of experience delivering occupational therapy services in the certification area to clients (individuals, groups, or populations) in the last 3 calendar years. Service delivery may be paid or voluntary. <li>Verification of employment. </ul>Fact Sheet: Home Modifications and OT, AOTA Website: Specialty Certifications"},
        "224ZF0002X"=>
      {:code=>"224ZF0002X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Occupational Therapy Assistant",
        :specialization=>"Feeding, Eating & Swallowing",
        :definition=>
      "Occupational therapy assistants provide environmental modifications under the supervision of an occupational therapist. OTAs develop and implement an individualized occupational therapy environmental modification plan that reflects the relevant contexts of the client and relevant others and maximizes current and future occupational performance, safety, and participation of the client. Clients receive environmental modification recommendations and interventions that enable them to meet occupational performance and participation goals and that have adequate flexibility to accommodate for their future needs.",
        :effective_date=>"10/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: The Guide to Occupational Therapy Practice, 2nd edition. Bethesda: American Occupational Therapy Association, 2007. [7/1/2008: new] Additional Resources: The American Occupational Therapy Association (AOTA) does offer voluntary specialty certification for a Feeding, Eating & Swallowing Occupational Therapy Assistant if the applicant meets the following requirements: <ul> <li>Professional or technical degree or equivalent in occupational therapy. <li>Certified or licensed by and in good standing with an AOTA recognized credentialing or regulatory body. <li>Minimum of 2,000 hours of experience as an occupational therapist or occupational therapy assistant. <li>600 hours of experience delivering occupational therapy services in the certification area to clients (individuals, groups, or populations) in the last 3 calendar years. Service delivery may be paid or voluntary. <li>Verification of employment. </ul>AOTA Website: Specialty Certifications; AOTA Specialized Knowledge and Skills Paper: Feeding, Eating and Swallowing in Occupational Therapy Practice, 2007; AOTA Fact Sheets: OT: A Vital Role in Dysphagia Care"},
        "224ZL0004X"=>
      {:code=>"224ZL0004X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Occupational Therapy Assistant",
        :specialization=>"Low Vision",
        :definition=>
      "Occupational therapy assistants contribute to the completion of an individualized occupational therapy low-vision evaluation under the direction and supervision of the occupational therapist to identify factors that may facilitate, compensate for, or inhibit use of vision in occupational performance. Clients are engaged in the identification of strengths, limitations, and goals as they relate to low vision to optimize independence and participation in desired occupations. Occupational therapy assistants also contribute to the development and implementation of an individualized occupational therapy low-vision intervention plan in collaboration with the occupational therapist, client, and relevant others that reflects the client's priorities for occupational performance.",
        :effective_date=>"10/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: The Guide to Occupational Therapy Practice, 2nd edition. Bethesda: American Occupational Therapy Association, 2007. [7/1/2008: new] Additional Resources: The American Occupational Therapy Association (AOTA) does offer voluntary specialty certification for a Low Vision Occupational Therapy Assistant if the applicant meets the following requirements: <ul> <li>Professional or technical degree or equivalent in occupational therapy. <li>Certified or licensed by and in good standing with an AOTA recognized credentialing or regulatory body. <li>Minimum of 2,000 hours of experience as an occupational therapist or occupational therapy assistant. <li>600 hours of experience delivering occupational therapy services in the certification area to clients (individuals, groups, or populations) in the last 3 calendar years. Service delivery may be paid or voluntary. <li>Verification of employment. </ul>AOTA Fact Sheets: Low Vision; OT Services for Individuals with Visual Impairments"},
        "224ZR0403X"=>
      {:code=>"224ZR0403X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Occupational Therapy Assistant",
        :specialization=>"Driving and Community Mobility",
        :definition=>
      "Occupational therapy assistants contribute to the completion of an individualized occupational therapy driving and community mobility evaluation by administering delegated assessments and identifying findings that impact the client's occupational performance. Clients engage in the assessment and occupational profile process to customize the evaluation to their individual driving and community mobility needs. Occupational therapy assistants administer and continuously modify individualized in-vehicle and community mobility assessments within the naturalistic context of the community in response to the occupational performance and safety behaviors of the client. They also implement an individualized intervention plan, within the parameters established in collaboration with the occupational therapist that reflects the contexts of the client and meets his or her occupational performance and safety needs. Occupational therapy assistants address immediate and long-term implications of psychosocial issues related to compromised driving and community mobility throughout the occupational therapy process and makes recommendations to the occupational therapist for modification to service delivery.",
        :effective_date=>"10/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: The Guide to Occupational Therapy Practice, 2nd edition. Bethesda: American Occupational Therapy Association, 2007. [7/1/2008: new] Additional Resources: The American Occupational Therapy Association (AOTA) does offer voluntary specialty certification for a Driving & Community Mobility Occupational Therapy Assistant if the applicant meets the following requirements: <ul> <li>Professional or technical degree or equivalent in occupational therapy. <li>Certified or licensed by and in good standing with an AOTA recognized credentialing or regulatory body. <li>Minimum of 2,000 hours of experience as an occupational therapist or occupational therapy assistant. <li>600 hours of experience delivering occupational therapy services in the certification area to clients (individuals, groups, or populations) in the last 3 calendar years. Service delivery may be paid or voluntary. <li>Verification of employment. </ul>AOTA Fact Sheets: Older Driver; AOTA Website: Specialty Certification"},
        "225000000X"=>
      {:code=>"225000000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Orthotic Fitter",
        :specialization=>"",
        :definition=>
      "An individual trained in the management of fitting prefabricated orthoses.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2011",
        :notes=>
      "Source: National Uniform Claim Committee [1/1/2011: title modified, definition modfied] Additional Resources: American Board for Certification in Orthotics, Prosthetics and Pedorthics, Inc., www.abcop.org and Board of Certification/Accreditation, International, www.bocusa.org."},
        "225100000X"=>
      {:code=>"225100000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Physical Therapist",
        :specialization=>"",
        :definition=>
      "(1) Physical therapists are health care professionals who evaluate and treat people with health problems resulting from injury or disease. PT's assess joint motion, muscle strength and endurance, function of heart and lungs, and performance of activities required in daily living, among other responsibilities. Treatment includes therapeutic exercises, cardiovascular endurance training, and training in activities of daily living. (2) A physical therapist is a person qualified by an accredited program in physical therapy, licensed by the state, and practicing within the scope of that license. Physical therapists treat disease, injury, or loss of a bodily part by physical means, such as the application of light, heat, cold, water, electricity, massage and exercise. They develop treatment plans based upon each patient's strengths, weaknesses, range of motion and ability to function. (3) A health professional who specializes in physical therapy- the health care field concerned primarily with the treatment of disorders with physical agents and methods, such as massage, manipulation, therapeutic exercises, cold, heat (including short-wave, microwave, and ultrasonic diathermy), hydrotherapy, electric stimulation and light to assist in rehabilitating patients and in restoring normal function after an illness or injury.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: (1) APTA Guidelines for Physical Therapy Claims Review, American Physical Therapy Association. (3) Lexikon: Dictionary of Health Care Terms, Organizations and Acronyms for the Era of Reform, Joint Commission on Accreditation of Healthcare Organizations, Oakbrook Terrace, IL: 1994, p. 612"},
        "2251C2600X"=>
      {:code=>"2251C2600X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Physical Therapist",
        :specialization=>"Cardiopulmonary",
        :definition=>"Definition to come...",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2251E1200X"=>
      {:code=>"2251E1200X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Physical Therapist",
        :specialization=>"Ergonomics",
        :definition=>"Definition to come...",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2251E1300X"=>
      {:code=>"2251E1300X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Physical Therapist",
        :specialization=>"Electrophysiology, Clinical",
        :definition=>"Definition to come...",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2251G0304X"=>
      {:code=>"2251G0304X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Physical Therapist",
        :specialization=>"Geriatrics",
        :definition=>"Definition to come...",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2251H1200X"=>
      {:code=>"2251H1200X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Physical Therapist",
        :specialization=>"Hand",
        :definition=>"Definition to come...",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2251H1300X"=>
      {:code=>"2251H1300X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Physical Therapist",
        :specialization=>"Human Factors",
        :definition=>"Definition to come...",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2251N0400X"=>
      {:code=>"2251N0400X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Physical Therapist",
        :specialization=>"Neurology",
        :definition=>"Definition to come...",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2251P0200X"=>
      {:code=>"2251P0200X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Physical Therapist",
        :specialization=>"Pediatrics",
        :definition=>"Definition to come...",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2251S0007X"=>
      {:code=>"2251S0007X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Physical Therapist",
        :specialization=>"Sports",
        :definition=>"Definition to come...",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2251X0800X"=>
      {:code=>"2251X0800X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Physical Therapist",
        :specialization=>"Orthopedic",
        :definition=>"Definition to come...",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "225200000X"=>
      {:code=>"225200000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Physical Therapy Assistant",
        :specialization=>"",
        :definition=>
      "(1)Physical therapist assistants are skilled health care providers who are graduates of a physical therapist assistant associate degree program accredited by an agency recognized by the Secretary of the U.S. Department of Education or Council on Postsecondary Accreditation, who assists the physical therapist in providing physical therapy. The supervising physical therapist is directly responsible for the actions of the physical therapist assistant. The PTA performs physical therapy procedures and related tasks that have been selected and delegated by the supervising physical therapist. Duties of the PTA include assisting the physical therapist in implementing treatment programs, training patients in exercised and activities of daily living, conducting treatments, and reporting to the physical therapist on the patient's responses. In addition to direct patient care, the PTA may also perform such functions as patient transport, and clinic or equipment preparation and maintenance. Currently more than half of all states require PTAs to be licensed, registered or certified. (2) An individual who works under the supervision of a physical therapist to assist him or her in providing physical therapy services. A physical therapy assistant may, for instance, help patients follow an appropriate exercise program that will increase their strength, endurance, coordination, and range of motion and train patients to perform activities of daily life.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: (1) American Physical Therapy Association, P.O. Box 37257, Washington, D.C. 20013. (2) Lexikon: Dictionary of Health Care Terms, Organizations and Acronyms for the Era of Reform, Joint Commission on Accreditation of Healthcare Organizations, Oakbrook Terrace, IL: 1994, p. 612"},
        "225400000X"=>
      {:code=>"225400000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Rehabilitation Practitioner",
        :specialization=>"",
        :definition=>
      "A health care practitioner who trains or retrains individuals disabled by disease or injury to help them attain their maximum functional capacity.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "225500000X"=>
      {:code=>"225500000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Specialist/Technologist",
        :specialization=>"",
        :definition=>
      "General classification identifying individuals who are trained on a specific piece of equipment or technical procedure.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2255A2300X"=>
      {:code=>"2255A2300X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Specialist/Technologist",
        :specialization=>"Athletic Trainer",
        :definition=>
      "Athletic trainers are allied health care professionals who work in consultation with or under the direction of physicians, and specialize in the prevention, assessment, treatment and rehabilitation of injuries and illnesses. Currently, the entry-level employment requirements are a bachelor's degree with a major in athletic training from an accredited university or college. A majority of athletic trainers hold advanced degrees. National board certification is generally required as a condition of state licensure and employment. Most states regulate athletic trainers, and they practice within the scope of that license or regulation. Clinical practice includes emergency care, rehabilitation, reconditioning, therapeutic exercise, wellness programs, exercise physiology, kinesiology, biomechanics, nutrition, psychology and health care administration.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2006",
        :notes=>
      "Source: National Athletic Trainers' Association (www.NATA.org) [1/1/2006: modified definition, modified source]"},
        "2255R0406X"=>
      {:code=>"2255R0406X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Specialist/Technologist",
        :specialization=>"Rehabilitation, Blind",
        :definition=>"Definition to come...",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "225600000X"=>
      {:code=>"225600000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Dance Therapist",
        :specialization=>"",
        :definition=>
      "The dance therapist, sometimes called a movement therapist, focuses on rhythmic body movements as a medium of physical and psychological change. Dance therapy is practiced more often with mental health patients than with physically disabled patients. A master's degree is required by the American Dance Therapy Association to award the credentials Dance Therapist Registered (DTR).",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Joel A. DeLisa and Bruce M. Gans, Rehabilitation Medicine: Principles and Practice Second Edition, J.B. Lippincott Company, Philadelphia: 1993, p. 11"},
        "225700000X"=>
      {:code=>"225700000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Massage Therapist",
        :specialization=>"",
        :definition=>
      "An individual trained in the manipulation of tissues (as by rubbing, stroking, kneading, or tapping) with the hand or an instrument for remedial or hygienic purposes.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "225800000X"=>
      {:code=>"225800000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Recreation Therapist",
        :specialization=>"",
        :definition=>
      "A recreation therapist uses recreational activities for intervention in some physical, social or emotional behavior to bring about a desired change in that behavior and promote the growth and development of the patient.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Joel A. DeLisa and Bruce M. Gans, Rehabilitation Medicine: Principles and Practice Second Edition, J.B. Lippincott Company, Philadelphia: 1993, p. 7"},
        "225A00000X"=>
      {:code=>"225A00000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Music Therapist",
        :specialization=>"",
        :definition=>
      "Music therapists use music interventions to assess clients' strengths and needs, develop goals, implement services, and evaluate and document progress for individuals of all ages. Music therapists facilitate changes in physical, cognitive, emotional, and/or psychosocial health.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: American Music Therapy Association"},
        "225B00000X"=>
      {:code=>"225B00000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Pulmonary Function Technologist",
        :specialization=>"",
        :definition=>
      "An individual who is trained and qualified to perform pulmonary diagnostic tests. In the course of conducting these tests, the Pulmonary Function Technologist is able to setup, calibrate, maintain, and ensure the quality assurance of the pulmonary function testing equipment. In the laboratory, clinical or patient care setting the technologist instructs patients, elicits cooperation, performs procedures, monitors patient response, and evaluates patient performance. Tests results are calculated, compared with predicted normal ranges, and evaluated for reliability. The technologist collects clinical history data and evaluates the clinical implications of the test results.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "225C00000X"=>
      {:code=>"225C00000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Rehabilitation Counselor",
        :specialization=>"",
        :definition=>
      "An individual trained and educated in a systematic process of assisting persons with physical, mental, developmental, cognitive, and emotional disabilities to achieve their personal, career, and independent living goals assessment and appraisal, diagnosis and treatment planning, career (vocational) counseling, individual and group counseling interventions for adjustments to the medical and psychosocial impact of disability, case management, program evaluation and research, job analysis and placement counseling, and consultation on rehabilitation resources and technology. Certification generally requires a Master's degree with specialized courses in rehabilitation processes and technology.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Sources: Commission on Rehabilitation Counselor Certification and Rhea, Ott, and Shafritz, The Facts On File Dictionary of Health Care Management, New York: Facts On File Publications, 1988."},
        "225CA2400X"=>
      {:code=>"225CA2400X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Rehabilitation Counselor",
        :specialization=>"Assistive Technology Practitioner",
        :definition=>"Definition to come...",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "225CA2500X"=>
      {:code=>"225CA2500X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Rehabilitation Counselor",
        :specialization=>"Assistive Technology Supplier",
        :definition=>"Definition to come...",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "225CX0006X"=>
      {:code=>"225CX0006X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Rehabilitation Counselor",
        :specialization=>"Orientation and Mobility Training Provider",
        :definition=>
      "Orientation and Mobility (O&M) specialists teach children and adults who have visual impairments the specific orientation skills used to find one's way in the environment and the mobility skills needed to travel safely and efficiently at home, school, work, and in the community. Instruction is usually provided one-on-one and can include skills such as how to use a long cane, the operation of low vision devices and electronic travel aids when appropriate, how to orient oneself to new environments, navigate public transportation systems, how to cross streets safely, and traveling by using hearing, remaining vision, and other senses. In addition, O&M Specialists help children to develop fundamental skills such as fine and gross motor skills, concept development and problem solving skills. Adult clients can also benefit from an O&M specialist evaluating their current use of travel-related skills, discussing their future goals, and helping them select a program of instruction that will allow them to reach their greatest travel potential.",
        :effective_date=>"10/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: San Francisco State University Orientation and Mobility Program web site http://online.sfsu.edu/~mobility/ [7/1/2006: new]"},
        "225X00000X"=>
      {:code=>"225X00000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Occupational Therapist",
        :specialization=>"",
        :definition=>
      "An occupational therapist is a person who has graduated from an entry-level occupational therapy program accredited by the Accreditation Council for Occupational Therapy Education (ACOTE) or predecessor organizations, or approved by the World Federation of Occupational Therapists (WFOT), or an equivalent international occupational therapy education program; has successfully completed a period of supervised fieldwork experience required by the occupational therapy program; has passed a nationally recognized entry-level examination for occupational therapists, and fulfills state requirements for licensure, certification, or registration. An occupational therapist provides interventions based on evaluation and which emphasize the therapeutic use of everyday life activities (i.e., occupations) with individuals or groups for the purpose of facilitating participation in roles and situations and in home, school, workplace, community and other settings. Occupational therapy services are provided for the purpose of promoting health and wellness and are provided to those who have or are at risk for developing an illness, injury, disease, disorder, condition, impairment, disability, activity limitation, or participation restriction. Occupational therapists address the physical, cognitive, psychosocial, sensory, and other aspects of occupational performance in a variety of contexts to support engagement in everyday life activities that affect health, well-being, and quality of life.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: The Guide to Occupational Therapy Practice, 2nd edition. Bethesda: American Occupational Therapy Association, 2007. [7/1/2008: definition changed, added source]"},
        "225XE0001X"=>
      {:code=>"225XE0001X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Occupational Therapist",
        :specialization=>"Environmental Modification",
        :definition=>
      "Occupational therapy practitioners are experts at identifying the cause of difficulties in performance of activities of daily living and instrumental activities of daily living. Occupational therapy practitioners evaluate the client, their environment, and their occupational performance in that environment, as well as make recommendations for products to improve the fit between the client, place, and activity. Occupational therapists can evaluate both the skills of the client and the environmental features that support or limit the performance of meaningful or necessary activities, thereby enhancing health, safety and well-being. Based on this assessment, they recommend modification and intervention strategies that improve the fit between the person and his or her environment.",
        :effective_date=>"10/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: The Guide to Occupational Therapy Practice, 2nd edition. Bethesda: American Occupational Therapy Association, 2007. [7/1/2008: new] Additional Resources: The American Occupational Therapy Association (AOTA) does offer voluntary specialty certification for an Environmental Modification Occupational Therapist if the applicant meets the following requirements: <ul> <li>Professional or technical degree or equivalent in occupational therapy. <li>Certified or licensed by and in good standing with an AOTA recognized credentialing or regulatory body. <li>Minimum of 2,000 hours of experience as an occupational therapist or occupational therapy assistant. <li>600 hours of experience delivering occupational therapy services in the certification area to clients (individuals, groups, or populations) in the last 3 calendar years. Service delivery may be paid or voluntary. <li>Verification of employment. </ul>AOTA Fact Sheets: Home Modifications"},
        "225XE1200X"=>
      {:code=>"225XE1200X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Occupational Therapist",
        :specialization=>"Ergonomics",
        :definition=>"Definition to come...",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "225XF0002X"=>
      {:code=>"225XF0002X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Occupational Therapist",
        :specialization=>"Feeding, Eating & Swallowing",
        :definition=>
      "Occupational therapists provide interventions to clients of all ages with feeding, eating and swallowing difficulties. Occupational therapists provide comprehensive rehabilitative, habilitative, and palliative dysphagia care, which includes collaborating with clients to provide individualized compensatory swallowing strategies, modified diet textures, adapted mealtime environments, enhanced feeding skills, preparatory exercises and positioning to clients, reinforcement of mealtime strategies to enhance and improve swallowing skills, and training to caregivers to enhance eating and feeding performance. Occupational therapists provide screening and in-depth clinical assessment which may include instrumental dysphagia assessments including videofluroscopy.",
        :effective_date=>"10/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: The Guide to Occupational Therapy Practice, 2nd edition. Bethesda: American Occupational Therapy Association, 2007. [7/1/2008: new] Additional Resources: The American Occupational Therapy Association (AOTA) does offer voluntary specialty certification for a Feeding, Eating & Swallowing Occupational Therapist if the applicant meets the following requirements: <ul> <li>Professional or technical degree or equivalent in occupational therapy. <li>Certified or licensed by and in good standing with an AOTA recognized credentialing or regulatory body. <li>Minimum of 2,000 hours of experience as an occupational therapist or occupational therapy assistant. <li>600 hours of experience delivering occupational therapy services in the certification area to clients (individuals, groups, or populations) in the last 3 calendar years. Service delivery may be paid or voluntary. <li>Verification of employment. </ul>AOTA Specialized Knowledge and Skills Paper: Feeding, Eating and Swallowing in Occupational Therapy Practice, 2007; AOTA Fact Sheets: OT: A Vital Role in Dysphagia Care"},
        "225XG0600X"=>
      {:code=>"225XG0600X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Occupational Therapist",
        :specialization=>"Gerontology",
        :definition=>
      "Occupational therapists work with older adults in virtually every setting: assisted living, wellness programs, hospitals, nursing homes, senior centers, clinics and in the home. Occupational therapists bring an understanding of the importance of participation and occupation for overall well-being to those who are experiencing disabling conditions related to aging. The primary overarching goal of occupational therapy services with this population is to maximize independence and participation, thereby enabling an older person to continue to live successfully in his or her chosen environment. Occupational therapists can help older adults by developing strategies to help or maintain safety and well-being, to assist with life transitions, and to compensate for challenges they experience in activities of daily living, instrumental activities of daily living, leisure participation, social participation, and productive activities.",
        :effective_date=>"10/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: The Guide to Occupational Therapy Practice, 2nd edition. Bethesda: American Occupational Therapy Association, 2007. [7/1/2008: new] Additional Resources: The American Occupational Therapy Association (AOTA) does offer voluntary board certification for a Gerontology Occupational Therapist if the applicant meets the following requirements: <ul> <li>Professional degree or equivalent in occupational therapy. <li>Certified or licensed by and in good standing with an AOTA recognized credentialing or regulatory body. <li>Minimum of 5 years of practice as an occupational therapist. <li>Minimum of 5,000 hours of experience as an occupational therapist in the certification area in the last 7 calendar years. <li>Minimum of 500 hours of experience delivering occupational therapy services in the certification area to clients (individuals, groups, or populations) in the last 5 calendar years. Service delivery may be paid or voluntary. <li>Verification of employment. </ul>AOTA Fact Sheets: Senior Center and Assisted Living Facilities"},
        "225XH1200X"=>
      {:code=>"225XH1200X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Occupational Therapist",
        :specialization=>"Hand",
        :definition=>"Definition to come...",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "225XH1300X"=>
      {:code=>"225XH1300X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Occupational Therapist",
        :specialization=>"Human Factors",
        :definition=>"Definition to come...",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "225XL0004X"=>
      {:code=>"225XL0004X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Occupational Therapist",
        :specialization=>"Low Vision",
        :definition=>
      "Occupational therapists enable children and adults with visual impairment to engage in their chosen daily living activities safely and as independently as possible. This is accomplished by 1) teaching the person to use their remaining vision as efficiently as possible to complete activities; (2) modifying activities so that they can be completed with less vision; (3) training the person in use of adaptive equipment to compensate for vision loss, including high and low technology assistive devices; and (4) modifying the person's environment.",
        :effective_date=>"10/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: The Guide to Occupational Therapy Practice, 2nd edition. Bethesda: American Occupational Therapy Association, 2007. [7/1/2008: new] Additional Resources: The American Occupational Therapy Association (AOTA) does offer voluntary specialty certification for a Low Vision Occupational Therapist if the applicant meets the following requirements: <ul> <li>Professional or technical degree or equivalent in occupational therapy. <li>Certified or licensed by and in good standing with an AOTA recognized credentialing or regulatory body. <li>Minimum of 2,000 hours of experience as an occupational therapist or occupational therapy assistant. <li>600 hours of experience delivering occupational therapy services in the certification area to clients (individuals, groups, or populations) in the last 3 calendar years. Service delivery may be paid or voluntary. <li>Verification of employment. </ul>AOTA Fact Sheets: Low Vision; OT Services for Individuals with Visual Impairments"},
        "225XM0800X"=>
      {:code=>"225XM0800X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Occupational Therapist",
        :specialization=>"Mental Health",
        :definition=>
      "Occupational therapists provide treatment for people recovering from a mental or physical illness to regain their independence and stability and to engage in normal daily occupations (work, home, family life, school, leisure). Occupational therapists provide particular emphasis on interventions that result in improved quality of life and decrease hospitalization.",
        :effective_date=>"10/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: The Guide to Occupational Therapy Practice, 2nd edition. Bethesda: American Occupational Therapy Association, 2007. [7/1/2008: new] Additional Resources: The American Occupational Therapy Association (AOTA) does offer voluntary board certification for a Mental Health Occupational Therapist if the applicant meets the following requirements: <ul> <li>Professional degree or equivalent in occupational therapy. <li>Certified or licensed by and in good standing with an AOTA recognized credentialing or regulatory body. <li>Minimum of 5 years of practice as an occupational therapist. <li>Minimum of 5,000 hours of experience as an occupational therapist in the certification area in the last 7 calendar years. <li>Minimum of 500 hours of experience delivering occupational therapy services in the certification area to clients (individuals, groups, or populations) in the last 5 calendar years. Service delivery may be paid or voluntary. <li>Verification of employment. </ul>AOTA Fact Sheets: Partial Hospitalization Programs and Consumer"},
        "225XN1300X"=>
      {:code=>"225XN1300X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Occupational Therapist",
        :specialization=>"Neurorehabilitation",
        :definition=>"Definition to come...",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "225XP0019X"=>
      {:code=>"225XP0019X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Occupational Therapist",
        :specialization=>"Physical Rehabilitation",
        :definition=>
      "Occupational therapists are experts at helping people lead as independent a life as possible. Occupational therapists bring an understanding of the physical and psychological implications of illness and injury and their effects on peoples' ability to perform the tasks of daily living. Occupational therapists provide interventions that can aide a person in completing ADL and IADL tasks, such as dressing, bathing, preparing meals, and driving. They also may fabricate custom orthotics to improve function, evaluate the environment for safety hazards and recommend adaptations to remove those hazards, help a person compensate for cognitive changes, and build a persons' physical endurance and strength. Occupational therapists' knowledge of adapting tasks and modifying the environment to compensate for functional limitations is used to increase the involvement of clients and to promote safety and success.",
        :effective_date=>"10/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: The Guide to Occupational Therapy Practice, 2nd edition. Bethesda: American Occupational Therapy Association, 2007. [7/1/2008: new] Additional Resources: The American Occupational Therapy Association (AOTA) does offer voluntary board certification for a Physical Rehabilitation Occupational Therapist if the applicant meets the following requirements: <ul> <li>Professional degree or equivalent in occupational therapy. <li>Certified or licensed by and in good standing with an AOTA recognized credentialing or regulatory body. <li>Minimum of 5 years of practice as an occupational therapist. <li>Minimum of 5,000 hours of experience as an occupational therapist in the certification area in the last 7 calendar years. <li>Minimum of 500 hours of experience delivering occupational therapy services in the certification area to clients (individuals, groups, or populations) in the last 5 calendar years. Service delivery may be paid or voluntary. <li>Verification of employment. </ul>AOTA Consumer Tip Sheets: Stroke, Hip"},
        "225XP0200X"=>
      {:code=>"225XP0200X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Occupational Therapist",
        :specialization=>"Pediatrics",
        :definition=>
      "Occupational therapists provide services to infants, toddlers and children who have or who are at risk for developmental delays or disabilities. Occupational therapy is concerned with a child's ability to participate in daily life activities or \"occupations.\" Occupational therapists use their unique expertise to help children with social-emotional, physical, cognitive, communication, and adaptive behavioral challenges and to help children to be prepared for and perform important learning and school-related activities and to fulfill their rule as students. Through an understanding of the impact of disability, illness, and impairment on a child's development, plan, ability to learn new skills, and overall occupational performance, occupational therapists design interventions that promote healthy development, establish needed skills, and/or modify environments, all in support of participation in daily activities.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: The Guide to Occupational Therapy Practice, 2nd edition. Bethesda: American Occupational Therapy Association, 2007. [7/1/2008: new] Additional Resources: The American Occupational Therapy Association (AOTA) does offer voluntary board certification for a Pediatric Occupational Therapist if the applicant meets the following requirements: <ul> <li>Professional degree or equivalent in occupational therapy. <li>Certified or licensed by and in good standing with an AOTA recognized credentialing or regulatory body. <li>Minimum of 5 years of practice as an occupational therapist. <li>Minimum of 5,000 hours of experience as an occupational therapist in the certification area in the last 7 calendar years. <li>Minimum of 500 hours of experience delivering occupational therapy services in the certification area to clients (individuals, groups, or populations) in the last 5 calendar years. Service delivery may be paid or voluntary. <li>Verification of employment. </ul> AOTA Specialized Knowledge and Skills Paper: Occupational Therapy Practice in the Neonatal Intensive Care Unity (2006); AOTA Fact Sheets: Children and the Tsunami, OT for Children Birth to 3 Years of Age, OT's Role with Autism, OT in Educational Settings Under the Individuals with Disabilities Education Act, Transforming Caseload to Workload in School Based and Early Intervention OT Services, OT in Preschool Settings."},
        "225XR0403X"=>
      {:code=>"225XR0403X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Occupational Therapist",
        :specialization=>"Driving and Community Mobility",
        :definition=>
      "Occupational therapists can optimize and prolong an older driver's ability to drive safely and ease the transition to other forms of transportation if driving cessation becomes necessary. By identifying strengths as well as physical or cognitive challenges, occupational therapists can evaluate an individual's overall ability to operate a vehicle safely and recommend assistive devices or behavioral changes to limit risks. Occupational therapy practitioners offer a continuum of services related to community mobility, from evaluation of driving performance, through counseling and support for lifestyle changes, to maintaining independence and quality of life.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: The Guide to Occupational Therapy Practice, 2nd edition. Bethesda: American Occupational Therapy Association, 2007. [7/1/2008: title changed, definition added, source added] Additional Resources: The American Occupational Therapy Association (AOTA) does offer voluntary specialty certification for a Driving & Community Mobility Occupational Therapist if the applicant meets the following requirements: <ul> <li>Professional or technical degree or equivalent in occupational therapy. <li>Certified or licensed by and in good standing with an AOTA recognized credentialing or regulatory body. <li>Minimum of 2,000 hours of experience as an occupational therapist or occupational therapy assistant. <li>600 hours of experience delivering occupational therapy services in the certification area to clients (individuals, groups, or populations) in the last 3 calendar years. Service delivery may be paid or voluntary. <li>Verification of employment. </ul> AOTA Fact Sheets: Older Driver"},
        "226300000X"=>
      {:code=>"226300000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Kinesiotherapist",
        :specialization=>"",
        :definition=>
      "A provider trained and educated in the applied science of medically prescribed therapeutic exercise, education and adapted physical activities designed to improve the quality of line and health of adults and children by developing physical fitness, increasing mobility and independence, and improving psychosocial behavior. The kinesiotherapist seeks a coach-player relationship in which he/she helps the patient/client reach the goal of becoming an independent, self-sustaining person. Kinesiotherapists, as compared with physical therapists, put more emphasis on geriatric care, reconditioning and fitness, and psychiatric care. A large percentage of kinesiotherapists practice in Veterans Administration hospitals.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: The Kinesiotherapy Association."},
        "227800000X"=>
      {:code=>"227800000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Certified",
        :specialization=>"",
        :definition=>
      "A Certified Respiratory Therapist (CRT) is a an entry level therapist who has passed a standardized written examination administered by the National Board for Respiratory Care (NBRC). CRTs provide diagnostic testing, therapeutics, monitoring, rehabilitation, and education to patients with disorders of the cardiopulmonary system. They provide these respiratory care services in all health care facilities and in the home. A CRT is a graduate of an associate degree program approved by the Commission on Accreditation of Allied Health Educational Programs (CAAHEP) and where applicable, is licensed by the state and is practicing within the scope of the license.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2278C0205X"=>
      {:code=>"2278C0205X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Certified",
        :specialization=>"Critical Care",
        :definition=>
      "Respiratory emergencies are commonplace in the treatment of critical care patients. Included in the assessment measurements conducted by the respiratory therapist in the critical care settings are arterial blood gas puncture and analysis, intrarterial monitoring, bedside measurements of lung mechanics, hemodynamic monitoring, and inspired and expired gas measurements. This is coupled with the initiation and management of mechanical ventilation patients.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2278E0002X"=>
      {:code=>"2278E0002X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Certified",
        :specialization=>"Emergency Care",
        :definition=>
      "The immediate availability of diagnostic and therapeutic cardiopulmonary services in the assessment and management of trauma victims, patients requiring airway management and others requiring emergency care.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2278E1000X"=>
      {:code=>"2278E1000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Certified",
        :specialization=>"Educational",
        :definition=>
      "The focus of patient and family education activities is to promote knowledge of disease process, medical therapy, and self help. Respiratory therapists are uniquely qualified to provide this service in regard to cardiopulmonary diseases and injury.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2278G0305X"=>
      {:code=>"2278G0305X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Certified",
        :specialization=>"Geriatric Care",
        :definition=>
      "Care of older patients who have age and/or disease related decremental pulmonary changes. Diagnosis and treatment is very important for this group since chronic lung disease is the major cause of morbidity and mortality among them. Furthermore, as this segment of the population increases, life expectancy is being extended.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2278G1100X"=>
      {:code=>"2278G1100X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Certified",
        :specialization=>"General Care",
        :definition=>
      "This level of care includes diagnostics testing, therapeutics, monitoring, rehabilitation of patients with disorders of the cardiopulmonary system, as well as, education of the patient and family in regard to those disorders.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2278H0200X"=>
      {:code=>"2278H0200X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Certified",
        :specialization=>"Home Health",
        :definition=>
      "Home care fosters individual responsibility for self-management of chronic respiratory conditions. It includes individualized assessment based plans of care service developed to promote safe, proper, and sustained use of prescribed respiratory therapy medications, equipment, and techniques in the home.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2278P1004X"=>
      {:code=>"2278P1004X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Certified",
        :specialization=>"Pulmonary Diagnostics",
        :definition=>
      "Included in the area of pulmonary diagnostics are the following; collection and analysis of physiological specimens, interpretation of physiological data, administration of tests of the cardiopulmonary system, and the conduct of both neurophysiological and sleep disorders studies.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2278P1005X"=>
      {:code=>"2278P1005X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Certified",
        :specialization=>"Pulmonary Rehabilitation",
        :definition=>
      "The respiratory therapist can assist the chronic pulmonary patient in returning to an optimal role in society by providing an effective program. It includes bronchopulmonary drainage, exercise therapy, and patient education.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2278P1006X"=>
      {:code=>"2278P1006X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Certified",
        :specialization=>"Pulmonary Function Technologist",
        :definition=>
      "An individual who is trained and qualified to perform pulmonary diagnostic tests. In the course of conducting these tests, the Pulmonary Function Technologist is able to setup, calibrate, maintain, and ensure the quality assurance of the pulmonary function testing equipment. In the laboratory, clinical or patient care setting the technologist instructs patients, elicits cooperation, performs procedures, monitors patient response, and evaluates patient performance. Tests results are calculated, compared with predicted normal ranges, and evaluated for reliability. The technologist collects clinical history data and evaluates the clinical implications of the test results.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2278P3800X"=>
      {:code=>"2278P3800X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Certified",
        :specialization=>"Palliative/Hospice",
        :definition=>
      "A coordinated plan of care to help dying patients and their families handle the burden of terminal care. Effective secretion management and relief of dyspnea are paramount in caring for patients with end-stage pulmonary disease.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2278P3900X"=>
      {:code=>"2278P3900X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Certified",
        :specialization=>"Neonatal/Pediatrics",
        :definition=>
      "The care and treatment of premature infants, newborns and children. This includes management of mechanical ventilation, assessment, diagnostics and generalized respiratory treatments.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2278P4000X"=>
      {:code=>"2278P4000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Certified",
        :specialization=>"Patient Transport",
        :definition=>
      "Transport respiratory therapist provide patient assessment, initiation of treatment modalities and continued monitoring of patient status of the critically ill and injured patients with special attention to advanced airway and ventilator management. The transport respiratory therapist knowledge and experience with complex neonatal, pediatric and adult patient care issues provides them with an expertise to assist with any patient care issue in a variety of transport modes.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2278S1500X"=>
      {:code=>"2278S1500X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Certified",
        :specialization=>"SNF/Subacute Care",
        :definition=>
      "Care of residents in a long-term care environment. Respiratory modalities delivered include those similar in the general care and critical care areas but provided to less critical patients.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "227900000X"=>
      {:code=>"227900000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Registered",
        :specialization=>"",
        :definition=>
      "A Registered Respiratory Therapist (RRT) is an advanced therapist who has passed standardized written and clinical simulation examinations administered by the National Board for Respiratory Care (NBRC). In addition, to the certified therapist (CRT) entry level skills, RRTs have advanced education and training in patient assessment, in the development and modification of patient care plans, and in assuring the appropriate utilization of respiratory care resources. An RRT is a graduate of an associate or baccalaureate degree producing educational programs approved by the Commission on Accreditation of Allied Health Education Programs (CAAHEP) and where applicable, is licensed by the state and is practicing within the scope of that license.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2279C0205X"=>
      {:code=>"2279C0205X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Registered",
        :specialization=>"Critical Care",
        :definition=>
      "Respiratory emergencies are commonplace in the treatment of critical care patients. Included in the assessment measurements conducted by the respiratory therapist in the critical care settings are arterial blood gas puncture and analysis, intrarterial monitoring, bedside measurements of lung mechanics, hemodynamic monitoring, and inspired and expired gas measurements. This is coupled with the initiation and management of mechanical ventilation patients.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2279E0002X"=>
      {:code=>"2279E0002X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Registered",
        :specialization=>"Emergency Care",
        :definition=>
      "The immediate availability of diagnostic and therapeutic cardiopulmonary services in the assessment and management of trauma victims, patients requiring airway management and others requiring emergency care.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2279E1000X"=>
      {:code=>"2279E1000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Registered",
        :specialization=>"Educational",
        :definition=>
      "The focus of patient and family education activities is to promote knowledge of disease process, medical therapy, and self help. Respiratory therapists are uniquely qualified to provide this service in regard to cardiopulmonary diseases and injury.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2279G0305X"=>
      {:code=>"2279G0305X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Registered",
        :specialization=>"Geriatric Care",
        :definition=>
      "Care of older patients who have age and/or disease related decremental pulmonary changes. Diagnosis and treatment is very important for this group since chronic lung disease is the major cause of morbidity and mortality among them. Furthermore, as this segment of the population increases, life expectancy is being extended.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2279G1100X"=>
      {:code=>"2279G1100X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Registered",
        :specialization=>"General Care",
        :definition=>
      "This level of care includes diagnostics testing, therapeutics, monitoring, rehabilitation of patients with disorders of the cardiopulmonary system, as well as, education of the patient and family in regard to those disorders.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2279H0200X"=>
      {:code=>"2279H0200X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Registered",
        :specialization=>"Home Health",
        :definition=>
      "Home care fosters individual responsibility for self-management of chronic respiratory conditions. It includes individualized assessment based plans of care service developed to promote safe, proper, and sustained use of prescribed respiratory therapy medications, equipment, and techniques in the home.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2279P1004X"=>
      {:code=>"2279P1004X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Registered",
        :specialization=>"Pulmonary Diagnostics",
        :definition=>
      "Included in the area of pulmonary diagnostics are the following; collection and analysis of physiological specimens, interpretation of physiological data, administration of tests of the cardiopulmonary system, and the conduct of both neurophysiological and sleep disorders studies.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2279P1005X"=>
      {:code=>"2279P1005X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Registered",
        :specialization=>"Pulmonary Rehabilitation",
        :definition=>
      "The respiratory therapist can assist the chronic pulmonary patient in returning to an optimal role in society by providing an effective program. It includes bronchopulmonary drainage, exercise therapy, and patient education.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2279P1006X"=>
      {:code=>"2279P1006X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Registered",
        :specialization=>"Pulmonary Function Technologist",
        :definition=>
      "An individual who is trained and qualified to perform pulmonary diagnostic tests. In the course of conducting these tests, the Pulmonary Function Technologist is able to setup, calibrate, maintain, and ensure the quality assurance of the pulmonary function testing equipment. In the laboratory, clinical or patient care setting the technologist instructs patients, elicits cooperation, performs procedures, monitors patient response, and evaluates patient performance. Tests results are calculated, compared with predicted normal ranges, and evaluated for reliability. The technologist collects clinical history data and evaluates the clinical implications of the test results.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2279P3800X"=>
      {:code=>"2279P3800X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Registered",
        :specialization=>"Palliative/Hospice",
        :definition=>
      "A coordinated plan of care to help dying patients and their families handle the burden of terminal care. Effective secretion management and relief of dyspnea are paramount in caring for patients with end-stage pulmonary disease.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2279P3900X"=>
      {:code=>"2279P3900X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Registered",
        :specialization=>"Neonatal/Pediatrics",
        :definition=>
      "The care and treatment of premature infants, newborns and children. This includes management of mechanical ventilation, assessment, diagnostics and generalized respiratory treatments.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2279P4000X"=>
      {:code=>"2279P4000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Registered",
        :specialization=>"Patient Transport",
        :definition=>
      "Transport respiratory therapist provide patient assessment, initiation of treatment modalities and continued monitoring of patient status of the critically ill and injured patients with special attention to advanced airway and ventilator management. The transport respiratory therapist knowledge and experience with complex neonatal, pediatric and adult patient care issues provides them with an expertise to assist with any patient care issue in a variety of transport modes.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2279S1500X"=>
      {:code=>"2279S1500X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Respiratory Therapist, Registered",
        :specialization=>"SNF/Subacute Care",
        :definition=>
      "Care of residents in a long-term care environment. Respiratory modalities delivered include those similar in the general care and critical care areas but provided to less critical patients.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "229N00000X"=>
      {:code=>"229N00000X",
       :type=>
      "Respiratory, Developmental, Rehabilitative and Restorative Service Providers",
        :classification=>"Anaplastologist",
        :specialization=>"",
        :definition=>
      "An anaplastologist is a professional who creates prostheses for the face and body. Patients treated include those missing anatomy due to cancer, traumatic injury, or birth differences. Generally, there are no state licensing requirements for anaplastologists. Certification specific to anaplastology is provided through the Board for Certified Clinical Anaplastology (BCCA) with a credential title of Certified Clinical Anaplastologist (CCA).",
        :effective_date=>"10/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Anaplastology Association, www.anaplastology.org. [7/1/2006: new]"},
        "231H00000X"=>
      {:code=>"231H00000X",
       :type=>"Speech, Language and Hearing Service Providers",
       :classification=>"Audiologist",
       :specialization=>"",
       :definition=>
      "(1) A specialist in evaluation, habilitation and rehabilitation of those whose communication disorders center in whole or in part in hearing function. Audiologists are autonomous professionals who identify, assess, and manage disorders of the auditory, balance and other neural systems. Audiologists provide audiological (aural) rehabilitation to children and adults across the entire age span. Audiologists select, fit and dispense amplification systems such as hearing aids and related devices. (2) An audiologist is a person qualified by a master's degree in audiology, licensed by the state, where applicable, and practicing within the scope of that license. Audiologists evaluate and treat patients with impaired hearing. They plan, direct and conduct rehabilitative programs with audiotry substitutional devises (hearing aids) and other therapy.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: (1) American Speech-Language-Hearing Association, (1996, Spring) Scope of practice in Audiology, p. 2"},
        "231HA2400X"=>
      {:code=>"231HA2400X",
       :type=>"Speech, Language and Hearing Service Providers",
       :classification=>"Audiologist",
       :specialization=>"Assistive Technology Practitioner",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "231HA2500X"=>
      {:code=>"231HA2500X",
       :type=>"Speech, Language and Hearing Service Providers",
       :classification=>"Audiologist",
       :specialization=>"Assistive Technology Supplier",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "235500000X"=>
      {:code=>"235500000X",
       :type=>"Speech, Language and Hearing Service Providers",
       :classification=>"Specialist/Technologist",
       :specialization=>"",
       :definition=>
      "General classification identifying individuals who are trained on a specific piece of equipment or technical procedure.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2355A2700X"=>
      {:code=>"2355A2700X",
       :type=>"Speech, Language and Hearing Service Providers",
       :classification=>"Specialist/Technologist",
       :specialization=>"Audiology Assistant",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "2355S0801X"=>
      {:code=>"2355S0801X",
       :type=>"Speech, Language and Hearing Service Providers",
       :classification=>"Specialist/Technologist",
       :specialization=>"Speech-Language Assistant",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "235Z00000X"=>
      {:code=>"235Z00000X",
       :type=>"Speech, Language and Hearing Service Providers",
       :classification=>"Speech-Language Pathologist",
       :specialization=>"",
       :definition=>
      "A speech pathologist is a person qualified by a master's degree in speech-language pathology, and where applicable, licensed by the state and practicing within the scope of the license. Also, known as speech therapist, a speech pathologist evaluates patients with language and speech impairments or disorders, whether arising from physiological and neurological disturbances, defective articulation or foreign dialects, and conducts remedial programs designed to restore or improve their communication efficacy. Speech pathologists assess and treat persons with speech, language, voice, and fluency disorders.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "237600000X"=>
      {:code=>"237600000X",
       :type=>"Speech, Language and Hearing Service Providers",
       :classification=>"Audiologist-Hearing Aid Fitter",
       :specialization=>"",
       :definition=>
      "An audiologist/hearing aid fitter is the professional who specializes in evaluating and treating people with hearing loss, conducts a wide variety of tests to determine the exact nature of an individual's hearing problem, presents a variety of treatment options to patients, dispenses and fits hearing aids, administers tests of balance to evaluate dizziness and provides hearing rehabilitation training. This classification should be used where individuals are licensed as \"audiologist-hearing aid fitters\" as opposed to states that license individuals as \"audiologists\".",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Academy of Audiology, 1735 N. Lynn St, Suite 950, Arlington VA 22209, (800)AAA-2336)"},
        "237700000X"=>
      {:code=>"237700000X",
       :type=>"Speech, Language and Hearing Service Providers",
       :classification=>"Hearing Instrument Specialist",
       :specialization=>"",
       :definition=>
      "Individuals who test hearing for the selection, adaptation, fitting, adjusting, servicing, and sale of hearing aids. Hearing Instrument Specialist is a designation provided individuals who qualify by the National Hearing Aid Society",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "242T00000X"=>
      {:code=>"242T00000X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Perfusionist",
       :specialization=>"",
       :definition=>
      "A perfusionist operates extracorporeal circulation and autotransfusion equipment during any medical situation where it is necessary to support or temporarily replace the patient's circulatory or respiratory function. The perfusionist is knowledgeable concerning the variety of equipment available to perform extracorporeal circulation functions and is responsible, in consultation with the physician, for selecting the appropriate equipment and techniques to be used.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Health Professions Career and Education Directory, American Medical Association [1/1/2007: new]"},
        "243U00000X"=>
      {:code=>"243U00000X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Radiology Practitioner Assistant",
       :specialization=>"",
       :definition=>
      "A Radiology Practitioner Assistant (RPA) is a health professional certified as a registered radiographer with the American Registry of Radiologic Technologists (ARRT) and, in addition, is credentialed to provide primary radiology health care with radiologist supervision. Radiology Practitioner Assistants are qualified by graduation from an educational program recognized by the Board of Directors of athe Certification Board for Radiology Practitioner Assistants (CBRPA) and certified by the CBRPA. Within the Radiologist/RPA relationship, Radiology Practitioner Assistants exercise autonomy in decision making in the role of a primary caregiver with regard to patient assessment, patient management and in providing a broad range of radiology diagnostic and interventional services. The clinical role of the Radiology Practitioner Assistant includes primary and specialty care in radiology practice settings in rural and urban areas.",
        :effective_date=>"10/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Certification Board of Radiology Practitioner Assistants [7/1/2008: new] Additional Resources: www.cbrpa.org"},
        "246Q00000X"=>
      {:code=>"246Q00000X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Spec/Tech, Pathology",
       :specialization=>"",
       :definition=>
      "(1) An individual educated and trained in clinical chemistry, microbiology or other biological sciences; and in gathering data on the blood, tissues, and fluids in the human body. Tests and procedures performed or supervised center on major areas of hematology, microbiology, immunohematology, immunology, clinical chemistry and urinalysis. Education and certification requires the equivalent of an associate degree and alternative combinations of accredited training and experience. (2) A specially trained individual who works under the direction of a pathologist, other physician, or scientist, and performs specialized chemical, microscopic, and bacteriological tests of human blood, tissue, and fluids. Also known as medical technologists, they perform and supervise tests and procedures in clinical chemistry, immunology, serology, bacteriology, hematology, parasitology, mycology, urinalysis, and blood banking. The work requires the correlation of test results with other data, interpretation of test findings, and exercise of independent judgment. The minimum educational requirement (for one of several certification programs in medical technology) is a baccalaureate degree with appropriate science course requirements, plus a twelve-month, structured, AMA approved medical technology program and an examination; or a baccalaureate degree with appropriate science course requirements and experience.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "246QB0000X"=>
      {:code=>"246QB0000X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Spec/Tech, Pathology",
       :specialization=>"Blood Banking",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246QC1000X"=>
      {:code=>"246QC1000X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Spec/Tech, Pathology",
       :specialization=>"Chemistry",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246QC2700X"=>
      {:code=>"246QC2700X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Spec/Tech, Pathology",
       :specialization=>"Cytotechnology",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246QH0000X"=>
      {:code=>"246QH0000X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Spec/Tech, Pathology",
       :specialization=>"Hematology",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246QH0401X"=>
      {:code=>"246QH0401X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Spec/Tech, Pathology",
       :specialization=>"Hemapheresis Practitioner",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246QH0600X"=>
      {:code=>"246QH0600X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Spec/Tech, Pathology",
       :specialization=>"Histology",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246QI0000X"=>
      {:code=>"246QI0000X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Spec/Tech, Pathology",
       :specialization=>"Immunology",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246QL0900X"=>
      {:code=>"246QL0900X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Spec/Tech, Pathology",
       :specialization=>"Laboratory Management",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246QL0901X"=>
      {:code=>"246QL0901X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Spec/Tech, Pathology",
       :specialization=>"Laboratory Management, Diplomate",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246QM0706X"=>
      {:code=>"246QM0706X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Spec/Tech, Pathology",
       :specialization=>"Medical Technologist",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246QM0900X"=>
      {:code=>"246QM0900X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Spec/Tech, Pathology",
       :specialization=>"Microbiology",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246R00000X"=>
      {:code=>"246R00000X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Technician, Pathology",
       :specialization=>"",
       :definition=>
      "An individual with knowledge of specific techniques and instruments who performs all of the routine tests in a medical laboratory and who has the ability to discriminate between similar factors that directly affect procedures and results.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "246RH0600X"=>
      {:code=>"246RH0600X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Technician, Pathology",
       :specialization=>"Histology",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246RM2200X"=>
      {:code=>"246RM2200X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Technician, Pathology",
       :specialization=>"Medical Laboratory",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246RP1900X"=>
      {:code=>"246RP1900X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Technician, Pathology",
       :specialization=>"Phlebotomy",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246W00000X"=>
      {:code=>"246W00000X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Technician, Cardiology",
       :specialization=>"",
       :definition=>
      "An individual who has knowledge of specific techniques, instruments, and equipment required in performing specific cardiovascular/peripheral vascular diagnostic procedures.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "246X00000X"=>
      {:code=>"246X00000X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Spec/Tech, Cardiovascular",
       :specialization=>"",
       :definition=>
      "An allied health professional who performs diagnostic examinations at the request or direction of a physician in one or more of the following three areas: invasive cardiology, noninvasive cardiology, and noninvasive peripheral vascular study. Cardiovascular technologists are one type of allied health professional for which the Committee on Allied Health Education and Accreditation has accredited education programs",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: (1) Lexikon: Dictionary of Health Care Terms, Organizations and Acronyms for the Era of Reform, The Joint Commission on Accreditation of Healthcare Organizations, Oakbrook Terrace, Illinois: 1994, p. 159."},
        "246XC2901X"=>
      {:code=>"246XC2901X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Spec/Tech, Cardiovascular",
       :specialization=>"Cardiovascular Invasive Specialist",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246XC2903X"=>
      {:code=>"246XC2903X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Spec/Tech, Cardiovascular",
       :specialization=>"Vascular Specialist",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246XS1301X"=>
      {:code=>"246XS1301X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Spec/Tech, Cardiovascular",
       :specialization=>"Sonography",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246Y00000X"=>
      {:code=>"246Y00000X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Spec/Tech, Health Info",
       :specialization=>"",
       :definition=>
      "An individual with a high school diploma, on-the-job experience and coding education from seminars or college classes who passes a national certification examination in either inpatient and outpatient facility services coding, or physician services coding.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Health Information Management Association, Chicago, IL, 1996."},
        "246YC3301X"=>
      {:code=>"246YC3301X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Spec/Tech, Health Info",
       :specialization=>"Coding Specialist, Hospital Based",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246YC3302X"=>
      {:code=>"246YC3302X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Spec/Tech, Health Info",
       :specialization=>"Coding Specialist, Physician Office Based",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246YR1600X"=>
      {:code=>"246YR1600X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Spec/Tech, Health Info",
       :specialization=>"Registered Record Administrator",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246Z00000X"=>
      {:code=>"246Z00000X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Specialist/Technologist, Other",
       :specialization=>"",
       :definition=>
      "General classification identifying individuals trained on specific equipment and technical procedures in one of a collection of miscellaneous healthcare disciplines.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "246ZA2600X"=>
      {:code=>"246ZA2600X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Specialist/Technologist, Other",
       :specialization=>"Art, Medical",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246ZB0301X"=>
      {:code=>"246ZB0301X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Specialist/Technologist, Other",
       :specialization=>"Biomedical Engineering",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246ZB0302X"=>
      {:code=>"246ZB0302X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Specialist/Technologist, Other",
       :specialization=>"Biomedical Photographer",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246ZB0500X"=>
      {:code=>"246ZB0500X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Specialist/Technologist, Other",
       :specialization=>"Biochemist",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246ZB0600X"=>
      {:code=>"246ZB0600X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Specialist/Technologist, Other",
       :specialization=>"Biostatistician",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246ZC0007X"=>
      {:code=>"246ZC0007X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Specialist/Technologist, Other",
       :specialization=>"Certified First Assistant",
       :definition=>
      "As defined by the American College of Surgeons (ACS), the surgical first assistant provides aid in exposure, hemostasis, and other technical functions that will help the surgeon carry out a safe operation with optimal results for the patient. These functions include, but are not limited to, positioning of the patient, suturing, and closure of body planes and skin, and the application of wound dressings.",
        :effective_date=>"10/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: The Association of Surgical Technologists [7/1/2007: new] http://www.ast.org/professionals/about_prof.aspx"},
        "246ZE0500X"=>
      {:code=>"246ZE0500X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Specialist/Technologist, Other",
       :specialization=>"EEG",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246ZE0600X"=>
      {:code=>"246ZE0600X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Specialist/Technologist, Other",
       :specialization=>"Electroneurodiagnostic",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246ZG0701X"=>
      {:code=>"246ZG0701X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Specialist/Technologist, Other",
       :specialization=>"Graphics Methods",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246ZG1000X"=>
      {:code=>"246ZG1000X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Specialist/Technologist, Other",
       :specialization=>"Geneticist, Medical (PhD)",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246ZI1000X"=>
      {:code=>"246ZI1000X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Specialist/Technologist, Other",
       :specialization=>"Illustration, Medical",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246ZN0300X"=>
      {:code=>"246ZN0300X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Specialist/Technologist, Other",
       :specialization=>"Nephrology",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "246ZS0400X"=>
      {:code=>"246ZS0400X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Specialist/Technologist, Other",
       :specialization=>"Surgical",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "247000000X"=>
      {:code=>"247000000X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Technician, Health Information",
       :specialization=>"",
       :definition=>
      "Preferred term for an Accredited Record Technician who is an individual with an associate's degree from an accredited college or independent study program who is skilled in analyzing health information and in examination of medical records for accuracy, reporting of patient data for reimbursement, and creation of disease registries for researchers.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Health Information Management Association, Chicago, IL, 1996."},
        "2470A2800X"=>
      {:code=>"2470A2800X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Technician, Health Information",
       :specialization=>"Assistant Record Technician",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "247100000X"=>
      {:code=>"247100000X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Radiologic Technologist",
       :specialization=>"",
       :definition=>
      "An individual who is trained and qualified in the art and science of both ionizing and non-ionizing radiation for the purposes of diagnostic medical imaging, interventional procedures and therapeutic treatment.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2471B0102X"=>
      {:code=>"2471B0102X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Radiologic Technologist",
       :specialization=>"Bone Densitometry",
       :definition=>"Definition to come.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "2471C1101X"=>
      {:code=>"2471C1101X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Radiologic Technologist",
       :specialization=>"Cardiovascular-Interventional Technology",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "2471C1106X"=>
      {:code=>"2471C1106X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Radiologic Technologist",
       :specialization=>"Cardiac-Interventional Technology",
       :definition=>"Definition to come.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "2471C3401X"=>
      {:code=>"2471C3401X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Radiologic Technologist",
       :specialization=>"Computed Tomography",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "2471C3402X"=>
      {:code=>"2471C3402X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Radiologic Technologist",
       :specialization=>"Radiography",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "2471M1202X"=>
      {:code=>"2471M1202X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Radiologic Technologist",
       :specialization=>"Magnetic Resonance Imaging",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "2471M2300X"=>
      {:code=>"2471M2300X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Radiologic Technologist",
       :specialization=>"Mammography",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "2471N0900X"=>
      {:code=>"2471N0900X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Radiologic Technologist",
       :specialization=>"Nuclear Medicine Technology",
       :definition=>"Definition to come.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "2471Q0001X"=>
      {:code=>"2471Q0001X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Radiologic Technologist",
       :specialization=>"Quality Management",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "2471R0002X"=>
      {:code=>"2471R0002X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Radiologic Technologist",
       :specialization=>"Radiation Therapy",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "2471S1302X"=>
      {:code=>"2471S1302X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Radiologic Technologist",
       :specialization=>"Sonography",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "2471V0105X"=>
      {:code=>"2471V0105X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Radiologic Technologist",
       :specialization=>"Vascular Sonography",
       :definition=>"Definition to come.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "2471V0106X"=>
      {:code=>"2471V0106X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Radiologic Technologist",
       :specialization=>"Vascular-Interventional Technology",
       :definition=>"Definition to come.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "247200000X"=>
      {:code=>"247200000X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Technician, Other",
       :specialization=>"",
       :definition=>
      "A collective term for persons with specialized training in various narrow fields of expertise whose occupations require training and skills in specific technical processes and procedures; and where further classification is deemed unnecessary by the user.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Sources: Rhea, Ott, and Shafritz, The Facts On File Dictionary of Health Care Management, New York: Facts On File Publications, 1988; Dorland's Illustrated Medical Dictionary, 26th Edition. Philadelphia: W.B. Saunders Company, 1981; and Webster's II New Riverside University Dictionary. Boston: Riverside Publishing Company, 1984."},
        "2472B0301X"=>
      {:code=>"2472B0301X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Technician, Other",
       :specialization=>"Biomedical Engineering",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "2472D0500X"=>
      {:code=>"2472D0500X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Technician, Other",
       :specialization=>"Darkroom",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "2472E0500X"=>
      {:code=>"2472E0500X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Technician, Other",
       :specialization=>"EEG",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "2472R0900X"=>
      {:code=>"2472R0900X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Technician, Other",
       :specialization=>"Renal Dialysis",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "2472V0600X"=>
      {:code=>"2472V0600X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Technician, Other",
       :specialization=>"Veterinary",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "247ZC0005X"=>
      {:code=>"247ZC0005X",
       :type=>"Technologists, Technicians & Other Technical Service Providers",
       :classification=>"Pathology",
       :specialization=>"Clinical Laboratory Director, Non-physician",
       :definition=>
      "An individual who is state-licensed as a clinical laboratory director and meets the qualifications in the Clinical Laboratory Improvement Amendments of 1988 for non-physicians (non-MD/DO) as defined in the CFR 42 Part 493.1405.",
        :effective_date=>"04/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: National Uniform Claim Committee [1/1/2007: new]"},
        "251300000X"=>
      {:code=>"251300000X",
       :type=>"Agencies",
       :classification=>"Local Education Agency (LEA)",
       :specialization=>"",
       :definition=>
      "The term local education agency means a public board of education or other public authority legally constituted within a State to either provide administrative control or direction of, or perform a service function for public schools serving individuals ages 0 - 21 in a state, city, county, township, school district, or other political subdivision including a combination of school districts or counties recognized in a State as an administrative agency for its public schools. An LEA may provide, or employ professional who provide, services to children included in the Individuals with Disabilities Education Act (IDEA), such services may include, but are not limited to, such medical services as physical, occupational, and speech therapy.",
        :effective_date=>"04/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Portions of IDEA Regulations Part B (34 CFR Part 300.18, Assistance to States for the Education of Children with Disabilities) [1/1/2006: new]"},
        "251B00000X"=>
      {:code=>"251B00000X",
       :type=>"Agencies",
       :classification=>"Case Management",
       :specialization=>"",
       :definition=>
      "An organization that is responsible for providing case management services. The agency provides services which assist an individual in gaining access to needed medical, social, educational, and/or other services. Case management services may be used to locate, coordinate, and monitor necessary appropriate services. It may be used to encourage the use of cost-effective medical care by referrals to appropriate providers and to discourage over utilization of costly services. Case management may also serve to provide necessary coordination of non-medical services such as vocational rehabilitation, education, employment, when the services provided enable the individual to function at the highest level.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2006",
        :notes=>
      "Source: CMS State Medicaid Manual Section 4442.3 [7/1/2006: definition modified]"},
        "251C00000X"=>
      {:code=>"251C00000X",
       :type=>"Agencies",
       :classification=>"Day Training, Developmentally Disabled Services",
       :specialization=>"",
       :definition=>
      "These agencies are authorized to provide day habilitation services to developmentally disabled individuals who live in their homes. The function of day habilitation is to assist an individual to acquire and maintain those life skills that enable the individual to cope more effectively with the demands of independent living. Also to raise the level of the individual's physical, mental, social, and vocational functioning.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "251E00000X"=>
      {:code=>"251E00000X",
       :type=>"Agencies",
       :classification=>"Home Health",
       :specialization=>"",
       :definition=>
      "A public agency or private organization, or a subdivision of such an agency or organization, that is primarily engaged in providing skilled nursing services and other therapeutic services, such as physical therapy, speech-language pathology services, or occupational therapy, medical social services, and home health aide services. It has policies established by a professional group associated with the agency or organization (including at least one physician and one registered nurse) to govern the services and provides for supervision of such services by a physician or a registered nurse; maintains clinical records on all patients; is licensed in accordance with State or local law or is approved by the State or local licensing agency as meeting the licensing standards, where applicable; and meets other conditions found by the Secretary of Health and Human Services to be necessary for health and safety.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2007",
        :notes=>
      "Source: CFR42 Chapter IV Part 484, http://www.access.gpo.gov/nara/cfr/waisidx_99/42cfr484_99.html [7/1/2007: definition added, source added]"},
        "251F00000X"=>
      {:code=>"251F00000X",
       :type=>"Agencies",
       :classification=>"Home Infusion",
       :specialization=>"",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "251G00000X"=>
      {:code=>"251G00000X",
       :type=>"Agencies",
       :classification=>"Hospice Care, Community Based",
       :specialization=>"",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "251J00000X"=>
      {:code=>"251J00000X",
       :type=>"Agencies",
       :classification=>"Nursing Care",
       :specialization=>"",
       :definition=>
      "A Nursing Care Agency is an entity that provides skilled nursing care through the services of a Registered Nurse (RN) or a Licensed Practical Nurse (LPN), by employees, contracted individuals, or via a registry, in a variety of settings. The agency may engage in providing private duty nursing and/or staffing services.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: National Uniform Claim Committee, 2008 [7/1/2008: modified definition]"},
        "251K00000X"=>
      {:code=>"251K00000X",
       :type=>"Agencies",
       :classification=>"Public Health or Welfare",
       :specialization=>"",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "251S00000X"=>
      {:code=>"251S00000X",
       :type=>"Agencies",
       :classification=>"Community/Behavioral Health",
       :specialization=>"",
       :definition=>
      "A private or public agency usually under local government jurisdiction, responsible for assuring the delivery of community based mental health, mental retardation, substance abuse and/or behavioral health services to individuals with those disabilities. Services may range from companion care, respite, transportation, community integration, crisis intervention and stabilization, supported employment, day support, prevocational services, residential support, therapeutic and supportive consultation, environmental modifications, intensive in-home therapy and day treatment, in addition to traditional mental health and behavioral treatment.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2007",
        :notes=>
      "Source: National Medicaid EDI HIPAA NPI Sub Work Group [1/1/2007: modified definition]"},
        "251T00000X"=>
      {:code=>"251T00000X",
       :type=>"Agencies",
       :classification=>"PACE Provider Organization",
       :specialization=>"",
       :definition=>
      "A PACE provider organization is a not-for-profit private or public entity that is primarily engaged in providing PACE services(unique capitated managed care benefits for the frail elderly which include comprehensive medical and social services). The following characteristics also apply to a PACE organization. It must: have a governing board that includes community representation; be able to provide complete PACE services regardless of frequency or duration of services; have a physical site to provide adult day services; have a defined service area; have safeguards against conflict of interest; have demonstrated fiscal soundness and have a formal Participant Bill of Rights.",
        :effective_date=>"10/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Centers for Medicare and Medicaid, PACE Fact Sheet http://www.cms.hhs.gov/PACE/Downloads/PACEFactSheet.pdf [7/1/2006: new]"},
        "251V00000X"=>
      {:code=>"251V00000X",
       :type=>"Agencies",
       :classification=>"Voluntary or Charitable",
       :specialization=>"",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "251X00000X"=>
      {:code=>"251X00000X",
       :type=>"Agencies",
       :classification=>"Supports Brokerage",
       :specialization=>"",
       :definition=>
      "A provider of service/function that assists participating individuals to make informed decisions about what will work best for them is consistent with their needs and reflects their individual circumstances. Serving as the agent of the individual, the service is available to assist in identifying immediate and long-term needs, developing options to meet those needs and accessing identified supports and services and may include assistance with recruiting, screening, hiring, and training in-home support providers. A family or person-centered planning approach is used. Supports Brokerage offers practical skills training to enable families and individuals to remain independent. Examples of skills training include providing information on recruiting and hiring personal care workers, managing personal care workers and providing information on effective communication and problem solving. The service/function provides sufficient information to assure that individuals understand the responsibilities involved with self-direction and assist in the development of an effective back-up and emergency plan. Plans may elect to fulfill the requirement of this service/function using a self-directed case manager or creating a distinct service. The Supports Brokerage documents the need for assistive services, planning for and documenting the use of excess funds and locating and maintaining services.",
        :effective_date=>"10/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: CMS Independence Plus Waiver template. [7/1/2006: new]"},
        "252Y00000X"=>
      {:code=>"252Y00000X",
       :type=>"Agencies",
       :classification=>"Early Intervention Provider Agency",
       :specialization=>"",
       :definition=>
      "Early intervention services are an effective way to address the needs of infants and toddlers who have developmental delays or disabilities. The services are made available through a federal law known as the Individuals with Disabilities Education Act (IDEA). IDEA provides states and territories with specific requirements for providing early intervention services to infants and toddlers with special needs. In turn, each state and territory develops its own policies for carrying out IDEA and its requirements. Broadly speaking, early intervention services are special services for eligible infants and toddlers and their families. These services are designed to identify and meet children's needs in five developmental areas. These areas are: physical development, cognitive development, communication, social or emotional development, and adaptive development.",
        :effective_date=>"10/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: National Dissemination Center for Children with Disabilities [7/1/2007: new] http://www.nichcy.org/pubs/parent/pa2txt.htm"},
        "253J00000X"=>
      {:code=>"253J00000X",
       :type=>"Agencies",
       :classification=>"Foster Care Agency",
       :specialization=>"",
       :definition=>
      "A Foster Care Agency is an agency that provides foster care as defined in the Code of Federal Regulations (CFR) as \"24-hour substitute care for children outside their own homes.\" Foster care settings include, but are not limited to, nonrelative foster family homes, relative foster homes (whether payments are being made or not), group homes, emergency shelters, residential facilities, and pre-adoptive homes.",
        :effective_date=>"04/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Code Of Federal Regulations, Title 45, Volume 4, Part 1355, Section 57 [1/1/2008: new]"},
        "253Z00000X"=>
      {:code=>"253Z00000X",
       :type=>"Agencies",
       :classification=>"In Home Supportive Care",
       :specialization=>"",
       :definition=>
      "An In Home Supportive Care Agency provides services in the patient's home with the goal of enabling the patient to remain at home. The services provided may include personal care services such as hands-on assistance with activities of daily living (ADLs), e.g., eating, bathing, dressing, and bladder and bowel requirements; homemaker services and instrumental activities of daily living (IADLs), e.g., taking medications, shopping for groceries, laundry, housekeeping, and companionship; and/or supervision or cuing so that a person can perform tasks themselves.",
        :effective_date=>"10/01/2008",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: National Uniform Claim Committee, 2008 [7/1/2008: new]"},
        "261Q00000X"=>
      {:code=>"261Q00000X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"",
       :definition=>
      "A facility or distinct part of one used for the diagnosis and treatment of outpatients. \"Clinic/Center\" is irregularly defined, sometimes being limited to organizations serving specialized treatment requirements or distinct patient/client groups (e.g., radiology, poor, and public health).",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "261QA0005X"=>
      {:code=>"261QA0005X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Ambulatory Family Planning Facility",
       :definition=>
      "An abortion/family planning facility where services are provided at a fixed specific location. An Ambulatory Family Planning Facility does not provide overnight accommodations. The following procedures may be performed at an Ambulatory Family Planning Facility: abortions, laproscopy, hysterectomies, tubule ligation and other related procedures. Abortion is considered voluntary termination of pregnancy.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "261QA0006X"=>
      {:code=>"261QA0006X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Ambulatory Fertility Facility",
       :definition=>
      "A fertility facility, which may be licensed, registered, or certified in some states, that is not hospital-based, where services are provided at a fixed specific location. An Ambulatory Fertility Facility does not provide overnight accommodations. The following fertility procedures may be performed at an Ambulatory Fertility Facility: In Vitro Fertilization (IVF), Gamete Intrafallopian Transfer (GIFT), Embryo Transfer-Thaw (ET-T), Zygote Intrafallopian Transfer (ZIFT), Donor OOCYTE (DO) ",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "261QA0600X"=>
      {:code=>"261QA0600X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Adult Day Care",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QA0900X"=>
      {:code=>"261QA0900X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Amputee",
       :definition=>
      "An entity, facility, or distinct part of a facility providing counseling, fitting, custom design, prescriptive, and training services related to congenital or postoperative absence of all or part of a limb or limbs.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "261QA1903X"=>
      {:code=>"261QA1903X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Ambulatory Surgical",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QA3000X"=>
      {:code=>"261QA3000X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Augmentative Communication",
       :definition=>
      "An entity, facility, or distinct part of a facility staffed by audiology and/or speech professionals with special training in the evaluation of a patient's potential for use of an augmentative communication device, determination of the most appropriate device, adjustment and maintenance of the device, and training the patient to use the device.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "261QB0400X"=>
      {:code=>"261QB0400X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Birthing",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QC0050X"=>
      {:code=>"261QC0050X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Critical Access Hospital",
       :definition=>
      "An outpatient entity, facility, or distinct part of a facility within or affiliated with a Critical Access Hospital that provides access to primary care services for individuals in a small rural community and is Medicare certified.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "261QC1500X"=>
      {:code=>"261QC1500X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Community Health",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QC1800X"=>
      {:code=>"261QC1800X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Corporate Health",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QD0000X"=>
      {:code=>"261QD0000X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Dental",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QD1600X"=>
      {:code=>"261QD1600X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Developmental Disabilities",
       :definition=>
      "An entity, facility, or distinct part of a facility providing comprehensive, multidiscipline diagnostic, treatment, therapy, training, and counseling services to children with congenital disorders that precipitate developmental delays and in many instances mental deficiencies (e.g., Cerebral Palsy, metabolic disorders, Sturge-Weber Syndrome, etc.).",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "261QE0002X"=>
      {:code=>"261QE0002X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Emergency Care",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QE0700X"=>
      {:code=>"261QE0700X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"End-Stage Renal Disease (ESRD) Treatment",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QE0800X"=>
      {:code=>"261QE0800X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Endoscopy",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QF0050X"=>
      {:code=>"261QF0050X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Family Planning, Non-Surgical",
       :definition=>
      "An entity, facility, or distinct part of a facility, or mobile unit providing non-surgical, family planning/reproductive services including physical examination, laboratory services such as PAP or pregnancy tests; pregnancy, pregnancy prevention/contraceptive, and nutritional counseling, and contraceptives or prescriptions for contraceptives.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "261QF0400X"=>
      {:code=>"261QF0400X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Federally Qualified Health Center (FQHC)",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QG0250X"=>
      {:code=>"261QG0250X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Genetics",
       :definition=>
      "An entity, facility, or distinct part of a facility providing analysis of family history, genetic laboratory testing and analysis, diagnosis of genetic trait, prognosis and options. Laboratory studies may be outsourced.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "261QH0100X"=>
      {:code=>"261QH0100X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Health Service",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"07/01/2006",
       :notes=>"[7/1/2006: modified title]"},
       "261QH0700X"=>
      {:code=>"261QH0700X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Hearing and Speech",
       :definition=>
      "An entity, facility, or distinct part of a facility providing diagnostic, treatment, prescriptive, and therapy services related to congenital and acquired conditions and diseases that affect hearing capacity and speech ability.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "261QI0500X"=>
      {:code=>"261QI0500X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Infusion Therapy",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QL0400X"=>
      {:code=>"261QL0400X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Lithotripsy",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QM0801X"=>
      {:code=>"261QM0801X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>
      "Mental Health (Including Community Mental Health Center)",
        :definition=>"Definition to come...",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "261QM0850X"=>
      {:code=>"261QM0850X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Adult Mental Health",
       :definition=>
      "An entity, facility, or distinct part of a facility providing diagnostic, treatment, and prescriptive services related to mental and behavioral disorders in adults.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "261QM0855X"=>
      {:code=>"261QM0855X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Adolescent and Children Mental Health",
       :definition=>
      "An entity, facility, or distinct part of a facility providing diagnostic, treatment, and prescriptive services related to mental and behavioral disorders in children and adolescents. Services may be provided to parents and family members of the patient in the form of conjoint, group, or individual therapy, and education and/or training.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "261QM1000X"=>
      {:code=>"261QM1000X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Migrant Health",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QM1100X"=>
      {:code=>"261QM1100X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Military/U.S. Coast Guard Outpatient",
       :definition=>
      "The Defense Health Program or U.S. Coast Guard funded 'fixed' facilities or distinct parts of a facility, providing outpatient medical and dental services, primarily for Uniformed Services beneficiaries. A 'fixed' facility is a non-temporary, non-deployed facility. It includes mobile specialty units such as Magnetic Resonance Imaging (MRI) units that may furnish services at the 'fixed' facility. It includes, as examples, the institutional portion of outpatient encounters (except Ambulatory Procedure Visits), supplies issued (e.g., glasses, ostomy supplies, crutches), and radiology and laboratory studies. Does not include items issued directly to a patient from an outpatient pharmacy or patient transport.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2006",
        :notes=>
      "Source: TRICARE Management Activity Uniform Business Office User's Guide [1/1/2005: title modified, definition added; 7/1/2006 title modified, definition modified]"},
        "261QM1101X"=>
      {:code=>"261QM1101X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Military and U.S. Coast Guard Ambulatory Procedure",
       :definition=>
      "That part of a 'fixed' (non-temporary, non-deployed) DoD or Coast Guard entity furnishing surgical procedures requiring medically supervised recovery. Similar to a civilian ambulatory surgical center. May be in shared resources with a DoD or Coast Guard Clinic or a DoD Hospital. Does not include items issued directly to a patient from an outpatient pharmacy or patient transport. Includes initial 'take home' pharmaceuticals.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2006",
        :notes=>
      "Source: TRICARE Management Activity Uniform Business Office User's Guide [1/1/2005: title modified, definition added; 7/1/2006 title modified, definition modified]"},
        "261QM1102X"=>
      {:code=>"261QM1102X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>
      "Military Outpatient Operational (Transportable) Component",
        :definition=>
      "'Non-fixed' facilities or distinct parts of a 'non-fixed' facility, providing outpatient medical and dental services, primarily intended for DoD active duty. The entity is funded with other than Defense Health Program funding. Non-DoD active duty may receive services from this entity. 'Non-fixed' facilities are generally deployed DoD health care activities, not providing services on or in association with a DoD fort or base. 'Non-fixed' facilities include outpatient services furnished onboard ships. 'Non-fixed' facilities also include deployed clinics. Does not include items issued directly to a patient from an outpatient pharmacy or patient transport.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2005",
        :notes=>"[1/1/2005: title modified, definition added]"},
        "261QM1103X"=>
      {:code=>"261QM1103X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>
      "Military Ambulatory Procedure Visits Operational (Transportable)",
        :definition=>
      "'Non-fixed' facilities or distinct parts of a 'non-fixed' facility, providing outpatient surgical procedures requiring medically supervised recovery. Does not include items issued directly to a patient from an outpatient pharmacy or patient transport. Includes initial 'take home' pharmaceuticals.",
        :effective_date=>"04/01/2005",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[1/1/2005: new]"},
        "261QM1200X"=>
      {:code=>"261QM1200X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Magnetic Resonance Imaging (MRI)",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QM1300X"=>
      {:code=>"261QM1300X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Multi-Specialty",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QM2500X"=>
      {:code=>"261QM2500X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Medical Specialty",
       :definition=>
      "An entity, facility, or distinct part of a facility providing diagnostic, treatment, and prescriptive services related to a specific area of medical specialization. Frequently used for Title V related Children's Specialty services or to meet specific public health needs (e.g., infectious diseases or breast and cervical cancer).",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "261QM2800X"=>
      {:code=>"261QM2800X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Methadone Clinic",
       :definition=>
      "An entity, facility, or distinct part of a facility providing diagnostic, and replacement maintenance treatment services related to individuals with drug addiction.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "261QM3000X"=>
      {:code=>"261QM3000X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Medically Fragile Intants and Children Day Care",
       :definition=>
      "An entity, facility, or distinct part of a facility specially equipped and staffed to provide care for medically fragile children with varied and complex care needs (e.g., enteral or parental feeding, ostomy care, respiratory/ventilator care, medications and therapies, etc.).",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "261QP0904X"=>
      {:code=>"261QP0904X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Public Health, Federal",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QP0905X"=>
      {:code=>"261QP0905X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Public Health, State or Local",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QP1100X"=>
      {:code=>"261QP1100X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Podiatric",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QP2000X"=>
      {:code=>"261QP2000X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Physical Therapy",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QP2300X"=>
      {:code=>"261QP2300X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Primary Care",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QP2400X"=>
      {:code=>"261QP2400X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Prison Health",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QP3300X"=>
      {:code=>"261QP3300X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Pain",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QR0200X"=>
      {:code=>"261QR0200X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Radiology",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QR0206X"=>
      {:code=>"261QR0206X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Radiology, Mammography",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QR0207X"=>
      {:code=>"261QR0207X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Radiology, Mobile Mammography",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QR0208X"=>
      {:code=>"261QR0208X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Radiology, Mobile",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QR0400X"=>
      {:code=>"261QR0400X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Rehabilitation",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QR0401X"=>
      {:code=>"261QR0401X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>
      "Rehabilitation, Comprehensive Outpatient Rehabilitation Facility (CORF)",
        :definition=>"Definition to come...",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "261QR0404X"=>
      {:code=>"261QR0404X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Rehabilitation, Cardiac Facilities",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QR0405X"=>
      {:code=>"261QR0405X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Rehabilitation, Substance Use Disorder",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QR0800X"=>
      {:code=>"261QR0800X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Recovery Care",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QR1100X"=>
      {:code=>"261QR1100X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Research",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QR1300X"=>
      {:code=>"261QR1300X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Rural Health",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QS0112X"=>
      {:code=>"261QS0112X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Oral and Maxillofacial Surgery",
       :definition=>
      "The specialty of dentistry which includes the diagnosis, surgical and adjunctive treatment of diseases, injuries and defects involving both the functional and esthetic aspects of the hard and soft tissues of the oral and maxillofacial region.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Council on Dental Education and Licensure, American Dental Association"},
        "261QS0132X"=>
      {:code=>"261QS0132X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Ophthalmologic Surgery",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QS1000X"=>
      {:code=>"261QS1000X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Student Health",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QS1200X"=>
      {:code=>"261QS1200X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Sleep Disorder Diagnostic",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QU0200X"=>
      {:code=>"261QU0200X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Urgent Care",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QV0200X"=>
      {:code=>"261QV0200X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"VA",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QX0100X"=>
      {:code=>"261QX0100X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Occupational Medicine",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "261QX0200X"=>
      {:code=>"261QX0200X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Oncology",
       :definition=>
      "An entity, facility, or distinct part of a facility providing diagnostic, treatment and prescriptive services related to cancerous conditions. Services include chemotherapy infusions and monitoring of implanted chemotherapeutic agents.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "261QX0203X"=>
      {:code=>"261QX0203X",
       :type=>"Ambulatory Health Care Facilities",
       :classification=>"Clinic/Center",
       :specialization=>"Oncology, Radiation",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "273100000X"=>
      {:code=>"273100000X",
       :type=>"Hospital Units",
       :classification=>"Epilepsy Unit",
       :specialization=>"",
       :definition=>
      "An Epilepsy Unit is a distinct unit of a hospital that provides services that may include observation, urgent care, diagnostic testing, treatment, and medication management for patients with seizure disorders.",
        :effective_date=>"10/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: National Uniform Claim Committee [7/1/2007: new]"},
        "273R00000X"=>
      {:code=>"273R00000X",
       :type=>"Hospital Units",
       :classification=>"Psychiatric Unit",
       :specialization=>"",
       :definition=>
      "In general, a distinct unit of a hospital that provides acute or long-term care to emotionally disturbed patients, including patients admitted for diagnosis and those admitted for treatment of psychiatric problems on the basis of physicians' orders and approved nursing care plans. Long-term care may include intensive supervision to the chronically mentally ill, mentally disordered or other mentally incompetent persons; (2) For Medicare, a distinct part of a general acute care hospital admitting only patients whose admission to the unit is required for active treatment, whose treatment is of an intensity that can be provided only in an inpatient hospital setting, and whose condition is described by a psychiatric principal diagnosis contained in the Third Edition of the American Psychiatric Association Diagnostic and Statistical Manual or in Chapter 5 (Mental Disorders) of the International Classification of Diseases, Ninth Revision, Clinical Modification (ICD-9-CM). The unit must furnish, through the use of qualified personnel, psychological services, social work services, psychiatric nursing, occupational therapy, and recreational therapy. The unit must maintain medical records that permit determination of the degree and intensity of treatment provided to individuals who are furnished services in the unit; the unit must meet special staff requirements in that the unit must have adequate numbers of qualified professional and supportive staff to evaluate inpatients, formulate written, individualized, comprehensive treatment plans, provide active treatment measures and engage in discharge planning.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: (1) AHA Annual Survey p. A10 1996 AHA Guide; (2) Code of Federal Regulations #42, Section 412.27."},
        "273Y00000X"=>
      {:code=>"273Y00000X",
       :type=>"Hospital Units",
       :classification=>"Rehabilitation Unit",
       :specialization=>"",
       :definition=>
      "In general, a distinct unit of a general acute care hospital that provides care encompassing a comprehensive array of restoration services for the disabled and all support services necessary to help patients attain their maximum functional capacity. Source: AHA Annual Survey p. A10 1996 AHA Guide. For Medicare, a distinct part of a general acute care hospital providing inpatient rehabilitation services that meets the following requirements. Rehabilitation Units have in effect a preadmission screening procedure under which each prospective patient's condition and medical history are reviewed to determine whether the patient is likely to benefit significantly from an intensive inpatient program or assessment; ensure that the patients receive close medical supervision and furnish, through the use of qualified personnel, rehabilitation nursing, physical therapy and occupational therapy, plus, as needed, speech therapy, social services or psychological services and orthotic and prosthetic services; have a plan of treatment for each inpatient that is established, reviewed, and revised as needed by a physician in consultation with other professional personnel who provide services to the patient; use a coordinated multidisciplinary team approach in the rehabilitation of each inpatient, as documented by periodic clinical entries made in the patient's medical record to note the patient's status in relationship to goal attainment , and that team conferences are held at least every two weeks to determine the appropriateness of treatment; have a director of rehabilitation who provides services to the unit and its inpatients for at least 20 hours a week, is a doctor of medicine or osteopathy, is licensed under State law to practice medicine or surgery, and has had, after completing a one-year hospital internship at least two years of training or experience in the medical management of inpatients requiring rehabilitation services.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: Code of Federal Regulations #42, Section 412.29."},
        "275N00000X"=>
      {:code=>"275N00000X",
       :type=>"Hospital Units",
       :classification=>"Medicare Defined Swing Bed Unit",
       :specialization=>"",
       :definition=>
      "A unit of a hospital that has a Medicare provider agreement and has been granted approval from HCFA to provide post-hospital extended care services and be reimbursed as a swing-bed unit.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: Code of Federal Regulations #42, Section 482.66."},
        "276400000X"=>
      {:code=>"276400000X",
       :type=>"Hospital Units",
       :classification=>"Rehabilitation, Substance Use Disorder Unit",
       :specialization=>"",
       :definition=>
      "A distinct part of a hospital that provides medically monitored, interdisciplinary addiction-focused treatment to patients/clients who have psychoactive substance use disorders (commonly referred to as alcohol and drug abuse or substance abuse.)",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: Department of Defense Regulation 6010.8-R, Chapter 6."},
        "281P00000X"=>
      {:code=>"281P00000X",
       :type=>"Hospitals",
       :classification=>"Chronic Disease Hospital",
       :specialization=>"",
       :definition=>
      "(1) A hospital including a physical plant and personnel that provides multidisciplinary diagnosis and treatment for diseases that have one or more of the following characteristics: is permanent; leaves residual disability; is caused by nonreversible pathological alteration; requires special training of the patient for rehabilitation; and/or may be expected to require a long period of supervision or care. In addition, patients require the safety, security, and shelter of these specialized inpatient or partial hospitalization settings. (2) A hospital that provides medical and skilled nursing services to patients with long-term illnesses who are not in an acute phase but who require an intensity of services not available in nursing homes.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: (1) Expanded from Rhea, Ott, and Shafritz, The Facts On File Dictionary of Health Care Management, New York: Facts On File Publications, 1988."},
        "281PC2000X"=>
      {:code=>"281PC2000X",
       :type=>"Hospitals",
       :classification=>"Chronic Disease Hospital",
       :specialization=>"Children",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "282E00000X"=>
      {:code=>"282E00000X",
       :type=>"Hospitals",
       :classification=>"Long Term Care Hospital",
       :specialization=>"",
       :definition=>
      "Long-term care hospitals (LTCHs) furnish extended medical and rehabilitative care to individuals who are clinically complex and have multiple acute or chronic conditions.",
        :effective_date=>"10/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: American Hospital Association [7/1/2006: new]"},
        "282J00000X"=>
      {:code=>"282J00000X",
       :type=>"Hospitals",
       :classification=>"Religious Nonmedical Health Care Institution",
       :specialization=>"",
       :definition=>
      "Furnishes only nonmedical nursing items and services to patients who choose to rely solely upon a religious method of healing, and for whom the acceptance of medical services would be inconsistent with their religious beliefs. Furnishes nonmedical items and services exclusively through nonmedical nursing personnel who are experienced in caring for the physical needs of nonmedical patients. For example, caring for the physical needs such as assistance with activities of daily living; assistance in moving, positioning, and ambulation; nutritional needs; and comfort and support measures. Furnishes nonmedical items and services to inpatients on a 24-hour basis. Does not furnish, on the basis of religious beliefs, through its personnel or otherwise, medical items and services (including any medical screening, examination, diagnosis, prognosis, treatment, or the administration of drugs) for its patients.",
        :effective_date=>"10/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Centers for Medicare & Medicaid Services, http://www.cms.hhs.gov/CertificationandComplianc/19_RNHCIs.asp#TopOfPage [7/1/2006: new]"},
        "282N00000X"=>
      {:code=>"282N00000X",
       :type=>"Hospitals",
       :classification=>"General Acute Care Hospital",
       :specialization=>"",
       :definition=>
      "An acute general hospital is an institution whose primary function is to provide inpatient diagnostic and therapeutic services for a variety of medical conditions, both surgical and non-surgical, to a wide population group. The hospital treats patients in an acute phase of illness or injury, characterized by a single episode or a fairly short duration, from which the patient returns to his or her normal or previous level of activity.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "282NC0060X"=>
      {:code=>"282NC0060X",
       :type=>"Hospitals",
       :classification=>"General Acute Care Hospital",
       :specialization=>"Critical Access",
       :definition=>"Definition to come.",
       :effective_date=>"10/01/2003",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>"[7/1/2003: new]"},
       "282NC2000X"=>
      {:code=>"282NC2000X",
       :type=>"Hospitals",
       :classification=>"General Acute Care Hospital",
       :specialization=>"Children",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "282NR1301X"=>
      {:code=>"282NR1301X",
       :type=>"Hospitals",
       :classification=>"General Acute Care Hospital",
       :specialization=>"Rural",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "282NW0100X"=>
      {:code=>"282NW0100X",
       :type=>"Hospitals",
       :classification=>"General Acute Care Hospital",
       :specialization=>"Women",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "283Q00000X"=>
      {:code=>"283Q00000X",
       :type=>"Hospitals",
       :classification=>"Psychiatric Hospital",
       :specialization=>"",
       :definition=>
      "An organization including a physical plant and personnel that provides multidisciplinary diagnostic and treatment mental health services to patients requiring the safety, security, and shelter of the inpatient or partial hospitalization settings.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Expanded from Rhea, Ott, and Shafritz, The Facts On File Dictionary of Health Care Management, New York: Facts On File Publications, 1988."},
        "283X00000X"=>
      {:code=>"283X00000X",
       :type=>"Hospitals",
       :classification=>"Rehabilitation Hospital",
       :specialization=>"",
       :definition=>
      "A hospital or facility that provides health-related, social and/or vocational services to disabled persons to help them attain their maximum functional capacity.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Joint Commission on Accreditation of Healthcare Organizations, Lexikon: Dictionary of Health Care Terms, Organizations and Acronyms for the Era of Reform, Oakbrook Terrace, IL: 1994, p. 323"},
        "283XC2000X"=>
      {:code=>"283XC2000X",
       :type=>"Hospitals",
       :classification=>"Rehabilitation Hospital",
       :specialization=>"Children",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "284300000X"=>
      {:code=>"284300000X",
       :type=>"Hospitals",
       :classification=>"Special Hospital",
       :specialization=>"",
       :definition=>
      "A designation by the AHA of a hospital whose primary function of the institution is to provide diagnostic and treatment services for patients who have specified medical conditions, both surgical and nonsurgical.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: AHA Guide, Registration section, p. A5."},
        "286500000X"=>
      {:code=>"286500000X",
       :type=>"Hospitals",
       :classification=>"Military Hospital",
       :specialization=>"",
       :definition=>
      "A health care facility operated by the Department of Defense.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "2865C1500X"=>
      {:code=>"2865C1500X",
       :type=>"Hospitals",
       :classification=>"Military Hospital",
       :specialization=>"Community Health",
       :definition=>"",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"03/31/2005",
       :last_modified_date=>"",
       :notes=>"[1/1/2005: marked inactive]"},
       "2865M2000X"=>
      {:code=>"2865M2000X",
       :type=>"Hospitals",
       :classification=>"Military Hospital",
       :specialization=>"Military General Acute Care Hospital",
       :definition=>
      "A Department of Defense (DoD) health care organization furnishing inpatient care 24 hours per day in 'fixed' facilities, primarily for DoD beneficiaries. Entity is Defense Health Program (DHP) funded. A 'fixed' facility is a non-temporary, non-deployed facility usually used for health care services. It includes mobile specialty units such as Magnetic Resonance Imaging (MRI) units that may furnish services at the 'fixed' facility. It includes those services and institutional costs usually included in a Diagnosis Related Group as well as 'pass-through' items.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2005",
        :notes=>"[1/1/2005: title modified, definition added]"},
        "2865X1600X"=>
      {:code=>"2865X1600X",
       :type=>"Hospitals",
       :classification=>"Military Hospital",
       :specialization=>
      "Military General Acute Care Hospital. Operational (Transportable)",
        :definition=>
      "A Department of Defense (DoD) health care organization furnishing inpatient care 24 hours per day in 'non-fixed' or deployed facilities. Entity is not Defense Health Program funded. Services are primarily intended for DoD active duty though some services may be furnished for non-DoD active duty. 'Non-fixed' facilities are generally deployed DoD health care activities, not providing services on or in association with a DoD fort or base. 'Non-fixed' facilities include hospital ships.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2005",
        :notes=>"[1/1/2005: title modified, definition added]"},
        "287300000X"=>
      {:code=>"287300000X",
       :type=>"Hospitals",
       :classification=>"Christian Science Sanitorium",
       :specialization=>"",
       :definition=>"Inactive, use 282J00000X",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"09/30/2009",
       :last_modified_date=>"",
       :notes=>" [7/1/2009: marked inactive]"},
       "291900000X"=>
      {:code=>"291900000X",
       :type=>"Laboratories",
       :classification=>"Military Clinical Medical Laboratory",
       :specialization=>"",
       :definition=>
      "A Department of Defense (DoD) medical clinical reference laboratory not associated with a DoD Hospital or DoD Clinic. An example is the Armed Forces Institute of Pathology.",
        :effective_date=>"04/01/2005",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[1/1/2005: new]"},
        "291U00000X"=>
      {:code=>"291U00000X",
       :type=>"Laboratories",
       :classification=>"Clinical Medical Laboratory",
       :specialization=>"",
       :definition=>
      "(1) A clinical laboratory is a facility for the biological, microbiological, serological, chemical, immunohematological, hematological, biophysical, cytological, pathological, or other examination of materials derived from the human body for the purpose of providing information for the diagnosis, prevention, or treatment of any disease or impairment of, human beings. These examinations also include procedures to determine, measure, or otherwise describe the presence or absence of various substances or organisms in the body. Facilities only collecting or preparing specimens (or both) or only serving as a mailing service and not performing testing are not considered clinical laboratories. (2) Any facility that examines materials from the human body for purposes of providing information for the diagnosis, prevention, or treatment of any disease or impairment of, or the assessment of, the health of human beings. Typical divisions of a clinical laboratory include hematology, cytology, bacteriology, histology, biochemistry, medical toxicology, and serology.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: (1) Code of Federal Regulations #42, Public Health, Section 493.2. (2) ) Lexikon: Dictionary of Health Care Terms, Organizations and Acronyms for the Era of Reform, The Joint Commission on Accreditation of Healthcare Organizations, Oakbrook Terrace, Illinois: 1994, p. 186."},
        "292200000X"=>
      {:code=>"292200000X",
       :type=>"Laboratories",
       :classification=>"Dental Laboratory",
       :specialization=>"",
       :definition=>
      "A commercial laboratory specializing in the construction of dental appliances that conform to a dentist's specifications including the construction of dentures (complete or partial), orthodontic appliances, bridgework, crowns, and inlays.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Lexikon: Dictionary of Health Care Terms, Organizations and Acronyms for the Era of Reform, The Joint Commission on Accreditation of Healthcare Organizations, Oakbrook Terrace, Illinois: 1994, p. 1245."},
        "293D00000X"=>
      {:code=>"293D00000X",
       :type=>"Laboratories",
       :classification=>"Physiological Laboratory",
       :specialization=>"",
       :definition=>
      "A laboratory that operates independently of a hospital and physician's office to furnish physiological diagnostic services (e.g. EEG's , EKG's, scans, etc.). Facilities offering ONLY physiological services are not certified as independent laboratories. If an independent laboratory offers physiological services IN ADDITION to clinical laboratory services, they are surveyed only for compliance with the clinical laboratory regulations because there are no health and safety regulations for physiological services.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Paraphrased from the Medicare Carrier Manual, Section 2070.5."},
        "302F00000X"=>
      {:code=>"302F00000X",
       :type=>"Managed Care Organizations",
       :classification=>"Exclusive Provider Organization",
       :specialization=>"",
       :definition=>
      "(1) An EPO is a form of PPO, in which patients must visit a caregiver that is specified on its panel of providers (is a participating provider). If a visit to an outside(not participating) provider is made the EPO offers very limited or no coverage for the medical service; (2) While similar to a PPO in that an EPO allows patients to go outside the network for care, if they do so in an EPO, they are required to pay the entire cost of care. An EPO differs from an HMO in that EPO physicians do not receive capitation but instead are reimbursed only for actual services provided; (3) An organization identical to a preferred provider organization except that persons enrolled in the plan are eligible to receive benefits only when they use the services of the contracting providers. No benefits are available when non-contracting providers are used, except in certain emergency situations.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: (1) Medical Interface: Managed Care A thru Z- Managed Care Terms published by Medicom International, Bronxville, New York Telephone (914) 337-5023, p. 15; (2) \"Glossary of terms used in managed care\" Developed by the Managed Care Assembly (MCA) of Medical Group Management Association (MGMA), MGM Journal, September/October 1995, p. 58; (3) Rhea, Ott, and Shafritz, The Facts On File Dictionary of Health Care Management, New York: Facts On File Publications, 1988."},
        "302R00000X"=>
      {:code=>"302R00000X",
       :type=>"Managed Care Organizations",
       :classification=>"Health Maintenance Organization",
       :specialization=>"",
       :definition=>
      "(1) A form of health insurance in which its members prepay a premium for the HMO's health services which generally include inpatient and ambulatory care. For the patient, an HMO means reduced out-of-pocket costs (i.e. no deductible), no paperwork (i.e. insurance forms), and only a small copayment for each office visit to cover the paperwork handled by the HMO; (2) A organization of health care personnel and facilities that provides a comprehensive range of health services to an enrolled population for a fixed sum of money paid in advance for a specified period of time. These health services include a wide variety of medical treatments and consults, inpatient and outpatient hospitalization, home health service, ambulance service, and sometimes dental and pharmacy services. The HMO may be organized as a group model, an individual practice association (IPA), a network model or a staff model.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: (1) Medical Interface: Managed Care A thru Z- Managed Care Terms published by Medicom International, Bronxville, New York Telephone (914) 337-5023, p. 20; (2) \"Glossary of terms used in managed care\" Developed by the Managed Care Assembly (MCA) of Medical Group Management Association (MGMA), MGM Journal, September/October 1995, p. 58"},
        "305R00000X"=>
      {:code=>"305R00000X",
       :type=>"Managed Care Organizations",
       :classification=>"Preferred Provider Organization",
       :specialization=>"",
       :definition=>
      "A group of physicians and/or hospitals who contract with an employer to provide services to their employees. In a PPO, the patient may got to the physician of his/her choice, even if that physician does not participate in the PPO, but the patient receives care at a lower benefit level.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: \"Glossary of terms used in managed care\" Developed by the Managed Care Assembly (MCA) of Medical Group Management Association (MGMA), MGM Journal, September/ October 1995, p. 62"},
        "305S00000X"=>
      {:code=>"305S00000X",
       :type=>"Managed Care Organizations",
       :classification=>"Point of Service",
       :specialization=>"",
       :definition=>
      "This product may also be called an open-ended HMO and offers a transition product incorporating features of both HMOs and PPOs. Beneficiaries are enrolled in an HMO but have the option to go outside the networks for an additional cost.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: \"Glossary of terms used in managed care\" Developed by the Managed Care Assembly (MCA) of Medical Group Management Association (MGMA), MGM Journal, September/October 1995, p. 62"},
        "310400000X"=>
      {:code=>"310400000X",
       :type=>"Nursing & Custodial Care Facilities",
       :classification=>"Assisted Living Facility",
       :specialization=>"",
       :definition=>
      "A facility providing supportive services to individuals who can function independently in most areas of activity, but need assistance and/or monitoring to assure safety and well being.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "3104A0625X"=>
      {:code=>"3104A0625X",
       :type=>"Nursing & Custodial Care Facilities",
       :classification=>"Assisted Living Facility",
       :specialization=>"Assisted Living, Mental Illness",
       :definition=>
      "A facility providing supportive services to individuals who can function independently in most areas of activity, but need special guidance, assistance and/or monitoring as the result of a psychiatric problem. This type of facility requires a staff with special training in mental health training and dealing with psychiatric emergencies.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "3104A0630X"=>
      {:code=>"3104A0630X",
       :type=>"Nursing & Custodial Care Facilities",
       :classification=>"Assisted Living Facility",
       :specialization=>"Assisted Living, Behavioral Disturbances",
       :definition=>
      "A facility providing supportive services to individuals who can function independently in most areas of activity, but exhibit abnormal behavioral responses and habits and therefore need special guidance, assistance and/or monitoring to assure safety and well being. This type of facility requires a staff with special training in dealing with and redirecting negative, violent or destructive behaviors.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "310500000X"=>
      {:code=>"310500000X",
       :type=>"Nursing & Custodial Care Facilities",
       :classification=>"Intermediate Care Facility, Mental Illness",
       :specialization=>"",
       :definition=>
      "A nursing facility that provides an intermediate level of nursing care to individuals whose functional abilities are significantly compromise by mental illness.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "311500000X"=>
      {:code=>"311500000X",
       :type=>"Nursing & Custodial Care Facilities",
       :classification=>"Alzheimer Center (Dementia Center)",
       :specialization=>"",
       :definition=>
      "A freestanding facility or special care unit of a long term care facility focusing on patient care of individuals diagnosed with dementia or Alzheimer's Disease or their related diseases. Six elements of the facility/unit set it apart from other (the rest of the) facilities(y): Admission of residents with dementia (including those with Alzheimer's disease); Staff who are specially selected, trained, and supervised; Activities that are specifically designed for the cognitively impaired; A marketing of a special care unit in brochures; A high level of family involvement; and A physical environment designed to keep residents safe and segregated from other populations.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "311Z00000X"=>
      {:code=>"311Z00000X",
       :type=>"Nursing & Custodial Care Facilities",
       :classification=>"Custodial Care Facility",
       :specialization=>"",
       :definition=>
      "A facility providing care that serves to assist an individual in the activities of daily living, such as assistance in walking, getting in and out of bed, bathing, dressing, feeding, and using the toilet, preparation of special diets, and supervision of medication that usually can be self-administered. Custodial care essentially is personal care that does not require the continuing attention of trained medical or paramedical personnel.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Paraphrased from Section 3159 A3 of the Medicare Intermediary Manual."},
        "311ZA0620X"=>
      {:code=>"311ZA0620X",
       :type=>"Nursing & Custodial Care Facilities",
       :classification=>"Custodial Care Facility",
       :specialization=>"Adult Care Home",
       :definition=>
      "A custodial care facility providing supportive and personal care services to disabled and/or elderly individuals who cannot function independently in most areas of activity and need assistance and monitoring to enable them to remain in a home like environment.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "313M00000X"=>
      {:code=>"313M00000X",
       :type=>"Nursing & Custodial Care Facilities",
       :classification=>"Nursing Facility/Intermediate Care Facility",
       :specialization=>"",
       :definition=>
      "An institution (or a distinct part of an institution) which- (1) is primarily engaged in providing to residents- (A) skilled nursing care and related services for residents who require medical or nursing care, (B) rehabilitation services for the rehabilitation of injured, disabled, or sick persons, or, on a regular basis, health-related care and services to individuals who because of their mental or physical condition require care and services (above the level of room and board) which can be made available to them only through institutional facilities, and is not primarily for the care and treatment of mental diseases; (2) has in effect a transfer agreement with one or more hospitals.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Paraphrased from Section 1919 (a) of the Social Security Act."},
        "314000000X"=>
      {:code=>"314000000X",
       :type=>"Nursing & Custodial Care Facilities",
       :classification=>"Skilled Nursing Facility",
       :specialization=>"",
       :definition=>
      "(1) A skilled nursing facility is a facility or distinct part of an institution whose primary function is to provide medical, continuous nursing, and other health and social services to patients who are not in an acute phase of illness requiring services in a hospital, but who require primary restorative or skilled nursing services on an inpatient basis above the level of intermediate or custodial care in order to reach a degree of body functioning to permit self care in essential daily living. It meets any licensing or certification standards et forth by the jurisdiction where it is located. A skilled nursing facility may be a freestanding facility or part of a hospital that has been certified by Medicare to admit patients requiring subacute care and rehabilitation; (2) Provides non-acute medical and skilled nursing care services, therapy and social services under the supervision of a licensed registered nurse on a 24-hour basis.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: (1) \"Glossary of terms used in managed care\" Developed by the Managed Care Assembly (MCA) of Medical Group Management Association (MGMA), MGM Journal, September/October 1995, p. 64; (2) AHA Guide, 1996 Annual Survey."},
        "3140N1450X"=>
      {:code=>"3140N1450X",
       :type=>"Nursing & Custodial Care Facilities",
       :classification=>"Skilled Nursing Facility",
       :specialization=>"Nursing Care, Pediatric",
       :definition=>
      "A nursing care facility designed and staffed for the provision of nursing care and appropriate educational and habilitative/rehabilitative services to children with multiple, complex or profound disabilities that can not be cared for in a less restrictive environment.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "315D00000X"=>
      {:code=>"315D00000X",
       :type=>"Nursing & Custodial Care Facilities",
       :classification=>"Hospice, Inpatient",
       :specialization=>"",
       :definition=>
      "A provider organization, or distinct part of the organization, which renders an interdisciplinary program providing palliative care, chiefly medical relief of pain and supporting services, which addresses the emotional, social, financial, and legal needs of terminally ill patients and their families where an institutional care environment is required for the patient.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: AHA Guide, American Hospital Association."},
        "315P00000X"=>
      {:code=>"315P00000X",
       :type=>"Nursing & Custodial Care Facilities",
       :classification=>"Intermediate Care Facility, Mentally Retarded",
       :specialization=>"",
       :definition=>
      "(1) A public institution for care of the mentally retarded or people with related conditions. (2) An institution giving active treatment to mentally retarded or developmentally disabled persons or persons with related conditions. The primary purpose of the institution is to provide health or rehabilitative services to such individuals.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Sources: (1) Lexikon: Dictionary of Health Care Terms, Organizations and Acronyms for the Era of Reform, Joint Commission on Accreditation of Healthcare Organizations, Oakbrook Terrace, IL: 1994, p. 403 (2) Paraphrased from Code of Federal Regulations #42, Public Health, Section 440.150(c)."},
        "317400000X"=>
      {:code=>"317400000X",
       :type=>"Nursing & Custodial Care Facilities",
       :classification=>"Christian Science Facility",
       :specialization=>"",
       :definition=>"Inactive, use 282J00000X",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"09/30/2009",
       :last_modified_date=>"",
       :notes=>" [7/1/2009: marked inactive]"},
       "320600000X"=>
      {:code=>"320600000X",
       :type=>"Residential Treatment Facilities",
       :classification=>
      "Residential Treatment Facility, Mental Retardation and/or Developmental Disabilities",
        :specialization=>"",
        :definition=>
      "A residential facility that provides habilitation services and other care and treatment to adults or children diagnosed with developmental disabilities and/or mental retardation and are not able to live independently.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "320700000X"=>
      {:code=>"320700000X",
       :type=>"Residential Treatment Facilities",
       :classification=>"Residential Treatment Facility, Physical Disabilities",
       :specialization=>"",
       :definition=>
      "A residential facility that provides habilitation services and other care and treatment to adults or children diagnosed with developmental disabilities and/or mental retardation and are not able to live independently.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "320800000X"=>
      {:code=>"320800000X",
       :type=>"Residential Treatment Facilities",
       :classification=>
      "Community Based Residential Treatment Facility, Mental Illness",
        :specialization=>"",
        :definition=>
      "A home-like residential facility providing psychiatric treatment and psycho/social rehabilitative services to individuals diagnosed with mental illness.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "320900000X"=>
      {:code=>"320900000X",
       :type=>"Residential Treatment Facilities",
       :classification=>
      "Community Based Residential Treatment, Mental Retardation and/or Developmental Disabilities",
        :specialization=>"",
        :definition=>
      "A home-like residential facility providing habilitation, support and monitoring services to individuals diagnosed with mental retardation and/or developmental disabilities.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "322D00000X"=>
      {:code=>"322D00000X",
       :type=>"Residential Treatment Facilities",
       :classification=>
      "Residential Treatment Facility, Emotionally Disturbed Children",
        :specialization=>"",
        :definition=>
      "A provider facility or distinct part of the organization which renders an interdisciplinary program of mental health treatment to individuals under 21 years of age who have persistent dysfunction in major life areas. The dysfunction is of an extent and pervasiveness that requires a protected and highly structured therapeutic environment. These organizations, or distinct part of organizations, exclude those that provide acute psychiatric care, partial hospitalization, group living, therapeutic schooling, primary diagnosis substance abuse disorder treatment, or primary diagnosis mental retardation or developmental disability treatment.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: U.S. Department of Defense Regulation 6010.8-R, Chapter 6."},
        "323P00000X"=>
      {:code=>"323P00000X",
       :type=>"Residential Treatment Facilities",
       :classification=>"Psychiatric Residential Treatment Facility",
       :specialization=>"",
       :definition=>
      "A residential treatment facility (RTF) is a facility or distinct part of a facility that provides to children and adolescents, a total, twenty-four hour, therapeutically planned group living and learning situation where distinct and individualized psychotherapeutic interventions can take place. Residential treatment is a specific level of care to be differentiated from acute, intermediate, and long-term hospital care, when the least restrictive environment is maintained to allow for normalization of the patient's surroundings. The RTF must be both physically and programmatically distinct if it is a part or subunit of a larger treatment program. An RTF is organized and professionally staffed to provide residential treatment of mental disorders to children and adolescents who have sufficient intellectual potential to respond to active treatment (that is, for whom it can reasonably be assumed that treatment of the mental disorder will result in an improved ability to function outside the RTF) for whom outpatient treatment, partial hospitalization or protected and structured environment is medically or psychologically necessary",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Champus Policy manual, Volume II, p. 6010.47M dated 9/12/94. Revision: Definition title revised 7/1/03"},
        "324500000X"=>
      {:code=>"324500000X",
       :type=>"Residential Treatment Facilities",
       :classification=>"Substance Abuse Rehabilitation Facility",
       :specialization=>"",
       :definition=>
      "A facility or distinct part of a facility that provides a 24 hr therapeutically planned living and rehabilitative intervention environment for the treatment of individuals with disorders in the abuse of drugs, alcohol, and other substances.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2003",
        :notes=>"[7/1/2003: modified title, modified definition]"},
        "3245S0500X"=>
      {:code=>"3245S0500X",
       :type=>"Residential Treatment Facilities",
       :classification=>"Substance Abuse Rehabilitation Facility",
       :specialization=>"Substance Abuse Treatment, Children",
       :definition=>
      "A facility or distinct part of a facility that provides a 24 hr therapeutically planned living and rehabilitative intervention environment for the treatment of children with disorders in the use of drugs, alcohol, and other substances. Medical and supportive counseling services and education services are included.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "331L00000X"=>
      {:code=>"331L00000X",
       :type=>"Suppliers",
       :classification=>"Blood Bank",
       :specialization=>"",
       :definition=>
      "An institution (organization or distinct part thereof) that performs, or is responsible for the performance of, the collection, processing, storage and/or issuance of human blood and blood components, intended for transfusion. The institution may also collect, process, and/or distribute human tissue, including bone marrow and peripheral blood progenitor cells, intended for transplantation.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Association of Blood Banks, Standards for Blood Banks and Tranfusion, 17th ed."},
        "332000000X"=>
      {:code=>"332000000X",
       :type=>"Suppliers",
       :classification=>"Military/U.S. Coast Guard Pharmacy",
       :specialization=>"",
       :definition=>
      "A Department of Defense (DoD) or U.S. Coast Guard entity whose primary function is to store, prepare and dispense pharmaceuticals and other associated items to Uniformed Services beneficiaries. These pharmacies may be associated with a DoD or U.S. Coast Guard clinic, DoD Hospital or freestanding. Usually associated with outpatient services.",
        :effective_date=>"04/01/2005",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2006",
        :notes=>
      "Source: TRICARE Management Activity Uniform Business Office User's Guide [1/1/2005: new; 7/1/2006: modified title, modified definition]"},
        "332100000X"=>
      {:code=>"332100000X",
       :type=>"Suppliers",
       :classification=>"Department of Veterans Affairs (VA) Pharmacy",
       :specialization=>"",
       :definition=>
      "Department of Veterans Affairs (VA) Pharmacy means any place under VA jurisdiction where drugs are dispensed and Pharmaceutical Care is provided to enrolled Veterans, by licensed pharmacists. The Pharmacy is reviewed by JCAHO, utilizes the VA hospital's DEA number, and has a designated NCPDP number. VA facility pharmacies include Inpatient (Institutional), Outpatient, Consolidated Mail Outpatient Pharmacies (CMOPs), Research, Addiction Treatment Centers, Long Term Care and Community Based Outpatient Clinics Pharmacies. The VHA Pharmacy Benefits Management - Strategic Healthcare Group has oversight for professional and practice activities of VA Pharmacies. Each pharmacy is under the direct supervision of a U.S. or U.S. territory licensed pharmacist, and has staffing to meet its designated scope of service.",
        :effective_date=>"04/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Pharmacy Benefits Management - Strategic Healthcare Group, Veterans Health Administration, Department of Veterans Affairs [1/1/2006: new]"},
        "332800000X"=>
      {:code=>"332800000X",
       :type=>"Suppliers",
       :classification=>
      "Indian Health Service/Tribal/Urban Indian Health (I/T/U) Pharmacy",
        :specialization=>"",
        :definition=>
      "An Indian Health Service/Tribal/Urban Indian Health (I/T/U) Pharmacy means a pharmacy operated by the Indian Health Service, an Indian tribe or tribal organization, or an urban Indian organization, all of which are defined in Section 4 of the Indian Health Care Improvement Act, 25 U.S.C. 1603.",
        :effective_date=>"04/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: The Medicare Prescription Drug, Improvement and Modernization Act of 2003 [1/1/2006: new]"},
        "332900000X"=>
      {:code=>"332900000X",
       :type=>"Suppliers",
       :classification=>"Non-Pharmacy Dispensing Site",
       :specialization=>"",
       :definition=>
      "A site other than a pharmacy that dispenses medicinal preparations under the supervision of a physician to patients for self-administration. (e.g. physician offices, ER, Urgent Care Centers, Rural Health Facilities, etc.)",
        :effective_date=>"04/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Developed by National Council for Prescription Drug Programs (NCPDP), National Home Infusion Association (NHIA), and Pharmacist Services Technical Advisory Coalition (PSTAC) [1/1/2006: new]"},
        "332B00000X"=>
      {:code=>"332B00000X",
       :type=>"Suppliers",
       :classification=>"Durable Medical Equipment & Medical Supplies",
       :specialization=>"",
       :definition=>
      "A supplier of medical equipment such as respirators, wheelchairs, home dialysis systems, or monitoring systems, that are prescribed by a physician for a patient's use in the home and that are usable for an extended period of time.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "332BC3200X"=>
      {:code=>"332BC3200X",
       :type=>"Suppliers",
       :classification=>"Durable Medical Equipment & Medical Supplies",
       :specialization=>"Customized Equipment",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "332BD1200X"=>
      {:code=>"332BD1200X",
       :type=>"Suppliers",
       :classification=>"Durable Medical Equipment & Medical Supplies",
       :specialization=>"Dialysis Equipment & Supplies",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "332BN1400X"=>
      {:code=>"332BN1400X",
       :type=>"Suppliers",
       :classification=>"Durable Medical Equipment & Medical Supplies",
       :specialization=>"Nursing Facility Supplies",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "332BP3500X"=>
      {:code=>"332BP3500X",
       :type=>"Suppliers",
       :classification=>"Durable Medical Equipment & Medical Supplies",
       :specialization=>"Parenteral & Enteral Nutrition",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "332BX2000X"=>
      {:code=>"332BX2000X",
       :type=>"Suppliers",
       :classification=>"Durable Medical Equipment & Medical Supplies",
       :specialization=>"Oxygen Equipment & Supplies",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "332G00000X"=>
      {:code=>"332G00000X",
       :type=>"Suppliers",
       :classification=>"Eye Bank",
       :specialization=>"",
       :definition=>
      "An eye bank procures and distributes eyes for transplant, education and research. To promote patient safety, donated eyes and donor medial histories are evaluated based on strict Eye Bank Association of America Medical Standards",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "332H00000X"=>
      {:code=>"332H00000X",
       :type=>"Suppliers",
       :classification=>"Eyewear Supplier (Equipment, not the service)",
       :specialization=>"",
       :definition=>
      "An organization that provides spectacles, contact lenses, and other vision enhancement devices prescribed by an optometrist or ophthalmologist.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "332S00000X"=>
      {:code=>"332S00000X",
       :type=>"Suppliers",
       :classification=>"Hearing Aid Equipment",
       :specialization=>"",
       :definition=>
      "The manufacture and/or sale of electronic hearing aids, their component parts, and related products and services on a national basis.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "332U00000X"=>
      {:code=>"332U00000X",
       :type=>"Suppliers",
       :classification=>"Home Delivered Meals",
       :specialization=>"",
       :definition=>
      "Home-delivered meals are those services or activities designed to prepare and deliver one or more meals a day to an individual's residence in order to prevent institutionalization, malnutrition, and feelings of isolation. Component services or activities may include the cost of personnel, equipment, and food; assessment of nutritional and dietary needs; nutritional education and counseling; socialization services; and information and referral.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Code of Federal Regulations #45, Part 96, Appendix A, Uniform Definition of Services."},
        "333300000X"=>
      {:code=>"333300000X",
       :type=>"Suppliers",
       :classification=>"Emergency Response System Companies",
       :specialization=>"",
       :definition=>
      "A supplier of a personal emergency response system (PERS), which is an electronic device that enables a patient to receive emergency assistance when needed. The PERS is one of two different methodologies of notification: (1) where the patient summons emergency assistance themselves directly through the device or (2) emergency assistance is summoned through secure activation by the caretaker/guardian, which sends the device location to emergency responders.",
        :effective_date=>"10/01/2007",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: National Uniform Claim Committee, 2010 [7/1/2010: modified]"},
        "333600000X"=>
      {:code=>"333600000X",
       :type=>"Suppliers",
       :classification=>"Pharmacy",
       :specialization=>"",
       :definition=>
      "A facility used by pharmacists for the compounding and dispensing of medicinal preparations and other associated professional and administrative services. A pharmacy is a facility whose primary function is to store, prepare and legally dispense prescription drugs under the professional supervision of a licensed pharmacist. It meets any licensing or certification standards set forth by the jurisdiction where it is located.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"01/01/2006",
        :notes=>
      "Source: Developed by National Council for Prescription Drug Programs (NCPDP), National Home Infusion Association (NHIA), and Pharmacist Services Technical Advisory Coalition (PSTAC) [1/1/2006: added definition]"},
        "3336C0002X"=>
      {:code=>"3336C0002X",
       :type=>"Suppliers",
       :classification=>"Pharmacy",
       :specialization=>"Clinic Pharmacy",
       :definition=>
      "A pharmacy in a clinic, emergency room or hospital (outpatient) that dispenses medications to patients for self-administration under the supervision of a pharmacist.",
        :effective_date=>"04/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Developed by National Council for Prescription Drug Programs (NCPDP), National Home Infusion Association (NHIA), and Pharmacist Services Technical Advisory Coalition (PSTAC) [1/1/2006: new]"},
        "3336C0003X"=>
      {:code=>"3336C0003X",
       :type=>"Suppliers",
       :classification=>"Pharmacy",
       :specialization=>"Community/Retail Pharmacy",
       :definition=>
      "A pharmacy where pharmacists store, prepare, and dispense medicinal preparations and/or prescriptions for a local patient population in accordance with federal and state law; counsel patients and caregivers (sometimes independent of the dispensing process); administer vaccinations; and provide other professional services associated with pharmaceutical care such as health screenings, consultative services with other health care providers, collaborative practice, disease state management, and education classes.",
        :effective_date=>"04/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Developed by National Council for Prescription Drug Programs (NCPDP), National Home Infusion Association (NHIA), and Pharmacist Services Technical Advisory Coalition (PSTAC) [1/1/2006: new]"},
        "3336C0004X"=>
      {:code=>"3336C0004X",
       :type=>"Suppliers",
       :classification=>"Pharmacy",
       :specialization=>"Compounding Pharmacy",
       :definition=>
      "A pharmacy that specializes in the preparation of components into a drug preparation as the result of a Practitioner's Prescription Drug Order or initiative based on the Practitioner/Patient/Pharmacist relationship in the course of professional practice. A compounding pharmacy utilizes specialized equipment and specially designed facilities necessary to meet the legal and quality requirements of its scope of compounding practice.",
        :effective_date=>"10/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Sources: NABP Model Practice Act, Appendix C - Good Compounding Practice, USP <795> and <797>, and Pharmacy Compounding Accreditation Board [7/1/2006: new]"},
        "3336H0001X"=>
      {:code=>"3336H0001X",
       :type=>"Suppliers",
       :classification=>"Pharmacy",
       :specialization=>"Home Infusion Therapy Pharmacy",
       :definition=>
      "Pharmacy-based, decentralized patient care organization with expertise in USP 797-compliant sterile drug compounding that provides care to patients with acute or chronic conditions generally pertaining to parenteral administration of drugs, biologics and nutritional formulae administered through catheters and/or needles in home and alternate sites. Extensive professional pharmacy services, care coordination, infusion nursing services, supplies and equipment are provided to optimize efficacy and compliance.",
        :effective_date=>"04/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"Source: National Home Infusion Association [1/1/2006: new]"},
        "3336I0012X"=>
      {:code=>"3336I0012X",
       :type=>"Suppliers",
       :classification=>"Pharmacy",
       :specialization=>"Institutional Pharmacy",
       :definition=>
      "A pharmacy in a hospital (inpatient) or institution used by pharmacists for the compounding and delivery of medicinal preparations to be administered to the patient by nursing or other authorized personnel. Institutional Pharmacies also counsel patients and caregivers; administer vaccinations; and provide other professional services associated with pharmaceutical care such as health screenings, consultative services with other health care providers, collaborative practice, disease state management, and education classes.",
        :effective_date=>"04/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Developed by National Council for Prescription Drug Programs (NCPDP), National Home Infusion Association (NHIA), and Pharmacist Services Technical Advisory Coalition (PSTAC) [1/1/2006: new]"},
        "3336L0003X"=>
      {:code=>"3336L0003X",
       :type=>"Suppliers",
       :classification=>"Pharmacy",
       :specialization=>"Long Term Care Pharmacy",
       :definition=>
      "A pharmacy that dispenses medicinal preparations delivered to patients residing within an intermediate or skilled nursing facility, including intermediate care facilities for mentally retarded, hospice, assisted living facilities, group homes, and other forms of congregate living arrangements.",
        :effective_date=>"04/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Developed by National Council for Prescription Drug Programs (NCPDP), National Home Infusion Association (NHIA), and Pharmacist Services Technical Advisory Coalition (PSTAC) [1/1/2006: new]"},
        "3336M0002X"=>
      {:code=>"3336M0002X",
       :type=>"Suppliers",
       :classification=>"Pharmacy",
       :specialization=>"Mail Order Pharmacy",
       :definition=>
      "A pharmacy where pharmacists compound or dispense prescriptions or other medications in accordance with federal and state law, using common carriers to deliver the medications to patient or their caregivers. Mail order pharmacies counsel patients and caregivers (sometimes independent of the dispensing process) through telephone or email contact and provide other professional services associated with pharmaceutical care appropriate to the setting. Mail order pharmacies are licensed as a Mail Order Pharmacy in the state where they are located and may also be licensed or registered as nonresident pharmacies in other states.",
        :effective_date=>"04/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Developed by National Council for Prescription Drug Programs (NCPDP), National Home Infusion Association (NHIA), and Pharmacist Services Technical Advisory Coalition (PSTAC) [1/1/2006: new]"},
        "3336M0003X"=>
      {:code=>"3336M0003X",
       :type=>"Suppliers",
       :classification=>"Pharmacy",
       :specialization=>"Managed Care Organization Pharmacy",
       :definition=>
      "A pharmacy owned by a managed care organization (MCO) used by pharmacists for the compounding and dispensing of medicinal preparations to that MCO's covered members only.",
        :effective_date=>"04/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Developed by National Council for Prescription Drug Programs (NCPDP), National Home Infusion Association (NHIA), and Pharmacist Services Technical Advisory Coalition (PSTAC) [1/1/2006: new]"},
        "3336N0007X"=>
      {:code=>"3336N0007X",
       :type=>"Suppliers",
       :classification=>"Pharmacy",
       :specialization=>"Nuclear Pharmacy",
       :definition=>
      "A pharmacy dedicated to the compounding and dispensing of radioactive materials for use in nuclear imaging and nuclear medical procedures.",
        :effective_date=>"04/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Developed by National Council for Prescription Drug Programs (NCPDP), National Home Infusion Association (NHIA), and Pharmacist Services Technical Advisory Coalition (PSTAC) [1/1/2006: new]"},
        "3336S0011X"=>
      {:code=>"3336S0011X",
       :type=>"Suppliers",
       :classification=>"Pharmacy",
       :specialization=>"Specialty Pharmacy",
       :definition=>
      "A pharmacy that dispenses generally low volume and high cost medicinal preparations to patients who are undergoing intensive therapies for illnesses that are generally chronic, complex and potentially life threatening. Often these therapies require specialized delivery and administration.",
        :effective_date=>"04/01/2006",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Developed by National Council for Prescription Drug Programs (NCPDP), National Home Infusion Association (NHIA), and Pharmacist Services Technical Advisory Coalition (PSTAC) [1/1/2006: new]"},
        "335E00000X"=>
      {:code=>"335E00000X",
       :type=>"Suppliers",
       :classification=>"Prosthetic/Orthotic Supplier",
       :specialization=>"",
       :definition=>
      "An organization that provides prosthetic and orthotic care which may include, but is not limited to, patient evaluation, prosthesis or orthosis design, fabrication, fitting and modification to treat limb loss for purposes of restoring physiological function and/or cosmesis or to treat a neuromusculoskeletal disorder or acquired condition.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American Board for Certification in Orthotics, Prosthetics, and Pedorthics, Inc. [7/1/2010: modified] Additional Resources: Supplier accreditation is provided by the American Board for Certification in Orthotics, Prosthetics, and Pedorthics, Inc., www.abcop.org. "},
        "335G00000X"=>
      {:code=>"335G00000X",
       :type=>"Suppliers",
       :classification=>"Medical Foods Supplier",
       :specialization=>"",
       :definition=>
      "A supplier of special replacement foods for clients with errors of metabolism that prohibit them from eating a regular diet. Medical foods are lacking in the compounds which cause complications of the metabolic disorder, and are not generally available in grocery stores, health food stores, or pharmacies.",
        :effective_date=>"10/01/2011",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: The Children with Special Healthcare Needs (CSHCN) Services Program, a program of the Texas Department of State Health Services"},
        "335U00000X"=>
      {:code=>"335U00000X",
       :type=>"Suppliers",
       :classification=>"Organ Procurement Organization",
       :specialization=>"",
       :definition=>
      "A federally designated organization that works with hospital personnel in retrieval of organs for transplantation. The federal government designates an OPO's service area and the hospitals with which an OPO is to establish working relationships.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "335V00000X"=>
      {:code=>"335V00000X",
       :type=>"Suppliers",
       :classification=>"Portable X-Ray Supplier",
       :specialization=>"",
       :definition=>
      "A supplier of diagnostic x-ray services furnished in a place or residence used as the patient's home or, in certain circumstances, in an institution, where the institution cannot bill for the services. Portable x-ray services include: skeletal films involving arms and legs, pelvis, vertebral column, and skull; chest films which do not involve the use of contrast media (except routine screening procedures and tests in connection with routine physical examinations); and abdominal films which do not involve the use of contrast media. Procedures and examinations which are excluded from portable x-ray services include the following: procedures involving fluoroscopy; procedures involving the use of contrast media; procedures requiring the administration of a substance to the patient or injection of a substance into the patient and/or special manipulation of the patient; procedures which require special medical skill or knowledge possessed by a doctor of medicine or doctor of osteopathy or which require that medical judgment be exercised; procedures requiring special technical competency and/or special equipment or materials; routine screening procedures; and procedures which are not of a diagnostic nature.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Paraphrased from the Medicare Carriers Manual, Section 2070.4."},
        "341600000X"=>
      {:code=>"341600000X",
       :type=>"Transportation Services",
       :classification=>"Ambulance",
       :specialization=>"",
       :definition=>
      "An emergency vehicle used for transporting patients to a health care facility after injury or illness. Types of ambulances used in the United States include ground (surface) ambulance, rotor-wing (helicopter), and fixed-wing aircraft (airplane).",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Lexikon: Dictionary of Health Care Terms, Organizations and Acronyms for the Era of Reform, The Joint Commission on Accreditation of Healthcare Organizations, Oakbrook Terrace, Illinois: 1994, p. 37."},
        "3416A0800X"=>
      {:code=>"3416A0800X",
       :type=>"Transportation Services",
       :classification=>"Ambulance",
       :specialization=>"Air Transport",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"01/01/2005",
       :notes=>"[1/1/2005: title modified]"},
       "3416L0300X"=>
      {:code=>"3416L0300X",
       :type=>"Transportation Services",
       :classification=>"Ambulance",
       :specialization=>"Land Transport",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"01/01/2005",
       :notes=>"[1/1/2005: title modified]"},
       "3416S0300X"=>
      {:code=>"3416S0300X",
       :type=>"Transportation Services",
       :classification=>"Ambulance",
       :specialization=>"Water Transport",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"01/01/2005",
       :notes=>"[1/1/2005: title modified]"},
       "341800000X"=>
      {:code=>"341800000X",
       :type=>"Transportation Services",
       :classification=>"Military/U.S. Coast Guard Transport",
       :specialization=>"",
       :definition=>"Definition to come...",
       :effective_date=>"04/01/2005",
       :deactivation_date=>"",
       :last_modified_date=>"07/01/2006",
       :notes=>"[1/1/2005: new; 7/1/2006 title modified]"},
       "3418M1110X"=>
      {:code=>"3418M1110X",
       :type=>"Transportation Services",
       :classification=>"Military/U.S. Coast Guard Transport",
       :specialization=>
      "Military or U.S. Coast Guard Ambulance, Ground Transport",
        :definition=>
      "Vehicle and staff for patient emergency or non-emergency ground transport. Includes traditional ambulances as well as ambulance buses.",
        :effective_date=>"04/01/2005",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2006",
        :notes=>
      "Source: TRICARE Management Activity Uniform Business Office User's Guide [1/1/2005: new; 7/1/2006 modified title, added source]"},
        "3418M1120X"=>
      {:code=>"3418M1120X",
       :type=>"Transportation Services",
       :classification=>"Military/U.S. Coast Guard Transport",
       :specialization=>"Military or U.S. Coast Guard Ambulance, Air Transport",
       :definition=>
      "Vehicle and staff for patient emergency or non-emergency air transport.",
        :effective_date=>"04/01/2005",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2006",
        :notes=>
      "Source: TRICARE Management Activity Uniform Business Office User's Guide [1/1/2005: new; 7/1/2006 modified title, added source]"},
        "3418M1130X"=>
      {:code=>"3418M1130X",
       :type=>"Transportation Services",
       :classification=>"Military/U.S. Coast Guard Transport",
       :specialization=>
      "Military or U.S. Coast Guard Ambulance, Water Transport",
        :definition=>
      "Vehicle and staff for patient emergency or non-emergency sea/water transport",
        :effective_date=>"04/01/2005",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2006",
        :notes=>
      "Source: TRICARE Management Activity Uniform Business Office User's Guide [1/1/2005: new; 7/1/2006 modified title, added source]"},
        "343800000X"=>
      {:code=>"343800000X",
       :type=>"Transportation Services",
       :classification=>"Secured Medical Transport (VAN)",
       :specialization=>"",
       :definition=>
      "A public or privately owned transportation service with vehicles, specially equipped to provide enhanced safety, security and passenger restraint, and staffed by one or more individuals trained to work with patients in crisis situations resulting from mental or emotional illness and/or substance abuse.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "343900000X"=>
      {:code=>"343900000X",
       :type=>"Transportation Services",
       :classification=>"Non-emergency Medical Transport (VAN)",
       :specialization=>"",
       :definition=>
      "A land vehicle with a capacity to meet special height, clearance, access, and seating, for the conveyance of persons in non-emergency situations. The vehicle may or may not be required to meet local county or state regulations.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "344600000X"=>
      {:code=>"344600000X",
       :type=>"Transportation Services",
       :classification=>"Taxi",
       :specialization=>"",
       :definition=>
      "A land commercial vehicle used for the transporting of persons in non-emergency situations. The vehicle meets local, county or state regulations set forth by the jurisdictions where it is located.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "344800000X"=>
      {:code=>"344800000X",
       :type=>"Transportation Services",
       :classification=>"Air Carrier",
       :specialization=>"",
       :definition=>
      "An air company that the Federal Aviation Administration, the certificate-holding district office (CHDO), regional Flight Standards Division (RFSD) offices, and AFS-900 has verified that the company is capable of operating safely and that it complies with the regulations and standards prescribed by the Administrator.",
        :effective_date=>"04/01/2010",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Federal Aviation Administration [1/1/2010: new] Additional Resources: www.faa.gov/about/initiatives/atos/air_carrier/intro_to_part121_cert/"},
        "347B00000X"=>
      {:code=>"347B00000X",
       :type=>"Transportation Services",
       :classification=>"Bus",
       :specialization=>"",
       :definition=>
      "A public or private organization or business licensed to provide bus services.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "347C00000X"=>
      {:code=>"347C00000X",
       :type=>"Transportation Services",
       :classification=>"Private Vehicle",
       :specialization=>"",
       :definition=>
      "An individual paid to provide non-emergency transportation using their privately owned/leased vehicle.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "347D00000X"=>
      {:code=>"347D00000X",
       :type=>"Transportation Services",
       :classification=>"Train",
       :specialization=>"",
       :definition=>
      "An organization or business licensed to provide passenger train service, including light rail, subway, and traditional services.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "347E00000X"=>
      {:code=>"347E00000X",
       :type=>"Transportation Services",
       :classification=>"Transportation Broker",
       :specialization=>"",
       :definition=>
      "A public or private organization or business contracted to arrange non-emergency medical transportation services, including appropriate ancillary services, e.g., lodging.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "363A00000X"=>
      {:code=>"363A00000X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Physician Assistant",
       :specialization=>"",
       :definition=>
      "A physician assistant is a person who has successfully completed an accredited education program for physician assistant, is licensed by the state and is practicing within the scope of that license. Physician assistants are formally trained to perform many of the routine, time-consuming tasks a physician can do. In some states, they may prescribe medications. They take medical histories, perform physical exams, order lab tests and x-rays, and give inoculations. Most states require that they work under the supervision of a physician.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "363AM0700X"=>
      {:code=>"363AM0700X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Physician Assistant",
       :specialization=>"Medical",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "363AS0400X"=>
      {:code=>"363AS0400X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Physician Assistant",
       :specialization=>"Surgical",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "363L00000X"=>
      {:code=>"363L00000X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Nurse Practitioner",
       :specialization=>"",
       :definition=>
      "(1) A registered nurse provider with a graduate degree in nursing prepared for advanced practice involving independent and interdependent decision making and direct accountability for clinical judgment across the health care continuum or in a certified specialty. (2) A registered nurse who has completed additional training beyond basic nursing education and who provides primary health care services in accordance with state nurse practice laws or statutes. Tasks performed by nurse practitioners vary with practice requirements mandated by geographic, political, economic, and social factors. Nurse practitioner specialists include, but are not limited to, family nurse practitioners, gerontological nurse practitioners, pediatric nurse practitioners, obstetric-gynecologic nurse practitioners, and school nurse practitioners.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: (1) American Nurses' Association, American Nurses Credentialing Center, 1996 Certification Catalogue. (2) ) Lexikon: Dictionary of Health Care Terms, Organizations and Acronyms for the Era of Reform, The Joint Commission on Accreditation of Healthcare Organizations, Oakbrook Terrace, Illinois: 1994, p. 549."},
        "363LA2100X"=>
      {:code=>"363LA2100X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Nurse Practitioner",
       :specialization=>"Acute Care",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "363LA2200X"=>
      {:code=>"363LA2200X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Nurse Practitioner",
       :specialization=>"Adult Health",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "363LC0200X"=>
      {:code=>"363LC0200X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Nurse Practitioner",
       :specialization=>"Critical Care Medicine",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "363LC1500X"=>
      {:code=>"363LC1500X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Nurse Practitioner",
       :specialization=>"Community Health",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "363LF0000X"=>
      {:code=>"363LF0000X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Nurse Practitioner",
       :specialization=>"Family",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "363LG0600X"=>
      {:code=>"363LG0600X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Nurse Practitioner",
       :specialization=>"Gerontology",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "363LN0000X"=>
      {:code=>"363LN0000X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Nurse Practitioner",
       :specialization=>"Neonatal",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "363LN0005X"=>
      {:code=>"363LN0005X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Nurse Practitioner",
       :specialization=>"Neonatal, Critical Care",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "363LP0200X"=>
      {:code=>"363LP0200X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Nurse Practitioner",
       :specialization=>"Pediatrics",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "363LP0222X"=>
      {:code=>"363LP0222X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Nurse Practitioner",
       :specialization=>"Pediatrics, Critical Care",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "363LP0808X"=>
      {:code=>"363LP0808X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Nurse Practitioner",
       :specialization=>"Psych/Mental Health",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "363LP1700X"=>
      {:code=>"363LP1700X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Nurse Practitioner",
       :specialization=>"Perinatal",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "363LP2300X"=>
      {:code=>"363LP2300X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Nurse Practitioner",
       :specialization=>"Primary Care",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "363LS0200X"=>
      {:code=>"363LS0200X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Nurse Practitioner",
       :specialization=>"School",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "363LW0102X"=>
      {:code=>"363LW0102X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Nurse Practitioner",
       :specialization=>"Women's Health",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "363LX0001X"=>
      {:code=>"363LX0001X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Nurse Practitioner",
       :specialization=>"Obstetrics & Gynecology",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "363LX0106X"=>
      {:code=>"363LX0106X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Nurse Practitioner",
       :specialization=>"Occupational Health",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364S00000X"=>
      {:code=>"364S00000X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"",
       :definition=>
      "A registered nurse who, through a graduate degree program in nursing, or through a formal post-basic education program or continuing education courses and clinical experience, is expert in a specialty area of nursing practice within one or more of the components of direct patient/client care, consultation, education, research and administration.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Sources: American Nurses Association, American Nurses Credentialing Center, 1996 Certification Catalogue and The Interagency Conference on Nursing Statistics."},
        "364SA2100X"=>
      {:code=>"364SA2100X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Acute Care",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SA2200X"=>
      {:code=>"364SA2200X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Adult Health",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SC0200X"=>
      {:code=>"364SC0200X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Critical Care Medicine",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SC1501X"=>
      {:code=>"364SC1501X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Community Health/Public Health",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SC2300X"=>
      {:code=>"364SC2300X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Chronic Care",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SE0003X"=>
      {:code=>"364SE0003X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Emergency",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SE1400X"=>
      {:code=>"364SE1400X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Ethics",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SF0001X"=>
      {:code=>"364SF0001X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Family Health",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SG0600X"=>
      {:code=>"364SG0600X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Gerontology",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SH0200X"=>
      {:code=>"364SH0200X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Home Health",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SH1100X"=>
      {:code=>"364SH1100X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Holistic",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SI0800X"=>
      {:code=>"364SI0800X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Informatics",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SL0600X"=>
      {:code=>"364SL0600X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Long-Term Care",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SM0705X"=>
      {:code=>"364SM0705X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Medical-Surgical",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SN0000X"=>
      {:code=>"364SN0000X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Neonatal",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SN0800X"=>
      {:code=>"364SN0800X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Neuroscience",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SP0200X"=>
      {:code=>"364SP0200X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Pediatrics",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SP0807X"=>
      {:code=>"364SP0807X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Psych/Mental Health, Child & Adolescent",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SP0808X"=>
      {:code=>"364SP0808X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Psych/Mental Health",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SP0809X"=>
      {:code=>"364SP0809X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Psych/Mental Health, Adult",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SP0810X"=>
      {:code=>"364SP0810X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Psych/Mental Health, Child & Family",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SP0811X"=>
      {:code=>"364SP0811X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Psych/Mental Health, Chronically Ill",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SP0812X"=>
      {:code=>"364SP0812X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Psych/Mental Health, Community",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SP0813X"=>
      {:code=>"364SP0813X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Psych/Mental Health, Geropsychiatric",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SP1700X"=>
      {:code=>"364SP1700X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Perinatal",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SP2800X"=>
      {:code=>"364SP2800X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Perioperative",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SR0400X"=>
      {:code=>"364SR0400X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Rehabilitation",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SS0200X"=>
      {:code=>"364SS0200X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"School",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364ST0500X"=>
      {:code=>"364ST0500X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Transplantation",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SW0102X"=>
      {:code=>"364SW0102X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Women's Health",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SX0106X"=>
      {:code=>"364SX0106X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Occupational Health",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SX0200X"=>
      {:code=>"364SX0200X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Oncology",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "364SX0204X"=>
      {:code=>"364SX0204X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Clinical Nurse Specialist",
       :specialization=>"Oncology, Pediatrics",
       :definition=>"Definition to come...",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "367500000X"=>
      {:code=>"367500000X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Nurse Anesthetist, Certified Registered",
       :specialization=>"",
       :definition=>
      "(1) A licensed registered nurse with advanced specialty education in anesthesia who, in collaboration with appropriate health care professionals, provides preoperative, intraoperative, and postoperative care to patients and assists in management and resuscitation of critical patients in intensive care, coronary care, and emergency situations. Nurse anesthetists are certified following successful completion of credentials and state licensure review and a national examination directed by the Council on Certification of Nurse Anesthetists. (2) A registered nurse who is qualified by special training to administer anesthesia in collaboration with a physician or dentist and who can assist in the care of patients who are in critical condition.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Sources: (1) Council on Certification of Nurse Anesthetists, Park Ridge, IL, and Rhea, Ott, and Shafritz, The Facts On File Dictionary of Health Care Management, New York: Facts On File Publications, 1988. (2) Lexikon: Dictionary of Health Care Terms, Organizations and Acronyms for the Era of Reform, The Joint Commission on Accreditation of Healthcare Organizations, Oakbrook Terrace, Illinois: 1994, p. 548."},
        "367A00000X"=>
      {:code=>"367A00000X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Advanced Practice Midwife",
       :specialization=>"",
       :definition=>
      "Midwifery practice as conducted by certified nurse-midwives (CNMs) and certified midwives (CMs) is the independent management of women's health care, focusing particularly on pregnancy, childbirth, the post partum period, care of the newborn, and the family planning and gynecologic needs of women. The CNM and CM practice within a health care system that provides for consultation, collaborative management, or referral, as indicated by the health status of the client. CNMs and CMs practice in accord with the Standards for the Practice of Midwifery, as defined by the American College of Nurse-Midwives (ACNM).",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: American College of Nurse-Midwives, 2008 [7/1/2008: title changed, defintion changed, source changed] Additional Resources: American College of Nurse-Midwives www.acnm.org. The American Midwifery Certification Board, Inc. [AMCB, formerly the ACNM Certification Council, Inc. (ACC)] opened its national certification exam to non-nurse graduates of midwifery education programs and issued the first certified midwife (CM) credential in 1997. Certified midwives are educated to meet the same high standards that certified nurse-midwives must meet. These are the standards that every state in the U.S. has recognized as the legal basis for nurse-midwifery practice. All education programs for CMs, like CNMs, award a post-baccalaureate certificate or higher degree. CMs take the same AMCB certification exam as CNMs and study side by side with nurse-midwifery students in some education programs. As an organization, ACNM supports efforts to legally recognize CMs as qualified midwifery practitioners granted the same rights and responsibilities as CNMs."},
        "367H00000X"=>
      {:code=>"367H00000X",
       :type=>"Physician Assistants & Advanced Practice Nursing Providers",
       :classification=>"Anesthesiologist Assistant",
       :specialization=>"",
       :definition=>
      "An individual certified by the state to perform anesthesia services under the direct supervision of an anesthesiologist. Anesthesiologist Assistants are required to have a bachelor's degree with a premed curriculum prior to entering a two-year anesthesiology assistant program, which is focused upon the delivery and maintenance of anesthesia care as well as advanced patient monitoring techniques. An Anesthesiologist Assistant must work as a member of the anesthesia care team under the direction of a qualified Anesthesiologist.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "372500000X"=>
      {:code=>"372500000X",
       :type=>"Nursing Service Related Providers",
       :classification=>"Chore Provider",
       :specialization=>"",
       :definition=>
      "An individual who provides home maintenance services required to sustain a safe, sanitary living environment for individuals who because of age or disabilities is unable to perform the activities. These services include heavy household chores such as washing floors, windows, and walls; tacking down loose rugs and tiles; and moving heavy items of furniture in order to provide safe access and egress.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "372600000X"=>
      {:code=>"372600000X",
       :type=>"Nursing Service Related Providers",
       :classification=>"Adult Companion",
       :specialization=>"",
       :definition=>
      "An individual who provides supervision, socialization, and non-medical care to a functionally impaired adult. Companions may assist or supervise the individual with such tasks as meal preparation, laundry and shopping, but do not perform these activities as discrete services. These services are provided in accordance with a therapeutic goal in the plan of care.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "373H00000X"=>
      {:code=>"373H00000X",
       :type=>"Nursing Service Related Providers",
       :classification=>"Day Training/Habilitation Specialist",
       :specialization=>"",
       :definition=>
      "Individuals experienced or trained in working with developmentally disabled individuals who need assistance in acquiring and maintaining life skills that enable them to cope more effectively with the demands of independent living.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>""},
        "374700000X"=>
      {:code=>"374700000X",
       :type=>"Nursing Service Related Providers",
       :classification=>"Technician",
       :specialization=>"",
       :definition=>
      "(1) A person with specialized training in a narrow field of expertise whose occupation requires training and is skilled in specific technical processes and procedures. (2) An individual having special skill or practical knowledge in an area, such as operation and maintenance of equipment or performance of laboratory procedures involving biochemical analyses. Special technical qualifications are normally required, though an increasing number or technicians also possess university degrees in science, and occasionally doctorate degrees. The distinction between technician and technologist in the health care field is not always clear.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Sources: (1) Rhea, Ott, and Shafritz, The Facts on File Dictionary of Health Care Management, New York: Facts on File Publications, 1988; Dorland's Illustrated Medical Dictionary, 26th Edition, Philadelphia: W.B. Saunders Company, 1981 and Webster's II New Riverside University Dictionary, Boston: Riverside Publishing Company, 1984. (2) ) Lexikon: Dictionary of Health Care Terms, Organizations and Acronyms for the Era of Reform, The Joint Commission on Accreditation of Healthcare Organizations, Oakbrook Terrace, Illinois: 1994, p. 776."},
        "3747A0650X"=>
      {:code=>"3747A0650X",
       :type=>"Nursing Service Related Providers",
       :classification=>"Technician",
       :specialization=>"Attendant Care Provider",
       :definition=>
      "An individual who provides hands-on care, of both a supportive and health related nature, specific to the needs of a medically stable, physically handicapped individual. Supportive services are those that substitute for the absence, loss, diminution, or impairment of a physical or cognitive function. This service may include skilled or nursing care to the extent permitted by state law.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "3747P1801X"=>
      {:code=>"3747P1801X",
       :type=>"Nursing Service Related Providers",
       :classification=>"Technician",
       :specialization=>"Personal Care Attendant",
       :definition=>
      "An individual who provides assistance with eating, bathing, dressing, personal hygiene, activities of daily living as specified in the plan of care. Services which are incidental to the care furnished, or essential to the health and welfare of the individual may also be provided. Personal care providers must meet state defined training and certification standards",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2003",
        :notes=>"[7/1/2003: definition added]"},
        "374J00000X"=>
      {:code=>"374J00000X",
       :type=>"Nursing Service Related Providers",
       :classification=>"Doula",
       :specialization=>"",
       :definition=>
      "Doulas work in a variety of settings and have been trained to provide physical, emotional, and informational support to a mother before, during, and just after birth and/or provide emotional and practical support to a mother during the postpartum period.",
        :effective_date=>"10/01/2009",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: National Uniform Claim Committee, 2009 [7/1/2009: definition added]"},
        "374K00000X"=>
      {:code=>"374K00000X",
       :type=>"Nursing Service Related Providers",
       :classification=>"Religious Nonmedical Practitioner",
       :specialization=>"",
       :definition=>
      "A religious nonmedical practitioner offers spiritually-based care. Services may be rendered in an office, home, or care facility or by phone, email, or written correspondence.",
        :effective_date=>"10/01/2009",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: National Uniform Claim Committee , 2009 [7/1/2009: definition added]"},
        "374T00000X"=>
      {:code=>"374T00000X",
       :type=>"Nursing Service Related Providers",
       :classification=>"Religious Nonmedical Nursing Personnel",
       :specialization=>"",
       :definition=>
      "Religious nonmedical nursing personnel are experienced in caring for the physical needs of nonmedical patients. For example, caring for the physical needs such as assistance with activities of daily living; assistance with moving, positioning, and ambulation; nutritional needs; and comfort and support measures.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Centers for Medicare & Medicaid Services [7/1/2009: title modified, definition modified] Additional Resources: www.cms.hhs.gov/CertificationandComplianc/19_RNHCIs.asp 2005 Code of Federal Regulations, Title 42, Chapter IV, Part 403, Subpart G, 403.702 Definitions and Terms"},
        "374U00000X"=>
      {:code=>"374U00000X",
       :type=>"Nursing Service Related Providers",
       :classification=>"Home Health Aide",
       :specialization=>"",
       :definition=>
      "A person trained to assist public health nurses, home health nurses, and other health professionals in the bedside care of patients in their homes.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Rhea, Ott, and Shafritz, The Facts On File Dictionary of Health Care Management, New York: Facts On File Publications, 1988."},
        "376G00000X"=>
      {:code=>"376G00000X",
       :type=>"Nursing Service Related Providers",
       :classification=>"Nursing Home Administrator",
       :specialization=>"",
       :definition=>
      "An individual, often licensed by the state, who is responsible for the management of a nursing home.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: Lexikon: Dictionary of Health Care Terms, Organizations, and Acronyms for the Era of Reform, Joint Commission on Accreditation of Healthcare Organizations, Oakbrook Terrace, IL, 1994, p. 552."},
        "376J00000X"=>
      {:code=>"376J00000X",
       :type=>"Nursing Service Related Providers",
       :classification=>"Homemaker",
       :specialization=>"",
       :definition=>
      "An individual who provides general household activities such as meal preparation, laundry, and light housekeeping, when the individual regularly responsible for these activities is temporarily absent or unable to provide for himself. Homemakers must meet the state defined training standards.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"07/01/2003",
        :notes=>"[7/1/2003: definition added]"},
        "376K00000X"=>
      {:code=>"376K00000X",
       :type=>"Nursing Service Related Providers",
       :classification=>"Nurse's Aide",
       :specialization=>"",
       :definition=>
      "(1) An unlicensed individual who is trained to function in an assistive role to the licensed nurse in the provision of patient/client activities as delegated by the nurse; (2) An individual trained (either on-the-job or through a formal course generally of less than one year) and experienced in performing patient or client-care nursing tasks that do not require the skills of a specialist, technician, or professional. Examples of tasks performed by nurses aides include changing clothes, diapers, and beds; assisting patients to perform exercises or personal hygiene tasks, and supporting communication or social interaction. Specific education and credentials are not required for this work.",
        :effective_date=>"01/01/1995",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>
      "Source: (1) American Nurses Association, Registered Professional Nurses and Unlicensed Personnel, 2nd ed., 1996; (2) Rhea, Ott, and Shafritz, The Facts On File Dictionary of Health Care Management, New York: Facts On File Publications, 1988."},
        "385H00000X"=>
      {:code=>"385H00000X",
       :type=>"Respite Care Facility",
       :classification=>"Respite Care",
       :specialization=>"",
       :definition=>"Definition to come.",
       :effective_date=>"01/01/1995",
       :deactivation_date=>"",
       :last_modified_date=>"",
       :notes=>""},
       "385HR2050X"=>
      {:code=>"385HR2050X",
       :type=>"Respite Care Facility",
       :classification=>"Respite Care",
       :specialization=>"Respite Care Camp",
       :definition=>
      "A camping facility that provides specialized respite care to individuals requiring enhanced services to enable them to remain in the community, (e.g., those with developmental delays, mental retardation, mental/behavioral disorders). The staff must have training in working with the target populations and dealing with emergency situations which might be related to or exacerbate the individual's condition.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "385HR2055X"=>
      {:code=>"385HR2055X",
       :type=>"Respite Care Facility",
       :classification=>"Respite Care",
       :specialization=>"Respite Care, Mental Illness, Child",
       :definition=>
      "A facility or distinct part of a facility that provides short term, residential care to children, diagnosed with mental illness, as respite for the regular caregivers.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "385HR2060X"=>
      {:code=>"385HR2060X",
       :type=>"Respite Care Facility",
       :classification=>"Respite Care",
       :specialization=>
      "Respite Care, Mental Retardation and/or Developmental Disabilities, Child",
        :definition=>
      "A facility or distinct part of a facility that provides short term, residential care to children, diagnosed with mental retardation and/or developmental disabilities as respite for the regular caregivers.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "385HR2065X"=>
      {:code=>"385HR2065X",
       :type=>"Respite Care Facility",
       :classification=>"Respite Care",
       :specialization=>"Respite Care, Physical Disabilities, Child",
       :definition=>
      "A facility or distinct part of a facility that providers short term, residential care to children, diagnosed with complex or profound disabilities as respite for the regular caregivers.",
        :effective_date=>"10/01/2003",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[7/1/2003: new]"},
        "390200000X"=>
      {:code=>"390200000X",
       :type=>"Student, Health Care",
       :classification=>
      "Student in an Organized Health Care Education/Training Program",
        :specialization=>"",
        :definition=>
      "An individual who is enrolled in an organized health care education/training program leading to a degree, certification, registration, and/or licensure to provide health care. ",
        :effective_date=>"04/01/2005",
        :deactivation_date=>"",
        :last_modified_date=>"",
        :notes=>"[1/1/2005: new]"}}
  end
end
